#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 3436
#define LARGE_STATE_COUNT 154
#define SYMBOL_COUNT 162
#define ALIAS_COUNT 1
#define TOKEN_COUNT 101
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 19
#define MAX_ALIAS_SEQUENCE_LENGTH 10

enum {
  sym_word = 1,
  anon_sym_LF = 2,
  anon_sym_for = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_while = 8,
  anon_sym_do = 9,
  anon_sym_done = 10,
  anon_sym_if = 11,
  anon_sym_then = 12,
  anon_sym_fi = 13,
  anon_sym_elif = 14,
  anon_sym_else = 15,
  anon_sym_case = 16,
  anon_sym_esac = 17,
  anon_sym_PIPE = 18,
  anon_sym_RPAREN = 19,
  anon_sym_SEMI_SEMI = 20,
  anon_sym_SEMI_AMP = 21,
  anon_sym_SEMI_SEMI_AMP = 22,
  anon_sym_function = 23,
  anon_sym_LPAREN = 24,
  anon_sym_LBRACE = 25,
  anon_sym_RBRACE = 26,
  anon_sym_PIPE_AMP = 27,
  anon_sym_AMP_AMP = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_BANG = 30,
  anon_sym_LBRACK = 31,
  anon_sym_RBRACK = 32,
  anon_sym_LBRACK_LBRACK = 33,
  anon_sym_RBRACK_RBRACK = 34,
  anon_sym_declare = 35,
  anon_sym_typeset = 36,
  anon_sym_export = 37,
  anon_sym_readonly = 38,
  anon_sym_local = 39,
  anon_sym_unset = 40,
  anon_sym_unsetenv = 41,
  anon_sym_EQ_TILDE = 42,
  anon_sym_EQ_EQ = 43,
  anon_sym_EQ = 44,
  anon_sym_PLUS_EQ = 45,
  anon_sym_LT = 46,
  anon_sym_GT = 47,
  anon_sym_GT_GT = 48,
  anon_sym_AMP_GT = 49,
  anon_sym_AMP_GT_GT = 50,
  anon_sym_LT_AMP = 51,
  anon_sym_GT_AMP = 52,
  anon_sym_GT_PIPE = 53,
  anon_sym_LT_LT = 54,
  anon_sym_LT_LT_DASH = 55,
  anon_sym_LT_LT_LT = 56,
  anon_sym_BANG_EQ = 57,
  anon_sym_PLUS = 58,
  anon_sym_DASH = 59,
  anon_sym_DASH_EQ = 60,
  anon_sym_LT_EQ = 61,
  anon_sym_GT_EQ = 62,
  anon_sym_QMARK = 63,
  anon_sym_COLON = 64,
  anon_sym_PLUS_PLUS = 65,
  anon_sym_DASH_DASH = 66,
  anon_sym_DOLLAR = 67,
  sym__special_character = 68,
  anon_sym_DQUOTE = 69,
  sym__string_content = 70,
  sym_raw_string = 71,
  sym_ansii_c_string = 72,
  anon_sym_POUND = 73,
  anon_sym_DOLLAR_LBRACE = 74,
  anon_sym_SLASH = 75,
  anon_sym_COLON_QMARK = 76,
  anon_sym_COLON_DASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_DOLLAR_LPAREN = 79,
  anon_sym_BQUOTE = 80,
  anon_sym_LT_LPAREN = 81,
  anon_sym_GT_LPAREN = 82,
  sym_comment = 83,
  aux_sym__simple_variable_name_token1 = 84,
  anon_sym_STAR = 85,
  anon_sym_AT = 86,
  anon_sym_0 = 87,
  anon_sym__ = 88,
  sym_test_operator = 89,
  anon_sym_AMP = 90,
  sym_heredoc_start = 91,
  sym__simple_heredoc_body = 92,
  sym__heredoc_body_beginning = 93,
  sym__heredoc_body_middle = 94,
  sym__heredoc_body_end = 95,
  sym_file_descriptor = 96,
  sym__empty_value = 97,
  sym__concat = 98,
  sym_variable_name = 99,
  sym_regex = 100,
  sym_program = 101,
  sym__statements = 102,
  aux_sym__statements2 = 103,
  sym__terminated_statement = 104,
  sym_redirected_statement = 105,
  sym_for_statement = 106,
  sym_c_style_for_statement = 107,
  sym_while_statement = 108,
  sym_do_group = 109,
  sym_if_statement = 110,
  sym_elif_clause = 111,
  sym_else_clause = 112,
  sym_case_statement = 113,
  sym_case_item = 114,
  sym_last_case_item = 115,
  sym_function_definition = 116,
  sym_compound_statement = 117,
  sym_subshell = 118,
  sym_pipeline = 119,
  sym_list = 120,
  sym_negated_command = 121,
  sym_test_command = 122,
  sym_declaration_command = 123,
  sym_unset_command = 124,
  sym_command = 125,
  sym_command_name = 126,
  sym_variable_assignment = 127,
  sym_subscript = 128,
  sym_file_redirect = 129,
  sym_heredoc_redirect = 130,
  sym_heredoc_body = 131,
  sym_herestring_redirect = 132,
  sym__expression = 133,
  sym_binary_expression = 134,
  sym_ternary_expression = 135,
  sym_unary_expression = 136,
  sym_postfix_expression = 137,
  sym_parenthesized_expression = 138,
  sym_concatenation = 139,
  sym_string = 140,
  sym_array = 141,
  sym_simple_expansion = 142,
  sym_string_expansion = 143,
  sym_expansion = 144,
  sym_command_substitution = 145,
  sym_process_substitution = 146,
  aux_sym__statements_repeat1 = 147,
  aux_sym_redirected_statement_repeat1 = 148,
  aux_sym_for_statement_repeat1 = 149,
  aux_sym_if_statement_repeat1 = 150,
  aux_sym_case_statement_repeat1 = 151,
  aux_sym_case_item_repeat1 = 152,
  aux_sym_declaration_command_repeat1 = 153,
  aux_sym_unset_command_repeat1 = 154,
  aux_sym_command_repeat1 = 155,
  aux_sym_command_repeat2 = 156,
  aux_sym_heredoc_body_repeat1 = 157,
  aux_sym__literal_repeat1 = 158,
  aux_sym_concatenation_repeat1 = 159,
  aux_sym_string_repeat1 = 160,
  aux_sym_expansion_repeat1 = 161,
  alias_sym_special_variable_name = 162,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_LF] = "\n",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_SEMI_AMP] = ";&",
  [anon_sym_SEMI_SEMI_AMP] = ";;&",
  [anon_sym_function] = "function",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_GT_PIPE] = ">|",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK] = "?",
  [anon_sym_COLON] = ":",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym__string_content] = "_string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansii_c_string] = "ansii_c_string",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON_QMARK] = ":?",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [anon_sym_STAR] = "special_variable_name",
  [anon_sym_AT] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_test_operator] = "test_operator",
  [anon_sym_AMP] = "&",
  [sym_heredoc_start] = "heredoc_start",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym__heredoc_body_middle] = "_heredoc_body_middle",
  [sym__heredoc_body_end] = "_heredoc_body_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_regex] = "regex",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__statements2] = "_statements2",
  [sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym_heredoc_body] = "heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_array] = "array",
  [sym_simple_expansion] = "simple_expansion",
  [sym_string_expansion] = "string_expansion",
  [sym_expansion] = "expansion",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_expansion_repeat1] = "expansion_repeat1",
  [alias_sym_special_variable_name] = "special_variable_name",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_SEMI_AMP] = anon_sym_SEMI_AMP,
  [anon_sym_SEMI_SEMI_AMP] = anon_sym_SEMI_SEMI_AMP,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_GT_PIPE] = anon_sym_GT_PIPE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__string_content] = sym__string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansii_c_string] = sym_ansii_c_string,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AT] = anon_sym_STAR,
  [anon_sym_0] = anon_sym_STAR,
  [anon_sym__] = anon_sym_STAR,
  [sym_test_operator] = sym_test_operator,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym__heredoc_body_middle] = sym__heredoc_body_middle,
  [sym__heredoc_body_end] = sym__heredoc_body_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_regex] = sym_regex,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__statements2] = aux_sym__statements2,
  [sym__terminated_statement] = sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_array] = sym_array,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_string_expansion] = sym_string_expansion,
  [sym_expansion] = sym_expansion,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_expansion_repeat1] = aux_sym_expansion_repeat1,
  [alias_sym_special_variable_name] = alias_sym_special_variable_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansii_c_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements2] = {
    .visible = false,
    .named = false,
  },
  [sym__terminated_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_string_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_special_variable_name] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_consequence = 5,
  field_descriptor = 6,
  field_destination = 7,
  field_fallthrough = 8,
  field_index = 9,
  field_initializer = 10,
  field_left = 11,
  field_name = 12,
  field_operator = 13,
  field_redirect = 14,
  field_right = 15,
  field_termination = 16,
  field_update = 17,
  field_value = 18,
  field_variable = 19,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_fallthrough] = "fallthrough",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_termination] = "termination",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[69] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 7, .length = 1},
  [11] = {.index = 8, .length = 2},
  [12] = {.index = 8, .length = 2},
  [13] = {.index = 10, .length = 2},
  [14] = {.index = 10, .length = 2},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 2},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 22, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 26, .length = 3},
  [26] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 3},
  [35] = {.index = 39, .length = 3},
  [36] = {.index = 42, .length = 1},
  [37] = {.index = 42, .length = 1},
  [39] = {.index = 43, .length = 1},
  [40] = {.index = 44, .length = 2},
  [41] = {.index = 46, .length = 2},
  [42] = {.index = 48, .length = 2},
  [43] = {.index = 50, .length = 2},
  [44] = {.index = 52, .length = 2},
  [45] = {.index = 54, .length = 2},
  [46] = {.index = 56, .length = 2},
  [47] = {.index = 50, .length = 2},
  [48] = {.index = 52, .length = 2},
  [49] = {.index = 54, .length = 2},
  [50] = {.index = 58, .length = 2},
  [51] = {.index = 60, .length = 2},
  [52] = {.index = 62, .length = 3},
  [53] = {.index = 65, .length = 2},
  [54] = {.index = 67, .length = 3},
  [55] = {.index = 70, .length = 3},
  [56] = {.index = 73, .length = 2},
  [57] = {.index = 75, .length = 2},
  [58] = {.index = 73, .length = 2},
  [59] = {.index = 75, .length = 2},
  [60] = {.index = 77, .length = 3},
  [61] = {.index = 80, .length = 3},
  [62] = {.index = 83, .length = 3},
  [63] = {.index = 86, .length = 4},
  [64] = {.index = 90, .length = 3},
  [65] = {.index = 93, .length = 3},
  [66] = {.index = 90, .length = 3},
  [67] = {.index = 93, .length = 3},
  [68] = {.index = 96, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_destination, 1},
  [2] =
    {field_body, 0},
    {field_redirect, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
  [7] =
    {field_name, 1},
  [8] =
    {field_descriptor, 0},
    {field_destination, 2},
  [10] =
    {field_name, 0},
    {field_value, 2},
  [12] =
    {field_body, 2},
    {field_condition, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_argument, 0},
    {field_argument, 1},
  [18] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [20] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
  [22] =
    {field_index, 2},
    {field_name, 0},
  [24] =
    {field_body, 3},
    {field_variable, 1},
  [26] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [29] =
    {field_condition, 1},
  [30] =
    {field_body, 3},
    {field_name, 0},
  [32] =
    {field_value, 1},
  [33] =
    {field_body, 4},
    {field_name, 1},
  [35] =
    {field_body, 5},
  [36] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [39] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [42] =
    {field_value, 0},
  [43] =
    {field_body, 6},
  [44] =
    {field_body, 6},
    {field_update, 4},
  [46] =
    {field_body, 6},
    {field_condition, 3},
  [48] =
    {field_body, 6},
    {field_initializer, 2},
  [50] =
    {field_termination, 2},
    {field_value, 0},
  [52] =
    {field_fallthrough, 2},
    {field_value, 0},
  [54] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [56] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [58] =
    {field_body, 7},
    {field_update, 4},
  [60] =
    {field_body, 7},
    {field_condition, 3},
  [62] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [65] =
    {field_body, 7},
    {field_initializer, 2},
  [67] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [70] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [73] =
    {field_termination, 3},
    {field_value, 0},
  [75] =
    {field_fallthrough, 3},
    {field_value, 0},
  [77] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [80] =
    {field_body, 8},
    {field_initializer, 2},
    {field_update, 5},
  [83] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
  [86] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [90] =
    {field_termination, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [93] =
    {field_fallthrough, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [96] =
    {field_body, 9},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
};

static TSSymbol ts_alias_sequences[69][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_word,
  },
  [4] = {
    [1] = sym_word,
  },
  [5] = {
    [1] = alias_sym_special_variable_name,
  },
  [9] = {
    [0] = sym_word,
  },
  [12] = {
    [2] = sym_word,
  },
  [14] = {
    [2] = sym_word,
  },
  [17] = {
    [1] = sym_word,
  },
  [19] = {
    [1] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [27] = {
    [2] = alias_sym_special_variable_name,
  },
  [30] = {
    [1] = sym_word,
  },
  [32] = {
    [3] = sym_word,
  },
  [37] = {
    [0] = sym_word,
  },
  [38] = {
    [4] = sym_word,
  },
  [47] = {
    [0] = sym_word,
  },
  [48] = {
    [0] = sym_word,
  },
  [49] = {
    [0] = sym_word,
  },
  [58] = {
    [0] = sym_word,
  },
  [59] = {
    [0] = sym_word,
  },
  [66] = {
    [0] = sym_word,
  },
  [67] = {
    [0] = sym_word,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(136);
      if (lookahead == '!') ADVANCE(185);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(261);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '+') ADVANCE(224);
      if (lookahead == '-') ADVANCE(227);
      if (lookahead == '/') ADVANCE(258);
      if (lookahead == '0') ADVANCE(282);
      if (lookahead == ':') ADVANCE(237);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(206);
      if (lookahead == '=') ADVANCE(198);
      if (lookahead == '>') ADVANCE(209);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '_') ADVANCE(285);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == 'i') ADVANCE(290);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(91)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == 'e') ADVANCE(275);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(92)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(113)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == 'i') ADVANCE(274);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(102)
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '\\') SKIP(121)
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(120)
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(139);
      if (lookahead == '!') ADVANCE(186);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(296);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(94)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(139);
      if (lookahead == '!') ADVANCE(62);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(296);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(105)
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(140);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == '-') ADVANCE(292);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(95);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(141);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(142);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(77);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(143);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(144);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(145);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(148);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 19:
      if (lookahead == '\n') ADVANCE(149);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 20:
      if (lookahead == '\n') ADVANCE(150);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 21:
      if (lookahead == '\n') ADVANCE(151);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 22:
      if (lookahead == '\n') ADVANCE(152);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(153);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(89);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(293);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(154);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(155);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(156);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(185);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(261);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '+') ADVANCE(224);
      if (lookahead == '-') ADVANCE(227);
      if (lookahead == '/') ADVANCE(258);
      if (lookahead == '0') ADVANCE(282);
      if (lookahead == ':') ADVANCE(237);
      if (lookahead == ';') ADVANCE(163);
      if (lookahead == '<') ADVANCE(206);
      if (lookahead == '=') ADVANCE(198);
      if (lookahead == '>') ADVANCE(209);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '_') ADVANCE(285);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == 'i') ADVANCE(290);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(261);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ':') ADVANCE(237);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == ']') ADVANCE(245);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ')') ADVANCE(61);
      if (lookahead == '-') ADVANCE(292);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(115)
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(116);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(252);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(118);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(250);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(252);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(186);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(98)
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(186);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(61);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ':') ADVANCE(236);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(97)
      if (lookahead == ']') ADVANCE(65);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(62);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(244);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == ')') ADVANCE(61);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == ':') ADVANCE(236);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(107)
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(62);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == '(') ADVANCE(58);
      if (lookahead == ')') ADVANCE(61);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == ':') ADVANCE(236);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(108)
      if (lookahead == ']') ADVANCE(246);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(62);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(110)
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '|') ADVANCE(171);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(62);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(53);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '-') ADVANCE(228);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '>') ADVANCE(212);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(111)
      if (lookahead == '|') ADVANCE(171);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42)
      END_STATE();
    case 43:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(261);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '/') ADVANCE(258);
      if (lookahead == ':') ADVANCE(237);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(99);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 44:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '%') ADVANCE(261);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == ':') ADVANCE(237);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 45:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 46:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(93);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(46)
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(293);
      END_STATE();
    case 47:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(112);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(47)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 48:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(114);
      if (lookahead == ']') ADVANCE(190);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(48)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 49:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(109);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(49)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 50:
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(244);
      if (lookahead == '\\') ADVANCE(119);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(251);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 51:
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '+') ADVANCE(63);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '<') ADVANCE(203);
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '[') ADVANCE(188);
      if (lookahead == '\\') SKIP(117)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '}') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(51)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 52:
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == ';') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(122);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(52)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(293);
      END_STATE();
    case 53:
      if (lookahead == '&') ADVANCE(182);
      END_STATE();
    case 54:
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == ';') ADVANCE(174);
      END_STATE();
    case 55:
      if (lookahead == '\'') ADVANCE(253);
      if (lookahead != 0) ADVANCE(55);
      END_STATE();
    case 56:
      if (lookahead == '\'') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead != 0) ADVANCE(56);
      END_STATE();
    case 57:
      if (lookahead == '\'') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead != 0) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == '(') ADVANCE(160);
      END_STATE();
    case 59:
      if (lookahead == '(') ADVANCE(264);
      END_STATE();
    case 60:
      if (lookahead == '(') ADVANCE(265);
      END_STATE();
    case 61:
      if (lookahead == ')') ADVANCE(161);
      END_STATE();
    case 62:
      if (lookahead == '=') ADVANCE(222);
      END_STATE();
    case 63:
      if (lookahead == '=') ADVANCE(201);
      END_STATE();
    case 64:
      if (lookahead == '>') ADVANCE(214);
      END_STATE();
    case 65:
      if (lookahead == ']') ADVANCE(192);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(67);
      END_STATE();
    case 67:
      if (lookahead == 'c') ADVANCE(165);
      END_STATE();
    case 68:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 69:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 70:
      if (lookahead == '|') ADVANCE(183);
      END_STATE();
    case 71:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 72:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 73:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 74:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 75:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 76:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 77:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 78:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 79:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 80:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 81:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 82:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 83:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 84:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 85:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 86:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 87:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 88:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 89:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 90:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 91:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 92:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 93:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(46)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 94:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      END_STATE();
    case 95:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 96:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 97:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      END_STATE();
    case 98:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      END_STATE();
    case 99:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 100:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 101:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 102:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 103:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 104:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 105:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      END_STATE();
    case 106:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 107:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      END_STATE();
    case 108:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      END_STATE();
    case 109:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(49)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 110:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      END_STATE();
    case 111:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42)
      END_STATE();
    case 112:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(47)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 113:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 114:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(48)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 115:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 116:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(249);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 117:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(51)
      END_STATE();
    case 118:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(250);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 119:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(251);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 120:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      END_STATE();
    case 121:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 122:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(52)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 123:
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 124:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(293);
      END_STATE();
    case 125:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') SKIP(134)
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(125)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 126:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') SKIP(135)
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(126)
      END_STATE();
    case 127:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(144);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(127)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 128:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(128)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 129:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(150);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(177);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(287);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(129)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 130:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(151);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '-') ADVANCE(229);
      if (lookahead == '0') ADVANCE(281);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(235);
      if (lookahead == '@') ADVANCE(280);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(130)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 131:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(154);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(297);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '|') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(131)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(293);
      END_STATE();
    case 132:
      if (eof) ADVANCE(136);
      if (lookahead == '\n') ADVANCE(156);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(164);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '>') ADVANCE(60);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(132)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(293);
      END_STATE();
    case 133:
      if (eof) ADVANCE(136);
      if (lookahead == '!') ADVANCE(187);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(243);
      if (lookahead == '&') ADVANCE(64);
      if (lookahead == '\'') ADVANCE(55);
      if (lookahead == '(') ADVANCE(178);
      if (lookahead == ')') ADVANCE(172);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '[') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(245);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '{') ADVANCE(179);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(133)
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 134:
      if (eof) ADVANCE(136);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(125)
      END_STATE();
    case 135:
      if (eof) ADVANCE(136);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(126)
      END_STATE();
    case 136:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '\\') ADVANCE(75);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(139);
      if (lookahead == '-') ADVANCE(228);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(140);
      if (lookahead == '-') ADVANCE(292);
      if (lookahead == '\\') ADVANCE(95);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(76);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(77);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(143);
      if (lookahead == '\\') ADVANCE(78);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(144);
      if (lookahead == '\\') ADVANCE(79);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(145);
      if (lookahead == '\\') ADVANCE(80);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(146);
      if (lookahead == '\\') ADVANCE(81);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '\\') ADVANCE(82);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(148);
      if (lookahead == '\\') ADVANCE(83);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(149);
      if (lookahead == '\\') ADVANCE(84);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(85);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(151);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(152);
      if (lookahead == '\\') ADVANCE(88);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(153);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(154);
      if (lookahead == '\\') ADVANCE(90);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(104);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(156);
      if (lookahead == '\\') ADVANCE(106);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == '&') ADVANCE(175);
      if (lookahead == ';') ADVANCE(174);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(173);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(181);
      if (lookahead == '|') ADVANCE(183);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(183);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      if (lookahead == '&') ADVANCE(176);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_SEMI_AMP);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI_AMP);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(160);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(223);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(222);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == '~') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '~') ADVANCE(193);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(216);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(216);
      if (lookahead == '(') ADVANCE(264);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(216);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '<') ADVANCE(219);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(216);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '<') ADVANCE(219);
      if (lookahead == '=') ADVANCE(232);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(216);
      if (lookahead == '<') ADVANCE(219);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(232);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(217);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '=') ADVANCE(233);
      if (lookahead == '>') ADVANCE(213);
      if (lookahead == '|') ADVANCE(218);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(217);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '>') ADVANCE(213);
      if (lookahead == '|') ADVANCE(218);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(217);
      if (lookahead == '>') ADVANCE(213);
      if (lookahead == '|') ADVANCE(218);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(233);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(215);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_GT_PIPE);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(220);
      if (lookahead == '<') ADVANCE(221);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(239);
      if (lookahead == '=') ADVANCE(202);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == '=') ADVANCE(201);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(241);
      if (lookahead == '=') ADVANCE(231);
      if (lookahead == '\\') ADVANCE(124);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(240);
      if (lookahead == '=') ADVANCE(230);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(260);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(56);
      if (lookahead == '(') ADVANCE(262);
      if (lookahead == '{') ADVANCE(257);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(262);
      if (lookahead == '{') ADVANCE(257);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(192);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(266);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(116);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(252);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(256);
      if (lookahead == '$') ADVANCE(242);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '0') ADVANCE(283);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '@') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(118);
      if (lookahead == '_') ADVANCE(286);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(250);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(252);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '"') ADVANCE(247);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(244);
      if (lookahead == '\\') ADVANCE(119);
      if (lookahead == '`') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(251);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(252);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_ansii_c_string);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_ansii_c_string);
      if (lookahead == '\'') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead != 0) ADVANCE(56);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(252);
      if (lookahead != 0) ADVANCE(248);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == 'a') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == 'c') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == 's') ADVANCE(268);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(273);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(168);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(272);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == '~') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == 'a') ADVANCE(289);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == 'c') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == 'n') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == 's') ADVANCE(288);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(124);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(293);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_test_operator);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(182);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(182);
      if (lookahead == '>') ADVANCE(214);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'l') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 't') ADVANCE(9);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'w') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(12);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(15);
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'h') ADVANCE(23);
      if (lookahead == 'y') ADVANCE(24);
      END_STATE();
    case 10:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(26);
      END_STATE();
    case 12:
      if (lookahead == 's') ADVANCE(27);
      END_STATE();
    case 13:
      if (lookahead == 'c') ADVANCE(28);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 16:
      if (lookahead == 'p') ADVANCE(32);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 18:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(36);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(38);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(39);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(44);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 36:
      if (lookahead == 'd') ADVANCE(49);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 70:
      if (lookahead == 'y') ADVANCE(74);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 72:
      if (lookahead == 'v') ADVANCE(75);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 133, .external_lex_state = 2},
  [2] = {.lex_state = 133, .external_lex_state = 2},
  [3] = {.lex_state = 133, .external_lex_state = 2},
  [4] = {.lex_state = 133, .external_lex_state = 2},
  [5] = {.lex_state = 133, .external_lex_state = 2},
  [6] = {.lex_state = 133, .external_lex_state = 2},
  [7] = {.lex_state = 133, .external_lex_state = 2},
  [8] = {.lex_state = 31, .external_lex_state = 2},
  [9] = {.lex_state = 31, .external_lex_state = 2},
  [10] = {.lex_state = 31, .external_lex_state = 2},
  [11] = {.lex_state = 31, .external_lex_state = 2},
  [12] = {.lex_state = 133, .external_lex_state = 2},
  [13] = {.lex_state = 133, .external_lex_state = 2},
  [14] = {.lex_state = 133, .external_lex_state = 2},
  [15] = {.lex_state = 133, .external_lex_state = 2},
  [16] = {.lex_state = 133, .external_lex_state = 2},
  [17] = {.lex_state = 133, .external_lex_state = 2},
  [18] = {.lex_state = 133, .external_lex_state = 2},
  [19] = {.lex_state = 133, .external_lex_state = 2},
  [20] = {.lex_state = 133, .external_lex_state = 2},
  [21] = {.lex_state = 133, .external_lex_state = 2},
  [22] = {.lex_state = 133, .external_lex_state = 2},
  [23] = {.lex_state = 133, .external_lex_state = 2},
  [24] = {.lex_state = 133, .external_lex_state = 2},
  [25] = {.lex_state = 133, .external_lex_state = 2},
  [26] = {.lex_state = 32, .external_lex_state = 3},
  [27] = {.lex_state = 133, .external_lex_state = 2},
  [28] = {.lex_state = 133, .external_lex_state = 2},
  [29] = {.lex_state = 133, .external_lex_state = 2},
  [30] = {.lex_state = 133, .external_lex_state = 2},
  [31] = {.lex_state = 133, .external_lex_state = 2},
  [32] = {.lex_state = 133, .external_lex_state = 2},
  [33] = {.lex_state = 133, .external_lex_state = 2},
  [34] = {.lex_state = 133, .external_lex_state = 2},
  [35] = {.lex_state = 32, .external_lex_state = 3},
  [36] = {.lex_state = 133, .external_lex_state = 2},
  [37] = {.lex_state = 133, .external_lex_state = 2},
  [38] = {.lex_state = 133, .external_lex_state = 2},
  [39] = {.lex_state = 133, .external_lex_state = 2},
  [40] = {.lex_state = 133, .external_lex_state = 2},
  [41] = {.lex_state = 133, .external_lex_state = 2},
  [42] = {.lex_state = 133, .external_lex_state = 2},
  [43] = {.lex_state = 133, .external_lex_state = 2},
  [44] = {.lex_state = 133, .external_lex_state = 2},
  [45] = {.lex_state = 133, .external_lex_state = 2},
  [46] = {.lex_state = 133, .external_lex_state = 2},
  [47] = {.lex_state = 133, .external_lex_state = 2},
  [48] = {.lex_state = 133, .external_lex_state = 2},
  [49] = {.lex_state = 133, .external_lex_state = 2},
  [50] = {.lex_state = 133, .external_lex_state = 2},
  [51] = {.lex_state = 133, .external_lex_state = 2},
  [52] = {.lex_state = 133, .external_lex_state = 2},
  [53] = {.lex_state = 133, .external_lex_state = 2},
  [54] = {.lex_state = 133, .external_lex_state = 2},
  [55] = {.lex_state = 133, .external_lex_state = 2},
  [56] = {.lex_state = 133, .external_lex_state = 2},
  [57] = {.lex_state = 32, .external_lex_state = 3},
  [58] = {.lex_state = 133, .external_lex_state = 2},
  [59] = {.lex_state = 133, .external_lex_state = 2},
  [60] = {.lex_state = 133, .external_lex_state = 2},
  [61] = {.lex_state = 133, .external_lex_state = 2},
  [62] = {.lex_state = 133, .external_lex_state = 2},
  [63] = {.lex_state = 133, .external_lex_state = 2},
  [64] = {.lex_state = 133, .external_lex_state = 2},
  [65] = {.lex_state = 32, .external_lex_state = 3},
  [66] = {.lex_state = 32, .external_lex_state = 3},
  [67] = {.lex_state = 133, .external_lex_state = 2},
  [68] = {.lex_state = 133, .external_lex_state = 2},
  [69] = {.lex_state = 133, .external_lex_state = 2},
  [70] = {.lex_state = 133, .external_lex_state = 2},
  [71] = {.lex_state = 133, .external_lex_state = 2},
  [72] = {.lex_state = 133, .external_lex_state = 2},
  [73] = {.lex_state = 133, .external_lex_state = 2},
  [74] = {.lex_state = 32, .external_lex_state = 3},
  [75] = {.lex_state = 133, .external_lex_state = 2},
  [76] = {.lex_state = 32, .external_lex_state = 3},
  [77] = {.lex_state = 133, .external_lex_state = 2},
  [78] = {.lex_state = 133, .external_lex_state = 2},
  [79] = {.lex_state = 133, .external_lex_state = 2},
  [80] = {.lex_state = 133, .external_lex_state = 2},
  [81] = {.lex_state = 133, .external_lex_state = 2},
  [82] = {.lex_state = 133, .external_lex_state = 2},
  [83] = {.lex_state = 133, .external_lex_state = 2},
  [84] = {.lex_state = 133, .external_lex_state = 2},
  [85] = {.lex_state = 133, .external_lex_state = 2},
  [86] = {.lex_state = 133, .external_lex_state = 2},
  [87] = {.lex_state = 133, .external_lex_state = 2},
  [88] = {.lex_state = 133, .external_lex_state = 2},
  [89] = {.lex_state = 133, .external_lex_state = 2},
  [90] = {.lex_state = 133, .external_lex_state = 2},
  [91] = {.lex_state = 133, .external_lex_state = 2},
  [92] = {.lex_state = 133, .external_lex_state = 2},
  [93] = {.lex_state = 133, .external_lex_state = 2},
  [94] = {.lex_state = 133, .external_lex_state = 2},
  [95] = {.lex_state = 133, .external_lex_state = 2},
  [96] = {.lex_state = 133, .external_lex_state = 2},
  [97] = {.lex_state = 133, .external_lex_state = 2},
  [98] = {.lex_state = 133, .external_lex_state = 2},
  [99] = {.lex_state = 133, .external_lex_state = 2},
  [100] = {.lex_state = 133, .external_lex_state = 2},
  [101] = {.lex_state = 133, .external_lex_state = 2},
  [102] = {.lex_state = 133, .external_lex_state = 2},
  [103] = {.lex_state = 133, .external_lex_state = 2},
  [104] = {.lex_state = 133, .external_lex_state = 2},
  [105] = {.lex_state = 133, .external_lex_state = 2},
  [106] = {.lex_state = 133, .external_lex_state = 2},
  [107] = {.lex_state = 133, .external_lex_state = 2},
  [108] = {.lex_state = 133, .external_lex_state = 2},
  [109] = {.lex_state = 133, .external_lex_state = 2},
  [110] = {.lex_state = 133, .external_lex_state = 2},
  [111] = {.lex_state = 133, .external_lex_state = 2},
  [112] = {.lex_state = 133, .external_lex_state = 2},
  [113] = {.lex_state = 133, .external_lex_state = 2},
  [114] = {.lex_state = 133, .external_lex_state = 2},
  [115] = {.lex_state = 133, .external_lex_state = 2},
  [116] = {.lex_state = 133, .external_lex_state = 2},
  [117] = {.lex_state = 133, .external_lex_state = 2},
  [118] = {.lex_state = 133, .external_lex_state = 2},
  [119] = {.lex_state = 133, .external_lex_state = 2},
  [120] = {.lex_state = 133, .external_lex_state = 2},
  [121] = {.lex_state = 133, .external_lex_state = 2},
  [122] = {.lex_state = 133, .external_lex_state = 2},
  [123] = {.lex_state = 133, .external_lex_state = 2},
  [124] = {.lex_state = 133, .external_lex_state = 2},
  [125] = {.lex_state = 133, .external_lex_state = 2},
  [126] = {.lex_state = 133, .external_lex_state = 2},
  [127] = {.lex_state = 133, .external_lex_state = 2},
  [128] = {.lex_state = 133, .external_lex_state = 2},
  [129] = {.lex_state = 133, .external_lex_state = 2},
  [130] = {.lex_state = 133, .external_lex_state = 2},
  [131] = {.lex_state = 133, .external_lex_state = 2},
  [132] = {.lex_state = 133, .external_lex_state = 2},
  [133] = {.lex_state = 133, .external_lex_state = 2},
  [134] = {.lex_state = 133, .external_lex_state = 2},
  [135] = {.lex_state = 133, .external_lex_state = 2},
  [136] = {.lex_state = 133, .external_lex_state = 2},
  [137] = {.lex_state = 133, .external_lex_state = 2},
  [138] = {.lex_state = 133, .external_lex_state = 2},
  [139] = {.lex_state = 133, .external_lex_state = 2},
  [140] = {.lex_state = 133, .external_lex_state = 2},
  [141] = {.lex_state = 133, .external_lex_state = 2},
  [142] = {.lex_state = 133, .external_lex_state = 2},
  [143] = {.lex_state = 133, .external_lex_state = 2},
  [144] = {.lex_state = 133, .external_lex_state = 2},
  [145] = {.lex_state = 133, .external_lex_state = 2},
  [146] = {.lex_state = 133, .external_lex_state = 2},
  [147] = {.lex_state = 133, .external_lex_state = 2},
  [148] = {.lex_state = 133, .external_lex_state = 2},
  [149] = {.lex_state = 133, .external_lex_state = 2},
  [150] = {.lex_state = 133, .external_lex_state = 2},
  [151] = {.lex_state = 133, .external_lex_state = 2},
  [152] = {.lex_state = 133, .external_lex_state = 2},
  [153] = {.lex_state = 133, .external_lex_state = 2},
  [154] = {.lex_state = 1, .external_lex_state = 4},
  [155] = {.lex_state = 1, .external_lex_state = 4},
  [156] = {.lex_state = 1, .external_lex_state = 4},
  [157] = {.lex_state = 11, .external_lex_state = 4},
  [158] = {.lex_state = 31, .external_lex_state = 5},
  [159] = {.lex_state = 12, .external_lex_state = 6},
  [160] = {.lex_state = 31, .external_lex_state = 5},
  [161] = {.lex_state = 133, .external_lex_state = 5},
  [162] = {.lex_state = 11, .external_lex_state = 4},
  [163] = {.lex_state = 11, .external_lex_state = 4},
  [164] = {.lex_state = 13, .external_lex_state = 6},
  [165] = {.lex_state = 133, .external_lex_state = 5},
  [166] = {.lex_state = 127, .external_lex_state = 4},
  [167] = {.lex_state = 127, .external_lex_state = 4},
  [168] = {.lex_state = 127, .external_lex_state = 4},
  [169] = {.lex_state = 127, .external_lex_state = 4},
  [170] = {.lex_state = 13, .external_lex_state = 6},
  [171] = {.lex_state = 133, .external_lex_state = 5},
  [172] = {.lex_state = 15, .external_lex_state = 4},
  [173] = {.lex_state = 15, .external_lex_state = 4},
  [174] = {.lex_state = 13, .external_lex_state = 6},
  [175] = {.lex_state = 13, .external_lex_state = 6},
  [176] = {.lex_state = 127, .external_lex_state = 4},
  [177] = {.lex_state = 13, .external_lex_state = 6},
  [178] = {.lex_state = 16, .external_lex_state = 6},
  [179] = {.lex_state = 127, .external_lex_state = 4},
  [180] = {.lex_state = 128, .external_lex_state = 6},
  [181] = {.lex_state = 18, .external_lex_state = 6},
  [182] = {.lex_state = 19, .external_lex_state = 4},
  [183] = {.lex_state = 18, .external_lex_state = 6},
  [184] = {.lex_state = 128, .external_lex_state = 6},
  [185] = {.lex_state = 19, .external_lex_state = 4},
  [186] = {.lex_state = 127, .external_lex_state = 4},
  [187] = {.lex_state = 1, .external_lex_state = 6},
  [188] = {.lex_state = 18, .external_lex_state = 6},
  [189] = {.lex_state = 18, .external_lex_state = 6},
  [190] = {.lex_state = 1, .external_lex_state = 6},
  [191] = {.lex_state = 18, .external_lex_state = 6},
  [192] = {.lex_state = 127, .external_lex_state = 4},
  [193] = {.lex_state = 15, .external_lex_state = 6},
  [194] = {.lex_state = 1, .external_lex_state = 6},
  [195] = {.lex_state = 133, .external_lex_state = 5},
  [196] = {.lex_state = 32, .external_lex_state = 7},
  [197] = {.lex_state = 133, .external_lex_state = 2},
  [198] = {.lex_state = 129, .external_lex_state = 6},
  [199] = {.lex_state = 130, .external_lex_state = 4},
  [200] = {.lex_state = 129, .external_lex_state = 6},
  [201] = {.lex_state = 129, .external_lex_state = 6},
  [202] = {.lex_state = 130, .external_lex_state = 4},
  [203] = {.lex_state = 19, .external_lex_state = 6},
  [204] = {.lex_state = 133, .external_lex_state = 2},
  [205] = {.lex_state = 31, .external_lex_state = 2},
  [206] = {.lex_state = 129, .external_lex_state = 6},
  [207] = {.lex_state = 129, .external_lex_state = 6},
  [208] = {.lex_state = 133, .external_lex_state = 5},
  [209] = {.lex_state = 133, .external_lex_state = 2},
  [210] = {.lex_state = 129, .external_lex_state = 6},
  [211] = {.lex_state = 31, .external_lex_state = 2},
  [212] = {.lex_state = 11, .external_lex_state = 6},
  [213] = {.lex_state = 31, .external_lex_state = 2},
  [214] = {.lex_state = 133, .external_lex_state = 2},
  [215] = {.lex_state = 11, .external_lex_state = 6},
  [216] = {.lex_state = 130, .external_lex_state = 4},
  [217] = {.lex_state = 133, .external_lex_state = 5},
  [218] = {.lex_state = 130, .external_lex_state = 4},
  [219] = {.lex_state = 31, .external_lex_state = 2},
  [220] = {.lex_state = 129, .external_lex_state = 6},
  [221] = {.lex_state = 129, .external_lex_state = 6},
  [222] = {.lex_state = 129, .external_lex_state = 6},
  [223] = {.lex_state = 11, .external_lex_state = 6},
  [224] = {.lex_state = 133, .external_lex_state = 2},
  [225] = {.lex_state = 129, .external_lex_state = 6},
  [226] = {.lex_state = 133, .external_lex_state = 5},
  [227] = {.lex_state = 133, .external_lex_state = 2},
  [228] = {.lex_state = 127, .external_lex_state = 6},
  [229] = {.lex_state = 133, .external_lex_state = 5},
  [230] = {.lex_state = 130, .external_lex_state = 6},
  [231] = {.lex_state = 133, .external_lex_state = 5},
  [232] = {.lex_state = 129, .external_lex_state = 6},
  [233] = {.lex_state = 129, .external_lex_state = 6},
  [234] = {.lex_state = 127, .external_lex_state = 6},
  [235] = {.lex_state = 129, .external_lex_state = 6},
  [236] = {.lex_state = 127, .external_lex_state = 6},
  [237] = {.lex_state = 130, .external_lex_state = 6},
  [238] = {.lex_state = 127, .external_lex_state = 6},
  [239] = {.lex_state = 127, .external_lex_state = 6},
  [240] = {.lex_state = 127, .external_lex_state = 6},
  [241] = {.lex_state = 129, .external_lex_state = 6},
  [242] = {.lex_state = 133, .external_lex_state = 5},
  [243] = {.lex_state = 45, .external_lex_state = 2},
  [244] = {.lex_state = 127, .external_lex_state = 6},
  [245] = {.lex_state = 45, .external_lex_state = 2},
  [246] = {.lex_state = 45, .external_lex_state = 2},
  [247] = {.lex_state = 45, .external_lex_state = 2},
  [248] = {.lex_state = 127, .external_lex_state = 6},
  [249] = {.lex_state = 45, .external_lex_state = 2},
  [250] = {.lex_state = 133, .external_lex_state = 2},
  [251] = {.lex_state = 133, .external_lex_state = 2},
  [252] = {.lex_state = 133, .external_lex_state = 2},
  [253] = {.lex_state = 32, .external_lex_state = 3},
  [254] = {.lex_state = 133, .external_lex_state = 2},
  [255] = {.lex_state = 32, .external_lex_state = 3},
  [256] = {.lex_state = 13, .external_lex_state = 8},
  [257] = {.lex_state = 22, .external_lex_state = 4},
  [258] = {.lex_state = 22, .external_lex_state = 4},
  [259] = {.lex_state = 22, .external_lex_state = 4},
  [260] = {.lex_state = 133, .external_lex_state = 2},
  [261] = {.lex_state = 22, .external_lex_state = 4},
  [262] = {.lex_state = 133, .external_lex_state = 2},
  [263] = {.lex_state = 133, .external_lex_state = 2},
  [264] = {.lex_state = 133, .external_lex_state = 2},
  [265] = {.lex_state = 133, .external_lex_state = 2},
  [266] = {.lex_state = 133, .external_lex_state = 2},
  [267] = {.lex_state = 23, .external_lex_state = 4},
  [268] = {.lex_state = 23, .external_lex_state = 4},
  [269] = {.lex_state = 1, .external_lex_state = 9},
  [270] = {.lex_state = 18, .external_lex_state = 8},
  [271] = {.lex_state = 1, .external_lex_state = 9},
  [272] = {.lex_state = 1, .external_lex_state = 9},
  [273] = {.lex_state = 23, .external_lex_state = 4},
  [274] = {.lex_state = 23, .external_lex_state = 4},
  [275] = {.lex_state = 13, .external_lex_state = 8},
  [276] = {.lex_state = 13, .external_lex_state = 8},
  [277] = {.lex_state = 1, .external_lex_state = 9},
  [278] = {.lex_state = 1, .external_lex_state = 9},
  [279] = {.lex_state = 13, .external_lex_state = 8},
  [280] = {.lex_state = 13, .external_lex_state = 8},
  [281] = {.lex_state = 13, .external_lex_state = 8},
  [282] = {.lex_state = 13, .external_lex_state = 8},
  [283] = {.lex_state = 1, .external_lex_state = 9},
  [284] = {.lex_state = 1, .external_lex_state = 9},
  [285] = {.lex_state = 13, .external_lex_state = 8},
  [286] = {.lex_state = 13, .external_lex_state = 8},
  [287] = {.lex_state = 13, .external_lex_state = 8},
  [288] = {.lex_state = 13, .external_lex_state = 8},
  [289] = {.lex_state = 13, .external_lex_state = 6},
  [290] = {.lex_state = 1, .external_lex_state = 4},
  [291] = {.lex_state = 1, .external_lex_state = 8},
  [292] = {.lex_state = 13, .external_lex_state = 8},
  [293] = {.lex_state = 1, .external_lex_state = 9},
  [294] = {.lex_state = 13, .external_lex_state = 6},
  [295] = {.lex_state = 13, .external_lex_state = 6},
  [296] = {.lex_state = 131, .external_lex_state = 4},
  [297] = {.lex_state = 1, .external_lex_state = 9},
  [298] = {.lex_state = 1, .external_lex_state = 9},
  [299] = {.lex_state = 1, .external_lex_state = 9},
  [300] = {.lex_state = 1, .external_lex_state = 9},
  [301] = {.lex_state = 1, .external_lex_state = 9},
  [302] = {.lex_state = 131, .external_lex_state = 4},
  [303] = {.lex_state = 13, .external_lex_state = 8},
  [304] = {.lex_state = 131, .external_lex_state = 4},
  [305] = {.lex_state = 13, .external_lex_state = 8},
  [306] = {.lex_state = 1, .external_lex_state = 8},
  [307] = {.lex_state = 11, .external_lex_state = 9},
  [308] = {.lex_state = 13, .external_lex_state = 8},
  [309] = {.lex_state = 131, .external_lex_state = 4},
  [310] = {.lex_state = 13, .external_lex_state = 6},
  [311] = {.lex_state = 18, .external_lex_state = 8},
  [312] = {.lex_state = 11, .external_lex_state = 9},
  [313] = {.lex_state = 131, .external_lex_state = 4},
  [314] = {.lex_state = 1, .external_lex_state = 8},
  [315] = {.lex_state = 11, .external_lex_state = 9},
  [316] = {.lex_state = 13, .external_lex_state = 8},
  [317] = {.lex_state = 13, .external_lex_state = 8},
  [318] = {.lex_state = 13, .external_lex_state = 8},
  [319] = {.lex_state = 13, .external_lex_state = 8},
  [320] = {.lex_state = 131, .external_lex_state = 4},
  [321] = {.lex_state = 18, .external_lex_state = 8},
  [322] = {.lex_state = 13, .external_lex_state = 8},
  [323] = {.lex_state = 13, .external_lex_state = 8},
  [324] = {.lex_state = 13, .external_lex_state = 8},
  [325] = {.lex_state = 13, .external_lex_state = 8},
  [326] = {.lex_state = 13, .external_lex_state = 8},
  [327] = {.lex_state = 13, .external_lex_state = 8},
  [328] = {.lex_state = 13, .external_lex_state = 8},
  [329] = {.lex_state = 13, .external_lex_state = 8},
  [330] = {.lex_state = 13, .external_lex_state = 8},
  [331] = {.lex_state = 13, .external_lex_state = 8},
  [332] = {.lex_state = 13, .external_lex_state = 8},
  [333] = {.lex_state = 13, .external_lex_state = 8},
  [334] = {.lex_state = 13, .external_lex_state = 8},
  [335] = {.lex_state = 1, .external_lex_state = 9},
  [336] = {.lex_state = 18, .external_lex_state = 8},
  [337] = {.lex_state = 1, .external_lex_state = 9},
  [338] = {.lex_state = 22, .external_lex_state = 9},
  [339] = {.lex_state = 11, .external_lex_state = 9},
  [340] = {.lex_state = 11, .external_lex_state = 9},
  [341] = {.lex_state = 1, .external_lex_state = 9},
  [342] = {.lex_state = 18, .external_lex_state = 8},
  [343] = {.lex_state = 1, .external_lex_state = 4},
  [344] = {.lex_state = 131, .external_lex_state = 4},
  [345] = {.lex_state = 22, .external_lex_state = 9},
  [346] = {.lex_state = 129, .external_lex_state = 8},
  [347] = {.lex_state = 18, .external_lex_state = 8},
  [348] = {.lex_state = 1, .external_lex_state = 9},
  [349] = {.lex_state = 1, .external_lex_state = 9},
  [350] = {.lex_state = 1, .external_lex_state = 4},
  [351] = {.lex_state = 1, .external_lex_state = 9},
  [352] = {.lex_state = 1, .external_lex_state = 9},
  [353] = {.lex_state = 129, .external_lex_state = 8},
  [354] = {.lex_state = 13, .external_lex_state = 8},
  [355] = {.lex_state = 1, .external_lex_state = 9},
  [356] = {.lex_state = 1, .external_lex_state = 9},
  [357] = {.lex_state = 22, .external_lex_state = 9},
  [358] = {.lex_state = 1, .external_lex_state = 9},
  [359] = {.lex_state = 1, .external_lex_state = 9},
  [360] = {.lex_state = 1, .external_lex_state = 8},
  [361] = {.lex_state = 131, .external_lex_state = 4},
  [362] = {.lex_state = 18, .external_lex_state = 8},
  [363] = {.lex_state = 22, .external_lex_state = 9},
  [364] = {.lex_state = 1, .external_lex_state = 9},
  [365] = {.lex_state = 1, .external_lex_state = 9},
  [366] = {.lex_state = 1, .external_lex_state = 9},
  [367] = {.lex_state = 1, .external_lex_state = 9},
  [368] = {.lex_state = 1, .external_lex_state = 9},
  [369] = {.lex_state = 1, .external_lex_state = 9},
  [370] = {.lex_state = 1, .external_lex_state = 9},
  [371] = {.lex_state = 18, .external_lex_state = 8},
  [372] = {.lex_state = 2, .external_lex_state = 6},
  [373] = {.lex_state = 1, .external_lex_state = 4},
  [374] = {.lex_state = 127, .external_lex_state = 9},
  [375] = {.lex_state = 127, .external_lex_state = 9},
  [376] = {.lex_state = 22, .external_lex_state = 4},
  [377] = {.lex_state = 127, .external_lex_state = 9},
  [378] = {.lex_state = 22, .external_lex_state = 9},
  [379] = {.lex_state = 131, .external_lex_state = 4},
  [380] = {.lex_state = 22, .external_lex_state = 9},
  [381] = {.lex_state = 127, .external_lex_state = 9},
  [382] = {.lex_state = 1, .external_lex_state = 8},
  [383] = {.lex_state = 1, .external_lex_state = 8},
  [384] = {.lex_state = 1, .external_lex_state = 8},
  [385] = {.lex_state = 1, .external_lex_state = 6},
  [386] = {.lex_state = 1, .external_lex_state = 8},
  [387] = {.lex_state = 1, .external_lex_state = 8},
  [388] = {.lex_state = 1, .external_lex_state = 8},
  [389] = {.lex_state = 127, .external_lex_state = 9},
  [390] = {.lex_state = 1, .external_lex_state = 8},
  [391] = {.lex_state = 1, .external_lex_state = 8},
  [392] = {.lex_state = 129, .external_lex_state = 8},
  [393] = {.lex_state = 1, .external_lex_state = 8},
  [394] = {.lex_state = 1, .external_lex_state = 8},
  [395] = {.lex_state = 1, .external_lex_state = 8},
  [396] = {.lex_state = 1, .external_lex_state = 8},
  [397] = {.lex_state = 1, .external_lex_state = 8},
  [398] = {.lex_state = 1, .external_lex_state = 8},
  [399] = {.lex_state = 1, .external_lex_state = 8},
  [400] = {.lex_state = 129, .external_lex_state = 8},
  [401] = {.lex_state = 1, .external_lex_state = 8},
  [402] = {.lex_state = 1, .external_lex_state = 8},
  [403] = {.lex_state = 1, .external_lex_state = 8},
  [404] = {.lex_state = 1, .external_lex_state = 8},
  [405] = {.lex_state = 1, .external_lex_state = 8},
  [406] = {.lex_state = 22, .external_lex_state = 9},
  [407] = {.lex_state = 18, .external_lex_state = 8},
  [408] = {.lex_state = 22, .external_lex_state = 9},
  [409] = {.lex_state = 22, .external_lex_state = 9},
  [410] = {.lex_state = 22, .external_lex_state = 4},
  [411] = {.lex_state = 18, .external_lex_state = 8},
  [412] = {.lex_state = 131, .external_lex_state = 4},
  [413] = {.lex_state = 18, .external_lex_state = 8},
  [414] = {.lex_state = 22, .external_lex_state = 9},
  [415] = {.lex_state = 22, .external_lex_state = 9},
  [416] = {.lex_state = 129, .external_lex_state = 8},
  [417] = {.lex_state = 1, .external_lex_state = 4},
  [418] = {.lex_state = 22, .external_lex_state = 9},
  [419] = {.lex_state = 22, .external_lex_state = 9},
  [420] = {.lex_state = 22, .external_lex_state = 9},
  [421] = {.lex_state = 18, .external_lex_state = 8},
  [422] = {.lex_state = 18, .external_lex_state = 6},
  [423] = {.lex_state = 22, .external_lex_state = 9},
  [424] = {.lex_state = 131, .external_lex_state = 4},
  [425] = {.lex_state = 129, .external_lex_state = 8},
  [426] = {.lex_state = 18, .external_lex_state = 8},
  [427] = {.lex_state = 22, .external_lex_state = 9},
  [428] = {.lex_state = 22, .external_lex_state = 9},
  [429] = {.lex_state = 127, .external_lex_state = 9},
  [430] = {.lex_state = 22, .external_lex_state = 9},
  [431] = {.lex_state = 22, .external_lex_state = 9},
  [432] = {.lex_state = 22, .external_lex_state = 9},
  [433] = {.lex_state = 22, .external_lex_state = 9},
  [434] = {.lex_state = 22, .external_lex_state = 9},
  [435] = {.lex_state = 22, .external_lex_state = 9},
  [436] = {.lex_state = 22, .external_lex_state = 9},
  [437] = {.lex_state = 22, .external_lex_state = 9},
  [438] = {.lex_state = 22, .external_lex_state = 9},
  [439] = {.lex_state = 22, .external_lex_state = 9},
  [440] = {.lex_state = 127, .external_lex_state = 9},
  [441] = {.lex_state = 22, .external_lex_state = 9},
  [442] = {.lex_state = 11, .external_lex_state = 9},
  [443] = {.lex_state = 1, .external_lex_state = 4},
  [444] = {.lex_state = 11, .external_lex_state = 9},
  [445] = {.lex_state = 11, .external_lex_state = 9},
  [446] = {.lex_state = 23, .external_lex_state = 9},
  [447] = {.lex_state = 18, .external_lex_state = 6},
  [448] = {.lex_state = 22, .external_lex_state = 9},
  [449] = {.lex_state = 11, .external_lex_state = 9},
  [450] = {.lex_state = 129, .external_lex_state = 8},
  [451] = {.lex_state = 11, .external_lex_state = 9},
  [452] = {.lex_state = 1, .external_lex_state = 4},
  [453] = {.lex_state = 11, .external_lex_state = 9},
  [454] = {.lex_state = 22, .external_lex_state = 9},
  [455] = {.lex_state = 1, .external_lex_state = 8},
  [456] = {.lex_state = 18, .external_lex_state = 8},
  [457] = {.lex_state = 18, .external_lex_state = 8},
  [458] = {.lex_state = 11, .external_lex_state = 8},
  [459] = {.lex_state = 11, .external_lex_state = 8},
  [460] = {.lex_state = 11, .external_lex_state = 4},
  [461] = {.lex_state = 1, .external_lex_state = 8},
  [462] = {.lex_state = 18, .external_lex_state = 8},
  [463] = {.lex_state = 18, .external_lex_state = 6},
  [464] = {.lex_state = 1, .external_lex_state = 8},
  [465] = {.lex_state = 1, .external_lex_state = 8},
  [466] = {.lex_state = 18, .external_lex_state = 6},
  [467] = {.lex_state = 11, .external_lex_state = 4},
  [468] = {.lex_state = 11, .external_lex_state = 8},
  [469] = {.lex_state = 18, .external_lex_state = 8},
  [470] = {.lex_state = 18, .external_lex_state = 8},
  [471] = {.lex_state = 18, .external_lex_state = 8},
  [472] = {.lex_state = 18, .external_lex_state = 8},
  [473] = {.lex_state = 18, .external_lex_state = 8},
  [474] = {.lex_state = 18, .external_lex_state = 8},
  [475] = {.lex_state = 18, .external_lex_state = 8},
  [476] = {.lex_state = 18, .external_lex_state = 8},
  [477] = {.lex_state = 18, .external_lex_state = 8},
  [478] = {.lex_state = 18, .external_lex_state = 8},
  [479] = {.lex_state = 18, .external_lex_state = 8},
  [480] = {.lex_state = 18, .external_lex_state = 8},
  [481] = {.lex_state = 18, .external_lex_state = 8},
  [482] = {.lex_state = 18, .external_lex_state = 8},
  [483] = {.lex_state = 18, .external_lex_state = 8},
  [484] = {.lex_state = 18, .external_lex_state = 8},
  [485] = {.lex_state = 18, .external_lex_state = 8},
  [486] = {.lex_state = 13, .external_lex_state = 6},
  [487] = {.lex_state = 11, .external_lex_state = 9},
  [488] = {.lex_state = 11, .external_lex_state = 9},
  [489] = {.lex_state = 23, .external_lex_state = 9},
  [490] = {.lex_state = 11, .external_lex_state = 9},
  [491] = {.lex_state = 1, .external_lex_state = 8},
  [492] = {.lex_state = 11, .external_lex_state = 4},
  [493] = {.lex_state = 1, .external_lex_state = 8},
  [494] = {.lex_state = 23, .external_lex_state = 9},
  [495] = {.lex_state = 11, .external_lex_state = 9},
  [496] = {.lex_state = 11, .external_lex_state = 9},
  [497] = {.lex_state = 129, .external_lex_state = 8},
  [498] = {.lex_state = 11, .external_lex_state = 9},
  [499] = {.lex_state = 11, .external_lex_state = 9},
  [500] = {.lex_state = 129, .external_lex_state = 8},
  [501] = {.lex_state = 11, .external_lex_state = 9},
  [502] = {.lex_state = 11, .external_lex_state = 9},
  [503] = {.lex_state = 131, .external_lex_state = 4},
  [504] = {.lex_state = 129, .external_lex_state = 8},
  [505] = {.lex_state = 13, .external_lex_state = 6},
  [506] = {.lex_state = 11, .external_lex_state = 9},
  [507] = {.lex_state = 11, .external_lex_state = 9},
  [508] = {.lex_state = 11, .external_lex_state = 9},
  [509] = {.lex_state = 11, .external_lex_state = 9},
  [510] = {.lex_state = 11, .external_lex_state = 9},
  [511] = {.lex_state = 131, .external_lex_state = 4},
  [512] = {.lex_state = 11, .external_lex_state = 9},
  [513] = {.lex_state = 131, .external_lex_state = 4},
  [514] = {.lex_state = 11, .external_lex_state = 9},
  [515] = {.lex_state = 11, .external_lex_state = 9},
  [516] = {.lex_state = 11, .external_lex_state = 9},
  [517] = {.lex_state = 129, .external_lex_state = 8},
  [518] = {.lex_state = 11, .external_lex_state = 9},
  [519] = {.lex_state = 11, .external_lex_state = 9},
  [520] = {.lex_state = 11, .external_lex_state = 8},
  [521] = {.lex_state = 131, .external_lex_state = 4},
  [522] = {.lex_state = 129, .external_lex_state = 8},
  [523] = {.lex_state = 13, .external_lex_state = 6},
  [524] = {.lex_state = 129, .external_lex_state = 8},
  [525] = {.lex_state = 1, .external_lex_state = 6},
  [526] = {.lex_state = 127, .external_lex_state = 9},
  [527] = {.lex_state = 127, .external_lex_state = 9},
  [528] = {.lex_state = 127, .external_lex_state = 9},
  [529] = {.lex_state = 13, .external_lex_state = 6},
  [530] = {.lex_state = 131, .external_lex_state = 4},
  [531] = {.lex_state = 129, .external_lex_state = 8},
  [532] = {.lex_state = 23, .external_lex_state = 9},
  [533] = {.lex_state = 129, .external_lex_state = 6},
  [534] = {.lex_state = 129, .external_lex_state = 8},
  [535] = {.lex_state = 127, .external_lex_state = 9},
  [536] = {.lex_state = 127, .external_lex_state = 9},
  [537] = {.lex_state = 127, .external_lex_state = 9},
  [538] = {.lex_state = 127, .external_lex_state = 9},
  [539] = {.lex_state = 127, .external_lex_state = 9},
  [540] = {.lex_state = 127, .external_lex_state = 9},
  [541] = {.lex_state = 127, .external_lex_state = 9},
  [542] = {.lex_state = 127, .external_lex_state = 9},
  [543] = {.lex_state = 129, .external_lex_state = 8},
  [544] = {.lex_state = 127, .external_lex_state = 9},
  [545] = {.lex_state = 129, .external_lex_state = 8},
  [546] = {.lex_state = 127, .external_lex_state = 9},
  [547] = {.lex_state = 127, .external_lex_state = 9},
  [548] = {.lex_state = 127, .external_lex_state = 9},
  [549] = {.lex_state = 127, .external_lex_state = 9},
  [550] = {.lex_state = 127, .external_lex_state = 9},
  [551] = {.lex_state = 127, .external_lex_state = 8},
  [552] = {.lex_state = 127, .external_lex_state = 9},
  [553] = {.lex_state = 3, .external_lex_state = 6},
  [554] = {.lex_state = 23, .external_lex_state = 9},
  [555] = {.lex_state = 23, .external_lex_state = 9},
  [556] = {.lex_state = 23, .external_lex_state = 9},
  [557] = {.lex_state = 23, .external_lex_state = 9},
  [558] = {.lex_state = 23, .external_lex_state = 9},
  [559] = {.lex_state = 23, .external_lex_state = 9},
  [560] = {.lex_state = 23, .external_lex_state = 9},
  [561] = {.lex_state = 23, .external_lex_state = 9},
  [562] = {.lex_state = 23, .external_lex_state = 9},
  [563] = {.lex_state = 23, .external_lex_state = 9},
  [564] = {.lex_state = 23, .external_lex_state = 9},
  [565] = {.lex_state = 23, .external_lex_state = 9},
  [566] = {.lex_state = 23, .external_lex_state = 9},
  [567] = {.lex_state = 127, .external_lex_state = 9},
  [568] = {.lex_state = 23, .external_lex_state = 9},
  [569] = {.lex_state = 23, .external_lex_state = 9},
  [570] = {.lex_state = 23, .external_lex_state = 9},
  [571] = {.lex_state = 23, .external_lex_state = 9},
  [572] = {.lex_state = 23, .external_lex_state = 4},
  [573] = {.lex_state = 127, .external_lex_state = 9},
  [574] = {.lex_state = 23, .external_lex_state = 9},
  [575] = {.lex_state = 23, .external_lex_state = 9},
  [576] = {.lex_state = 23, .external_lex_state = 9},
  [577] = {.lex_state = 127, .external_lex_state = 8},
  [578] = {.lex_state = 11, .external_lex_state = 8},
  [579] = {.lex_state = 127, .external_lex_state = 9},
  [580] = {.lex_state = 127, .external_lex_state = 9},
  [581] = {.lex_state = 127, .external_lex_state = 4},
  [582] = {.lex_state = 127, .external_lex_state = 9},
  [583] = {.lex_state = 127, .external_lex_state = 9},
  [584] = {.lex_state = 11, .external_lex_state = 8},
  [585] = {.lex_state = 127, .external_lex_state = 9},
  [586] = {.lex_state = 129, .external_lex_state = 8},
  [587] = {.lex_state = 127, .external_lex_state = 9},
  [588] = {.lex_state = 127, .external_lex_state = 9},
  [589] = {.lex_state = 127, .external_lex_state = 9},
  [590] = {.lex_state = 127, .external_lex_state = 8},
  [591] = {.lex_state = 11, .external_lex_state = 8},
  [592] = {.lex_state = 11, .external_lex_state = 8},
  [593] = {.lex_state = 11, .external_lex_state = 8},
  [594] = {.lex_state = 11, .external_lex_state = 8},
  [595] = {.lex_state = 131, .external_lex_state = 9},
  [596] = {.lex_state = 131, .external_lex_state = 9},
  [597] = {.lex_state = 131, .external_lex_state = 9},
  [598] = {.lex_state = 131, .external_lex_state = 9},
  [599] = {.lex_state = 125, .external_lex_state = 6},
  [600] = {.lex_state = 129, .external_lex_state = 8},
  [601] = {.lex_state = 11, .external_lex_state = 8},
  [602] = {.lex_state = 11, .external_lex_state = 8},
  [603] = {.lex_state = 11, .external_lex_state = 8},
  [604] = {.lex_state = 129, .external_lex_state = 8},
  [605] = {.lex_state = 129, .external_lex_state = 8},
  [606] = {.lex_state = 129, .external_lex_state = 8},
  [607] = {.lex_state = 129, .external_lex_state = 8},
  [608] = {.lex_state = 129, .external_lex_state = 8},
  [609] = {.lex_state = 129, .external_lex_state = 8},
  [610] = {.lex_state = 129, .external_lex_state = 8},
  [611] = {.lex_state = 11, .external_lex_state = 4},
  [612] = {.lex_state = 129, .external_lex_state = 8},
  [613] = {.lex_state = 11, .external_lex_state = 4},
  [614] = {.lex_state = 11, .external_lex_state = 8},
  [615] = {.lex_state = 131, .external_lex_state = 9},
  [616] = {.lex_state = 11, .external_lex_state = 4},
  [617] = {.lex_state = 131, .external_lex_state = 9},
  [618] = {.lex_state = 129, .external_lex_state = 8},
  [619] = {.lex_state = 11, .external_lex_state = 8},
  [620] = {.lex_state = 129, .external_lex_state = 8},
  [621] = {.lex_state = 129, .external_lex_state = 8},
  [622] = {.lex_state = 129, .external_lex_state = 8},
  [623] = {.lex_state = 129, .external_lex_state = 6},
  [624] = {.lex_state = 11, .external_lex_state = 8},
  [625] = {.lex_state = 11, .external_lex_state = 8},
  [626] = {.lex_state = 129, .external_lex_state = 8},
  [627] = {.lex_state = 11, .external_lex_state = 8},
  [628] = {.lex_state = 11, .external_lex_state = 8},
  [629] = {.lex_state = 11, .external_lex_state = 8},
  [630] = {.lex_state = 11, .external_lex_state = 8},
  [631] = {.lex_state = 11, .external_lex_state = 6},
  [632] = {.lex_state = 23, .external_lex_state = 4},
  [633] = {.lex_state = 127, .external_lex_state = 8},
  [634] = {.lex_state = 11, .external_lex_state = 8},
  [635] = {.lex_state = 11, .external_lex_state = 8},
  [636] = {.lex_state = 11, .external_lex_state = 8},
  [637] = {.lex_state = 127, .external_lex_state = 8},
  [638] = {.lex_state = 127, .external_lex_state = 4},
  [639] = {.lex_state = 127, .external_lex_state = 8},
  [640] = {.lex_state = 127, .external_lex_state = 9},
  [641] = {.lex_state = 129, .external_lex_state = 8},
  [642] = {.lex_state = 127, .external_lex_state = 9},
  [643] = {.lex_state = 127, .external_lex_state = 9},
  [644] = {.lex_state = 129, .external_lex_state = 8},
  [645] = {.lex_state = 129, .external_lex_state = 8},
  [646] = {.lex_state = 129, .external_lex_state = 8},
  [647] = {.lex_state = 129, .external_lex_state = 8},
  [648] = {.lex_state = 129, .external_lex_state = 8},
  [649] = {.lex_state = 129, .external_lex_state = 8},
  [650] = {.lex_state = 127, .external_lex_state = 9},
  [651] = {.lex_state = 127, .external_lex_state = 9},
  [652] = {.lex_state = 127, .external_lex_state = 9},
  [653] = {.lex_state = 127, .external_lex_state = 9},
  [654] = {.lex_state = 127, .external_lex_state = 9},
  [655] = {.lex_state = 127, .external_lex_state = 9},
  [656] = {.lex_state = 127, .external_lex_state = 9},
  [657] = {.lex_state = 22, .external_lex_state = 4},
  [658] = {.lex_state = 127, .external_lex_state = 9},
  [659] = {.lex_state = 127, .external_lex_state = 9},
  [660] = {.lex_state = 127, .external_lex_state = 9},
  [661] = {.lex_state = 127, .external_lex_state = 9},
  [662] = {.lex_state = 22, .external_lex_state = 4},
  [663] = {.lex_state = 127, .external_lex_state = 9},
  [664] = {.lex_state = 127, .external_lex_state = 9},
  [665] = {.lex_state = 127, .external_lex_state = 9},
  [666] = {.lex_state = 127, .external_lex_state = 9},
  [667] = {.lex_state = 127, .external_lex_state = 9},
  [668] = {.lex_state = 127, .external_lex_state = 9},
  [669] = {.lex_state = 127, .external_lex_state = 9},
  [670] = {.lex_state = 23, .external_lex_state = 9},
  [671] = {.lex_state = 129, .external_lex_state = 6},
  [672] = {.lex_state = 23, .external_lex_state = 9},
  [673] = {.lex_state = 129, .external_lex_state = 6},
  [674] = {.lex_state = 22, .external_lex_state = 4},
  [675] = {.lex_state = 127, .external_lex_state = 9},
  [676] = {.lex_state = 129, .external_lex_state = 8},
  [677] = {.lex_state = 129, .external_lex_state = 8},
  [678] = {.lex_state = 129, .external_lex_state = 8},
  [679] = {.lex_state = 129, .external_lex_state = 8},
  [680] = {.lex_state = 127, .external_lex_state = 9},
  [681] = {.lex_state = 127, .external_lex_state = 9},
  [682] = {.lex_state = 127, .external_lex_state = 9},
  [683] = {.lex_state = 23, .external_lex_state = 9},
  [684] = {.lex_state = 127, .external_lex_state = 9},
  [685] = {.lex_state = 23, .external_lex_state = 9},
  [686] = {.lex_state = 129, .external_lex_state = 8},
  [687] = {.lex_state = 11, .external_lex_state = 4},
  [688] = {.lex_state = 129, .external_lex_state = 8},
  [689] = {.lex_state = 23, .external_lex_state = 9},
  [690] = {.lex_state = 127, .external_lex_state = 9},
  [691] = {.lex_state = 129, .external_lex_state = 8},
  [692] = {.lex_state = 129, .external_lex_state = 8},
  [693] = {.lex_state = 129, .external_lex_state = 8},
  [694] = {.lex_state = 129, .external_lex_state = 8},
  [695] = {.lex_state = 127, .external_lex_state = 4},
  [696] = {.lex_state = 127, .external_lex_state = 8},
  [697] = {.lex_state = 23, .external_lex_state = 9},
  [698] = {.lex_state = 1, .external_lex_state = 6},
  [699] = {.lex_state = 127, .external_lex_state = 4},
  [700] = {.lex_state = 129, .external_lex_state = 8},
  [701] = {.lex_state = 129, .external_lex_state = 8},
  [702] = {.lex_state = 129, .external_lex_state = 8},
  [703] = {.lex_state = 129, .external_lex_state = 8},
  [704] = {.lex_state = 129, .external_lex_state = 8},
  [705] = {.lex_state = 129, .external_lex_state = 8},
  [706] = {.lex_state = 129, .external_lex_state = 8},
  [707] = {.lex_state = 129, .external_lex_state = 8},
  [708] = {.lex_state = 129, .external_lex_state = 8},
  [709] = {.lex_state = 129, .external_lex_state = 6},
  [710] = {.lex_state = 129, .external_lex_state = 6},
  [711] = {.lex_state = 22, .external_lex_state = 4},
  [712] = {.lex_state = 131, .external_lex_state = 9},
  [713] = {.lex_state = 129, .external_lex_state = 6},
  [714] = {.lex_state = 129, .external_lex_state = 8},
  [715] = {.lex_state = 129, .external_lex_state = 8},
  [716] = {.lex_state = 18, .external_lex_state = 6},
  [717] = {.lex_state = 129, .external_lex_state = 8},
  [718] = {.lex_state = 127, .external_lex_state = 4},
  [719] = {.lex_state = 11, .external_lex_state = 8},
  [720] = {.lex_state = 127, .external_lex_state = 8},
  [721] = {.lex_state = 11, .external_lex_state = 8},
  [722] = {.lex_state = 129, .external_lex_state = 8},
  [723] = {.lex_state = 129, .external_lex_state = 6},
  [724] = {.lex_state = 129, .external_lex_state = 8},
  [725] = {.lex_state = 131, .external_lex_state = 9},
  [726] = {.lex_state = 11, .external_lex_state = 8},
  [727] = {.lex_state = 11, .external_lex_state = 8},
  [728] = {.lex_state = 11, .external_lex_state = 8},
  [729] = {.lex_state = 11, .external_lex_state = 8},
  [730] = {.lex_state = 129, .external_lex_state = 8},
  [731] = {.lex_state = 127, .external_lex_state = 4},
  [732] = {.lex_state = 129, .external_lex_state = 8},
  [733] = {.lex_state = 18, .external_lex_state = 6},
  [734] = {.lex_state = 18, .external_lex_state = 6},
  [735] = {.lex_state = 11, .external_lex_state = 6},
  [736] = {.lex_state = 129, .external_lex_state = 8},
  [737] = {.lex_state = 18, .external_lex_state = 6},
  [738] = {.lex_state = 127, .external_lex_state = 4},
  [739] = {.lex_state = 131, .external_lex_state = 9},
  [740] = {.lex_state = 127, .external_lex_state = 8},
  [741] = {.lex_state = 127, .external_lex_state = 8},
  [742] = {.lex_state = 127, .external_lex_state = 8},
  [743] = {.lex_state = 127, .external_lex_state = 8},
  [744] = {.lex_state = 23, .external_lex_state = 4},
  [745] = {.lex_state = 127, .external_lex_state = 8},
  [746] = {.lex_state = 127, .external_lex_state = 8},
  [747] = {.lex_state = 46, .external_lex_state = 2},
  [748] = {.lex_state = 127, .external_lex_state = 8},
  [749] = {.lex_state = 46, .external_lex_state = 2},
  [750] = {.lex_state = 131, .external_lex_state = 4},
  [751] = {.lex_state = 127, .external_lex_state = 8},
  [752] = {.lex_state = 127, .external_lex_state = 8},
  [753] = {.lex_state = 127, .external_lex_state = 4},
  [754] = {.lex_state = 127, .external_lex_state = 8},
  [755] = {.lex_state = 127, .external_lex_state = 8},
  [756] = {.lex_state = 127, .external_lex_state = 8},
  [757] = {.lex_state = 127, .external_lex_state = 8},
  [758] = {.lex_state = 127, .external_lex_state = 8},
  [759] = {.lex_state = 127, .external_lex_state = 8},
  [760] = {.lex_state = 127, .external_lex_state = 8},
  [761] = {.lex_state = 129, .external_lex_state = 6},
  [762] = {.lex_state = 127, .external_lex_state = 8},
  [763] = {.lex_state = 127, .external_lex_state = 8},
  [764] = {.lex_state = 127, .external_lex_state = 8},
  [765] = {.lex_state = 127, .external_lex_state = 8},
  [766] = {.lex_state = 127, .external_lex_state = 8},
  [767] = {.lex_state = 127, .external_lex_state = 8},
  [768] = {.lex_state = 127, .external_lex_state = 8},
  [769] = {.lex_state = 127, .external_lex_state = 8},
  [770] = {.lex_state = 127, .external_lex_state = 8},
  [771] = {.lex_state = 46, .external_lex_state = 2},
  [772] = {.lex_state = 127, .external_lex_state = 8},
  [773] = {.lex_state = 127, .external_lex_state = 6},
  [774] = {.lex_state = 125, .external_lex_state = 6},
  [775] = {.lex_state = 131, .external_lex_state = 9},
  [776] = {.lex_state = 127, .external_lex_state = 4},
  [777] = {.lex_state = 131, .external_lex_state = 9},
  [778] = {.lex_state = 131, .external_lex_state = 9},
  [779] = {.lex_state = 131, .external_lex_state = 9},
  [780] = {.lex_state = 131, .external_lex_state = 9},
  [781] = {.lex_state = 131, .external_lex_state = 9},
  [782] = {.lex_state = 131, .external_lex_state = 9},
  [783] = {.lex_state = 131, .external_lex_state = 9},
  [784] = {.lex_state = 131, .external_lex_state = 9},
  [785] = {.lex_state = 131, .external_lex_state = 9},
  [786] = {.lex_state = 127, .external_lex_state = 6},
  [787] = {.lex_state = 131, .external_lex_state = 9},
  [788] = {.lex_state = 131, .external_lex_state = 9},
  [789] = {.lex_state = 131, .external_lex_state = 9},
  [790] = {.lex_state = 131, .external_lex_state = 9},
  [791] = {.lex_state = 131, .external_lex_state = 9},
  [792] = {.lex_state = 131, .external_lex_state = 9},
  [793] = {.lex_state = 131, .external_lex_state = 9},
  [794] = {.lex_state = 131, .external_lex_state = 9},
  [795] = {.lex_state = 131, .external_lex_state = 4},
  [796] = {.lex_state = 131, .external_lex_state = 9},
  [797] = {.lex_state = 131, .external_lex_state = 9},
  [798] = {.lex_state = 46, .external_lex_state = 2},
  [799] = {.lex_state = 131, .external_lex_state = 9},
  [800] = {.lex_state = 131, .external_lex_state = 9},
  [801] = {.lex_state = 131, .external_lex_state = 4},
  [802] = {.lex_state = 131, .external_lex_state = 9},
  [803] = {.lex_state = 127, .external_lex_state = 4},
  [804] = {.lex_state = 131, .external_lex_state = 9},
  [805] = {.lex_state = 129, .external_lex_state = 6},
  [806] = {.lex_state = 131, .external_lex_state = 9},
  [807] = {.lex_state = 131, .external_lex_state = 9},
  [808] = {.lex_state = 131, .external_lex_state = 9},
  [809] = {.lex_state = 131, .external_lex_state = 9},
  [810] = {.lex_state = 131, .external_lex_state = 9},
  [811] = {.lex_state = 131, .external_lex_state = 9},
  [812] = {.lex_state = 131, .external_lex_state = 9},
  [813] = {.lex_state = 131, .external_lex_state = 9},
  [814] = {.lex_state = 127, .external_lex_state = 4},
  [815] = {.lex_state = 131, .external_lex_state = 9},
  [816] = {.lex_state = 131, .external_lex_state = 9},
  [817] = {.lex_state = 131, .external_lex_state = 9},
  [818] = {.lex_state = 131, .external_lex_state = 9},
  [819] = {.lex_state = 131, .external_lex_state = 9},
  [820] = {.lex_state = 131, .external_lex_state = 9},
  [821] = {.lex_state = 131, .external_lex_state = 9},
  [822] = {.lex_state = 131, .external_lex_state = 9},
  [823] = {.lex_state = 131, .external_lex_state = 9},
  [824] = {.lex_state = 131, .external_lex_state = 9},
  [825] = {.lex_state = 131, .external_lex_state = 4},
  [826] = {.lex_state = 131, .external_lex_state = 9},
  [827] = {.lex_state = 131, .external_lex_state = 9},
  [828] = {.lex_state = 129, .external_lex_state = 6},
  [829] = {.lex_state = 131, .external_lex_state = 9},
  [830] = {.lex_state = 131, .external_lex_state = 9},
  [831] = {.lex_state = 131, .external_lex_state = 9},
  [832] = {.lex_state = 129, .external_lex_state = 6},
  [833] = {.lex_state = 131, .external_lex_state = 9},
  [834] = {.lex_state = 131, .external_lex_state = 9},
  [835] = {.lex_state = 131, .external_lex_state = 9},
  [836] = {.lex_state = 131, .external_lex_state = 9},
  [837] = {.lex_state = 129, .external_lex_state = 6},
  [838] = {.lex_state = 23, .external_lex_state = 4},
  [839] = {.lex_state = 23, .external_lex_state = 4},
  [840] = {.lex_state = 46, .external_lex_state = 2},
  [841] = {.lex_state = 129, .external_lex_state = 6},
  [842] = {.lex_state = 11, .external_lex_state = 6},
  [843] = {.lex_state = 23, .external_lex_state = 4},
  [844] = {.lex_state = 127, .external_lex_state = 6},
  [845] = {.lex_state = 127, .external_lex_state = 8},
  [846] = {.lex_state = 127, .external_lex_state = 8},
  [847] = {.lex_state = 127, .external_lex_state = 8},
  [848] = {.lex_state = 127, .external_lex_state = 8},
  [849] = {.lex_state = 127, .external_lex_state = 8},
  [850] = {.lex_state = 127, .external_lex_state = 8},
  [851] = {.lex_state = 127, .external_lex_state = 8},
  [852] = {.lex_state = 127, .external_lex_state = 8},
  [853] = {.lex_state = 127, .external_lex_state = 8},
  [854] = {.lex_state = 127, .external_lex_state = 8},
  [855] = {.lex_state = 127, .external_lex_state = 8},
  [856] = {.lex_state = 127, .external_lex_state = 8},
  [857] = {.lex_state = 127, .external_lex_state = 8},
  [858] = {.lex_state = 127, .external_lex_state = 8},
  [859] = {.lex_state = 127, .external_lex_state = 8},
  [860] = {.lex_state = 127, .external_lex_state = 8},
  [861] = {.lex_state = 127, .external_lex_state = 8},
  [862] = {.lex_state = 127, .external_lex_state = 8},
  [863] = {.lex_state = 127, .external_lex_state = 6},
  [864] = {.lex_state = 127, .external_lex_state = 8},
  [865] = {.lex_state = 127, .external_lex_state = 8},
  [866] = {.lex_state = 127, .external_lex_state = 8},
  [867] = {.lex_state = 127, .external_lex_state = 4},
  [868] = {.lex_state = 127, .external_lex_state = 4},
  [869] = {.lex_state = 127, .external_lex_state = 8},
  [870] = {.lex_state = 127, .external_lex_state = 8},
  [871] = {.lex_state = 127, .external_lex_state = 8},
  [872] = {.lex_state = 127, .external_lex_state = 8},
  [873] = {.lex_state = 127, .external_lex_state = 8},
  [874] = {.lex_state = 127, .external_lex_state = 4},
  [875] = {.lex_state = 129, .external_lex_state = 6},
  [876] = {.lex_state = 129, .external_lex_state = 6},
  [877] = {.lex_state = 131, .external_lex_state = 4},
  [878] = {.lex_state = 131, .external_lex_state = 4},
  [879] = {.lex_state = 131, .external_lex_state = 4},
  [880] = {.lex_state = 131, .external_lex_state = 4},
  [881] = {.lex_state = 131, .external_lex_state = 4},
  [882] = {.lex_state = 131, .external_lex_state = 4},
  [883] = {.lex_state = 127, .external_lex_state = 6},
  [884] = {.lex_state = 8, .external_lex_state = 10},
  [885] = {.lex_state = 127, .external_lex_state = 6},
  [886] = {.lex_state = 131, .external_lex_state = 4},
  [887] = {.lex_state = 131, .external_lex_state = 4},
  [888] = {.lex_state = 10, .external_lex_state = 10},
  [889] = {.lex_state = 10, .external_lex_state = 10},
  [890] = {.lex_state = 10, .external_lex_state = 10},
  [891] = {.lex_state = 10, .external_lex_state = 10},
  [892] = {.lex_state = 10, .external_lex_state = 10},
  [893] = {.lex_state = 10, .external_lex_state = 10},
  [894] = {.lex_state = 10, .external_lex_state = 10},
  [895] = {.lex_state = 10, .external_lex_state = 10},
  [896] = {.lex_state = 10, .external_lex_state = 10},
  [897] = {.lex_state = 29, .external_lex_state = 2},
  [898] = {.lex_state = 38},
  [899] = {.lex_state = 37, .external_lex_state = 11},
  [900] = {.lex_state = 37},
  [901] = {.lex_state = 43, .external_lex_state = 12},
  [902] = {.lex_state = 44, .external_lex_state = 13},
  [903] = {.lex_state = 44, .external_lex_state = 13},
  [904] = {.lex_state = 43, .external_lex_state = 12},
  [905] = {.lex_state = 43, .external_lex_state = 12},
  [906] = {.lex_state = 43, .external_lex_state = 12},
  [907] = {.lex_state = 43, .external_lex_state = 12},
  [908] = {.lex_state = 43, .external_lex_state = 12},
  [909] = {.lex_state = 43, .external_lex_state = 12},
  [910] = {.lex_state = 44, .external_lex_state = 13},
  [911] = {.lex_state = 44, .external_lex_state = 13},
  [912] = {.lex_state = 44, .external_lex_state = 13},
  [913] = {.lex_state = 43, .external_lex_state = 12},
  [914] = {.lex_state = 43, .external_lex_state = 12},
  [915] = {.lex_state = 43, .external_lex_state = 12},
  [916] = {.lex_state = 43, .external_lex_state = 12},
  [917] = {.lex_state = 43, .external_lex_state = 12},
  [918] = {.lex_state = 43, .external_lex_state = 12},
  [919] = {.lex_state = 44, .external_lex_state = 13},
  [920] = {.lex_state = 44, .external_lex_state = 13},
  [921] = {.lex_state = 44, .external_lex_state = 13},
  [922] = {.lex_state = 44, .external_lex_state = 13},
  [923] = {.lex_state = 44, .external_lex_state = 13},
  [924] = {.lex_state = 44, .external_lex_state = 13},
  [925] = {.lex_state = 44, .external_lex_state = 13},
  [926] = {.lex_state = 43, .external_lex_state = 12},
  [927] = {.lex_state = 43, .external_lex_state = 12},
  [928] = {.lex_state = 43, .external_lex_state = 12},
  [929] = {.lex_state = 43, .external_lex_state = 12},
  [930] = {.lex_state = 43, .external_lex_state = 12},
  [931] = {.lex_state = 44, .external_lex_state = 13},
  [932] = {.lex_state = 44, .external_lex_state = 13},
  [933] = {.lex_state = 44, .external_lex_state = 13},
  [934] = {.lex_state = 43, .external_lex_state = 12},
  [935] = {.lex_state = 44, .external_lex_state = 13},
  [936] = {.lex_state = 44, .external_lex_state = 13},
  [937] = {.lex_state = 33},
  [938] = {.lex_state = 44, .external_lex_state = 13},
  [939] = {.lex_state = 43, .external_lex_state = 12},
  [940] = {.lex_state = 43, .external_lex_state = 12},
  [941] = {.lex_state = 44, .external_lex_state = 13},
  [942] = {.lex_state = 44, .external_lex_state = 13},
  [943] = {.lex_state = 43, .external_lex_state = 12},
  [944] = {.lex_state = 43, .external_lex_state = 12},
  [945] = {.lex_state = 43, .external_lex_state = 12},
  [946] = {.lex_state = 44, .external_lex_state = 13},
  [947] = {.lex_state = 44, .external_lex_state = 13},
  [948] = {.lex_state = 44, .external_lex_state = 13},
  [949] = {.lex_state = 43, .external_lex_state = 12},
  [950] = {.lex_state = 44, .external_lex_state = 13},
  [951] = {.lex_state = 44, .external_lex_state = 13},
  [952] = {.lex_state = 43, .external_lex_state = 12},
  [953] = {.lex_state = 44, .external_lex_state = 13},
  [954] = {.lex_state = 44, .external_lex_state = 13},
  [955] = {.lex_state = 44, .external_lex_state = 13},
  [956] = {.lex_state = 44, .external_lex_state = 13},
  [957] = {.lex_state = 43, .external_lex_state = 12},
  [958] = {.lex_state = 44, .external_lex_state = 13},
  [959] = {.lex_state = 44, .external_lex_state = 13},
  [960] = {.lex_state = 43, .external_lex_state = 12},
  [961] = {.lex_state = 43, .external_lex_state = 12},
  [962] = {.lex_state = 43, .external_lex_state = 12},
  [963] = {.lex_state = 43, .external_lex_state = 12},
  [964] = {.lex_state = 43, .external_lex_state = 12},
  [965] = {.lex_state = 43, .external_lex_state = 12},
  [966] = {.lex_state = 43, .external_lex_state = 12},
  [967] = {.lex_state = 44, .external_lex_state = 13},
  [968] = {.lex_state = 44, .external_lex_state = 13},
  [969] = {.lex_state = 44, .external_lex_state = 13},
  [970] = {.lex_state = 43, .external_lex_state = 12},
  [971] = {.lex_state = 43, .external_lex_state = 12},
  [972] = {.lex_state = 44, .external_lex_state = 13},
  [973] = {.lex_state = 33, .external_lex_state = 14},
  [974] = {.lex_state = 43, .external_lex_state = 12},
  [975] = {.lex_state = 43, .external_lex_state = 12},
  [976] = {.lex_state = 43, .external_lex_state = 12},
  [977] = {.lex_state = 43, .external_lex_state = 12},
  [978] = {.lex_state = 44, .external_lex_state = 13},
  [979] = {.lex_state = 44, .external_lex_state = 13},
  [980] = {.lex_state = 33},
  [981] = {.lex_state = 43, .external_lex_state = 12},
  [982] = {.lex_state = 43, .external_lex_state = 12},
  [983] = {.lex_state = 44, .external_lex_state = 13},
  [984] = {.lex_state = 44, .external_lex_state = 13},
  [985] = {.lex_state = 44, .external_lex_state = 13},
  [986] = {.lex_state = 44, .external_lex_state = 13},
  [987] = {.lex_state = 44, .external_lex_state = 13},
  [988] = {.lex_state = 44, .external_lex_state = 13},
  [989] = {.lex_state = 43, .external_lex_state = 12},
  [990] = {.lex_state = 43, .external_lex_state = 12},
  [991] = {.lex_state = 43, .external_lex_state = 12},
  [992] = {.lex_state = 43, .external_lex_state = 12},
  [993] = {.lex_state = 44, .external_lex_state = 13},
  [994] = {.lex_state = 44, .external_lex_state = 13},
  [995] = {.lex_state = 44, .external_lex_state = 13},
  [996] = {.lex_state = 43, .external_lex_state = 12},
  [997] = {.lex_state = 44, .external_lex_state = 13},
  [998] = {.lex_state = 33},
  [999] = {.lex_state = 43, .external_lex_state = 12},
  [1000] = {.lex_state = 43, .external_lex_state = 12},
  [1001] = {.lex_state = 43, .external_lex_state = 12},
  [1002] = {.lex_state = 43, .external_lex_state = 12},
  [1003] = {.lex_state = 43, .external_lex_state = 12},
  [1004] = {.lex_state = 43, .external_lex_state = 12},
  [1005] = {.lex_state = 43, .external_lex_state = 12},
  [1006] = {.lex_state = 44, .external_lex_state = 13},
  [1007] = {.lex_state = 44, .external_lex_state = 13},
  [1008] = {.lex_state = 43, .external_lex_state = 12},
  [1009] = {.lex_state = 44, .external_lex_state = 13},
  [1010] = {.lex_state = 44, .external_lex_state = 13},
  [1011] = {.lex_state = 43, .external_lex_state = 12},
  [1012] = {.lex_state = 43, .external_lex_state = 12},
  [1013] = {.lex_state = 43, .external_lex_state = 12},
  [1014] = {.lex_state = 43, .external_lex_state = 12},
  [1015] = {.lex_state = 43, .external_lex_state = 12},
  [1016] = {.lex_state = 44, .external_lex_state = 13},
  [1017] = {.lex_state = 43, .external_lex_state = 12},
  [1018] = {.lex_state = 44, .external_lex_state = 13},
  [1019] = {.lex_state = 43, .external_lex_state = 12},
  [1020] = {.lex_state = 44, .external_lex_state = 13},
  [1021] = {.lex_state = 43, .external_lex_state = 12},
  [1022] = {.lex_state = 43, .external_lex_state = 12},
  [1023] = {.lex_state = 44, .external_lex_state = 13},
  [1024] = {.lex_state = 44, .external_lex_state = 13},
  [1025] = {.lex_state = 44, .external_lex_state = 13},
  [1026] = {.lex_state = 44, .external_lex_state = 13},
  [1027] = {.lex_state = 44, .external_lex_state = 13},
  [1028] = {.lex_state = 43, .external_lex_state = 12},
  [1029] = {.lex_state = 43, .external_lex_state = 12},
  [1030] = {.lex_state = 43, .external_lex_state = 12},
  [1031] = {.lex_state = 43, .external_lex_state = 12},
  [1032] = {.lex_state = 43, .external_lex_state = 12},
  [1033] = {.lex_state = 43, .external_lex_state = 12},
  [1034] = {.lex_state = 44, .external_lex_state = 13},
  [1035] = {.lex_state = 44, .external_lex_state = 13},
  [1036] = {.lex_state = 44, .external_lex_state = 13},
  [1037] = {.lex_state = 44, .external_lex_state = 13},
  [1038] = {.lex_state = 44, .external_lex_state = 13},
  [1039] = {.lex_state = 44, .external_lex_state = 13},
  [1040] = {.lex_state = 43, .external_lex_state = 12},
  [1041] = {.lex_state = 43, .external_lex_state = 12},
  [1042] = {.lex_state = 43, .external_lex_state = 12},
  [1043] = {.lex_state = 44, .external_lex_state = 13},
  [1044] = {.lex_state = 44, .external_lex_state = 13},
  [1045] = {.lex_state = 43, .external_lex_state = 12},
  [1046] = {.lex_state = 43, .external_lex_state = 12},
  [1047] = {.lex_state = 44, .external_lex_state = 13},
  [1048] = {.lex_state = 44, .external_lex_state = 13},
  [1049] = {.lex_state = 44, .external_lex_state = 13},
  [1050] = {.lex_state = 43, .external_lex_state = 12},
  [1051] = {.lex_state = 44, .external_lex_state = 13},
  [1052] = {.lex_state = 43, .external_lex_state = 12},
  [1053] = {.lex_state = 43, .external_lex_state = 12},
  [1054] = {.lex_state = 44, .external_lex_state = 13},
  [1055] = {.lex_state = 44, .external_lex_state = 13},
  [1056] = {.lex_state = 43, .external_lex_state = 12},
  [1057] = {.lex_state = 44, .external_lex_state = 13},
  [1058] = {.lex_state = 43, .external_lex_state = 12},
  [1059] = {.lex_state = 44, .external_lex_state = 13},
  [1060] = {.lex_state = 44, .external_lex_state = 13},
  [1061] = {.lex_state = 44, .external_lex_state = 13},
  [1062] = {.lex_state = 44, .external_lex_state = 13},
  [1063] = {.lex_state = 44, .external_lex_state = 13},
  [1064] = {.lex_state = 44, .external_lex_state = 13},
  [1065] = {.lex_state = 43, .external_lex_state = 12},
  [1066] = {.lex_state = 43, .external_lex_state = 12},
  [1067] = {.lex_state = 43, .external_lex_state = 12},
  [1068] = {.lex_state = 43, .external_lex_state = 12},
  [1069] = {.lex_state = 43, .external_lex_state = 12},
  [1070] = {.lex_state = 44, .external_lex_state = 13},
  [1071] = {.lex_state = 44, .external_lex_state = 13},
  [1072] = {.lex_state = 44, .external_lex_state = 13},
  [1073] = {.lex_state = 43, .external_lex_state = 12},
  [1074] = {.lex_state = 33, .external_lex_state = 14},
  [1075] = {.lex_state = 44, .external_lex_state = 13},
  [1076] = {.lex_state = 43, .external_lex_state = 12},
  [1077] = {.lex_state = 44, .external_lex_state = 13},
  [1078] = {.lex_state = 43, .external_lex_state = 12},
  [1079] = {.lex_state = 43, .external_lex_state = 12},
  [1080] = {.lex_state = 43, .external_lex_state = 12},
  [1081] = {.lex_state = 44, .external_lex_state = 13},
  [1082] = {.lex_state = 44, .external_lex_state = 13},
  [1083] = {.lex_state = 44, .external_lex_state = 13},
  [1084] = {.lex_state = 44, .external_lex_state = 13},
  [1085] = {.lex_state = 33},
  [1086] = {.lex_state = 44, .external_lex_state = 13},
  [1087] = {.lex_state = 44, .external_lex_state = 13},
  [1088] = {.lex_state = 43, .external_lex_state = 12},
  [1089] = {.lex_state = 44, .external_lex_state = 13},
  [1090] = {.lex_state = 44, .external_lex_state = 13},
  [1091] = {.lex_state = 43, .external_lex_state = 12},
  [1092] = {.lex_state = 43, .external_lex_state = 12},
  [1093] = {.lex_state = 43, .external_lex_state = 12},
  [1094] = {.lex_state = 33, .external_lex_state = 14},
  [1095] = {.lex_state = 43, .external_lex_state = 12},
  [1096] = {.lex_state = 43, .external_lex_state = 12},
  [1097] = {.lex_state = 43, .external_lex_state = 12},
  [1098] = {.lex_state = 44, .external_lex_state = 13},
  [1099] = {.lex_state = 43, .external_lex_state = 12},
  [1100] = {.lex_state = 44, .external_lex_state = 13},
  [1101] = {.lex_state = 44, .external_lex_state = 13},
  [1102] = {.lex_state = 44, .external_lex_state = 13},
  [1103] = {.lex_state = 43, .external_lex_state = 12},
  [1104] = {.lex_state = 43, .external_lex_state = 12},
  [1105] = {.lex_state = 44, .external_lex_state = 13},
  [1106] = {.lex_state = 43, .external_lex_state = 12},
  [1107] = {.lex_state = 43, .external_lex_state = 12},
  [1108] = {.lex_state = 33},
  [1109] = {.lex_state = 43, .external_lex_state = 12},
  [1110] = {.lex_state = 33},
  [1111] = {.lex_state = 44, .external_lex_state = 13},
  [1112] = {.lex_state = 43, .external_lex_state = 12},
  [1113] = {.lex_state = 33},
  [1114] = {.lex_state = 44, .external_lex_state = 13},
  [1115] = {.lex_state = 43, .external_lex_state = 12},
  [1116] = {.lex_state = 43, .external_lex_state = 12},
  [1117] = {.lex_state = 44, .external_lex_state = 13},
  [1118] = {.lex_state = 33},
  [1119] = {.lex_state = 33},
  [1120] = {.lex_state = 43, .external_lex_state = 12},
  [1121] = {.lex_state = 44, .external_lex_state = 13},
  [1122] = {.lex_state = 44, .external_lex_state = 13},
  [1123] = {.lex_state = 44, .external_lex_state = 13},
  [1124] = {.lex_state = 43, .external_lex_state = 12},
  [1125] = {.lex_state = 43, .external_lex_state = 12},
  [1126] = {.lex_state = 44, .external_lex_state = 13},
  [1127] = {.lex_state = 44, .external_lex_state = 13},
  [1128] = {.lex_state = 43, .external_lex_state = 12},
  [1129] = {.lex_state = 43, .external_lex_state = 12},
  [1130] = {.lex_state = 44, .external_lex_state = 13},
  [1131] = {.lex_state = 33},
  [1132] = {.lex_state = 44, .external_lex_state = 13},
  [1133] = {.lex_state = 44, .external_lex_state = 13},
  [1134] = {.lex_state = 44, .external_lex_state = 13},
  [1135] = {.lex_state = 44, .external_lex_state = 13},
  [1136] = {.lex_state = 44, .external_lex_state = 13},
  [1137] = {.lex_state = 33},
  [1138] = {.lex_state = 43, .external_lex_state = 12},
  [1139] = {.lex_state = 44, .external_lex_state = 13},
  [1140] = {.lex_state = 44, .external_lex_state = 13},
  [1141] = {.lex_state = 43, .external_lex_state = 12},
  [1142] = {.lex_state = 44, .external_lex_state = 13},
  [1143] = {.lex_state = 43, .external_lex_state = 12},
  [1144] = {.lex_state = 33, .external_lex_state = 14},
  [1145] = {.lex_state = 33},
  [1146] = {.lex_state = 43, .external_lex_state = 12},
  [1147] = {.lex_state = 43, .external_lex_state = 12},
  [1148] = {.lex_state = 43, .external_lex_state = 12},
  [1149] = {.lex_state = 43, .external_lex_state = 12},
  [1150] = {.lex_state = 43, .external_lex_state = 12},
  [1151] = {.lex_state = 44, .external_lex_state = 13},
  [1152] = {.lex_state = 43, .external_lex_state = 12},
  [1153] = {.lex_state = 43, .external_lex_state = 12},
  [1154] = {.lex_state = 44, .external_lex_state = 13},
  [1155] = {.lex_state = 44, .external_lex_state = 13},
  [1156] = {.lex_state = 43, .external_lex_state = 12},
  [1157] = {.lex_state = 33, .external_lex_state = 14},
  [1158] = {.lex_state = 44, .external_lex_state = 13},
  [1159] = {.lex_state = 44, .external_lex_state = 13},
  [1160] = {.lex_state = 43, .external_lex_state = 12},
  [1161] = {.lex_state = 43, .external_lex_state = 12},
  [1162] = {.lex_state = 44, .external_lex_state = 13},
  [1163] = {.lex_state = 44, .external_lex_state = 13},
  [1164] = {.lex_state = 44, .external_lex_state = 13},
  [1165] = {.lex_state = 44, .external_lex_state = 13},
  [1166] = {.lex_state = 44, .external_lex_state = 12},
  [1167] = {.lex_state = 44, .external_lex_state = 12},
  [1168] = {.lex_state = 33},
  [1169] = {.lex_state = 44, .external_lex_state = 12},
  [1170] = {.lex_state = 44, .external_lex_state = 12},
  [1171] = {.lex_state = 44, .external_lex_state = 12},
  [1172] = {.lex_state = 44, .external_lex_state = 12},
  [1173] = {.lex_state = 44, .external_lex_state = 12},
  [1174] = {.lex_state = 44, .external_lex_state = 12},
  [1175] = {.lex_state = 33},
  [1176] = {.lex_state = 33},
  [1177] = {.lex_state = 33},
  [1178] = {.lex_state = 44, .external_lex_state = 12},
  [1179] = {.lex_state = 33},
  [1180] = {.lex_state = 33},
  [1181] = {.lex_state = 44, .external_lex_state = 12},
  [1182] = {.lex_state = 44, .external_lex_state = 12},
  [1183] = {.lex_state = 44, .external_lex_state = 12},
  [1184] = {.lex_state = 44, .external_lex_state = 12},
  [1185] = {.lex_state = 33},
  [1186] = {.lex_state = 44, .external_lex_state = 12},
  [1187] = {.lex_state = 44, .external_lex_state = 12},
  [1188] = {.lex_state = 44, .external_lex_state = 12},
  [1189] = {.lex_state = 44, .external_lex_state = 12},
  [1190] = {.lex_state = 44, .external_lex_state = 12},
  [1191] = {.lex_state = 33},
  [1192] = {.lex_state = 33},
  [1193] = {.lex_state = 33},
  [1194] = {.lex_state = 33},
  [1195] = {.lex_state = 44, .external_lex_state = 12},
  [1196] = {.lex_state = 44, .external_lex_state = 12},
  [1197] = {.lex_state = 44, .external_lex_state = 12},
  [1198] = {.lex_state = 33},
  [1199] = {.lex_state = 44, .external_lex_state = 12},
  [1200] = {.lex_state = 44, .external_lex_state = 12},
  [1201] = {.lex_state = 33},
  [1202] = {.lex_state = 33},
  [1203] = {.lex_state = 33},
  [1204] = {.lex_state = 44, .external_lex_state = 12},
  [1205] = {.lex_state = 44, .external_lex_state = 12},
  [1206] = {.lex_state = 44, .external_lex_state = 12},
  [1207] = {.lex_state = 33},
  [1208] = {.lex_state = 44, .external_lex_state = 12},
  [1209] = {.lex_state = 33},
  [1210] = {.lex_state = 44, .external_lex_state = 12},
  [1211] = {.lex_state = 44, .external_lex_state = 12},
  [1212] = {.lex_state = 44, .external_lex_state = 12},
  [1213] = {.lex_state = 44, .external_lex_state = 12},
  [1214] = {.lex_state = 33},
  [1215] = {.lex_state = 33},
  [1216] = {.lex_state = 33},
  [1217] = {.lex_state = 44, .external_lex_state = 12},
  [1218] = {.lex_state = 33},
  [1219] = {.lex_state = 33},
  [1220] = {.lex_state = 44, .external_lex_state = 12},
  [1221] = {.lex_state = 33},
  [1222] = {.lex_state = 44, .external_lex_state = 12},
  [1223] = {.lex_state = 44, .external_lex_state = 12},
  [1224] = {.lex_state = 44, .external_lex_state = 12},
  [1225] = {.lex_state = 44, .external_lex_state = 12},
  [1226] = {.lex_state = 44, .external_lex_state = 12},
  [1227] = {.lex_state = 44, .external_lex_state = 12},
  [1228] = {.lex_state = 44, .external_lex_state = 12},
  [1229] = {.lex_state = 44, .external_lex_state = 12},
  [1230] = {.lex_state = 44, .external_lex_state = 12},
  [1231] = {.lex_state = 44, .external_lex_state = 12},
  [1232] = {.lex_state = 44, .external_lex_state = 12},
  [1233] = {.lex_state = 44, .external_lex_state = 12},
  [1234] = {.lex_state = 44, .external_lex_state = 12},
  [1235] = {.lex_state = 44, .external_lex_state = 12},
  [1236] = {.lex_state = 44, .external_lex_state = 12},
  [1237] = {.lex_state = 44, .external_lex_state = 12},
  [1238] = {.lex_state = 44, .external_lex_state = 12},
  [1239] = {.lex_state = 44, .external_lex_state = 12},
  [1240] = {.lex_state = 44, .external_lex_state = 12},
  [1241] = {.lex_state = 44, .external_lex_state = 12},
  [1242] = {.lex_state = 44, .external_lex_state = 12},
  [1243] = {.lex_state = 44, .external_lex_state = 12},
  [1244] = {.lex_state = 44, .external_lex_state = 12},
  [1245] = {.lex_state = 44, .external_lex_state = 12},
  [1246] = {.lex_state = 44, .external_lex_state = 12},
  [1247] = {.lex_state = 44, .external_lex_state = 12},
  [1248] = {.lex_state = 44, .external_lex_state = 12},
  [1249] = {.lex_state = 44, .external_lex_state = 12},
  [1250] = {.lex_state = 44, .external_lex_state = 12},
  [1251] = {.lex_state = 44, .external_lex_state = 12},
  [1252] = {.lex_state = 44, .external_lex_state = 12},
  [1253] = {.lex_state = 33},
  [1254] = {.lex_state = 44, .external_lex_state = 12},
  [1255] = {.lex_state = 44, .external_lex_state = 12},
  [1256] = {.lex_state = 44, .external_lex_state = 12},
  [1257] = {.lex_state = 44, .external_lex_state = 12},
  [1258] = {.lex_state = 44, .external_lex_state = 12},
  [1259] = {.lex_state = 44, .external_lex_state = 12},
  [1260] = {.lex_state = 44, .external_lex_state = 12},
  [1261] = {.lex_state = 44, .external_lex_state = 12},
  [1262] = {.lex_state = 44, .external_lex_state = 12},
  [1263] = {.lex_state = 44, .external_lex_state = 12},
  [1264] = {.lex_state = 44, .external_lex_state = 12},
  [1265] = {.lex_state = 44, .external_lex_state = 12},
  [1266] = {.lex_state = 44, .external_lex_state = 12},
  [1267] = {.lex_state = 44, .external_lex_state = 12},
  [1268] = {.lex_state = 44, .external_lex_state = 12},
  [1269] = {.lex_state = 44, .external_lex_state = 12},
  [1270] = {.lex_state = 44, .external_lex_state = 12},
  [1271] = {.lex_state = 44, .external_lex_state = 12},
  [1272] = {.lex_state = 44, .external_lex_state = 12},
  [1273] = {.lex_state = 44, .external_lex_state = 12},
  [1274] = {.lex_state = 44, .external_lex_state = 12},
  [1275] = {.lex_state = 44, .external_lex_state = 12},
  [1276] = {.lex_state = 44, .external_lex_state = 12},
  [1277] = {.lex_state = 44, .external_lex_state = 12},
  [1278] = {.lex_state = 44, .external_lex_state = 12},
  [1279] = {.lex_state = 44, .external_lex_state = 12},
  [1280] = {.lex_state = 44, .external_lex_state = 12},
  [1281] = {.lex_state = 44, .external_lex_state = 12},
  [1282] = {.lex_state = 44, .external_lex_state = 12},
  [1283] = {.lex_state = 44, .external_lex_state = 12},
  [1284] = {.lex_state = 44, .external_lex_state = 12},
  [1285] = {.lex_state = 44, .external_lex_state = 12},
  [1286] = {.lex_state = 44, .external_lex_state = 12},
  [1287] = {.lex_state = 44, .external_lex_state = 12},
  [1288] = {.lex_state = 44, .external_lex_state = 12},
  [1289] = {.lex_state = 44, .external_lex_state = 12},
  [1290] = {.lex_state = 44, .external_lex_state = 12},
  [1291] = {.lex_state = 44, .external_lex_state = 12},
  [1292] = {.lex_state = 44, .external_lex_state = 12},
  [1293] = {.lex_state = 44, .external_lex_state = 12},
  [1294] = {.lex_state = 44, .external_lex_state = 12},
  [1295] = {.lex_state = 44, .external_lex_state = 12},
  [1296] = {.lex_state = 44, .external_lex_state = 12},
  [1297] = {.lex_state = 44, .external_lex_state = 12},
  [1298] = {.lex_state = 44, .external_lex_state = 12},
  [1299] = {.lex_state = 44, .external_lex_state = 12},
  [1300] = {.lex_state = 44, .external_lex_state = 12},
  [1301] = {.lex_state = 44, .external_lex_state = 12},
  [1302] = {.lex_state = 44, .external_lex_state = 12},
  [1303] = {.lex_state = 44, .external_lex_state = 12},
  [1304] = {.lex_state = 44, .external_lex_state = 12},
  [1305] = {.lex_state = 44, .external_lex_state = 12},
  [1306] = {.lex_state = 44, .external_lex_state = 12},
  [1307] = {.lex_state = 44, .external_lex_state = 12},
  [1308] = {.lex_state = 44, .external_lex_state = 12},
  [1309] = {.lex_state = 44, .external_lex_state = 12},
  [1310] = {.lex_state = 44, .external_lex_state = 12},
  [1311] = {.lex_state = 44, .external_lex_state = 12},
  [1312] = {.lex_state = 44, .external_lex_state = 12},
  [1313] = {.lex_state = 44, .external_lex_state = 12},
  [1314] = {.lex_state = 44, .external_lex_state = 12},
  [1315] = {.lex_state = 44, .external_lex_state = 12},
  [1316] = {.lex_state = 44, .external_lex_state = 12},
  [1317] = {.lex_state = 44, .external_lex_state = 12},
  [1318] = {.lex_state = 33},
  [1319] = {.lex_state = 44, .external_lex_state = 12},
  [1320] = {.lex_state = 44, .external_lex_state = 12},
  [1321] = {.lex_state = 44, .external_lex_state = 12},
  [1322] = {.lex_state = 44, .external_lex_state = 12},
  [1323] = {.lex_state = 44, .external_lex_state = 12},
  [1324] = {.lex_state = 44, .external_lex_state = 12},
  [1325] = {.lex_state = 44, .external_lex_state = 12},
  [1326] = {.lex_state = 44, .external_lex_state = 12},
  [1327] = {.lex_state = 44, .external_lex_state = 12},
  [1328] = {.lex_state = 44, .external_lex_state = 12},
  [1329] = {.lex_state = 44, .external_lex_state = 12},
  [1330] = {.lex_state = 44, .external_lex_state = 12},
  [1331] = {.lex_state = 44, .external_lex_state = 12},
  [1332] = {.lex_state = 44, .external_lex_state = 12},
  [1333] = {.lex_state = 44, .external_lex_state = 12},
  [1334] = {.lex_state = 44, .external_lex_state = 12},
  [1335] = {.lex_state = 44, .external_lex_state = 12},
  [1336] = {.lex_state = 44, .external_lex_state = 12},
  [1337] = {.lex_state = 44, .external_lex_state = 12},
  [1338] = {.lex_state = 44, .external_lex_state = 12},
  [1339] = {.lex_state = 44, .external_lex_state = 12},
  [1340] = {.lex_state = 44, .external_lex_state = 12},
  [1341] = {.lex_state = 44, .external_lex_state = 12},
  [1342] = {.lex_state = 44, .external_lex_state = 12},
  [1343] = {.lex_state = 44, .external_lex_state = 12},
  [1344] = {.lex_state = 44, .external_lex_state = 12},
  [1345] = {.lex_state = 44, .external_lex_state = 12},
  [1346] = {.lex_state = 44, .external_lex_state = 12},
  [1347] = {.lex_state = 44, .external_lex_state = 12},
  [1348] = {.lex_state = 44, .external_lex_state = 12},
  [1349] = {.lex_state = 33},
  [1350] = {.lex_state = 44, .external_lex_state = 12},
  [1351] = {.lex_state = 44, .external_lex_state = 12},
  [1352] = {.lex_state = 44, .external_lex_state = 12},
  [1353] = {.lex_state = 44, .external_lex_state = 12},
  [1354] = {.lex_state = 44, .external_lex_state = 12},
  [1355] = {.lex_state = 44, .external_lex_state = 12},
  [1356] = {.lex_state = 44, .external_lex_state = 12},
  [1357] = {.lex_state = 44, .external_lex_state = 12},
  [1358] = {.lex_state = 44, .external_lex_state = 12},
  [1359] = {.lex_state = 44, .external_lex_state = 12},
  [1360] = {.lex_state = 44, .external_lex_state = 12},
  [1361] = {.lex_state = 44, .external_lex_state = 12},
  [1362] = {.lex_state = 44, .external_lex_state = 12},
  [1363] = {.lex_state = 44, .external_lex_state = 12},
  [1364] = {.lex_state = 44, .external_lex_state = 12},
  [1365] = {.lex_state = 44, .external_lex_state = 12},
  [1366] = {.lex_state = 44, .external_lex_state = 12},
  [1367] = {.lex_state = 33},
  [1368] = {.lex_state = 44, .external_lex_state = 12},
  [1369] = {.lex_state = 44, .external_lex_state = 12},
  [1370] = {.lex_state = 44, .external_lex_state = 12},
  [1371] = {.lex_state = 44, .external_lex_state = 12},
  [1372] = {.lex_state = 44, .external_lex_state = 12},
  [1373] = {.lex_state = 44, .external_lex_state = 12},
  [1374] = {.lex_state = 44, .external_lex_state = 12},
  [1375] = {.lex_state = 44, .external_lex_state = 12},
  [1376] = {.lex_state = 44, .external_lex_state = 12},
  [1377] = {.lex_state = 44, .external_lex_state = 12},
  [1378] = {.lex_state = 44, .external_lex_state = 12},
  [1379] = {.lex_state = 44, .external_lex_state = 12},
  [1380] = {.lex_state = 44, .external_lex_state = 12},
  [1381] = {.lex_state = 44, .external_lex_state = 12},
  [1382] = {.lex_state = 44, .external_lex_state = 12},
  [1383] = {.lex_state = 44, .external_lex_state = 12},
  [1384] = {.lex_state = 44, .external_lex_state = 12},
  [1385] = {.lex_state = 44, .external_lex_state = 12},
  [1386] = {.lex_state = 44, .external_lex_state = 12},
  [1387] = {.lex_state = 44, .external_lex_state = 12},
  [1388] = {.lex_state = 44, .external_lex_state = 12},
  [1389] = {.lex_state = 44, .external_lex_state = 12},
  [1390] = {.lex_state = 44, .external_lex_state = 12},
  [1391] = {.lex_state = 44, .external_lex_state = 12},
  [1392] = {.lex_state = 44, .external_lex_state = 12},
  [1393] = {.lex_state = 44, .external_lex_state = 12},
  [1394] = {.lex_state = 44, .external_lex_state = 12},
  [1395] = {.lex_state = 44, .external_lex_state = 12},
  [1396] = {.lex_state = 44, .external_lex_state = 12},
  [1397] = {.lex_state = 44, .external_lex_state = 12},
  [1398] = {.lex_state = 33},
  [1399] = {.lex_state = 44, .external_lex_state = 12},
  [1400] = {.lex_state = 44, .external_lex_state = 12},
  [1401] = {.lex_state = 44, .external_lex_state = 12},
  [1402] = {.lex_state = 44, .external_lex_state = 12},
  [1403] = {.lex_state = 44, .external_lex_state = 12},
  [1404] = {.lex_state = 44, .external_lex_state = 12},
  [1405] = {.lex_state = 44, .external_lex_state = 12},
  [1406] = {.lex_state = 44, .external_lex_state = 12},
  [1407] = {.lex_state = 44, .external_lex_state = 12},
  [1408] = {.lex_state = 44, .external_lex_state = 12},
  [1409] = {.lex_state = 44, .external_lex_state = 12},
  [1410] = {.lex_state = 44, .external_lex_state = 12},
  [1411] = {.lex_state = 44, .external_lex_state = 12},
  [1412] = {.lex_state = 44, .external_lex_state = 12},
  [1413] = {.lex_state = 44, .external_lex_state = 12},
  [1414] = {.lex_state = 44, .external_lex_state = 12},
  [1415] = {.lex_state = 44, .external_lex_state = 12},
  [1416] = {.lex_state = 44, .external_lex_state = 12},
  [1417] = {.lex_state = 44, .external_lex_state = 12},
  [1418] = {.lex_state = 44, .external_lex_state = 12},
  [1419] = {.lex_state = 44, .external_lex_state = 12},
  [1420] = {.lex_state = 44, .external_lex_state = 12},
  [1421] = {.lex_state = 44, .external_lex_state = 12},
  [1422] = {.lex_state = 44, .external_lex_state = 12},
  [1423] = {.lex_state = 44, .external_lex_state = 12},
  [1424] = {.lex_state = 44, .external_lex_state = 12},
  [1425] = {.lex_state = 44, .external_lex_state = 12},
  [1426] = {.lex_state = 44, .external_lex_state = 12},
  [1427] = {.lex_state = 44, .external_lex_state = 12},
  [1428] = {.lex_state = 44, .external_lex_state = 12},
  [1429] = {.lex_state = 44, .external_lex_state = 12},
  [1430] = {.lex_state = 44, .external_lex_state = 12},
  [1431] = {.lex_state = 44, .external_lex_state = 12},
  [1432] = {.lex_state = 44, .external_lex_state = 12},
  [1433] = {.lex_state = 44, .external_lex_state = 12},
  [1434] = {.lex_state = 44, .external_lex_state = 12},
  [1435] = {.lex_state = 44, .external_lex_state = 12},
  [1436] = {.lex_state = 44, .external_lex_state = 12},
  [1437] = {.lex_state = 44, .external_lex_state = 12},
  [1438] = {.lex_state = 44, .external_lex_state = 12},
  [1439] = {.lex_state = 44, .external_lex_state = 12},
  [1440] = {.lex_state = 44, .external_lex_state = 12},
  [1441] = {.lex_state = 44, .external_lex_state = 12},
  [1442] = {.lex_state = 44, .external_lex_state = 12},
  [1443] = {.lex_state = 44, .external_lex_state = 12},
  [1444] = {.lex_state = 44, .external_lex_state = 12},
  [1445] = {.lex_state = 44, .external_lex_state = 12},
  [1446] = {.lex_state = 44, .external_lex_state = 12},
  [1447] = {.lex_state = 44, .external_lex_state = 12},
  [1448] = {.lex_state = 44, .external_lex_state = 12},
  [1449] = {.lex_state = 44, .external_lex_state = 12},
  [1450] = {.lex_state = 44, .external_lex_state = 12},
  [1451] = {.lex_state = 44, .external_lex_state = 12},
  [1452] = {.lex_state = 44, .external_lex_state = 12},
  [1453] = {.lex_state = 44, .external_lex_state = 12},
  [1454] = {.lex_state = 44, .external_lex_state = 12},
  [1455] = {.lex_state = 44, .external_lex_state = 12},
  [1456] = {.lex_state = 44, .external_lex_state = 12},
  [1457] = {.lex_state = 44, .external_lex_state = 12},
  [1458] = {.lex_state = 44, .external_lex_state = 12},
  [1459] = {.lex_state = 44, .external_lex_state = 12},
  [1460] = {.lex_state = 44, .external_lex_state = 12},
  [1461] = {.lex_state = 44, .external_lex_state = 12},
  [1462] = {.lex_state = 44, .external_lex_state = 12},
  [1463] = {.lex_state = 44, .external_lex_state = 12},
  [1464] = {.lex_state = 44, .external_lex_state = 12},
  [1465] = {.lex_state = 44, .external_lex_state = 12},
  [1466] = {.lex_state = 44, .external_lex_state = 12},
  [1467] = {.lex_state = 44, .external_lex_state = 12},
  [1468] = {.lex_state = 44, .external_lex_state = 12},
  [1469] = {.lex_state = 44, .external_lex_state = 12},
  [1470] = {.lex_state = 44, .external_lex_state = 12},
  [1471] = {.lex_state = 44, .external_lex_state = 12},
  [1472] = {.lex_state = 44, .external_lex_state = 12},
  [1473] = {.lex_state = 44, .external_lex_state = 12},
  [1474] = {.lex_state = 44, .external_lex_state = 12},
  [1475] = {.lex_state = 44, .external_lex_state = 12},
  [1476] = {.lex_state = 44, .external_lex_state = 12},
  [1477] = {.lex_state = 44, .external_lex_state = 12},
  [1478] = {.lex_state = 44, .external_lex_state = 12},
  [1479] = {.lex_state = 44, .external_lex_state = 12},
  [1480] = {.lex_state = 44, .external_lex_state = 12},
  [1481] = {.lex_state = 44, .external_lex_state = 12},
  [1482] = {.lex_state = 44, .external_lex_state = 12},
  [1483] = {.lex_state = 44, .external_lex_state = 12},
  [1484] = {.lex_state = 44, .external_lex_state = 12},
  [1485] = {.lex_state = 44, .external_lex_state = 12},
  [1486] = {.lex_state = 44, .external_lex_state = 12},
  [1487] = {.lex_state = 44, .external_lex_state = 12},
  [1488] = {.lex_state = 44, .external_lex_state = 12},
  [1489] = {.lex_state = 44, .external_lex_state = 12},
  [1490] = {.lex_state = 33},
  [1491] = {.lex_state = 44, .external_lex_state = 12},
  [1492] = {.lex_state = 44, .external_lex_state = 12},
  [1493] = {.lex_state = 44, .external_lex_state = 12},
  [1494] = {.lex_state = 44, .external_lex_state = 12},
  [1495] = {.lex_state = 44, .external_lex_state = 12},
  [1496] = {.lex_state = 44, .external_lex_state = 12},
  [1497] = {.lex_state = 44, .external_lex_state = 12},
  [1498] = {.lex_state = 44, .external_lex_state = 12},
  [1499] = {.lex_state = 44, .external_lex_state = 12},
  [1500] = {.lex_state = 44, .external_lex_state = 12},
  [1501] = {.lex_state = 44, .external_lex_state = 12},
  [1502] = {.lex_state = 44, .external_lex_state = 12},
  [1503] = {.lex_state = 44, .external_lex_state = 12},
  [1504] = {.lex_state = 44, .external_lex_state = 12},
  [1505] = {.lex_state = 44, .external_lex_state = 12},
  [1506] = {.lex_state = 44, .external_lex_state = 12},
  [1507] = {.lex_state = 44, .external_lex_state = 12},
  [1508] = {.lex_state = 44, .external_lex_state = 12},
  [1509] = {.lex_state = 44, .external_lex_state = 12},
  [1510] = {.lex_state = 44, .external_lex_state = 12},
  [1511] = {.lex_state = 44, .external_lex_state = 12},
  [1512] = {.lex_state = 44, .external_lex_state = 12},
  [1513] = {.lex_state = 44, .external_lex_state = 12},
  [1514] = {.lex_state = 44, .external_lex_state = 12},
  [1515] = {.lex_state = 44, .external_lex_state = 12},
  [1516] = {.lex_state = 44, .external_lex_state = 12},
  [1517] = {.lex_state = 44, .external_lex_state = 12},
  [1518] = {.lex_state = 44, .external_lex_state = 12},
  [1519] = {.lex_state = 44, .external_lex_state = 12},
  [1520] = {.lex_state = 44, .external_lex_state = 12},
  [1521] = {.lex_state = 44, .external_lex_state = 12},
  [1522] = {.lex_state = 44, .external_lex_state = 12},
  [1523] = {.lex_state = 44, .external_lex_state = 12},
  [1524] = {.lex_state = 44, .external_lex_state = 12},
  [1525] = {.lex_state = 44, .external_lex_state = 12},
  [1526] = {.lex_state = 44, .external_lex_state = 12},
  [1527] = {.lex_state = 44, .external_lex_state = 12},
  [1528] = {.lex_state = 44, .external_lex_state = 12},
  [1529] = {.lex_state = 44, .external_lex_state = 12},
  [1530] = {.lex_state = 44, .external_lex_state = 12},
  [1531] = {.lex_state = 44, .external_lex_state = 12},
  [1532] = {.lex_state = 44, .external_lex_state = 12},
  [1533] = {.lex_state = 44, .external_lex_state = 12},
  [1534] = {.lex_state = 44, .external_lex_state = 12},
  [1535] = {.lex_state = 44, .external_lex_state = 12},
  [1536] = {.lex_state = 44, .external_lex_state = 12},
  [1537] = {.lex_state = 44, .external_lex_state = 12},
  [1538] = {.lex_state = 44, .external_lex_state = 12},
  [1539] = {.lex_state = 44, .external_lex_state = 12},
  [1540] = {.lex_state = 44, .external_lex_state = 12},
  [1541] = {.lex_state = 44, .external_lex_state = 12},
  [1542] = {.lex_state = 44, .external_lex_state = 12},
  [1543] = {.lex_state = 44, .external_lex_state = 12},
  [1544] = {.lex_state = 33},
  [1545] = {.lex_state = 44, .external_lex_state = 12},
  [1546] = {.lex_state = 44, .external_lex_state = 12},
  [1547] = {.lex_state = 44, .external_lex_state = 12},
  [1548] = {.lex_state = 44, .external_lex_state = 12},
  [1549] = {.lex_state = 44, .external_lex_state = 12},
  [1550] = {.lex_state = 44, .external_lex_state = 12},
  [1551] = {.lex_state = 44, .external_lex_state = 12},
  [1552] = {.lex_state = 44, .external_lex_state = 12},
  [1553] = {.lex_state = 33},
  [1554] = {.lex_state = 44, .external_lex_state = 12},
  [1555] = {.lex_state = 44, .external_lex_state = 12},
  [1556] = {.lex_state = 44, .external_lex_state = 12},
  [1557] = {.lex_state = 44, .external_lex_state = 12},
  [1558] = {.lex_state = 44, .external_lex_state = 12},
  [1559] = {.lex_state = 44, .external_lex_state = 12},
  [1560] = {.lex_state = 44, .external_lex_state = 12},
  [1561] = {.lex_state = 44, .external_lex_state = 12},
  [1562] = {.lex_state = 44, .external_lex_state = 12},
  [1563] = {.lex_state = 44, .external_lex_state = 12},
  [1564] = {.lex_state = 44, .external_lex_state = 12},
  [1565] = {.lex_state = 44, .external_lex_state = 12},
  [1566] = {.lex_state = 44, .external_lex_state = 12},
  [1567] = {.lex_state = 44, .external_lex_state = 12},
  [1568] = {.lex_state = 44, .external_lex_state = 12},
  [1569] = {.lex_state = 44, .external_lex_state = 12},
  [1570] = {.lex_state = 44, .external_lex_state = 12},
  [1571] = {.lex_state = 44, .external_lex_state = 12},
  [1572] = {.lex_state = 44, .external_lex_state = 12},
  [1573] = {.lex_state = 33},
  [1574] = {.lex_state = 44, .external_lex_state = 12},
  [1575] = {.lex_state = 44, .external_lex_state = 12},
  [1576] = {.lex_state = 44, .external_lex_state = 12},
  [1577] = {.lex_state = 44, .external_lex_state = 12},
  [1578] = {.lex_state = 44, .external_lex_state = 12},
  [1579] = {.lex_state = 44, .external_lex_state = 12},
  [1580] = {.lex_state = 44, .external_lex_state = 12},
  [1581] = {.lex_state = 44, .external_lex_state = 12},
  [1582] = {.lex_state = 44, .external_lex_state = 12},
  [1583] = {.lex_state = 44, .external_lex_state = 12},
  [1584] = {.lex_state = 44, .external_lex_state = 12},
  [1585] = {.lex_state = 44, .external_lex_state = 12},
  [1586] = {.lex_state = 44, .external_lex_state = 12},
  [1587] = {.lex_state = 44, .external_lex_state = 12},
  [1588] = {.lex_state = 44, .external_lex_state = 12},
  [1589] = {.lex_state = 44, .external_lex_state = 12},
  [1590] = {.lex_state = 44, .external_lex_state = 12},
  [1591] = {.lex_state = 44, .external_lex_state = 12},
  [1592] = {.lex_state = 44, .external_lex_state = 12},
  [1593] = {.lex_state = 44, .external_lex_state = 12},
  [1594] = {.lex_state = 44, .external_lex_state = 12},
  [1595] = {.lex_state = 44, .external_lex_state = 12},
  [1596] = {.lex_state = 33},
  [1597] = {.lex_state = 44, .external_lex_state = 12},
  [1598] = {.lex_state = 44, .external_lex_state = 12},
  [1599] = {.lex_state = 44, .external_lex_state = 12},
  [1600] = {.lex_state = 44, .external_lex_state = 12},
  [1601] = {.lex_state = 44, .external_lex_state = 12},
  [1602] = {.lex_state = 44, .external_lex_state = 12},
  [1603] = {.lex_state = 44, .external_lex_state = 12},
  [1604] = {.lex_state = 44, .external_lex_state = 12},
  [1605] = {.lex_state = 44, .external_lex_state = 12},
  [1606] = {.lex_state = 44, .external_lex_state = 12},
  [1607] = {.lex_state = 44, .external_lex_state = 12},
  [1608] = {.lex_state = 44, .external_lex_state = 12},
  [1609] = {.lex_state = 44, .external_lex_state = 12},
  [1610] = {.lex_state = 44, .external_lex_state = 12},
  [1611] = {.lex_state = 44, .external_lex_state = 12},
  [1612] = {.lex_state = 44, .external_lex_state = 12},
  [1613] = {.lex_state = 44, .external_lex_state = 12},
  [1614] = {.lex_state = 44, .external_lex_state = 12},
  [1615] = {.lex_state = 44, .external_lex_state = 12},
  [1616] = {.lex_state = 44, .external_lex_state = 12},
  [1617] = {.lex_state = 44, .external_lex_state = 12},
  [1618] = {.lex_state = 44, .external_lex_state = 12},
  [1619] = {.lex_state = 44, .external_lex_state = 12},
  [1620] = {.lex_state = 44, .external_lex_state = 12},
  [1621] = {.lex_state = 44, .external_lex_state = 12},
  [1622] = {.lex_state = 44, .external_lex_state = 12},
  [1623] = {.lex_state = 44, .external_lex_state = 12},
  [1624] = {.lex_state = 44, .external_lex_state = 12},
  [1625] = {.lex_state = 44, .external_lex_state = 12},
  [1626] = {.lex_state = 44, .external_lex_state = 12},
  [1627] = {.lex_state = 44, .external_lex_state = 12},
  [1628] = {.lex_state = 44, .external_lex_state = 12},
  [1629] = {.lex_state = 44, .external_lex_state = 12},
  [1630] = {.lex_state = 44, .external_lex_state = 12},
  [1631] = {.lex_state = 44, .external_lex_state = 12},
  [1632] = {.lex_state = 44, .external_lex_state = 12},
  [1633] = {.lex_state = 44, .external_lex_state = 12},
  [1634] = {.lex_state = 5, .external_lex_state = 6},
  [1635] = {.lex_state = 5, .external_lex_state = 6},
  [1636] = {.lex_state = 5, .external_lex_state = 6},
  [1637] = {.lex_state = 5, .external_lex_state = 6},
  [1638] = {.lex_state = 28, .external_lex_state = 12},
  [1639] = {.lex_state = 5, .external_lex_state = 6},
  [1640] = {.lex_state = 5, .external_lex_state = 6},
  [1641] = {.lex_state = 126, .external_lex_state = 6},
  [1642] = {.lex_state = 5, .external_lex_state = 6},
  [1643] = {.lex_state = 5, .external_lex_state = 6},
  [1644] = {.lex_state = 5, .external_lex_state = 6},
  [1645] = {.lex_state = 5, .external_lex_state = 6},
  [1646] = {.lex_state = 5, .external_lex_state = 8},
  [1647] = {.lex_state = 5, .external_lex_state = 6},
  [1648] = {.lex_state = 126, .external_lex_state = 6},
  [1649] = {.lex_state = 5, .external_lex_state = 6},
  [1650] = {.lex_state = 126, .external_lex_state = 6},
  [1651] = {.lex_state = 5, .external_lex_state = 8},
  [1652] = {.lex_state = 5, .external_lex_state = 8},
  [1653] = {.lex_state = 5, .external_lex_state = 6},
  [1654] = {.lex_state = 5, .external_lex_state = 6},
  [1655] = {.lex_state = 126, .external_lex_state = 6},
  [1656] = {.lex_state = 5, .external_lex_state = 8},
  [1657] = {.lex_state = 126, .external_lex_state = 6},
  [1658] = {.lex_state = 25, .external_lex_state = 10},
  [1659] = {.lex_state = 126, .external_lex_state = 6},
  [1660] = {.lex_state = 126, .external_lex_state = 6},
  [1661] = {.lex_state = 126, .external_lex_state = 6},
  [1662] = {.lex_state = 5, .external_lex_state = 8},
  [1663] = {.lex_state = 9, .external_lex_state = 15},
  [1664] = {.lex_state = 126, .external_lex_state = 8},
  [1665] = {.lex_state = 126, .external_lex_state = 6},
  [1666] = {.lex_state = 126, .external_lex_state = 6},
  [1667] = {.lex_state = 126, .external_lex_state = 6},
  [1668] = {.lex_state = 5, .external_lex_state = 8},
  [1669] = {.lex_state = 46, .external_lex_state = 2},
  [1670] = {.lex_state = 126, .external_lex_state = 6},
  [1671] = {.lex_state = 5, .external_lex_state = 6},
  [1672] = {.lex_state = 126, .external_lex_state = 6},
  [1673] = {.lex_state = 126, .external_lex_state = 6},
  [1674] = {.lex_state = 5, .external_lex_state = 8},
  [1675] = {.lex_state = 5, .external_lex_state = 6},
  [1676] = {.lex_state = 126, .external_lex_state = 6},
  [1677] = {.lex_state = 126, .external_lex_state = 6},
  [1678] = {.lex_state = 5, .external_lex_state = 8},
  [1679] = {.lex_state = 126, .external_lex_state = 8},
  [1680] = {.lex_state = 126, .external_lex_state = 6},
  [1681] = {.lex_state = 126, .external_lex_state = 8},
  [1682] = {.lex_state = 9, .external_lex_state = 15},
  [1683] = {.lex_state = 5, .external_lex_state = 8},
  [1684] = {.lex_state = 5, .external_lex_state = 8},
  [1685] = {.lex_state = 126, .external_lex_state = 6},
  [1686] = {.lex_state = 126, .external_lex_state = 6},
  [1687] = {.lex_state = 46, .external_lex_state = 16},
  [1688] = {.lex_state = 46, .external_lex_state = 16},
  [1689] = {.lex_state = 132, .external_lex_state = 10},
  [1690] = {.lex_state = 9, .external_lex_state = 10},
  [1691] = {.lex_state = 5, .external_lex_state = 8},
  [1692] = {.lex_state = 132, .external_lex_state = 10},
  [1693] = {.lex_state = 132, .external_lex_state = 10},
  [1694] = {.lex_state = 126, .external_lex_state = 6},
  [1695] = {.lex_state = 126, .external_lex_state = 6},
  [1696] = {.lex_state = 132, .external_lex_state = 10},
  [1697] = {.lex_state = 126, .external_lex_state = 8},
  [1698] = {.lex_state = 5, .external_lex_state = 8},
  [1699] = {.lex_state = 126, .external_lex_state = 8},
  [1700] = {.lex_state = 126, .external_lex_state = 8},
  [1701] = {.lex_state = 126, .external_lex_state = 8},
  [1702] = {.lex_state = 9, .external_lex_state = 15},
  [1703] = {.lex_state = 126, .external_lex_state = 6},
  [1704] = {.lex_state = 9, .external_lex_state = 15},
  [1705] = {.lex_state = 46, .external_lex_state = 16},
  [1706] = {.lex_state = 5, .external_lex_state = 8},
  [1707] = {.lex_state = 5, .external_lex_state = 8},
  [1708] = {.lex_state = 5, .external_lex_state = 8},
  [1709] = {.lex_state = 5, .external_lex_state = 8},
  [1710] = {.lex_state = 5, .external_lex_state = 8},
  [1711] = {.lex_state = 5, .external_lex_state = 8},
  [1712] = {.lex_state = 5, .external_lex_state = 8},
  [1713] = {.lex_state = 5, .external_lex_state = 8},
  [1714] = {.lex_state = 46, .external_lex_state = 16},
  [1715] = {.lex_state = 5, .external_lex_state = 8},
  [1716] = {.lex_state = 126, .external_lex_state = 6},
  [1717] = {.lex_state = 5, .external_lex_state = 6},
  [1718] = {.lex_state = 5, .external_lex_state = 8},
  [1719] = {.lex_state = 9, .external_lex_state = 10},
  [1720] = {.lex_state = 5, .external_lex_state = 8},
  [1721] = {.lex_state = 46, .external_lex_state = 16},
  [1722] = {.lex_state = 5, .external_lex_state = 8},
  [1723] = {.lex_state = 5, .external_lex_state = 8},
  [1724] = {.lex_state = 5, .external_lex_state = 8},
  [1725] = {.lex_state = 5, .external_lex_state = 8},
  [1726] = {.lex_state = 5, .external_lex_state = 8},
  [1727] = {.lex_state = 5, .external_lex_state = 8},
  [1728] = {.lex_state = 5, .external_lex_state = 8},
  [1729] = {.lex_state = 5, .external_lex_state = 8},
  [1730] = {.lex_state = 5, .external_lex_state = 8},
  [1731] = {.lex_state = 5, .external_lex_state = 8},
  [1732] = {.lex_state = 5, .external_lex_state = 8},
  [1733] = {.lex_state = 5, .external_lex_state = 8},
  [1734] = {.lex_state = 5, .external_lex_state = 8},
  [1735] = {.lex_state = 5, .external_lex_state = 8},
  [1736] = {.lex_state = 46, .external_lex_state = 16},
  [1737] = {.lex_state = 126, .external_lex_state = 8},
  [1738] = {.lex_state = 5, .external_lex_state = 6},
  [1739] = {.lex_state = 5, .external_lex_state = 6},
  [1740] = {.lex_state = 5, .external_lex_state = 6},
  [1741] = {.lex_state = 5, .external_lex_state = 6},
  [1742] = {.lex_state = 46, .external_lex_state = 16},
  [1743] = {.lex_state = 5, .external_lex_state = 6},
  [1744] = {.lex_state = 5, .external_lex_state = 6},
  [1745] = {.lex_state = 5, .external_lex_state = 6},
  [1746] = {.lex_state = 5, .external_lex_state = 6},
  [1747] = {.lex_state = 5, .external_lex_state = 6},
  [1748] = {.lex_state = 5, .external_lex_state = 6},
  [1749] = {.lex_state = 5, .external_lex_state = 6},
  [1750] = {.lex_state = 5, .external_lex_state = 6},
  [1751] = {.lex_state = 5, .external_lex_state = 6},
  [1752] = {.lex_state = 5, .external_lex_state = 6},
  [1753] = {.lex_state = 5, .external_lex_state = 6},
  [1754] = {.lex_state = 5, .external_lex_state = 6},
  [1755] = {.lex_state = 5, .external_lex_state = 6},
  [1756] = {.lex_state = 5, .external_lex_state = 6},
  [1757] = {.lex_state = 5, .external_lex_state = 6},
  [1758] = {.lex_state = 9, .external_lex_state = 15},
  [1759] = {.lex_state = 39, .external_lex_state = 17},
  [1760] = {.lex_state = 5, .external_lex_state = 6},
  [1761] = {.lex_state = 5, .external_lex_state = 6},
  [1762] = {.lex_state = 46, .external_lex_state = 16},
  [1763] = {.lex_state = 46, .external_lex_state = 16},
  [1764] = {.lex_state = 126, .external_lex_state = 8},
  [1765] = {.lex_state = 46, .external_lex_state = 2},
  [1766] = {.lex_state = 46, .external_lex_state = 16},
  [1767] = {.lex_state = 126, .external_lex_state = 6},
  [1768] = {.lex_state = 40, .external_lex_state = 17},
  [1769] = {.lex_state = 46, .external_lex_state = 16},
  [1770] = {.lex_state = 46, .external_lex_state = 16},
  [1771] = {.lex_state = 46, .external_lex_state = 16},
  [1772] = {.lex_state = 46, .external_lex_state = 16},
  [1773] = {.lex_state = 46, .external_lex_state = 16},
  [1774] = {.lex_state = 46, .external_lex_state = 16},
  [1775] = {.lex_state = 46, .external_lex_state = 16},
  [1776] = {.lex_state = 46, .external_lex_state = 16},
  [1777] = {.lex_state = 46, .external_lex_state = 16},
  [1778] = {.lex_state = 46, .external_lex_state = 16},
  [1779] = {.lex_state = 46, .external_lex_state = 16},
  [1780] = {.lex_state = 46, .external_lex_state = 16},
  [1781] = {.lex_state = 46, .external_lex_state = 16},
  [1782] = {.lex_state = 46, .external_lex_state = 16},
  [1783] = {.lex_state = 46, .external_lex_state = 16},
  [1784] = {.lex_state = 46, .external_lex_state = 16},
  [1785] = {.lex_state = 46, .external_lex_state = 16},
  [1786] = {.lex_state = 46, .external_lex_state = 16},
  [1787] = {.lex_state = 46, .external_lex_state = 16},
  [1788] = {.lex_state = 46, .external_lex_state = 16},
  [1789] = {.lex_state = 46, .external_lex_state = 16},
  [1790] = {.lex_state = 46, .external_lex_state = 16},
  [1791] = {.lex_state = 5, .external_lex_state = 6},
  [1792] = {.lex_state = 9, .external_lex_state = 15},
  [1793] = {.lex_state = 9, .external_lex_state = 15},
  [1794] = {.lex_state = 5, .external_lex_state = 6},
  [1795] = {.lex_state = 9, .external_lex_state = 15},
  [1796] = {.lex_state = 5, .external_lex_state = 6},
  [1797] = {.lex_state = 126, .external_lex_state = 6},
  [1798] = {.lex_state = 126, .external_lex_state = 6},
  [1799] = {.lex_state = 49},
  [1800] = {.lex_state = 126, .external_lex_state = 8},
  [1801] = {.lex_state = 126, .external_lex_state = 8},
  [1802] = {.lex_state = 126, .external_lex_state = 8},
  [1803] = {.lex_state = 126, .external_lex_state = 8},
  [1804] = {.lex_state = 126, .external_lex_state = 8},
  [1805] = {.lex_state = 126, .external_lex_state = 8},
  [1806] = {.lex_state = 49},
  [1807] = {.lex_state = 49},
  [1808] = {.lex_state = 126, .external_lex_state = 8},
  [1809] = {.lex_state = 126, .external_lex_state = 8},
  [1810] = {.lex_state = 126, .external_lex_state = 8},
  [1811] = {.lex_state = 126, .external_lex_state = 8},
  [1812] = {.lex_state = 126, .external_lex_state = 8},
  [1813] = {.lex_state = 5, .external_lex_state = 6},
  [1814] = {.lex_state = 126, .external_lex_state = 8},
  [1815] = {.lex_state = 126, .external_lex_state = 8},
  [1816] = {.lex_state = 126, .external_lex_state = 8},
  [1817] = {.lex_state = 126, .external_lex_state = 8},
  [1818] = {.lex_state = 126, .external_lex_state = 8},
  [1819] = {.lex_state = 5, .external_lex_state = 6},
  [1820] = {.lex_state = 9, .external_lex_state = 15},
  [1821] = {.lex_state = 126, .external_lex_state = 8},
  [1822] = {.lex_state = 40, .external_lex_state = 17},
  [1823] = {.lex_state = 126, .external_lex_state = 8},
  [1824] = {.lex_state = 126, .external_lex_state = 8},
  [1825] = {.lex_state = 9, .external_lex_state = 15},
  [1826] = {.lex_state = 9, .external_lex_state = 15},
  [1827] = {.lex_state = 49},
  [1828] = {.lex_state = 9, .external_lex_state = 15},
  [1829] = {.lex_state = 49},
  [1830] = {.lex_state = 9, .external_lex_state = 15},
  [1831] = {.lex_state = 9, .external_lex_state = 15},
  [1832] = {.lex_state = 49},
  [1833] = {.lex_state = 9, .external_lex_state = 15},
  [1834] = {.lex_state = 9, .external_lex_state = 15},
  [1835] = {.lex_state = 126, .external_lex_state = 8},
  [1836] = {.lex_state = 9, .external_lex_state = 15},
  [1837] = {.lex_state = 126, .external_lex_state = 8},
  [1838] = {.lex_state = 9, .external_lex_state = 15},
  [1839] = {.lex_state = 9, .external_lex_state = 15},
  [1840] = {.lex_state = 126, .external_lex_state = 8},
  [1841] = {.lex_state = 5, .external_lex_state = 6},
  [1842] = {.lex_state = 126, .external_lex_state = 8},
  [1843] = {.lex_state = 9, .external_lex_state = 15},
  [1844] = {.lex_state = 126, .external_lex_state = 8},
  [1845] = {.lex_state = 5, .external_lex_state = 6},
  [1846] = {.lex_state = 9, .external_lex_state = 15},
  [1847] = {.lex_state = 126, .external_lex_state = 8},
  [1848] = {.lex_state = 9, .external_lex_state = 15},
  [1849] = {.lex_state = 126, .external_lex_state = 8},
  [1850] = {.lex_state = 9, .external_lex_state = 15},
  [1851] = {.lex_state = 5, .external_lex_state = 6},
  [1852] = {.lex_state = 9, .external_lex_state = 15},
  [1853] = {.lex_state = 9, .external_lex_state = 15},
  [1854] = {.lex_state = 9, .external_lex_state = 15},
  [1855] = {.lex_state = 9, .external_lex_state = 15},
  [1856] = {.lex_state = 9, .external_lex_state = 15},
  [1857] = {.lex_state = 9, .external_lex_state = 15},
  [1858] = {.lex_state = 5, .external_lex_state = 6},
  [1859] = {.lex_state = 126, .external_lex_state = 6},
  [1860] = {.lex_state = 126, .external_lex_state = 6},
  [1861] = {.lex_state = 5, .external_lex_state = 6},
  [1862] = {.lex_state = 49},
  [1863] = {.lex_state = 49},
  [1864] = {.lex_state = 9, .external_lex_state = 15},
  [1865] = {.lex_state = 5, .external_lex_state = 6},
  [1866] = {.lex_state = 5, .external_lex_state = 6},
  [1867] = {.lex_state = 5, .external_lex_state = 6},
  [1868] = {.lex_state = 126, .external_lex_state = 8},
  [1869] = {.lex_state = 5, .external_lex_state = 6},
  [1870] = {.lex_state = 5, .external_lex_state = 6},
  [1871] = {.lex_state = 126, .external_lex_state = 8},
  [1872] = {.lex_state = 5, .external_lex_state = 6},
  [1873] = {.lex_state = 126, .external_lex_state = 8},
  [1874] = {.lex_state = 9, .external_lex_state = 10},
  [1875] = {.lex_state = 5, .external_lex_state = 6},
  [1876] = {.lex_state = 5, .external_lex_state = 6},
  [1877] = {.lex_state = 46, .external_lex_state = 2},
  [1878] = {.lex_state = 5, .external_lex_state = 6},
  [1879] = {.lex_state = 46, .external_lex_state = 2},
  [1880] = {.lex_state = 49},
  [1881] = {.lex_state = 49},
  [1882] = {.lex_state = 5, .external_lex_state = 6},
  [1883] = {.lex_state = 5, .external_lex_state = 6},
  [1884] = {.lex_state = 5, .external_lex_state = 6},
  [1885] = {.lex_state = 40, .external_lex_state = 17},
  [1886] = {.lex_state = 49},
  [1887] = {.lex_state = 49},
  [1888] = {.lex_state = 5, .external_lex_state = 6},
  [1889] = {.lex_state = 5, .external_lex_state = 6},
  [1890] = {.lex_state = 40, .external_lex_state = 17},
  [1891] = {.lex_state = 46, .external_lex_state = 2},
  [1892] = {.lex_state = 46, .external_lex_state = 2},
  [1893] = {.lex_state = 41, .external_lex_state = 18},
  [1894] = {.lex_state = 46, .external_lex_state = 2},
  [1895] = {.lex_state = 46, .external_lex_state = 2},
  [1896] = {.lex_state = 9, .external_lex_state = 10},
  [1897] = {.lex_state = 46, .external_lex_state = 2},
  [1898] = {.lex_state = 9, .external_lex_state = 10},
  [1899] = {.lex_state = 46, .external_lex_state = 2},
  [1900] = {.lex_state = 46, .external_lex_state = 2},
  [1901] = {.lex_state = 40, .external_lex_state = 17},
  [1902] = {.lex_state = 46, .external_lex_state = 2},
  [1903] = {.lex_state = 9, .external_lex_state = 10},
  [1904] = {.lex_state = 42},
  [1905] = {.lex_state = 9, .external_lex_state = 10},
  [1906] = {.lex_state = 9, .external_lex_state = 10},
  [1907] = {.lex_state = 46, .external_lex_state = 2},
  [1908] = {.lex_state = 46},
  [1909] = {.lex_state = 46, .external_lex_state = 2},
  [1910] = {.lex_state = 46, .external_lex_state = 2},
  [1911] = {.lex_state = 9, .external_lex_state = 10},
  [1912] = {.lex_state = 126, .external_lex_state = 6},
  [1913] = {.lex_state = 9, .external_lex_state = 10},
  [1914] = {.lex_state = 46},
  [1915] = {.lex_state = 40, .external_lex_state = 17},
  [1916] = {.lex_state = 40, .external_lex_state = 17},
  [1917] = {.lex_state = 40, .external_lex_state = 17},
  [1918] = {.lex_state = 40, .external_lex_state = 17},
  [1919] = {.lex_state = 126, .external_lex_state = 6},
  [1920] = {.lex_state = 42, .external_lex_state = 17},
  [1921] = {.lex_state = 9, .external_lex_state = 10},
  [1922] = {.lex_state = 9, .external_lex_state = 10},
  [1923] = {.lex_state = 126, .external_lex_state = 6},
  [1924] = {.lex_state = 126, .external_lex_state = 6},
  [1925] = {.lex_state = 46, .external_lex_state = 2},
  [1926] = {.lex_state = 46, .external_lex_state = 2},
  [1927] = {.lex_state = 46, .external_lex_state = 2},
  [1928] = {.lex_state = 9, .external_lex_state = 10},
  [1929] = {.lex_state = 46, .external_lex_state = 2},
  [1930] = {.lex_state = 9, .external_lex_state = 10},
  [1931] = {.lex_state = 126, .external_lex_state = 6},
  [1932] = {.lex_state = 126, .external_lex_state = 6},
  [1933] = {.lex_state = 126, .external_lex_state = 6},
  [1934] = {.lex_state = 126, .external_lex_state = 6},
  [1935] = {.lex_state = 126, .external_lex_state = 6},
  [1936] = {.lex_state = 126, .external_lex_state = 6},
  [1937] = {.lex_state = 126, .external_lex_state = 6},
  [1938] = {.lex_state = 126, .external_lex_state = 6},
  [1939] = {.lex_state = 126, .external_lex_state = 6},
  [1940] = {.lex_state = 126, .external_lex_state = 6},
  [1941] = {.lex_state = 46, .external_lex_state = 19},
  [1942] = {.lex_state = 46},
  [1943] = {.lex_state = 126, .external_lex_state = 6},
  [1944] = {.lex_state = 126, .external_lex_state = 6},
  [1945] = {.lex_state = 46, .external_lex_state = 2},
  [1946] = {.lex_state = 39},
  [1947] = {.lex_state = 126, .external_lex_state = 6},
  [1948] = {.lex_state = 46, .external_lex_state = 19},
  [1949] = {.lex_state = 46},
  [1950] = {.lex_state = 46, .external_lex_state = 2},
  [1951] = {.lex_state = 46, .external_lex_state = 2},
  [1952] = {.lex_state = 126, .external_lex_state = 6},
  [1953] = {.lex_state = 126, .external_lex_state = 6},
  [1954] = {.lex_state = 126, .external_lex_state = 6},
  [1955] = {.lex_state = 40, .external_lex_state = 17},
  [1956] = {.lex_state = 126, .external_lex_state = 6},
  [1957] = {.lex_state = 46, .external_lex_state = 2},
  [1958] = {.lex_state = 126, .external_lex_state = 6},
  [1959] = {.lex_state = 126, .external_lex_state = 6},
  [1960] = {.lex_state = 46, .external_lex_state = 2},
  [1961] = {.lex_state = 126, .external_lex_state = 6},
  [1962] = {.lex_state = 126, .external_lex_state = 6},
  [1963] = {.lex_state = 126, .external_lex_state = 6},
  [1964] = {.lex_state = 126, .external_lex_state = 6},
  [1965] = {.lex_state = 41, .external_lex_state = 17},
  [1966] = {.lex_state = 9, .external_lex_state = 10},
  [1967] = {.lex_state = 46, .external_lex_state = 2},
  [1968] = {.lex_state = 40, .external_lex_state = 17},
  [1969] = {.lex_state = 40, .external_lex_state = 17},
  [1970] = {.lex_state = 9, .external_lex_state = 10},
  [1971] = {.lex_state = 40, .external_lex_state = 17},
  [1972] = {.lex_state = 126, .external_lex_state = 6},
  [1973] = {.lex_state = 46, .external_lex_state = 2},
  [1974] = {.lex_state = 126, .external_lex_state = 6},
  [1975] = {.lex_state = 9, .external_lex_state = 10},
  [1976] = {.lex_state = 46, .external_lex_state = 2},
  [1977] = {.lex_state = 46, .external_lex_state = 19},
  [1978] = {.lex_state = 126, .external_lex_state = 6},
  [1979] = {.lex_state = 126, .external_lex_state = 6},
  [1980] = {.lex_state = 46, .external_lex_state = 19},
  [1981] = {.lex_state = 126, .external_lex_state = 6},
  [1982] = {.lex_state = 40, .external_lex_state = 17},
  [1983] = {.lex_state = 40, .external_lex_state = 17},
  [1984] = {.lex_state = 46, .external_lex_state = 2},
  [1985] = {.lex_state = 40, .external_lex_state = 17},
  [1986] = {.lex_state = 126, .external_lex_state = 6},
  [1987] = {.lex_state = 46, .external_lex_state = 2},
  [1988] = {.lex_state = 46, .external_lex_state = 19},
  [1989] = {.lex_state = 46, .external_lex_state = 2},
  [1990] = {.lex_state = 126, .external_lex_state = 6},
  [1991] = {.lex_state = 126, .external_lex_state = 6},
  [1992] = {.lex_state = 46, .external_lex_state = 2},
  [1993] = {.lex_state = 46, .external_lex_state = 2},
  [1994] = {.lex_state = 29},
  [1995] = {.lex_state = 40, .external_lex_state = 17},
  [1996] = {.lex_state = 40, .external_lex_state = 17},
  [1997] = {.lex_state = 46, .external_lex_state = 2},
  [1998] = {.lex_state = 46, .external_lex_state = 2},
  [1999] = {.lex_state = 39},
  [2000] = {.lex_state = 126, .external_lex_state = 8},
  [2001] = {.lex_state = 126, .external_lex_state = 8},
  [2002] = {.lex_state = 46, .external_lex_state = 19},
  [2003] = {.lex_state = 126, .external_lex_state = 8},
  [2004] = {.lex_state = 126, .external_lex_state = 8},
  [2005] = {.lex_state = 126, .external_lex_state = 8},
  [2006] = {.lex_state = 126, .external_lex_state = 8},
  [2007] = {.lex_state = 126, .external_lex_state = 8},
  [2008] = {.lex_state = 40, .external_lex_state = 17},
  [2009] = {.lex_state = 40, .external_lex_state = 17},
  [2010] = {.lex_state = 126, .external_lex_state = 6},
  [2011] = {.lex_state = 46},
  [2012] = {.lex_state = 126, .external_lex_state = 8},
  [2013] = {.lex_state = 126, .external_lex_state = 6},
  [2014] = {.lex_state = 46},
  [2015] = {.lex_state = 126, .external_lex_state = 8},
  [2016] = {.lex_state = 126, .external_lex_state = 8},
  [2017] = {.lex_state = 40, .external_lex_state = 17},
  [2018] = {.lex_state = 46},
  [2019] = {.lex_state = 46},
  [2020] = {.lex_state = 40, .external_lex_state = 17},
  [2021] = {.lex_state = 40, .external_lex_state = 17},
  [2022] = {.lex_state = 126, .external_lex_state = 8},
  [2023] = {.lex_state = 126, .external_lex_state = 8},
  [2024] = {.lex_state = 126, .external_lex_state = 8},
  [2025] = {.lex_state = 46, .external_lex_state = 2},
  [2026] = {.lex_state = 126, .external_lex_state = 6},
  [2027] = {.lex_state = 126, .external_lex_state = 8},
  [2028] = {.lex_state = 126, .external_lex_state = 8},
  [2029] = {.lex_state = 46, .external_lex_state = 19},
  [2030] = {.lex_state = 126, .external_lex_state = 8},
  [2031] = {.lex_state = 46, .external_lex_state = 2},
  [2032] = {.lex_state = 126, .external_lex_state = 6},
  [2033] = {.lex_state = 126, .external_lex_state = 6},
  [2034] = {.lex_state = 126, .external_lex_state = 8},
  [2035] = {.lex_state = 46, .external_lex_state = 19},
  [2036] = {.lex_state = 126, .external_lex_state = 8},
  [2037] = {.lex_state = 126, .external_lex_state = 8},
  [2038] = {.lex_state = 46, .external_lex_state = 2},
  [2039] = {.lex_state = 126, .external_lex_state = 8},
  [2040] = {.lex_state = 46},
  [2041] = {.lex_state = 126, .external_lex_state = 6},
  [2042] = {.lex_state = 46},
  [2043] = {.lex_state = 126, .external_lex_state = 6},
  [2044] = {.lex_state = 126, .external_lex_state = 8},
  [2045] = {.lex_state = 126, .external_lex_state = 8},
  [2046] = {.lex_state = 46, .external_lex_state = 2},
  [2047] = {.lex_state = 46},
  [2048] = {.lex_state = 40, .external_lex_state = 17},
  [2049] = {.lex_state = 46},
  [2050] = {.lex_state = 126, .external_lex_state = 6},
  [2051] = {.lex_state = 126, .external_lex_state = 6},
  [2052] = {.lex_state = 126, .external_lex_state = 6},
  [2053] = {.lex_state = 126, .external_lex_state = 6},
  [2054] = {.lex_state = 9, .external_lex_state = 10},
  [2055] = {.lex_state = 40, .external_lex_state = 17},
  [2056] = {.lex_state = 126, .external_lex_state = 8},
  [2057] = {.lex_state = 40, .external_lex_state = 17},
  [2058] = {.lex_state = 126, .external_lex_state = 8},
  [2059] = {.lex_state = 40, .external_lex_state = 17},
  [2060] = {.lex_state = 40, .external_lex_state = 17},
  [2061] = {.lex_state = 46, .external_lex_state = 2},
  [2062] = {.lex_state = 40, .external_lex_state = 17},
  [2063] = {.lex_state = 40, .external_lex_state = 17},
  [2064] = {.lex_state = 46, .external_lex_state = 19},
  [2065] = {.lex_state = 126, .external_lex_state = 8},
  [2066] = {.lex_state = 126, .external_lex_state = 8},
  [2067] = {.lex_state = 41, .external_lex_state = 17},
  [2068] = {.lex_state = 126, .external_lex_state = 6},
  [2069] = {.lex_state = 126, .external_lex_state = 6},
  [2070] = {.lex_state = 43, .external_lex_state = 20},
  [2071] = {.lex_state = 126, .external_lex_state = 6},
  [2072] = {.lex_state = 126, .external_lex_state = 6},
  [2073] = {.lex_state = 126, .external_lex_state = 6},
  [2074] = {.lex_state = 41, .external_lex_state = 18},
  [2075] = {.lex_state = 41, .external_lex_state = 11},
  [2076] = {.lex_state = 126, .external_lex_state = 6},
  [2077] = {.lex_state = 126, .external_lex_state = 6},
  [2078] = {.lex_state = 126, .external_lex_state = 6},
  [2079] = {.lex_state = 41, .external_lex_state = 18},
  [2080] = {.lex_state = 126, .external_lex_state = 6},
  [2081] = {.lex_state = 41, .external_lex_state = 17},
  [2082] = {.lex_state = 126, .external_lex_state = 6},
  [2083] = {.lex_state = 126, .external_lex_state = 6},
  [2084] = {.lex_state = 43, .external_lex_state = 20},
  [2085] = {.lex_state = 126, .external_lex_state = 6},
  [2086] = {.lex_state = 46},
  [2087] = {.lex_state = 126, .external_lex_state = 6},
  [2088] = {.lex_state = 41, .external_lex_state = 17},
  [2089] = {.lex_state = 126, .external_lex_state = 6},
  [2090] = {.lex_state = 46},
  [2091] = {.lex_state = 40},
  [2092] = {.lex_state = 44, .external_lex_state = 20},
  [2093] = {.lex_state = 40},
  [2094] = {.lex_state = 126, .external_lex_state = 6},
  [2095] = {.lex_state = 46},
  [2096] = {.lex_state = 126, .external_lex_state = 6},
  [2097] = {.lex_state = 46},
  [2098] = {.lex_state = 126, .external_lex_state = 6},
  [2099] = {.lex_state = 46},
  [2100] = {.lex_state = 46, .external_lex_state = 2},
  [2101] = {.lex_state = 126, .external_lex_state = 6},
  [2102] = {.lex_state = 42},
  [2103] = {.lex_state = 46},
  [2104] = {.lex_state = 126, .external_lex_state = 6},
  [2105] = {.lex_state = 46, .external_lex_state = 2},
  [2106] = {.lex_state = 126, .external_lex_state = 6},
  [2107] = {.lex_state = 126, .external_lex_state = 6},
  [2108] = {.lex_state = 126, .external_lex_state = 6},
  [2109] = {.lex_state = 46},
  [2110] = {.lex_state = 126, .external_lex_state = 6},
  [2111] = {.lex_state = 126, .external_lex_state = 6},
  [2112] = {.lex_state = 40},
  [2113] = {.lex_state = 126, .external_lex_state = 6},
  [2114] = {.lex_state = 44, .external_lex_state = 20},
  [2115] = {.lex_state = 126, .external_lex_state = 6},
  [2116] = {.lex_state = 46},
  [2117] = {.lex_state = 126, .external_lex_state = 6},
  [2118] = {.lex_state = 40},
  [2119] = {.lex_state = 41, .external_lex_state = 17},
  [2120] = {.lex_state = 41, .external_lex_state = 17},
  [2121] = {.lex_state = 41, .external_lex_state = 17},
  [2122] = {.lex_state = 40},
  [2123] = {.lex_state = 42},
  [2124] = {.lex_state = 46, .external_lex_state = 2},
  [2125] = {.lex_state = 40},
  [2126] = {.lex_state = 41, .external_lex_state = 17},
  [2127] = {.lex_state = 40},
  [2128] = {.lex_state = 126, .external_lex_state = 6},
  [2129] = {.lex_state = 44, .external_lex_state = 20},
  [2130] = {.lex_state = 126, .external_lex_state = 6},
  [2131] = {.lex_state = 46},
  [2132] = {.lex_state = 126, .external_lex_state = 6},
  [2133] = {.lex_state = 41, .external_lex_state = 17},
  [2134] = {.lex_state = 126, .external_lex_state = 6},
  [2135] = {.lex_state = 126, .external_lex_state = 6},
  [2136] = {.lex_state = 41, .external_lex_state = 17},
  [2137] = {.lex_state = 46},
  [2138] = {.lex_state = 41, .external_lex_state = 17},
  [2139] = {.lex_state = 126, .external_lex_state = 6},
  [2140] = {.lex_state = 46},
  [2141] = {.lex_state = 41, .external_lex_state = 17},
  [2142] = {.lex_state = 41, .external_lex_state = 17},
  [2143] = {.lex_state = 41, .external_lex_state = 17},
  [2144] = {.lex_state = 41, .external_lex_state = 17},
  [2145] = {.lex_state = 126, .external_lex_state = 6},
  [2146] = {.lex_state = 126, .external_lex_state = 6},
  [2147] = {.lex_state = 126, .external_lex_state = 6},
  [2148] = {.lex_state = 41, .external_lex_state = 17},
  [2149] = {.lex_state = 41, .external_lex_state = 17},
  [2150] = {.lex_state = 41, .external_lex_state = 17},
  [2151] = {.lex_state = 41, .external_lex_state = 17},
  [2152] = {.lex_state = 126, .external_lex_state = 6},
  [2153] = {.lex_state = 41, .external_lex_state = 17},
  [2154] = {.lex_state = 126, .external_lex_state = 6},
  [2155] = {.lex_state = 41, .external_lex_state = 17},
  [2156] = {.lex_state = 41, .external_lex_state = 17},
  [2157] = {.lex_state = 41, .external_lex_state = 17},
  [2158] = {.lex_state = 41, .external_lex_state = 17},
  [2159] = {.lex_state = 44, .external_lex_state = 20},
  [2160] = {.lex_state = 41, .external_lex_state = 17},
  [2161] = {.lex_state = 41, .external_lex_state = 17},
  [2162] = {.lex_state = 46},
  [2163] = {.lex_state = 41, .external_lex_state = 17},
  [2164] = {.lex_state = 41, .external_lex_state = 18},
  [2165] = {.lex_state = 46},
  [2166] = {.lex_state = 41, .external_lex_state = 11},
  [2167] = {.lex_state = 46},
  [2168] = {.lex_state = 126, .external_lex_state = 6},
  [2169] = {.lex_state = 41, .external_lex_state = 17},
  [2170] = {.lex_state = 46},
  [2171] = {.lex_state = 126, .external_lex_state = 6},
  [2172] = {.lex_state = 43, .external_lex_state = 20},
  [2173] = {.lex_state = 43, .external_lex_state = 20},
  [2174] = {.lex_state = 41, .external_lex_state = 17},
  [2175] = {.lex_state = 46},
  [2176] = {.lex_state = 46},
  [2177] = {.lex_state = 126, .external_lex_state = 6},
  [2178] = {.lex_state = 126, .external_lex_state = 6},
  [2179] = {.lex_state = 39},
  [2180] = {.lex_state = 126, .external_lex_state = 6},
  [2181] = {.lex_state = 126, .external_lex_state = 6},
  [2182] = {.lex_state = 126, .external_lex_state = 6},
  [2183] = {.lex_state = 46},
  [2184] = {.lex_state = 46},
  [2185] = {.lex_state = 46},
  [2186] = {.lex_state = 47, .external_lex_state = 12},
  [2187] = {.lex_state = 41, .external_lex_state = 18},
  [2188] = {.lex_state = 44, .external_lex_state = 20},
  [2189] = {.lex_state = 47, .external_lex_state = 12},
  [2190] = {.lex_state = 44, .external_lex_state = 20},
  [2191] = {.lex_state = 47, .external_lex_state = 12},
  [2192] = {.lex_state = 47, .external_lex_state = 12},
  [2193] = {.lex_state = 47, .external_lex_state = 12},
  [2194] = {.lex_state = 47, .external_lex_state = 12},
  [2195] = {.lex_state = 44, .external_lex_state = 20},
  [2196] = {.lex_state = 47, .external_lex_state = 12},
  [2197] = {.lex_state = 47, .external_lex_state = 12},
  [2198] = {.lex_state = 44, .external_lex_state = 20},
  [2199] = {.lex_state = 47, .external_lex_state = 12},
  [2200] = {.lex_state = 44, .external_lex_state = 20},
  [2201] = {.lex_state = 44, .external_lex_state = 20},
  [2202] = {.lex_state = 47, .external_lex_state = 12},
  [2203] = {.lex_state = 41, .external_lex_state = 11},
  [2204] = {.lex_state = 44, .external_lex_state = 20},
  [2205] = {.lex_state = 41, .external_lex_state = 18},
  [2206] = {.lex_state = 41, .external_lex_state = 18},
  [2207] = {.lex_state = 41, .external_lex_state = 18},
  [2208] = {.lex_state = 44, .external_lex_state = 20},
  [2209] = {.lex_state = 47, .external_lex_state = 12},
  [2210] = {.lex_state = 41, .external_lex_state = 18},
  [2211] = {.lex_state = 41, .external_lex_state = 18},
  [2212] = {.lex_state = 47, .external_lex_state = 12},
  [2213] = {.lex_state = 46, .external_lex_state = 14},
  [2214] = {.lex_state = 47, .external_lex_state = 12},
  [2215] = {.lex_state = 44, .external_lex_state = 20},
  [2216] = {.lex_state = 41, .external_lex_state = 18},
  [2217] = {.lex_state = 47, .external_lex_state = 12},
  [2218] = {.lex_state = 47, .external_lex_state = 12},
  [2219] = {.lex_state = 44, .external_lex_state = 20},
  [2220] = {.lex_state = 44, .external_lex_state = 20},
  [2221] = {.lex_state = 47, .external_lex_state = 12},
  [2222] = {.lex_state = 41, .external_lex_state = 18},
  [2223] = {.lex_state = 47, .external_lex_state = 12},
  [2224] = {.lex_state = 44, .external_lex_state = 20},
  [2225] = {.lex_state = 41, .external_lex_state = 18},
  [2226] = {.lex_state = 47, .external_lex_state = 12},
  [2227] = {.lex_state = 41, .external_lex_state = 18},
  [2228] = {.lex_state = 41, .external_lex_state = 18},
  [2229] = {.lex_state = 41, .external_lex_state = 18},
  [2230] = {.lex_state = 43, .external_lex_state = 12},
  [2231] = {.lex_state = 43, .external_lex_state = 12},
  [2232] = {.lex_state = 41, .external_lex_state = 18},
  [2233] = {.lex_state = 41, .external_lex_state = 18},
  [2234] = {.lex_state = 47, .external_lex_state = 12},
  [2235] = {.lex_state = 41, .external_lex_state = 18},
  [2236] = {.lex_state = 44, .external_lex_state = 20},
  [2237] = {.lex_state = 44, .external_lex_state = 20},
  [2238] = {.lex_state = 47, .external_lex_state = 12},
  [2239] = {.lex_state = 44, .external_lex_state = 20},
  [2240] = {.lex_state = 41, .external_lex_state = 18},
  [2241] = {.lex_state = 41, .external_lex_state = 18},
  [2242] = {.lex_state = 47, .external_lex_state = 12},
  [2243] = {.lex_state = 47, .external_lex_state = 12},
  [2244] = {.lex_state = 47, .external_lex_state = 12},
  [2245] = {.lex_state = 41, .external_lex_state = 18},
  [2246] = {.lex_state = 41, .external_lex_state = 18},
  [2247] = {.lex_state = 41, .external_lex_state = 18},
  [2248] = {.lex_state = 41, .external_lex_state = 18},
  [2249] = {.lex_state = 41, .external_lex_state = 18},
  [2250] = {.lex_state = 41, .external_lex_state = 18},
  [2251] = {.lex_state = 44, .external_lex_state = 20},
  [2252] = {.lex_state = 47, .external_lex_state = 12},
  [2253] = {.lex_state = 39},
  [2254] = {.lex_state = 41, .external_lex_state = 18},
  [2255] = {.lex_state = 41, .external_lex_state = 18},
  [2256] = {.lex_state = 41, .external_lex_state = 18},
  [2257] = {.lex_state = 47, .external_lex_state = 12},
  [2258] = {.lex_state = 40},
  [2259] = {.lex_state = 47, .external_lex_state = 12},
  [2260] = {.lex_state = 47, .external_lex_state = 12},
  [2261] = {.lex_state = 47, .external_lex_state = 12},
  [2262] = {.lex_state = 46, .external_lex_state = 14},
  [2263] = {.lex_state = 46},
  [2264] = {.lex_state = 47, .external_lex_state = 12},
  [2265] = {.lex_state = 47, .external_lex_state = 12},
  [2266] = {.lex_state = 47, .external_lex_state = 12},
  [2267] = {.lex_state = 47, .external_lex_state = 12},
  [2268] = {.lex_state = 47, .external_lex_state = 12},
  [2269] = {.lex_state = 46},
  [2270] = {.lex_state = 47, .external_lex_state = 12},
  [2271] = {.lex_state = 47, .external_lex_state = 12},
  [2272] = {.lex_state = 47, .external_lex_state = 12},
  [2273] = {.lex_state = 47, .external_lex_state = 12},
  [2274] = {.lex_state = 47, .external_lex_state = 12},
  [2275] = {.lex_state = 43, .external_lex_state = 12},
  [2276] = {.lex_state = 47, .external_lex_state = 12},
  [2277] = {.lex_state = 43, .external_lex_state = 12},
  [2278] = {.lex_state = 47, .external_lex_state = 12},
  [2279] = {.lex_state = 47, .external_lex_state = 12},
  [2280] = {.lex_state = 44, .external_lex_state = 20},
  [2281] = {.lex_state = 46, .external_lex_state = 14},
  [2282] = {.lex_state = 47, .external_lex_state = 12},
  [2283] = {.lex_state = 44, .external_lex_state = 20},
  [2284] = {.lex_state = 44, .external_lex_state = 12},
  [2285] = {.lex_state = 47, .external_lex_state = 12},
  [2286] = {.lex_state = 47, .external_lex_state = 12},
  [2287] = {.lex_state = 47, .external_lex_state = 12},
  [2288] = {.lex_state = 44, .external_lex_state = 20},
  [2289] = {.lex_state = 46, .external_lex_state = 14},
  [2290] = {.lex_state = 44, .external_lex_state = 20},
  [2291] = {.lex_state = 44, .external_lex_state = 20},
  [2292] = {.lex_state = 44, .external_lex_state = 12},
  [2293] = {.lex_state = 47, .external_lex_state = 12},
  [2294] = {.lex_state = 47, .external_lex_state = 12},
  [2295] = {.lex_state = 47, .external_lex_state = 12},
  [2296] = {.lex_state = 47, .external_lex_state = 12},
  [2297] = {.lex_state = 47, .external_lex_state = 12},
  [2298] = {.lex_state = 47, .external_lex_state = 12},
  [2299] = {.lex_state = 47, .external_lex_state = 12},
  [2300] = {.lex_state = 47, .external_lex_state = 12},
  [2301] = {.lex_state = 47, .external_lex_state = 12},
  [2302] = {.lex_state = 47, .external_lex_state = 12},
  [2303] = {.lex_state = 44, .external_lex_state = 20},
  [2304] = {.lex_state = 46},
  [2305] = {.lex_state = 44, .external_lex_state = 20},
  [2306] = {.lex_state = 44, .external_lex_state = 20},
  [2307] = {.lex_state = 47, .external_lex_state = 12},
  [2308] = {.lex_state = 47, .external_lex_state = 12},
  [2309] = {.lex_state = 47, .external_lex_state = 12},
  [2310] = {.lex_state = 44, .external_lex_state = 20},
  [2311] = {.lex_state = 47, .external_lex_state = 12},
  [2312] = {.lex_state = 47, .external_lex_state = 12},
  [2313] = {.lex_state = 44, .external_lex_state = 20},
  [2314] = {.lex_state = 47, .external_lex_state = 12},
  [2315] = {.lex_state = 47, .external_lex_state = 12},
  [2316] = {.lex_state = 39},
  [2317] = {.lex_state = 41, .external_lex_state = 11},
  [2318] = {.lex_state = 41, .external_lex_state = 11},
  [2319] = {.lex_state = 39},
  [2320] = {.lex_state = 39},
  [2321] = {.lex_state = 46},
  [2322] = {.lex_state = 46},
  [2323] = {.lex_state = 41},
  [2324] = {.lex_state = 46},
  [2325] = {.lex_state = 39},
  [2326] = {.lex_state = 39},
  [2327] = {.lex_state = 46},
  [2328] = {.lex_state = 46},
  [2329] = {.lex_state = 46},
  [2330] = {.lex_state = 39},
  [2331] = {.lex_state = 40},
  [2332] = {.lex_state = 41, .external_lex_state = 11},
  [2333] = {.lex_state = 41},
  [2334] = {.lex_state = 46},
  [2335] = {.lex_state = 46},
  [2336] = {.lex_state = 41, .external_lex_state = 11},
  [2337] = {.lex_state = 41},
  [2338] = {.lex_state = 41},
  [2339] = {.lex_state = 41},
  [2340] = {.lex_state = 46},
  [2341] = {.lex_state = 39},
  [2342] = {.lex_state = 46},
  [2343] = {.lex_state = 41},
  [2344] = {.lex_state = 41},
  [2345] = {.lex_state = 46},
  [2346] = {.lex_state = 39},
  [2347] = {.lex_state = 39},
  [2348] = {.lex_state = 41, .external_lex_state = 11},
  [2349] = {.lex_state = 41},
  [2350] = {.lex_state = 39},
  [2351] = {.lex_state = 40},
  [2352] = {.lex_state = 39},
  [2353] = {.lex_state = 39},
  [2354] = {.lex_state = 41, .external_lex_state = 11},
  [2355] = {.lex_state = 40},
  [2356] = {.lex_state = 40},
  [2357] = {.lex_state = 41, .external_lex_state = 11},
  [2358] = {.lex_state = 46},
  [2359] = {.lex_state = 39},
  [2360] = {.lex_state = 44, .external_lex_state = 12},
  [2361] = {.lex_state = 46},
  [2362] = {.lex_state = 46},
  [2363] = {.lex_state = 39},
  [2364] = {.lex_state = 39},
  [2365] = {.lex_state = 41},
  [2366] = {.lex_state = 39},
  [2367] = {.lex_state = 46},
  [2368] = {.lex_state = 39},
  [2369] = {.lex_state = 46},
  [2370] = {.lex_state = 46},
  [2371] = {.lex_state = 46},
  [2372] = {.lex_state = 39},
  [2373] = {.lex_state = 41, .external_lex_state = 11},
  [2374] = {.lex_state = 46},
  [2375] = {.lex_state = 39},
  [2376] = {.lex_state = 46},
  [2377] = {.lex_state = 41},
  [2378] = {.lex_state = 41, .external_lex_state = 11},
  [2379] = {.lex_state = 39},
  [2380] = {.lex_state = 4, .external_lex_state = 10},
  [2381] = {.lex_state = 48, .external_lex_state = 11},
  [2382] = {.lex_state = 48, .external_lex_state = 11},
  [2383] = {.lex_state = 46},
  [2384] = {.lex_state = 46},
  [2385] = {.lex_state = 46},
  [2386] = {.lex_state = 46},
  [2387] = {.lex_state = 46},
  [2388] = {.lex_state = 46},
  [2389] = {.lex_state = 46},
  [2390] = {.lex_state = 46},
  [2391] = {.lex_state = 46},
  [2392] = {.lex_state = 132, .external_lex_state = 15},
  [2393] = {.lex_state = 46},
  [2394] = {.lex_state = 46},
  [2395] = {.lex_state = 46},
  [2396] = {.lex_state = 46},
  [2397] = {.lex_state = 132, .external_lex_state = 15},
  [2398] = {.lex_state = 132, .external_lex_state = 15},
  [2399] = {.lex_state = 46},
  [2400] = {.lex_state = 46},
  [2401] = {.lex_state = 46},
  [2402] = {.lex_state = 46},
  [2403] = {.lex_state = 46},
  [2404] = {.lex_state = 46},
  [2405] = {.lex_state = 46},
  [2406] = {.lex_state = 46},
  [2407] = {.lex_state = 46},
  [2408] = {.lex_state = 46},
  [2409] = {.lex_state = 46},
  [2410] = {.lex_state = 46},
  [2411] = {.lex_state = 46},
  [2412] = {.lex_state = 46},
  [2413] = {.lex_state = 46},
  [2414] = {.lex_state = 46},
  [2415] = {.lex_state = 46},
  [2416] = {.lex_state = 46},
  [2417] = {.lex_state = 46},
  [2418] = {.lex_state = 46},
  [2419] = {.lex_state = 46},
  [2420] = {.lex_state = 46},
  [2421] = {.lex_state = 46},
  [2422] = {.lex_state = 46},
  [2423] = {.lex_state = 46},
  [2424] = {.lex_state = 46},
  [2425] = {.lex_state = 46},
  [2426] = {.lex_state = 46},
  [2427] = {.lex_state = 46},
  [2428] = {.lex_state = 46},
  [2429] = {.lex_state = 46},
  [2430] = {.lex_state = 46},
  [2431] = {.lex_state = 46},
  [2432] = {.lex_state = 46},
  [2433] = {.lex_state = 46},
  [2434] = {.lex_state = 46},
  [2435] = {.lex_state = 46},
  [2436] = {.lex_state = 46},
  [2437] = {.lex_state = 46},
  [2438] = {.lex_state = 46},
  [2439] = {.lex_state = 46},
  [2440] = {.lex_state = 46},
  [2441] = {.lex_state = 46},
  [2442] = {.lex_state = 46},
  [2443] = {.lex_state = 46},
  [2444] = {.lex_state = 132, .external_lex_state = 15},
  [2445] = {.lex_state = 46},
  [2446] = {.lex_state = 46},
  [2447] = {.lex_state = 46},
  [2448] = {.lex_state = 132, .external_lex_state = 15},
  [2449] = {.lex_state = 132, .external_lex_state = 15},
  [2450] = {.lex_state = 132, .external_lex_state = 15},
  [2451] = {.lex_state = 132, .external_lex_state = 15},
  [2452] = {.lex_state = 132, .external_lex_state = 15},
  [2453] = {.lex_state = 132, .external_lex_state = 15},
  [2454] = {.lex_state = 132, .external_lex_state = 15},
  [2455] = {.lex_state = 132, .external_lex_state = 15},
  [2456] = {.lex_state = 132, .external_lex_state = 15},
  [2457] = {.lex_state = 132, .external_lex_state = 15},
  [2458] = {.lex_state = 132, .external_lex_state = 15},
  [2459] = {.lex_state = 132, .external_lex_state = 15},
  [2460] = {.lex_state = 132, .external_lex_state = 15},
  [2461] = {.lex_state = 132, .external_lex_state = 15},
  [2462] = {.lex_state = 132, .external_lex_state = 15},
  [2463] = {.lex_state = 132, .external_lex_state = 15},
  [2464] = {.lex_state = 132, .external_lex_state = 10},
  [2465] = {.lex_state = 132, .external_lex_state = 15},
  [2466] = {.lex_state = 132, .external_lex_state = 15},
  [2467] = {.lex_state = 132, .external_lex_state = 15},
  [2468] = {.lex_state = 132, .external_lex_state = 15},
  [2469] = {.lex_state = 132, .external_lex_state = 15},
  [2470] = {.lex_state = 132, .external_lex_state = 15},
  [2471] = {.lex_state = 132, .external_lex_state = 15},
  [2472] = {.lex_state = 132, .external_lex_state = 15},
  [2473] = {.lex_state = 132, .external_lex_state = 10},
  [2474] = {.lex_state = 132, .external_lex_state = 15},
  [2475] = {.lex_state = 132, .external_lex_state = 15},
  [2476] = {.lex_state = 34},
  [2477] = {.lex_state = 132, .external_lex_state = 10},
  [2478] = {.lex_state = 34, .external_lex_state = 18},
  [2479] = {.lex_state = 46, .external_lex_state = 17},
  [2480] = {.lex_state = 46, .external_lex_state = 17},
  [2481] = {.lex_state = 46, .external_lex_state = 17},
  [2482] = {.lex_state = 46, .external_lex_state = 17},
  [2483] = {.lex_state = 34, .external_lex_state = 12},
  [2484] = {.lex_state = 46, .external_lex_state = 17},
  [2485] = {.lex_state = 34},
  [2486] = {.lex_state = 34, .external_lex_state = 21},
  [2487] = {.lex_state = 34},
  [2488] = {.lex_state = 46},
  [2489] = {.lex_state = 34, .external_lex_state = 21},
  [2490] = {.lex_state = 34},
  [2491] = {.lex_state = 34},
  [2492] = {.lex_state = 34, .external_lex_state = 21},
  [2493] = {.lex_state = 34, .external_lex_state = 21},
  [2494] = {.lex_state = 34},
  [2495] = {.lex_state = 46, .external_lex_state = 17},
  [2496] = {.lex_state = 34, .external_lex_state = 21},
  [2497] = {.lex_state = 34},
  [2498] = {.lex_state = 46, .external_lex_state = 17},
  [2499] = {.lex_state = 46, .external_lex_state = 17},
  [2500] = {.lex_state = 46, .external_lex_state = 17},
  [2501] = {.lex_state = 46, .external_lex_state = 17},
  [2502] = {.lex_state = 46, .external_lex_state = 17},
  [2503] = {.lex_state = 34},
  [2504] = {.lex_state = 46, .external_lex_state = 17},
  [2505] = {.lex_state = 34, .external_lex_state = 21},
  [2506] = {.lex_state = 46, .external_lex_state = 17},
  [2507] = {.lex_state = 46, .external_lex_state = 17},
  [2508] = {.lex_state = 46, .external_lex_state = 17},
  [2509] = {.lex_state = 46, .external_lex_state = 17},
  [2510] = {.lex_state = 34},
  [2511] = {.lex_state = 34},
  [2512] = {.lex_state = 34, .external_lex_state = 21},
  [2513] = {.lex_state = 34, .external_lex_state = 21},
  [2514] = {.lex_state = 34},
  [2515] = {.lex_state = 34, .external_lex_state = 21},
  [2516] = {.lex_state = 46, .external_lex_state = 17},
  [2517] = {.lex_state = 46, .external_lex_state = 17},
  [2518] = {.lex_state = 46, .external_lex_state = 17},
  [2519] = {.lex_state = 46, .external_lex_state = 17},
  [2520] = {.lex_state = 46, .external_lex_state = 17},
  [2521] = {.lex_state = 46, .external_lex_state = 17},
  [2522] = {.lex_state = 46, .external_lex_state = 17},
  [2523] = {.lex_state = 34},
  [2524] = {.lex_state = 34, .external_lex_state = 21},
  [2525] = {.lex_state = 46, .external_lex_state = 17},
  [2526] = {.lex_state = 34, .external_lex_state = 21},
  [2527] = {.lex_state = 34},
  [2528] = {.lex_state = 34, .external_lex_state = 21},
  [2529] = {.lex_state = 34},
  [2530] = {.lex_state = 46, .external_lex_state = 17},
  [2531] = {.lex_state = 34},
  [2532] = {.lex_state = 46, .external_lex_state = 17},
  [2533] = {.lex_state = 34, .external_lex_state = 21},
  [2534] = {.lex_state = 34, .external_lex_state = 21},
  [2535] = {.lex_state = 46, .external_lex_state = 17},
  [2536] = {.lex_state = 34},
  [2537] = {.lex_state = 34, .external_lex_state = 21},
  [2538] = {.lex_state = 34},
  [2539] = {.lex_state = 34, .external_lex_state = 21},
  [2540] = {.lex_state = 46, .external_lex_state = 17},
  [2541] = {.lex_state = 46, .external_lex_state = 17},
  [2542] = {.lex_state = 34},
  [2543] = {.lex_state = 34, .external_lex_state = 21},
  [2544] = {.lex_state = 34, .external_lex_state = 21},
  [2545] = {.lex_state = 34},
  [2546] = {.lex_state = 34},
  [2547] = {.lex_state = 34, .external_lex_state = 21},
  [2548] = {.lex_state = 34, .external_lex_state = 21},
  [2549] = {.lex_state = 46, .external_lex_state = 17},
  [2550] = {.lex_state = 46},
  [2551] = {.lex_state = 34, .external_lex_state = 21},
  [2552] = {.lex_state = 34},
  [2553] = {.lex_state = 34, .external_lex_state = 21},
  [2554] = {.lex_state = 34},
  [2555] = {.lex_state = 34, .external_lex_state = 21},
  [2556] = {.lex_state = 34},
  [2557] = {.lex_state = 34, .external_lex_state = 21},
  [2558] = {.lex_state = 34, .external_lex_state = 21},
  [2559] = {.lex_state = 34},
  [2560] = {.lex_state = 34},
  [2561] = {.lex_state = 34, .external_lex_state = 21},
  [2562] = {.lex_state = 34, .external_lex_state = 21},
  [2563] = {.lex_state = 34},
  [2564] = {.lex_state = 34, .external_lex_state = 21},
  [2565] = {.lex_state = 34},
  [2566] = {.lex_state = 34, .external_lex_state = 21},
  [2567] = {.lex_state = 34},
  [2568] = {.lex_state = 34, .external_lex_state = 21},
  [2569] = {.lex_state = 34},
  [2570] = {.lex_state = 34, .external_lex_state = 21},
  [2571] = {.lex_state = 34},
  [2572] = {.lex_state = 35},
  [2573] = {.lex_state = 49},
  [2574] = {.lex_state = 35},
  [2575] = {.lex_state = 35},
  [2576] = {.lex_state = 35},
  [2577] = {.lex_state = 35},
  [2578] = {.lex_state = 35},
  [2579] = {.lex_state = 35},
  [2580] = {.lex_state = 35},
  [2581] = {.lex_state = 35},
  [2582] = {.lex_state = 35},
  [2583] = {.lex_state = 35},
  [2584] = {.lex_state = 35},
  [2585] = {.lex_state = 35},
  [2586] = {.lex_state = 35},
  [2587] = {.lex_state = 35},
  [2588] = {.lex_state = 35},
  [2589] = {.lex_state = 35},
  [2590] = {.lex_state = 35},
  [2591] = {.lex_state = 49},
  [2592] = {.lex_state = 49},
  [2593] = {.lex_state = 49},
  [2594] = {.lex_state = 35},
  [2595] = {.lex_state = 35},
  [2596] = {.lex_state = 35},
  [2597] = {.lex_state = 35},
  [2598] = {.lex_state = 35},
  [2599] = {.lex_state = 35},
  [2600] = {.lex_state = 35},
  [2601] = {.lex_state = 35},
  [2602] = {.lex_state = 35},
  [2603] = {.lex_state = 35},
  [2604] = {.lex_state = 35},
  [2605] = {.lex_state = 35},
  [2606] = {.lex_state = 35},
  [2607] = {.lex_state = 35},
  [2608] = {.lex_state = 35},
  [2609] = {.lex_state = 35},
  [2610] = {.lex_state = 49},
  [2611] = {.lex_state = 35},
  [2612] = {.lex_state = 35},
  [2613] = {.lex_state = 35},
  [2614] = {.lex_state = 35},
  [2615] = {.lex_state = 35},
  [2616] = {.lex_state = 35},
  [2617] = {.lex_state = 35},
  [2618] = {.lex_state = 35},
  [2619] = {.lex_state = 46},
  [2620] = {.lex_state = 35},
  [2621] = {.lex_state = 35},
  [2622] = {.lex_state = 49},
  [2623] = {.lex_state = 35},
  [2624] = {.lex_state = 35},
  [2625] = {.lex_state = 35},
  [2626] = {.lex_state = 35},
  [2627] = {.lex_state = 35},
  [2628] = {.lex_state = 35},
  [2629] = {.lex_state = 35},
  [2630] = {.lex_state = 35},
  [2631] = {.lex_state = 35},
  [2632] = {.lex_state = 35},
  [2633] = {.lex_state = 35},
  [2634] = {.lex_state = 35},
  [2635] = {.lex_state = 35},
  [2636] = {.lex_state = 35},
  [2637] = {.lex_state = 51, .external_lex_state = 21},
  [2638] = {.lex_state = 46},
  [2639] = {.lex_state = 51, .external_lex_state = 21},
  [2640] = {.lex_state = 46},
  [2641] = {.lex_state = 46},
  [2642] = {.lex_state = 51, .external_lex_state = 21},
  [2643] = {.lex_state = 51, .external_lex_state = 21},
  [2644] = {.lex_state = 51, .external_lex_state = 21},
  [2645] = {.lex_state = 51, .external_lex_state = 21},
  [2646] = {.lex_state = 51, .external_lex_state = 21},
  [2647] = {.lex_state = 51, .external_lex_state = 21},
  [2648] = {.lex_state = 51, .external_lex_state = 21},
  [2649] = {.lex_state = 51, .external_lex_state = 21},
  [2650] = {.lex_state = 51, .external_lex_state = 21},
  [2651] = {.lex_state = 46},
  [2652] = {.lex_state = 46},
  [2653] = {.lex_state = 51, .external_lex_state = 21},
  [2654] = {.lex_state = 51, .external_lex_state = 21},
  [2655] = {.lex_state = 46},
  [2656] = {.lex_state = 51, .external_lex_state = 21},
  [2657] = {.lex_state = 51, .external_lex_state = 21},
  [2658] = {.lex_state = 51, .external_lex_state = 21},
  [2659] = {.lex_state = 51, .external_lex_state = 21},
  [2660] = {.lex_state = 51, .external_lex_state = 21},
  [2661] = {.lex_state = 51, .external_lex_state = 21},
  [2662] = {.lex_state = 51, .external_lex_state = 21},
  [2663] = {.lex_state = 51, .external_lex_state = 21},
  [2664] = {.lex_state = 46},
  [2665] = {.lex_state = 51, .external_lex_state = 21},
  [2666] = {.lex_state = 36},
  [2667] = {.lex_state = 51, .external_lex_state = 21},
  [2668] = {.lex_state = 51, .external_lex_state = 21},
  [2669] = {.lex_state = 51, .external_lex_state = 21},
  [2670] = {.lex_state = 51, .external_lex_state = 21},
  [2671] = {.lex_state = 51, .external_lex_state = 21},
  [2672] = {.lex_state = 51, .external_lex_state = 21},
  [2673] = {.lex_state = 46},
  [2674] = {.lex_state = 46},
  [2675] = {.lex_state = 46},
  [2676] = {.lex_state = 51, .external_lex_state = 21},
  [2677] = {.lex_state = 51, .external_lex_state = 21},
  [2678] = {.lex_state = 51, .external_lex_state = 21},
  [2679] = {.lex_state = 46},
  [2680] = {.lex_state = 46},
  [2681] = {.lex_state = 50},
  [2682] = {.lex_state = 50},
  [2683] = {.lex_state = 50},
  [2684] = {.lex_state = 50},
  [2685] = {.lex_state = 50},
  [2686] = {.lex_state = 50},
  [2687] = {.lex_state = 50},
  [2688] = {.lex_state = 50},
  [2689] = {.lex_state = 50},
  [2690] = {.lex_state = 39, .external_lex_state = 22},
  [2691] = {.lex_state = 34},
  [2692] = {.lex_state = 50},
  [2693] = {.lex_state = 50},
  [2694] = {.lex_state = 50},
  [2695] = {.lex_state = 50},
  [2696] = {.lex_state = 50},
  [2697] = {.lex_state = 50},
  [2698] = {.lex_state = 50},
  [2699] = {.lex_state = 39, .external_lex_state = 22},
  [2700] = {.lex_state = 50},
  [2701] = {.lex_state = 50},
  [2702] = {.lex_state = 50},
  [2703] = {.lex_state = 50},
  [2704] = {.lex_state = 50},
  [2705] = {.lex_state = 50},
  [2706] = {.lex_state = 50},
  [2707] = {.lex_state = 50},
  [2708] = {.lex_state = 39, .external_lex_state = 22},
  [2709] = {.lex_state = 50},
  [2710] = {.lex_state = 50},
  [2711] = {.lex_state = 39, .external_lex_state = 22},
  [2712] = {.lex_state = 50},
  [2713] = {.lex_state = 50},
  [2714] = {.lex_state = 50},
  [2715] = {.lex_state = 50},
  [2716] = {.lex_state = 50},
  [2717] = {.lex_state = 50},
  [2718] = {.lex_state = 50},
  [2719] = {.lex_state = 50},
  [2720] = {.lex_state = 50},
  [2721] = {.lex_state = 50},
  [2722] = {.lex_state = 50},
  [2723] = {.lex_state = 39, .external_lex_state = 22},
  [2724] = {.lex_state = 50},
  [2725] = {.lex_state = 50},
  [2726] = {.lex_state = 50},
  [2727] = {.lex_state = 50},
  [2728] = {.lex_state = 50},
  [2729] = {.lex_state = 50},
  [2730] = {.lex_state = 50},
  [2731] = {.lex_state = 50},
  [2732] = {.lex_state = 39, .external_lex_state = 22},
  [2733] = {.lex_state = 50},
  [2734] = {.lex_state = 50},
  [2735] = {.lex_state = 50},
  [2736] = {.lex_state = 50},
  [2737] = {.lex_state = 50},
  [2738] = {.lex_state = 50},
  [2739] = {.lex_state = 50},
  [2740] = {.lex_state = 39, .external_lex_state = 22},
  [2741] = {.lex_state = 50},
  [2742] = {.lex_state = 50},
  [2743] = {.lex_state = 50},
  [2744] = {.lex_state = 50},
  [2745] = {.lex_state = 50},
  [2746] = {.lex_state = 50},
  [2747] = {.lex_state = 50},
  [2748] = {.lex_state = 133},
  [2749] = {.lex_state = 51},
  [2750] = {.lex_state = 133},
  [2751] = {.lex_state = 133},
  [2752] = {.lex_state = 51},
  [2753] = {.lex_state = 51},
  [2754] = {.lex_state = 133},
  [2755] = {.lex_state = 51},
  [2756] = {.lex_state = 133},
  [2757] = {.lex_state = 7, .external_lex_state = 15},
  [2758] = {.lex_state = 133},
  [2759] = {.lex_state = 51},
  [2760] = {.lex_state = 133},
  [2761] = {.lex_state = 133},
  [2762] = {.lex_state = 133},
  [2763] = {.lex_state = 50, .external_lex_state = 17},
  [2764] = {.lex_state = 50, .external_lex_state = 17},
  [2765] = {.lex_state = 7, .external_lex_state = 15},
  [2766] = {.lex_state = 50, .external_lex_state = 17},
  [2767] = {.lex_state = 7, .external_lex_state = 15},
  [2768] = {.lex_state = 7, .external_lex_state = 10},
  [2769] = {.lex_state = 7, .external_lex_state = 15},
  [2770] = {.lex_state = 7, .external_lex_state = 15},
  [2771] = {.lex_state = 7, .external_lex_state = 10},
  [2772] = {.lex_state = 50, .external_lex_state = 17},
  [2773] = {.lex_state = 6, .external_lex_state = 10},
  [2774] = {.lex_state = 50, .external_lex_state = 17},
  [2775] = {.lex_state = 50, .external_lex_state = 17},
  [2776] = {.lex_state = 50, .external_lex_state = 17},
  [2777] = {.lex_state = 50, .external_lex_state = 17},
  [2778] = {.lex_state = 50, .external_lex_state = 17},
  [2779] = {.lex_state = 50, .external_lex_state = 17},
  [2780] = {.lex_state = 50, .external_lex_state = 17},
  [2781] = {.lex_state = 50, .external_lex_state = 17},
  [2782] = {.lex_state = 7, .external_lex_state = 10},
  [2783] = {.lex_state = 50, .external_lex_state = 17},
  [2784] = {.lex_state = 6, .external_lex_state = 10},
  [2785] = {.lex_state = 6, .external_lex_state = 10},
  [2786] = {.lex_state = 7, .external_lex_state = 10},
  [2787] = {.lex_state = 50, .external_lex_state = 17},
  [2788] = {.lex_state = 50, .external_lex_state = 17},
  [2789] = {.lex_state = 50, .external_lex_state = 17},
  [2790] = {.lex_state = 50, .external_lex_state = 17},
  [2791] = {.lex_state = 50, .external_lex_state = 17},
  [2792] = {.lex_state = 50, .external_lex_state = 17},
  [2793] = {.lex_state = 6, .external_lex_state = 10},
  [2794] = {.lex_state = 7, .external_lex_state = 15},
  [2795] = {.lex_state = 50, .external_lex_state = 17},
  [2796] = {.lex_state = 50, .external_lex_state = 17},
  [2797] = {.lex_state = 50, .external_lex_state = 17},
  [2798] = {.lex_state = 6, .external_lex_state = 10},
  [2799] = {.lex_state = 39, .external_lex_state = 22},
  [2800] = {.lex_state = 7, .external_lex_state = 15},
  [2801] = {.lex_state = 7, .external_lex_state = 15},
  [2802] = {.lex_state = 7, .external_lex_state = 15},
  [2803] = {.lex_state = 132, .external_lex_state = 10},
  [2804] = {.lex_state = 7, .external_lex_state = 10},
  [2805] = {.lex_state = 7, .external_lex_state = 15},
  [2806] = {.lex_state = 7, .external_lex_state = 15},
  [2807] = {.lex_state = 7, .external_lex_state = 15},
  [2808] = {.lex_state = 7, .external_lex_state = 15},
  [2809] = {.lex_state = 39, .external_lex_state = 22},
  [2810] = {.lex_state = 7, .external_lex_state = 15},
  [2811] = {.lex_state = 7, .external_lex_state = 15},
  [2812] = {.lex_state = 7, .external_lex_state = 15},
  [2813] = {.lex_state = 39, .external_lex_state = 22},
  [2814] = {.lex_state = 39, .external_lex_state = 22},
  [2815] = {.lex_state = 45},
  [2816] = {.lex_state = 39, .external_lex_state = 22},
  [2817] = {.lex_state = 39, .external_lex_state = 22},
  [2818] = {.lex_state = 7, .external_lex_state = 15},
  [2819] = {.lex_state = 7, .external_lex_state = 15},
  [2820] = {.lex_state = 7, .external_lex_state = 15},
  [2821] = {.lex_state = 7, .external_lex_state = 15},
  [2822] = {.lex_state = 7, .external_lex_state = 15},
  [2823] = {.lex_state = 6, .external_lex_state = 10},
  [2824] = {.lex_state = 45},
  [2825] = {.lex_state = 45},
  [2826] = {.lex_state = 7, .external_lex_state = 15},
  [2827] = {.lex_state = 6, .external_lex_state = 10},
  [2828] = {.lex_state = 7, .external_lex_state = 15},
  [2829] = {.lex_state = 45},
  [2830] = {.lex_state = 7, .external_lex_state = 15},
  [2831] = {.lex_state = 39, .external_lex_state = 22},
  [2832] = {.lex_state = 39, .external_lex_state = 22},
  [2833] = {.lex_state = 7, .external_lex_state = 15},
  [2834] = {.lex_state = 39, .external_lex_state = 22},
  [2835] = {.lex_state = 39, .external_lex_state = 22},
  [2836] = {.lex_state = 132, .external_lex_state = 10},
  [2837] = {.lex_state = 45},
  [2838] = {.lex_state = 39, .external_lex_state = 22},
  [2839] = {.lex_state = 7, .external_lex_state = 15},
  [2840] = {.lex_state = 39, .external_lex_state = 22},
  [2841] = {.lex_state = 39, .external_lex_state = 22},
  [2842] = {.lex_state = 39, .external_lex_state = 22},
  [2843] = {.lex_state = 45},
  [2844] = {.lex_state = 7, .external_lex_state = 15},
  [2845] = {.lex_state = 50},
  [2846] = {.lex_state = 7, .external_lex_state = 15},
  [2847] = {.lex_state = 7, .external_lex_state = 15},
  [2848] = {.lex_state = 7, .external_lex_state = 15},
  [2849] = {.lex_state = 39, .external_lex_state = 22},
  [2850] = {.lex_state = 39, .external_lex_state = 22},
  [2851] = {.lex_state = 39, .external_lex_state = 22},
  [2852] = {.lex_state = 7, .external_lex_state = 15},
  [2853] = {.lex_state = 7, .external_lex_state = 15},
  [2854] = {.lex_state = 50},
  [2855] = {.lex_state = 39, .external_lex_state = 22},
  [2856] = {.lex_state = 39, .external_lex_state = 22},
  [2857] = {.lex_state = 132, .external_lex_state = 10},
  [2858] = {.lex_state = 39, .external_lex_state = 22},
  [2859] = {.lex_state = 52},
  [2860] = {.lex_state = 52},
  [2861] = {.lex_state = 133, .external_lex_state = 17},
  [2862] = {.lex_state = 132, .external_lex_state = 10},
  [2863] = {.lex_state = 52},
  [2864] = {.lex_state = 52},
  [2865] = {.lex_state = 133, .external_lex_state = 17},
  [2866] = {.lex_state = 132, .external_lex_state = 10},
  [2867] = {.lex_state = 46},
  [2868] = {.lex_state = 46},
  [2869] = {.lex_state = 52},
  [2870] = {.lex_state = 52},
  [2871] = {.lex_state = 52},
  [2872] = {.lex_state = 52},
  [2873] = {.lex_state = 7, .external_lex_state = 10},
  [2874] = {.lex_state = 52},
  [2875] = {.lex_state = 132, .external_lex_state = 10},
  [2876] = {.lex_state = 52},
  [2877] = {.lex_state = 7, .external_lex_state = 10},
  [2878] = {.lex_state = 132, .external_lex_state = 10},
  [2879] = {.lex_state = 7, .external_lex_state = 10},
  [2880] = {.lex_state = 52},
  [2881] = {.lex_state = 52},
  [2882] = {.lex_state = 52},
  [2883] = {.lex_state = 52},
  [2884] = {.lex_state = 52},
  [2885] = {.lex_state = 52},
  [2886] = {.lex_state = 46, .external_lex_state = 17},
  [2887] = {.lex_state = 52},
  [2888] = {.lex_state = 7, .external_lex_state = 10},
  [2889] = {.lex_state = 132, .external_lex_state = 10},
  [2890] = {.lex_state = 45},
  [2891] = {.lex_state = 132, .external_lex_state = 10},
  [2892] = {.lex_state = 132, .external_lex_state = 10},
  [2893] = {.lex_state = 52},
  [2894] = {.lex_state = 7, .external_lex_state = 10},
  [2895] = {.lex_state = 52},
  [2896] = {.lex_state = 132, .external_lex_state = 10},
  [2897] = {.lex_state = 52},
  [2898] = {.lex_state = 52},
  [2899] = {.lex_state = 52},
  [2900] = {.lex_state = 52},
  [2901] = {.lex_state = 132, .external_lex_state = 10},
  [2902] = {.lex_state = 7, .external_lex_state = 10},
  [2903] = {.lex_state = 52},
  [2904] = {.lex_state = 52},
  [2905] = {.lex_state = 52},
  [2906] = {.lex_state = 132, .external_lex_state = 10},
  [2907] = {.lex_state = 52},
  [2908] = {.lex_state = 132, .external_lex_state = 10},
  [2909] = {.lex_state = 132, .external_lex_state = 10},
  [2910] = {.lex_state = 52},
  [2911] = {.lex_state = 39},
  [2912] = {.lex_state = 132, .external_lex_state = 10},
  [2913] = {.lex_state = 39},
  [2914] = {.lex_state = 39},
  [2915] = {.lex_state = 52},
  [2916] = {.lex_state = 41, .external_lex_state = 18},
  [2917] = {.lex_state = 132, .external_lex_state = 10},
  [2918] = {.lex_state = 41, .external_lex_state = 18},
  [2919] = {.lex_state = 52},
  [2920] = {.lex_state = 39},
  [2921] = {.lex_state = 132, .external_lex_state = 10},
  [2922] = {.lex_state = 52},
  [2923] = {.lex_state = 132, .external_lex_state = 10},
  [2924] = {.lex_state = 132, .external_lex_state = 10},
  [2925] = {.lex_state = 132, .external_lex_state = 10},
  [2926] = {.lex_state = 52},
  [2927] = {.lex_state = 52},
  [2928] = {.lex_state = 52},
  [2929] = {.lex_state = 133, .external_lex_state = 17},
  [2930] = {.lex_state = 133, .external_lex_state = 17},
  [2931] = {.lex_state = 132, .external_lex_state = 10},
  [2932] = {.lex_state = 46},
  [2933] = {.lex_state = 41, .external_lex_state = 18},
  [2934] = {.lex_state = 52},
  [2935] = {.lex_state = 52},
  [2936] = {.lex_state = 52},
  [2937] = {.lex_state = 52},
  [2938] = {.lex_state = 52},
  [2939] = {.lex_state = 52},
  [2940] = {.lex_state = 52},
  [2941] = {.lex_state = 52},
  [2942] = {.lex_state = 132, .external_lex_state = 10},
  [2943] = {.lex_state = 52},
  [2944] = {.lex_state = 132, .external_lex_state = 10},
  [2945] = {.lex_state = 52},
  [2946] = {.lex_state = 132, .external_lex_state = 10},
  [2947] = {.lex_state = 52},
  [2948] = {.lex_state = 47, .external_lex_state = 20},
  [2949] = {.lex_state = 52},
  [2950] = {.lex_state = 52},
  [2951] = {.lex_state = 41, .external_lex_state = 18},
  [2952] = {.lex_state = 132, .external_lex_state = 10},
  [2953] = {.lex_state = 52},
  [2954] = {.lex_state = 132, .external_lex_state = 10},
  [2955] = {.lex_state = 47, .external_lex_state = 12},
  [2956] = {.lex_state = 41, .external_lex_state = 18},
  [2957] = {.lex_state = 51},
  [2958] = {.lex_state = 47, .external_lex_state = 12},
  [2959] = {.lex_state = 32, .external_lex_state = 20},
  [2960] = {.lex_state = 47, .external_lex_state = 12},
  [2961] = {.lex_state = 32, .external_lex_state = 20},
  [2962] = {.lex_state = 32, .external_lex_state = 20},
  [2963] = {.lex_state = 32, .external_lex_state = 20},
  [2964] = {.lex_state = 47, .external_lex_state = 12},
  [2965] = {.lex_state = 32, .external_lex_state = 20},
  [2966] = {.lex_state = 32, .external_lex_state = 20},
  [2967] = {.lex_state = 47, .external_lex_state = 12},
  [2968] = {.lex_state = 47, .external_lex_state = 12},
  [2969] = {.lex_state = 47, .external_lex_state = 12},
  [2970] = {.lex_state = 51, .external_lex_state = 17},
  [2971] = {.lex_state = 47, .external_lex_state = 12},
  [2972] = {.lex_state = 47, .external_lex_state = 12},
  [2973] = {.lex_state = 51, .external_lex_state = 17},
  [2974] = {.lex_state = 32, .external_lex_state = 20},
  [2975] = {.lex_state = 32, .external_lex_state = 20},
  [2976] = {.lex_state = 47, .external_lex_state = 12},
  [2977] = {.lex_state = 133},
  [2978] = {.lex_state = 32, .external_lex_state = 20},
  [2979] = {.lex_state = 47, .external_lex_state = 12},
  [2980] = {.lex_state = 133},
  [2981] = {.lex_state = 32, .external_lex_state = 20},
  [2982] = {.lex_state = 32, .external_lex_state = 20},
  [2983] = {.lex_state = 47, .external_lex_state = 12},
  [2984] = {.lex_state = 32, .external_lex_state = 20},
  [2985] = {.lex_state = 32, .external_lex_state = 20},
  [2986] = {.lex_state = 47, .external_lex_state = 12},
  [2987] = {.lex_state = 32, .external_lex_state = 20},
  [2988] = {.lex_state = 47, .external_lex_state = 12},
  [2989] = {.lex_state = 47, .external_lex_state = 12},
  [2990] = {.lex_state = 32, .external_lex_state = 20},
  [2991] = {.lex_state = 32, .external_lex_state = 20},
  [2992] = {.lex_state = 32, .external_lex_state = 20},
  [2993] = {.lex_state = 47, .external_lex_state = 12},
  [2994] = {.lex_state = 47, .external_lex_state = 12},
  [2995] = {.lex_state = 133},
  [2996] = {.lex_state = 32, .external_lex_state = 20},
  [2997] = {.lex_state = 47, .external_lex_state = 12},
  [2998] = {.lex_state = 32, .external_lex_state = 20},
  [2999] = {.lex_state = 47, .external_lex_state = 12},
  [3000] = {.lex_state = 47, .external_lex_state = 12},
  [3001] = {.lex_state = 47, .external_lex_state = 12},
  [3002] = {.lex_state = 133},
  [3003] = {.lex_state = 32, .external_lex_state = 20},
  [3004] = {.lex_state = 51},
  [3005] = {.lex_state = 133},
  [3006] = {.lex_state = 47, .external_lex_state = 12},
  [3007] = {.lex_state = 32, .external_lex_state = 20},
  [3008] = {.lex_state = 32, .external_lex_state = 20},
  [3009] = {.lex_state = 133},
  [3010] = {.lex_state = 133},
  [3011] = {.lex_state = 47, .external_lex_state = 12},
  [3012] = {.lex_state = 41, .external_lex_state = 18},
  [3013] = {.lex_state = 51},
  [3014] = {.lex_state = 32, .external_lex_state = 20},
  [3015] = {.lex_state = 47, .external_lex_state = 12},
  [3016] = {.lex_state = 47, .external_lex_state = 12},
  [3017] = {.lex_state = 32, .external_lex_state = 20},
  [3018] = {.lex_state = 32, .external_lex_state = 20},
  [3019] = {.lex_state = 47, .external_lex_state = 12},
  [3020] = {.lex_state = 47, .external_lex_state = 12},
  [3021] = {.lex_state = 32, .external_lex_state = 20},
  [3022] = {.lex_state = 32, .external_lex_state = 20},
  [3023] = {.lex_state = 47, .external_lex_state = 12},
  [3024] = {.lex_state = 47, .external_lex_state = 12},
  [3025] = {.lex_state = 32, .external_lex_state = 20},
  [3026] = {.lex_state = 51},
  [3027] = {.lex_state = 47, .external_lex_state = 12},
  [3028] = {.lex_state = 47, .external_lex_state = 12},
  [3029] = {.lex_state = 32, .external_lex_state = 20},
  [3030] = {.lex_state = 47, .external_lex_state = 12},
  [3031] = {.lex_state = 47, .external_lex_state = 12},
  [3032] = {.lex_state = 47, .external_lex_state = 12},
  [3033] = {.lex_state = 47, .external_lex_state = 12},
  [3034] = {.lex_state = 133},
  [3035] = {.lex_state = 32, .external_lex_state = 20},
  [3036] = {.lex_state = 32, .external_lex_state = 20},
  [3037] = {.lex_state = 32, .external_lex_state = 20},
  [3038] = {.lex_state = 51},
  [3039] = {.lex_state = 32, .external_lex_state = 20},
  [3040] = {.lex_state = 32, .external_lex_state = 20},
  [3041] = {.lex_state = 47, .external_lex_state = 12},
  [3042] = {.lex_state = 47, .external_lex_state = 12},
  [3043] = {.lex_state = 47, .external_lex_state = 12},
  [3044] = {.lex_state = 47, .external_lex_state = 12},
  [3045] = {.lex_state = 32, .external_lex_state = 20},
  [3046] = {.lex_state = 32, .external_lex_state = 20},
  [3047] = {.lex_state = 51},
  [3048] = {.lex_state = 32, .external_lex_state = 20},
  [3049] = {.lex_state = 32, .external_lex_state = 20},
  [3050] = {.lex_state = 32, .external_lex_state = 20},
  [3051] = {.lex_state = 47, .external_lex_state = 12},
  [3052] = {.lex_state = 51, .external_lex_state = 17},
  [3053] = {.lex_state = 32, .external_lex_state = 20},
  [3054] = {.lex_state = 32, .external_lex_state = 20},
  [3055] = {.lex_state = 51},
  [3056] = {.lex_state = 47, .external_lex_state = 12},
  [3057] = {.lex_state = 51},
  [3058] = {.lex_state = 133},
  [3059] = {.lex_state = 47, .external_lex_state = 12},
  [3060] = {.lex_state = 32, .external_lex_state = 20},
  [3061] = {.lex_state = 47, .external_lex_state = 12},
  [3062] = {.lex_state = 47, .external_lex_state = 12},
  [3063] = {.lex_state = 47, .external_lex_state = 12},
  [3064] = {.lex_state = 32, .external_lex_state = 20},
  [3065] = {.lex_state = 32, .external_lex_state = 20},
  [3066] = {.lex_state = 32, .external_lex_state = 20},
  [3067] = {.lex_state = 32, .external_lex_state = 20},
  [3068] = {.lex_state = 47, .external_lex_state = 12},
  [3069] = {.lex_state = 51, .external_lex_state = 17},
  [3070] = {.lex_state = 47, .external_lex_state = 12},
  [3071] = {.lex_state = 32, .external_lex_state = 20},
  [3072] = {.lex_state = 47, .external_lex_state = 12},
  [3073] = {.lex_state = 47, .external_lex_state = 12},
  [3074] = {.lex_state = 41, .external_lex_state = 18},
  [3075] = {.lex_state = 133},
  [3076] = {.lex_state = 133},
  [3077] = {.lex_state = 32, .external_lex_state = 20},
  [3078] = {.lex_state = 32, .external_lex_state = 20},
  [3079] = {.lex_state = 47, .external_lex_state = 12},
  [3080] = {.lex_state = 47, .external_lex_state = 12},
  [3081] = {.lex_state = 47, .external_lex_state = 12},
  [3082] = {.lex_state = 32, .external_lex_state = 20},
  [3083] = {.lex_state = 47, .external_lex_state = 12},
  [3084] = {.lex_state = 47, .external_lex_state = 12},
  [3085] = {.lex_state = 47, .external_lex_state = 12},
  [3086] = {.lex_state = 32, .external_lex_state = 20},
  [3087] = {.lex_state = 32, .external_lex_state = 20},
  [3088] = {.lex_state = 32, .external_lex_state = 20},
  [3089] = {.lex_state = 32, .external_lex_state = 20},
  [3090] = {.lex_state = 47, .external_lex_state = 12},
  [3091] = {.lex_state = 51},
  [3092] = {.lex_state = 32, .external_lex_state = 20},
  [3093] = {.lex_state = 32, .external_lex_state = 20},
  [3094] = {.lex_state = 47, .external_lex_state = 12},
  [3095] = {.lex_state = 32, .external_lex_state = 20},
  [3096] = {.lex_state = 32, .external_lex_state = 20},
  [3097] = {.lex_state = 47, .external_lex_state = 12},
  [3098] = {.lex_state = 47, .external_lex_state = 12},
  [3099] = {.lex_state = 32, .external_lex_state = 20},
  [3100] = {.lex_state = 47, .external_lex_state = 12},
  [3101] = {.lex_state = 32, .external_lex_state = 20},
  [3102] = {.lex_state = 32, .external_lex_state = 20},
  [3103] = {.lex_state = 47, .external_lex_state = 12},
  [3104] = {.lex_state = 41, .external_lex_state = 18},
  [3105] = {.lex_state = 32, .external_lex_state = 20},
  [3106] = {.lex_state = 47, .external_lex_state = 12},
  [3107] = {.lex_state = 32, .external_lex_state = 20},
  [3108] = {.lex_state = 47, .external_lex_state = 12},
  [3109] = {.lex_state = 32, .external_lex_state = 20},
  [3110] = {.lex_state = 51},
  [3111] = {.lex_state = 32, .external_lex_state = 20},
  [3112] = {.lex_state = 51},
  [3113] = {.lex_state = 32, .external_lex_state = 20},
  [3114] = {.lex_state = 51},
  [3115] = {.lex_state = 51},
  [3116] = {.lex_state = 51},
  [3117] = {.lex_state = 51},
  [3118] = {.lex_state = 51},
  [3119] = {.lex_state = 51},
  [3120] = {.lex_state = 51},
  [3121] = {.lex_state = 51},
  [3122] = {.lex_state = 45},
  [3123] = {.lex_state = 51},
  [3124] = {.lex_state = 32, .external_lex_state = 20},
  [3125] = {.lex_state = 51},
  [3126] = {.lex_state = 51},
  [3127] = {.lex_state = 45},
  [3128] = {.lex_state = 51},
  [3129] = {.lex_state = 32, .external_lex_state = 20},
  [3130] = {.lex_state = 51},
  [3131] = {.lex_state = 32, .external_lex_state = 20},
  [3132] = {.lex_state = 32, .external_lex_state = 20},
  [3133] = {.lex_state = 40},
  [3134] = {.lex_state = 51},
  [3135] = {.lex_state = 51},
  [3136] = {.lex_state = 32, .external_lex_state = 20},
  [3137] = {.lex_state = 51},
  [3138] = {.lex_state = 51},
  [3139] = {.lex_state = 32, .external_lex_state = 20},
  [3140] = {.lex_state = 32, .external_lex_state = 20},
  [3141] = {.lex_state = 32, .external_lex_state = 20},
  [3142] = {.lex_state = 32, .external_lex_state = 20},
  [3143] = {.lex_state = 32, .external_lex_state = 20},
  [3144] = {.lex_state = 32, .external_lex_state = 20},
  [3145] = {.lex_state = 51},
  [3146] = {.lex_state = 45},
  [3147] = {.lex_state = 51},
  [3148] = {.lex_state = 32, .external_lex_state = 20},
  [3149] = {.lex_state = 51},
  [3150] = {.lex_state = 51},
  [3151] = {.lex_state = 51},
  [3152] = {.lex_state = 32, .external_lex_state = 20},
  [3153] = {.lex_state = 41, .external_lex_state = 18},
  [3154] = {.lex_state = 51},
  [3155] = {.lex_state = 32, .external_lex_state = 20},
  [3156] = {.lex_state = 51},
  [3157] = {.lex_state = 45},
  [3158] = {.lex_state = 51},
  [3159] = {.lex_state = 32, .external_lex_state = 20},
  [3160] = {.lex_state = 32, .external_lex_state = 20},
  [3161] = {.lex_state = 51},
  [3162] = {.lex_state = 51},
  [3163] = {.lex_state = 51},
  [3164] = {.lex_state = 51},
  [3165] = {.lex_state = 51},
  [3166] = {.lex_state = 51},
  [3167] = {.lex_state = 32, .external_lex_state = 20},
  [3168] = {.lex_state = 47, .external_lex_state = 12},
  [3169] = {.lex_state = 32, .external_lex_state = 20},
  [3170] = {.lex_state = 45},
  [3171] = {.lex_state = 51},
  [3172] = {.lex_state = 32, .external_lex_state = 20},
  [3173] = {.lex_state = 51},
  [3174] = {.lex_state = 51},
  [3175] = {.lex_state = 51},
  [3176] = {.lex_state = 51},
  [3177] = {.lex_state = 51},
  [3178] = {.lex_state = 51},
  [3179] = {.lex_state = 32, .external_lex_state = 20},
  [3180] = {.lex_state = 41, .external_lex_state = 18},
  [3181] = {.lex_state = 51},
  [3182] = {.lex_state = 51},
  [3183] = {.lex_state = 133},
  [3184] = {.lex_state = 51},
  [3185] = {.lex_state = 51},
  [3186] = {.lex_state = 51},
  [3187] = {.lex_state = 51},
  [3188] = {.lex_state = 51},
  [3189] = {.lex_state = 51},
  [3190] = {.lex_state = 51},
  [3191] = {.lex_state = 45},
  [3192] = {.lex_state = 51},
  [3193] = {.lex_state = 51},
  [3194] = {.lex_state = 51},
  [3195] = {.lex_state = 51},
  [3196] = {.lex_state = 45},
  [3197] = {.lex_state = 51},
  [3198] = {.lex_state = 51},
  [3199] = {.lex_state = 32, .external_lex_state = 20},
  [3200] = {.lex_state = 32, .external_lex_state = 20},
  [3201] = {.lex_state = 32, .external_lex_state = 20},
  [3202] = {.lex_state = 51},
  [3203] = {.lex_state = 51},
  [3204] = {.lex_state = 51},
  [3205] = {.lex_state = 51},
  [3206] = {.lex_state = 51},
  [3207] = {.lex_state = 51},
  [3208] = {.lex_state = 51},
  [3209] = {.lex_state = 51},
  [3210] = {.lex_state = 51},
  [3211] = {.lex_state = 51},
  [3212] = {.lex_state = 51},
  [3213] = {.lex_state = 51},
  [3214] = {.lex_state = 51},
  [3215] = {.lex_state = 51},
  [3216] = {.lex_state = 51},
  [3217] = {.lex_state = 51},
  [3218] = {.lex_state = 40},
  [3219] = {.lex_state = 51},
  [3220] = {.lex_state = 45},
  [3221] = {.lex_state = 51},
  [3222] = {.lex_state = 45},
  [3223] = {.lex_state = 51},
  [3224] = {.lex_state = 40},
  [3225] = {.lex_state = 51},
  [3226] = {.lex_state = 45},
  [3227] = {.lex_state = 32, .external_lex_state = 20},
  [3228] = {.lex_state = 39},
  [3229] = {.lex_state = 32, .external_lex_state = 12},
  [3230] = {.lex_state = 45},
  [3231] = {.lex_state = 39},
  [3232] = {.lex_state = 133},
  [3233] = {.lex_state = 133},
  [3234] = {.lex_state = 39},
  [3235] = {.lex_state = 39},
  [3236] = {.lex_state = 133},
  [3237] = {.lex_state = 45},
  [3238] = {.lex_state = 32, .external_lex_state = 12},
  [3239] = {.lex_state = 32, .external_lex_state = 12},
  [3240] = {.lex_state = 133},
  [3241] = {.lex_state = 32, .external_lex_state = 12},
  [3242] = {.lex_state = 32, .external_lex_state = 12},
  [3243] = {.lex_state = 32, .external_lex_state = 12},
  [3244] = {.lex_state = 133},
  [3245] = {.lex_state = 133},
  [3246] = {.lex_state = 45},
  [3247] = {.lex_state = 45},
  [3248] = {.lex_state = 133},
  [3249] = {.lex_state = 133},
  [3250] = {.lex_state = 133},
  [3251] = {.lex_state = 32, .external_lex_state = 12},
  [3252] = {.lex_state = 32, .external_lex_state = 12},
  [3253] = {.lex_state = 133},
  [3254] = {.lex_state = 133},
  [3255] = {.lex_state = 133},
  [3256] = {.lex_state = 133},
  [3257] = {.lex_state = 133},
  [3258] = {.lex_state = 32, .external_lex_state = 12},
  [3259] = {.lex_state = 133},
  [3260] = {.lex_state = 32, .external_lex_state = 12},
  [3261] = {.lex_state = 39},
  [3262] = {.lex_state = 32, .external_lex_state = 12},
  [3263] = {.lex_state = 45},
  [3264] = {.lex_state = 39},
  [3265] = {.lex_state = 133},
  [3266] = {.lex_state = 133},
  [3267] = {.lex_state = 133},
  [3268] = {.lex_state = 133},
  [3269] = {.lex_state = 133},
  [3270] = {.lex_state = 133},
  [3271] = {.lex_state = 133},
  [3272] = {.lex_state = 133},
  [3273] = {.lex_state = 133},
  [3274] = {.lex_state = 133},
  [3275] = {.lex_state = 45},
  [3276] = {.lex_state = 32, .external_lex_state = 12},
  [3277] = {.lex_state = 32, .external_lex_state = 12},
  [3278] = {.lex_state = 39},
  [3279] = {.lex_state = 39},
  [3280] = {.lex_state = 39},
  [3281] = {.lex_state = 39},
  [3282] = {.lex_state = 45},
  [3283] = {.lex_state = 41, .external_lex_state = 11},
  [3284] = {.lex_state = 32, .external_lex_state = 12},
  [3285] = {.lex_state = 45},
  [3286] = {.lex_state = 133},
  [3287] = {.lex_state = 32, .external_lex_state = 12},
  [3288] = {.lex_state = 32, .external_lex_state = 12},
  [3289] = {.lex_state = 133},
  [3290] = {.lex_state = 133},
  [3291] = {.lex_state = 32, .external_lex_state = 12},
  [3292] = {.lex_state = 133},
  [3293] = {.lex_state = 41, .external_lex_state = 11},
  [3294] = {.lex_state = 32, .external_lex_state = 12},
  [3295] = {.lex_state = 32, .external_lex_state = 12},
  [3296] = {.lex_state = 32, .external_lex_state = 12},
  [3297] = {.lex_state = 32, .external_lex_state = 12},
  [3298] = {.lex_state = 133},
  [3299] = {.lex_state = 133},
  [3300] = {.lex_state = 32, .external_lex_state = 12},
  [3301] = {.lex_state = 133},
  [3302] = {.lex_state = 32, .external_lex_state = 12},
  [3303] = {.lex_state = 133},
  [3304] = {.lex_state = 133},
  [3305] = {.lex_state = 32, .external_lex_state = 12},
  [3306] = {.lex_state = 32, .external_lex_state = 12},
  [3307] = {.lex_state = 32, .external_lex_state = 12},
  [3308] = {.lex_state = 32, .external_lex_state = 12},
  [3309] = {.lex_state = 32, .external_lex_state = 12},
  [3310] = {.lex_state = 32, .external_lex_state = 12},
  [3311] = {.lex_state = 133},
  [3312] = {.lex_state = 133},
  [3313] = {.lex_state = 39},
  [3314] = {.lex_state = 133},
  [3315] = {.lex_state = 133},
  [3316] = {.lex_state = 39},
  [3317] = {.lex_state = 133},
  [3318] = {.lex_state = 133},
  [3319] = {.lex_state = 41, .external_lex_state = 11},
  [3320] = {.lex_state = 32, .external_lex_state = 12},
  [3321] = {.lex_state = 133},
  [3322] = {.lex_state = 133},
  [3323] = {.lex_state = 133, .external_lex_state = 23},
  [3324] = {.lex_state = 133},
  [3325] = {.lex_state = 133},
  [3326] = {.lex_state = 133},
  [3327] = {.lex_state = 133},
  [3328] = {.lex_state = 133},
  [3329] = {.lex_state = 45},
  [3330] = {.lex_state = 32, .external_lex_state = 12},
  [3331] = {.lex_state = 133},
  [3332] = {.lex_state = 133},
  [3333] = {.lex_state = 133},
  [3334] = {.lex_state = 39},
  [3335] = {.lex_state = 41, .external_lex_state = 11},
  [3336] = {.lex_state = 32, .external_lex_state = 12},
  [3337] = {.lex_state = 32, .external_lex_state = 12},
  [3338] = {.lex_state = 32, .external_lex_state = 12},
  [3339] = {.lex_state = 32, .external_lex_state = 12},
  [3340] = {.lex_state = 32, .external_lex_state = 12},
  [3341] = {.lex_state = 32, .external_lex_state = 12},
  [3342] = {.lex_state = 133},
  [3343] = {.lex_state = 32, .external_lex_state = 12},
  [3344] = {.lex_state = 133},
  [3345] = {.lex_state = 133},
  [3346] = {.lex_state = 133},
  [3347] = {.lex_state = 39},
  [3348] = {.lex_state = 39},
  [3349] = {.lex_state = 133},
  [3350] = {.lex_state = 133},
  [3351] = {.lex_state = 45},
  [3352] = {.lex_state = 133},
  [3353] = {.lex_state = 32, .external_lex_state = 12},
  [3354] = {.lex_state = 133},
  [3355] = {.lex_state = 133},
  [3356] = {.lex_state = 39},
  [3357] = {.lex_state = 133},
  [3358] = {.lex_state = 133},
  [3359] = {.lex_state = 133},
  [3360] = {.lex_state = 32, .external_lex_state = 12},
  [3361] = {.lex_state = 32, .external_lex_state = 12},
  [3362] = {.lex_state = 39},
  [3363] = {.lex_state = 32, .external_lex_state = 12},
  [3364] = {.lex_state = 32, .external_lex_state = 12},
  [3365] = {.lex_state = 32, .external_lex_state = 12},
  [3366] = {.lex_state = 45},
  [3367] = {.lex_state = 32, .external_lex_state = 12},
  [3368] = {.lex_state = 32, .external_lex_state = 12},
  [3369] = {.lex_state = 133, .external_lex_state = 23},
  [3370] = {.lex_state = 32, .external_lex_state = 12},
  [3371] = {.lex_state = 133},
  [3372] = {.lex_state = 133},
  [3373] = {.lex_state = 133},
  [3374] = {.lex_state = 133},
  [3375] = {.lex_state = 133},
  [3376] = {.lex_state = 32, .external_lex_state = 12},
  [3377] = {.lex_state = 133},
  [3378] = {.lex_state = 133},
  [3379] = {.lex_state = 133},
  [3380] = {.lex_state = 133},
  [3381] = {.lex_state = 39},
  [3382] = {.lex_state = 133},
  [3383] = {.lex_state = 39},
  [3384] = {.lex_state = 133},
  [3385] = {.lex_state = 133},
  [3386] = {.lex_state = 133},
  [3387] = {.lex_state = 133},
  [3388] = {.lex_state = 133},
  [3389] = {.lex_state = 45},
  [3390] = {.lex_state = 45},
  [3391] = {.lex_state = 133},
  [3392] = {.lex_state = 32, .external_lex_state = 12},
  [3393] = {.lex_state = 32, .external_lex_state = 12},
  [3394] = {.lex_state = 32, .external_lex_state = 12},
  [3395] = {.lex_state = 32, .external_lex_state = 12},
  [3396] = {.lex_state = 32, .external_lex_state = 12},
  [3397] = {.lex_state = 32, .external_lex_state = 12},
  [3398] = {.lex_state = 32, .external_lex_state = 12},
  [3399] = {.lex_state = 133},
  [3400] = {.lex_state = 133},
  [3401] = {.lex_state = 32, .external_lex_state = 12},
  [3402] = {.lex_state = 133},
  [3403] = {.lex_state = 133},
  [3404] = {.lex_state = 45},
  [3405] = {.lex_state = 133},
  [3406] = {.lex_state = 133},
  [3407] = {.lex_state = 39},
  [3408] = {.lex_state = 39},
  [3409] = {.lex_state = 133},
  [3410] = {.lex_state = 133},
  [3411] = {.lex_state = 32, .external_lex_state = 12},
  [3412] = {.lex_state = 133},
  [3413] = {.lex_state = 133},
  [3414] = {.lex_state = 133},
  [3415] = {.lex_state = 45},
  [3416] = {.lex_state = 133},
  [3417] = {.lex_state = 32, .external_lex_state = 12},
  [3418] = {.lex_state = 32, .external_lex_state = 12},
  [3419] = {.lex_state = 45},
  [3420] = {.lex_state = 133},
  [3421] = {.lex_state = 32, .external_lex_state = 12},
  [3422] = {.lex_state = 32, .external_lex_state = 12},
  [3423] = {.lex_state = 133},
  [3424] = {.lex_state = 39},
  [3425] = {.lex_state = 39},
  [3426] = {.lex_state = 39},
  [3427] = {.lex_state = 133},
  [3428] = {.lex_state = 133, .external_lex_state = 23},
  [3429] = {.lex_state = 133},
  [3430] = {.lex_state = 133},
  [3431] = {.lex_state = 32, .external_lex_state = 12},
  [3432] = {.lex_state = 133},
  [3433] = {.lex_state = 133},
  [3434] = {.lex_state = 133},
  [3435] = {.lex_state = 133},
};

enum {
  ts_external_token_heredoc_start = 0,
  ts_external_token__simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token__heredoc_body_middle = 3,
  ts_external_token__heredoc_body_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_regex = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_RBRACK = 11,
  ts_external_token_LT_LT = 12,
  ts_external_token_LT_LT_DASH = 13,
  ts_external_token_LF = 14,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token__simple_heredoc_body] = sym__simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token__heredoc_body_middle] = sym__heredoc_body_middle,
  [ts_external_token__heredoc_body_end] = sym__heredoc_body_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_LF] = anon_sym_LF,
};

static bool ts_external_scanner_states[24][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [4] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [5] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [7] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [10] = {
    [ts_external_token_LF] = true,
  },
  [11] = {
    [ts_external_token_RBRACK] = true,
  },
  [12] = {
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [14] = {
    [ts_external_token_regex] = true,
  },
  [15] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LF] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
  },
  [17] = {
    [ts_external_token__concat] = true,
  },
  [18] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
  },
  [19] = {
    [ts_external_token__empty_value] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [21] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [22] = {
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
  },
  [23] = {
    [ts_external_token_heredoc_start] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_SEMI_AMP] = ACTIONS(1),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_GT_PIPE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansii_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym__simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym__heredoc_body_middle] = ACTIONS(1),
    [sym__heredoc_body_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(3391),
    [sym__statements] = STATE(3388),
    [sym_redirected_statement] = STATE(1673),
    [sym_for_statement] = STATE(1673),
    [sym_c_style_for_statement] = STATE(1673),
    [sym_while_statement] = STATE(1673),
    [sym_if_statement] = STATE(1673),
    [sym_case_statement] = STATE(1673),
    [sym_function_definition] = STATE(1673),
    [sym_compound_statement] = STATE(1673),
    [sym_subshell] = STATE(1673),
    [sym_pipeline] = STATE(1673),
    [sym_list] = STATE(1673),
    [sym_negated_command] = STATE(1673),
    [sym_test_command] = STATE(1673),
    [sym_declaration_command] = STATE(1673),
    [sym_unset_command] = STATE(1673),
    [sym_command] = STATE(1673),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(302),
    [sym_subscript] = STATE(3210),
    [sym_file_redirect] = STATE(840),
    [sym_concatenation] = STATE(837),
    [sym_string] = STATE(504),
    [sym_simple_expansion] = STATE(504),
    [sym_string_expansion] = STATE(504),
    [sym_expansion] = STATE(504),
    [sym_command_substitution] = STATE(504),
    [sym_process_substitution] = STATE(504),
    [aux_sym__statements_repeat1] = STATE(140),
    [aux_sym_command_repeat1] = STATE(840),
    [aux_sym__literal_repeat1] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [2] = {
    [aux_sym__statements2] = STATE(3),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_elif_clause] = STATE(2824),
    [sym_else_clause] = STATE(3415),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_if_statement_repeat1] = STATE(2824),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(71),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [3] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_elif_clause] = STATE(2837),
    [sym_else_clause] = STATE(3404),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_if_statement_repeat1] = STATE(2837),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(113),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [4] = {
    [aux_sym__statements2] = STATE(7),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_elif_clause] = STATE(2829),
    [sym_else_clause] = STATE(3329),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_if_statement_repeat1] = STATE(2829),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(115),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [5] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_elif_clause] = STATE(2815),
    [sym_else_clause] = STATE(3285),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_if_statement_repeat1] = STATE(2815),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(117),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [6] = {
    [aux_sym__statements2] = STATE(5),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_elif_clause] = STATE(2825),
    [sym_else_clause] = STATE(3247),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_if_statement_repeat1] = STATE(2825),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(119),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [7] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_elif_clause] = STATE(2843),
    [sym_else_clause] = STATE(3389),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_if_statement_repeat1] = STATE(2843),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(121),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [8] = {
    [sym__statements] = STATE(2911),
    [sym_redirected_statement] = STATE(1635),
    [sym_for_statement] = STATE(1635),
    [sym_c_style_for_statement] = STATE(1635),
    [sym_while_statement] = STATE(1635),
    [sym_if_statement] = STATE(1635),
    [sym_case_statement] = STATE(1635),
    [sym_function_definition] = STATE(1635),
    [sym_compound_statement] = STATE(1635),
    [sym_subshell] = STATE(1635),
    [sym_pipeline] = STATE(1635),
    [sym_list] = STATE(1635),
    [sym_negated_command] = STATE(1635),
    [sym_test_command] = STATE(1635),
    [sym_declaration_command] = STATE(1635),
    [sym_unset_command] = STATE(1635),
    [sym_command] = STATE(1635),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(771),
    [sym_concatenation] = STATE(529),
    [sym_string] = STATE(276),
    [sym_simple_expansion] = STATE(276),
    [sym_string_expansion] = STATE(276),
    [sym_expansion] = STATE(276),
    [sym_command_substitution] = STATE(276),
    [sym_process_substitution] = STATE(276),
    [aux_sym__statements_repeat1] = STATE(131),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(289),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_esac] = ACTIONS(135),
    [anon_sym_SEMI_SEMI] = ACTIONS(137),
    [anon_sym_SEMI_AMP] = ACTIONS(139),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [9] = {
    [sym__statements] = STATE(2914),
    [sym_redirected_statement] = STATE(1635),
    [sym_for_statement] = STATE(1635),
    [sym_c_style_for_statement] = STATE(1635),
    [sym_while_statement] = STATE(1635),
    [sym_if_statement] = STATE(1635),
    [sym_case_statement] = STATE(1635),
    [sym_function_definition] = STATE(1635),
    [sym_compound_statement] = STATE(1635),
    [sym_subshell] = STATE(1635),
    [sym_pipeline] = STATE(1635),
    [sym_list] = STATE(1635),
    [sym_negated_command] = STATE(1635),
    [sym_test_command] = STATE(1635),
    [sym_declaration_command] = STATE(1635),
    [sym_unset_command] = STATE(1635),
    [sym_command] = STATE(1635),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(771),
    [sym_concatenation] = STATE(529),
    [sym_string] = STATE(276),
    [sym_simple_expansion] = STATE(276),
    [sym_string_expansion] = STATE(276),
    [sym_expansion] = STATE(276),
    [sym_command_substitution] = STATE(276),
    [sym_process_substitution] = STATE(276),
    [aux_sym__statements_repeat1] = STATE(131),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(289),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_esac] = ACTIONS(175),
    [anon_sym_SEMI_SEMI] = ACTIONS(177),
    [anon_sym_SEMI_AMP] = ACTIONS(179),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(179),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [10] = {
    [sym__statements] = STATE(2913),
    [sym_redirected_statement] = STATE(1635),
    [sym_for_statement] = STATE(1635),
    [sym_c_style_for_statement] = STATE(1635),
    [sym_while_statement] = STATE(1635),
    [sym_if_statement] = STATE(1635),
    [sym_case_statement] = STATE(1635),
    [sym_function_definition] = STATE(1635),
    [sym_compound_statement] = STATE(1635),
    [sym_subshell] = STATE(1635),
    [sym_pipeline] = STATE(1635),
    [sym_list] = STATE(1635),
    [sym_negated_command] = STATE(1635),
    [sym_test_command] = STATE(1635),
    [sym_declaration_command] = STATE(1635),
    [sym_unset_command] = STATE(1635),
    [sym_command] = STATE(1635),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(771),
    [sym_concatenation] = STATE(529),
    [sym_string] = STATE(276),
    [sym_simple_expansion] = STATE(276),
    [sym_string_expansion] = STATE(276),
    [sym_expansion] = STATE(276),
    [sym_command_substitution] = STATE(276),
    [sym_process_substitution] = STATE(276),
    [aux_sym__statements_repeat1] = STATE(131),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(289),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_esac] = ACTIONS(181),
    [anon_sym_SEMI_SEMI] = ACTIONS(183),
    [anon_sym_SEMI_AMP] = ACTIONS(185),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [11] = {
    [sym__statements] = STATE(2920),
    [sym_redirected_statement] = STATE(1635),
    [sym_for_statement] = STATE(1635),
    [sym_c_style_for_statement] = STATE(1635),
    [sym_while_statement] = STATE(1635),
    [sym_if_statement] = STATE(1635),
    [sym_case_statement] = STATE(1635),
    [sym_function_definition] = STATE(1635),
    [sym_compound_statement] = STATE(1635),
    [sym_subshell] = STATE(1635),
    [sym_pipeline] = STATE(1635),
    [sym_list] = STATE(1635),
    [sym_negated_command] = STATE(1635),
    [sym_test_command] = STATE(1635),
    [sym_declaration_command] = STATE(1635),
    [sym_unset_command] = STATE(1635),
    [sym_command] = STATE(1635),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(771),
    [sym_concatenation] = STATE(529),
    [sym_string] = STATE(276),
    [sym_simple_expansion] = STATE(276),
    [sym_string_expansion] = STATE(276),
    [sym_expansion] = STATE(276),
    [sym_command_substitution] = STATE(276),
    [sym_process_substitution] = STATE(276),
    [aux_sym__statements_repeat1] = STATE(131),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(289),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_esac] = ACTIONS(187),
    [anon_sym_SEMI_SEMI] = ACTIONS(189),
    [anon_sym_SEMI_AMP] = ACTIONS(191),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(191),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [12] = {
    [sym__statements] = STATE(3076),
    [sym_redirected_statement] = STATE(1643),
    [sym_for_statement] = STATE(1643),
    [sym_c_style_for_statement] = STATE(1643),
    [sym_while_statement] = STATE(1643),
    [sym_if_statement] = STATE(1643),
    [sym_case_statement] = STATE(1643),
    [sym_function_definition] = STATE(1643),
    [sym_compound_statement] = STATE(1643),
    [sym_subshell] = STATE(1643),
    [sym_pipeline] = STATE(1643),
    [sym_list] = STATE(1643),
    [sym_negated_command] = STATE(1643),
    [sym_test_command] = STATE(1643),
    [sym_declaration_command] = STATE(1643),
    [sym_unset_command] = STATE(1643),
    [sym_command] = STATE(1643),
    [sym_command_name] = STATE(183),
    [sym_variable_assignment] = STATE(267),
    [sym_subscript] = STATE(3166),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(737),
    [sym_string] = STATE(311),
    [sym_simple_expansion] = STATE(311),
    [sym_string_expansion] = STATE(311),
    [sym_expansion] = STATE(311),
    [sym_command_substitution] = STATE(311),
    [sym_process_substitution] = STATE(311),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(463),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_SEMI_SEMI] = ACTIONS(195),
    [anon_sym_SEMI_AMP] = ACTIONS(139),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(139),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [13] = {
    [sym__statements] = STATE(3034),
    [sym_redirected_statement] = STATE(1643),
    [sym_for_statement] = STATE(1643),
    [sym_c_style_for_statement] = STATE(1643),
    [sym_while_statement] = STATE(1643),
    [sym_if_statement] = STATE(1643),
    [sym_case_statement] = STATE(1643),
    [sym_function_definition] = STATE(1643),
    [sym_compound_statement] = STATE(1643),
    [sym_subshell] = STATE(1643),
    [sym_pipeline] = STATE(1643),
    [sym_list] = STATE(1643),
    [sym_negated_command] = STATE(1643),
    [sym_test_command] = STATE(1643),
    [sym_declaration_command] = STATE(1643),
    [sym_unset_command] = STATE(1643),
    [sym_command] = STATE(1643),
    [sym_command_name] = STATE(183),
    [sym_variable_assignment] = STATE(267),
    [sym_subscript] = STATE(3166),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(737),
    [sym_string] = STATE(311),
    [sym_simple_expansion] = STATE(311),
    [sym_string_expansion] = STATE(311),
    [sym_expansion] = STATE(311),
    [sym_command_substitution] = STATE(311),
    [sym_process_substitution] = STATE(311),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(463),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_SEMI_SEMI] = ACTIONS(221),
    [anon_sym_SEMI_AMP] = ACTIONS(185),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [14] = {
    [sym__statements] = STATE(3010),
    [sym_redirected_statement] = STATE(1643),
    [sym_for_statement] = STATE(1643),
    [sym_c_style_for_statement] = STATE(1643),
    [sym_while_statement] = STATE(1643),
    [sym_if_statement] = STATE(1643),
    [sym_case_statement] = STATE(1643),
    [sym_function_definition] = STATE(1643),
    [sym_compound_statement] = STATE(1643),
    [sym_subshell] = STATE(1643),
    [sym_pipeline] = STATE(1643),
    [sym_list] = STATE(1643),
    [sym_negated_command] = STATE(1643),
    [sym_test_command] = STATE(1643),
    [sym_declaration_command] = STATE(1643),
    [sym_unset_command] = STATE(1643),
    [sym_command] = STATE(1643),
    [sym_command_name] = STATE(183),
    [sym_variable_assignment] = STATE(267),
    [sym_subscript] = STATE(3166),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(737),
    [sym_string] = STATE(311),
    [sym_simple_expansion] = STATE(311),
    [sym_string_expansion] = STATE(311),
    [sym_expansion] = STATE(311),
    [sym_command_substitution] = STATE(311),
    [sym_process_substitution] = STATE(311),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(463),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_SEMI_SEMI] = ACTIONS(223),
    [anon_sym_SEMI_AMP] = ACTIONS(179),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(179),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [15] = {
    [sym__statements] = STATE(2995),
    [sym_redirected_statement] = STATE(1643),
    [sym_for_statement] = STATE(1643),
    [sym_c_style_for_statement] = STATE(1643),
    [sym_while_statement] = STATE(1643),
    [sym_if_statement] = STATE(1643),
    [sym_case_statement] = STATE(1643),
    [sym_function_definition] = STATE(1643),
    [sym_compound_statement] = STATE(1643),
    [sym_subshell] = STATE(1643),
    [sym_pipeline] = STATE(1643),
    [sym_list] = STATE(1643),
    [sym_negated_command] = STATE(1643),
    [sym_test_command] = STATE(1643),
    [sym_declaration_command] = STATE(1643),
    [sym_unset_command] = STATE(1643),
    [sym_command] = STATE(1643),
    [sym_command_name] = STATE(183),
    [sym_variable_assignment] = STATE(267),
    [sym_subscript] = STATE(3166),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(737),
    [sym_string] = STATE(311),
    [sym_simple_expansion] = STATE(311),
    [sym_string_expansion] = STATE(311),
    [sym_expansion] = STATE(311),
    [sym_command_substitution] = STATE(311),
    [sym_process_substitution] = STATE(311),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(463),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_SEMI_SEMI] = ACTIONS(225),
    [anon_sym_SEMI_AMP] = ACTIONS(191),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(191),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [16] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(227),
    [anon_sym_for] = ACTIONS(230),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(233),
    [anon_sym_while] = ACTIONS(236),
    [anon_sym_done] = ACTIONS(239),
    [anon_sym_if] = ACTIONS(241),
    [anon_sym_fi] = ACTIONS(239),
    [anon_sym_elif] = ACTIONS(239),
    [anon_sym_else] = ACTIONS(239),
    [anon_sym_case] = ACTIONS(244),
    [anon_sym_function] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_BANG] = ACTIONS(256),
    [anon_sym_LBRACK] = ACTIONS(259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(262),
    [anon_sym_declare] = ACTIONS(265),
    [anon_sym_typeset] = ACTIONS(265),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_readonly] = ACTIONS(265),
    [anon_sym_local] = ACTIONS(265),
    [anon_sym_unset] = ACTIONS(268),
    [anon_sym_unsetenv] = ACTIONS(268),
    [anon_sym_LT] = ACTIONS(271),
    [anon_sym_GT] = ACTIONS(271),
    [anon_sym_GT_GT] = ACTIONS(274),
    [anon_sym_AMP_GT] = ACTIONS(271),
    [anon_sym_AMP_GT_GT] = ACTIONS(274),
    [anon_sym_LT_AMP] = ACTIONS(274),
    [anon_sym_GT_AMP] = ACTIONS(274),
    [anon_sym_GT_PIPE] = ACTIONS(274),
    [anon_sym_DOLLAR] = ACTIONS(277),
    [sym__special_character] = ACTIONS(280),
    [anon_sym_DQUOTE] = ACTIONS(283),
    [sym_raw_string] = ACTIONS(286),
    [sym_ansii_c_string] = ACTIONS(286),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(292),
    [anon_sym_BQUOTE] = ACTIONS(295),
    [anon_sym_LT_LPAREN] = ACTIONS(298),
    [anon_sym_GT_LPAREN] = ACTIONS(298),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(301),
    [sym_variable_name] = ACTIONS(304),
  },
  [17] = {
    [aux_sym__statements2] = STATE(18),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(307),
    [anon_sym_elif] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [18] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(309),
    [anon_sym_elif] = ACTIONS(309),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [19] = {
    [sym__statements] = STATE(3358),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(311),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [20] = {
    [sym__statements] = STATE(3403),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(313),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [21] = {
    [sym__statements] = STATE(3357),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [22] = {
    [sym__statements] = STATE(3312),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(2031),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [23] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [24] = {
    [sym__statements] = STATE(3328),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [25] = {
    [sym__statements] = STATE(3327),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [26] = {
    [aux_sym__statements2] = STATE(26),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(379),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(227),
    [anon_sym_for] = ACTIONS(230),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(233),
    [anon_sym_while] = ACTIONS(236),
    [anon_sym_if] = ACTIONS(241),
    [anon_sym_case] = ACTIONS(244),
    [anon_sym_function] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_RBRACE] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(256),
    [anon_sym_LBRACK] = ACTIONS(259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(262),
    [anon_sym_declare] = ACTIONS(265),
    [anon_sym_typeset] = ACTIONS(265),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_readonly] = ACTIONS(265),
    [anon_sym_local] = ACTIONS(265),
    [anon_sym_unset] = ACTIONS(268),
    [anon_sym_unsetenv] = ACTIONS(268),
    [anon_sym_LT] = ACTIONS(271),
    [anon_sym_GT] = ACTIONS(271),
    [anon_sym_GT_GT] = ACTIONS(274),
    [anon_sym_AMP_GT] = ACTIONS(271),
    [anon_sym_AMP_GT_GT] = ACTIONS(274),
    [anon_sym_LT_AMP] = ACTIONS(274),
    [anon_sym_GT_AMP] = ACTIONS(274),
    [anon_sym_GT_PIPE] = ACTIONS(274),
    [anon_sym_DOLLAR] = ACTIONS(277),
    [sym__special_character] = ACTIONS(280),
    [anon_sym_DQUOTE] = ACTIONS(283),
    [sym_raw_string] = ACTIONS(286),
    [sym_ansii_c_string] = ACTIONS(286),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(292),
    [anon_sym_BQUOTE] = ACTIONS(295),
    [anon_sym_LT_LPAREN] = ACTIONS(298),
    [anon_sym_GT_LPAREN] = ACTIONS(298),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(301),
    [sym_variable_name] = ACTIONS(304),
  },
  [27] = {
    [sym__statements] = STATE(3349),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [28] = {
    [sym__statements] = STATE(3350),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [29] = {
    [sym__statements] = STATE(3354),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1998),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [30] = {
    [sym__statements] = STATE(3290),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [31] = {
    [sym__statements] = STATE(3292),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [32] = {
    [sym__statements] = STATE(3374),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [33] = {
    [sym__statements] = STATE(3357),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [34] = {
    [sym__statements] = STATE(3332),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1960),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [35] = {
    [aux_sym__statements2] = STATE(57),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(379),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [36] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(329),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [37] = {
    [sym__statements] = STATE(3375),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [38] = {
    [sym__statements] = STATE(3379),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1993),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [39] = {
    [sym__statements] = STATE(3406),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [40] = {
    [sym__statements] = STATE(3257),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [41] = {
    [sym__statements] = STATE(3410),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [42] = {
    [sym__statements] = STATE(3416),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1987),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [43] = {
    [sym__statements] = STATE(3434),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [44] = {
    [sym__statements] = STATE(3405),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [45] = {
    [sym__statements] = STATE(3427),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1976),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [46] = {
    [sym__statements] = STATE(3387),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [47] = {
    [sym__statements] = STATE(3386),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [48] = {
    [sym__statements] = STATE(3385),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1951),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [49] = {
    [sym__statements] = STATE(3325),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(2025),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [50] = {
    [sym__statements] = STATE(3346),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [51] = {
    [sym__statements] = STATE(3344),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [52] = {
    [sym__statements] = STATE(3342),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1945),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [53] = {
    [sym__statements] = STATE(3304),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [54] = {
    [sym__statements] = STATE(3303),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [55] = {
    [sym__statements] = STATE(3301),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1891),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [56] = {
    [sym__statements] = STATE(3270),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [57] = {
    [aux_sym__statements2] = STATE(26),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(379),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [58] = {
    [sym__statements] = STATE(3269),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [59] = {
    [sym__statements] = STATE(3314),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [60] = {
    [sym__statements] = STATE(3268),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1929),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [61] = {
    [sym__statements] = STATE(3250),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [62] = {
    [sym__statements] = STATE(3249),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [63] = {
    [sym__statements] = STATE(3253),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(2038),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [64] = {
    [aux_sym__statements2] = STATE(128),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [65] = {
    [aux_sym__statements2] = STATE(26),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(379),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [66] = {
    [aux_sym__statements2] = STATE(65),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(379),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [67] = {
    [sym__statements] = STATE(3298),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [68] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(339),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [69] = {
    [sym__statements] = STATE(3248),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1926),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [70] = {
    [sym__statements] = STATE(3232),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [71] = {
    [sym__statements] = STATE(3233),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [72] = {
    [sym__statements] = STATE(3299),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(2046),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [73] = {
    [aux_sym__statements2] = STATE(68),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [74] = {
    [aux_sym__statements2] = STATE(26),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(379),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [75] = {
    [sym__statements] = STATE(3236),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1910),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [76] = {
    [aux_sym__statements2] = STATE(74),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(379),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [77] = {
    [sym__statements] = STATE(3265),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [78] = {
    [aux_sym__statements2] = STATE(36),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [79] = {
    [sym__statements] = STATE(3273),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [80] = {
    [sym__statements] = STATE(3286),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1907),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [81] = {
    [sym__statements] = STATE(3317),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [82] = {
    [sym__statements] = STATE(3315),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [83] = {
    [sym__statements] = STATE(3318),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [84] = {
    [sym__statements] = STATE(3289),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(2061),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [85] = {
    [sym__statements] = STATE(3345),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1997),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [86] = {
    [sym__statements] = STATE(3321),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1900),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [87] = {
    [sym__statements] = STATE(3371),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [88] = {
    [sym__statements] = STATE(3378),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [89] = {
    [sym__statements] = STATE(3382),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1897),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [90] = {
    [sym__statements] = STATE(3409),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [91] = {
    [sym__statements] = STATE(3352),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [92] = {
    [sym__statements] = STATE(3324),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [93] = {
    [sym__statements] = STATE(3403),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [94] = {
    [sym__statements] = STATE(3384),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1992),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [95] = {
    [sym__statements] = STATE(3413),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [96] = {
    [sym__statements] = STATE(3414),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1892),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [97] = {
    [sym__statements] = STATE(3433),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [98] = {
    [sym__statements] = STATE(3435),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [99] = {
    [sym__statements] = STATE(3377),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [100] = {
    [sym__statements] = STATE(3372),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [101] = {
    [sym__statements] = STATE(3355),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [102] = {
    [sym__statements] = STATE(3358),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [103] = {
    [sym__statements] = STATE(3311),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1894),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [104] = {
    [sym__statements] = STATE(3432),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1902),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [105] = {
    [sym__statements] = STATE(3412),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1984),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [106] = {
    [sym__statements] = STATE(3430),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [107] = {
    [sym__statements] = STATE(3333),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [108] = {
    [sym__statements] = STATE(3429),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [109] = {
    [aux_sym__statements2] = STATE(23),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [110] = {
    [sym__statements] = STATE(3331),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [111] = {
    [sym__statements] = STATE(3322),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1899),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [112] = {
    [sym__statements] = STATE(3255),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [113] = {
    [sym__statements] = STATE(3245),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [114] = {
    [sym__statements] = STATE(3244),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1909),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [115] = {
    [sym__statements] = STATE(3256),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [116] = {
    [sym__statements] = STATE(3254),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [117] = {
    [sym__statements] = STATE(3259),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [118] = {
    [sym__statements] = STATE(3272),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1989),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [119] = {
    [sym__statements] = STATE(3271),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [120] = {
    [sym__statements] = STATE(3266),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [121] = {
    [sym__statements] = STATE(3267),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1927),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [122] = {
    [sym__statements] = STATE(3359),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [123] = {
    [sym__statements] = STATE(3373),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [124] = {
    [sym__statements] = STATE(3380),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1950),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [125] = {
    [sym__statements] = STATE(3399),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [126] = {
    [sym__statements] = STATE(3400),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [127] = {
    [sym__statements] = STATE(3402),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(1973),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [128] = {
    [aux_sym__statements2] = STATE(16),
    [sym_redirected_statement] = STATE(1716),
    [sym_for_statement] = STATE(1716),
    [sym_c_style_for_statement] = STATE(1716),
    [sym_while_statement] = STATE(1716),
    [sym_if_statement] = STATE(1716),
    [sym_case_statement] = STATE(1716),
    [sym_function_definition] = STATE(1716),
    [sym_compound_statement] = STATE(1716),
    [sym_subshell] = STATE(1716),
    [sym_pipeline] = STATE(1716),
    [sym_list] = STATE(1716),
    [sym_negated_command] = STATE(1716),
    [sym_test_command] = STATE(1716),
    [sym_declaration_command] = STATE(1716),
    [sym_unset_command] = STATE(1716),
    [sym_command] = STATE(1716),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(412),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [129] = {
    [sym__statements] = STATE(3423),
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(344),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [130] = {
    [sym__statements] = STATE(3420),
    [sym_redirected_statement] = STATE(1659),
    [sym_for_statement] = STATE(1659),
    [sym_c_style_for_statement] = STATE(1659),
    [sym_while_statement] = STATE(1659),
    [sym_if_statement] = STATE(1659),
    [sym_case_statement] = STATE(1659),
    [sym_function_definition] = STATE(1659),
    [sym_compound_statement] = STATE(1659),
    [sym_subshell] = STATE(1659),
    [sym_pipeline] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_negated_command] = STATE(1659),
    [sym_test_command] = STATE(1659),
    [sym_declaration_command] = STATE(1659),
    [sym_unset_command] = STATE(1659),
    [sym_command] = STATE(1659),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(530),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [131] = {
    [sym_redirected_statement] = STATE(1634),
    [sym_for_statement] = STATE(1634),
    [sym_c_style_for_statement] = STATE(1634),
    [sym_while_statement] = STATE(1634),
    [sym_if_statement] = STATE(1634),
    [sym_case_statement] = STATE(1634),
    [sym_function_definition] = STATE(1634),
    [sym_compound_statement] = STATE(1634),
    [sym_subshell] = STATE(1634),
    [sym_pipeline] = STATE(1634),
    [sym_list] = STATE(1634),
    [sym_negated_command] = STATE(1634),
    [sym_test_command] = STATE(1634),
    [sym_declaration_command] = STATE(1634),
    [sym_unset_command] = STATE(1634),
    [sym_command] = STATE(1634),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(261),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(771),
    [sym_concatenation] = STATE(529),
    [sym_string] = STATE(276),
    [sym_simple_expansion] = STATE(276),
    [sym_string_expansion] = STATE(276),
    [sym_expansion] = STATE(276),
    [sym_command_substitution] = STATE(276),
    [sym_process_substitution] = STATE(276),
    [aux_sym__statements_repeat1] = STATE(132),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(289),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [132] = {
    [sym_redirected_statement] = STATE(1694),
    [sym_for_statement] = STATE(1694),
    [sym_c_style_for_statement] = STATE(1694),
    [sym_while_statement] = STATE(1694),
    [sym_if_statement] = STATE(1694),
    [sym_case_statement] = STATE(1694),
    [sym_function_definition] = STATE(1694),
    [sym_compound_statement] = STATE(1694),
    [sym_subshell] = STATE(1694),
    [sym_pipeline] = STATE(1694),
    [sym_list] = STATE(1694),
    [sym_negated_command] = STATE(1694),
    [sym_test_command] = STATE(1694),
    [sym_declaration_command] = STATE(1694),
    [sym_unset_command] = STATE(1694),
    [sym_command] = STATE(1694),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(503),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(132),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(353),
    [anon_sym_for] = ACTIONS(356),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(359),
    [anon_sym_while] = ACTIONS(362),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_case] = ACTIONS(368),
    [anon_sym_function] = ACTIONS(371),
    [anon_sym_LPAREN] = ACTIONS(374),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_BANG] = ACTIONS(380),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(386),
    [anon_sym_declare] = ACTIONS(389),
    [anon_sym_typeset] = ACTIONS(389),
    [anon_sym_export] = ACTIONS(389),
    [anon_sym_readonly] = ACTIONS(389),
    [anon_sym_local] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(392),
    [anon_sym_unsetenv] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(395),
    [anon_sym_GT] = ACTIONS(395),
    [anon_sym_GT_GT] = ACTIONS(398),
    [anon_sym_AMP_GT] = ACTIONS(395),
    [anon_sym_AMP_GT_GT] = ACTIONS(398),
    [anon_sym_LT_AMP] = ACTIONS(398),
    [anon_sym_GT_AMP] = ACTIONS(398),
    [anon_sym_GT_PIPE] = ACTIONS(398),
    [anon_sym_DOLLAR] = ACTIONS(401),
    [sym__special_character] = ACTIONS(404),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_raw_string] = ACTIONS(410),
    [sym_ansii_c_string] = ACTIONS(410),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(413),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(416),
    [anon_sym_BQUOTE] = ACTIONS(419),
    [anon_sym_LT_LPAREN] = ACTIONS(422),
    [anon_sym_GT_LPAREN] = ACTIONS(422),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(425),
    [sym_variable_name] = ACTIONS(428),
  },
  [133] = {
    [sym__terminated_statement] = STATE(3196),
    [sym_redirected_statement] = STATE(1685),
    [sym_for_statement] = STATE(1685),
    [sym_c_style_for_statement] = STATE(1685),
    [sym_while_statement] = STATE(1685),
    [sym_if_statement] = STATE(1685),
    [sym_case_statement] = STATE(1685),
    [sym_function_definition] = STATE(1685),
    [sym_compound_statement] = STATE(1685),
    [sym_subshell] = STATE(1685),
    [sym_pipeline] = STATE(1685),
    [sym_list] = STATE(1685),
    [sym_negated_command] = STATE(1685),
    [sym_test_command] = STATE(1685),
    [sym_declaration_command] = STATE(1685),
    [sym_unset_command] = STATE(1685),
    [sym_command] = STATE(1685),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(424),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [134] = {
    [sym__terminated_statement] = STATE(3220),
    [sym_redirected_statement] = STATE(1685),
    [sym_for_statement] = STATE(1685),
    [sym_c_style_for_statement] = STATE(1685),
    [sym_while_statement] = STATE(1685),
    [sym_if_statement] = STATE(1685),
    [sym_case_statement] = STATE(1685),
    [sym_function_definition] = STATE(1685),
    [sym_compound_statement] = STATE(1685),
    [sym_subshell] = STATE(1685),
    [sym_pipeline] = STATE(1685),
    [sym_list] = STATE(1685),
    [sym_negated_command] = STATE(1685),
    [sym_test_command] = STATE(1685),
    [sym_declaration_command] = STATE(1685),
    [sym_unset_command] = STATE(1685),
    [sym_command] = STATE(1685),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(424),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [135] = {
    [sym_redirected_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_c_style_for_statement] = STATE(1667),
    [sym_while_statement] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_case_statement] = STATE(1667),
    [sym_function_definition] = STATE(1667),
    [sym_compound_statement] = STATE(1667),
    [sym_subshell] = STATE(1667),
    [sym_pipeline] = STATE(1667),
    [sym_list] = STATE(1667),
    [sym_negated_command] = STATE(1667),
    [sym_test_command] = STATE(1667),
    [sym_declaration_command] = STATE(1667),
    [sym_unset_command] = STATE(1667),
    [sym_command] = STATE(1667),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(521),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(132),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [136] = {
    [sym_redirected_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_c_style_for_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_case_statement] = STATE(1647),
    [sym_function_definition] = STATE(1647),
    [sym_compound_statement] = STATE(1647),
    [sym_subshell] = STATE(1647),
    [sym_pipeline] = STATE(1647),
    [sym_list] = STATE(1647),
    [sym_negated_command] = STATE(1647),
    [sym_test_command] = STATE(1647),
    [sym_declaration_command] = STATE(1647),
    [sym_unset_command] = STATE(1647),
    [sym_command] = STATE(1647),
    [sym_command_name] = STATE(183),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(3166),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(737),
    [sym_string] = STATE(311),
    [sym_simple_expansion] = STATE(311),
    [sym_string_expansion] = STATE(311),
    [sym_expansion] = STATE(311),
    [sym_command_substitution] = STATE(311),
    [sym_process_substitution] = STATE(311),
    [aux_sym__statements_repeat1] = STATE(132),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(463),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [137] = {
    [sym__terminated_statement] = STATE(3390),
    [sym_redirected_statement] = STATE(1685),
    [sym_for_statement] = STATE(1685),
    [sym_c_style_for_statement] = STATE(1685),
    [sym_while_statement] = STATE(1685),
    [sym_if_statement] = STATE(1685),
    [sym_case_statement] = STATE(1685),
    [sym_function_definition] = STATE(1685),
    [sym_compound_statement] = STATE(1685),
    [sym_subshell] = STATE(1685),
    [sym_pipeline] = STATE(1685),
    [sym_list] = STATE(1685),
    [sym_negated_command] = STATE(1685),
    [sym_test_command] = STATE(1685),
    [sym_declaration_command] = STATE(1685),
    [sym_unset_command] = STATE(1685),
    [sym_command] = STATE(1685),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(424),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [138] = {
    [sym__terminated_statement] = STATE(3275),
    [sym_redirected_statement] = STATE(1685),
    [sym_for_statement] = STATE(1685),
    [sym_c_style_for_statement] = STATE(1685),
    [sym_while_statement] = STATE(1685),
    [sym_if_statement] = STATE(1685),
    [sym_case_statement] = STATE(1685),
    [sym_function_definition] = STATE(1685),
    [sym_compound_statement] = STATE(1685),
    [sym_subshell] = STATE(1685),
    [sym_pipeline] = STATE(1685),
    [sym_list] = STATE(1685),
    [sym_negated_command] = STATE(1685),
    [sym_test_command] = STATE(1685),
    [sym_declaration_command] = STATE(1685),
    [sym_unset_command] = STATE(1685),
    [sym_command] = STATE(1685),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(424),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [139] = {
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(320),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym__statements_repeat1] = STATE(132),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [140] = {
    [sym_redirected_statement] = STATE(1670),
    [sym_for_statement] = STATE(1670),
    [sym_c_style_for_statement] = STATE(1670),
    [sym_while_statement] = STATE(1670),
    [sym_if_statement] = STATE(1670),
    [sym_case_statement] = STATE(1670),
    [sym_function_definition] = STATE(1670),
    [sym_compound_statement] = STATE(1670),
    [sym_subshell] = STATE(1670),
    [sym_pipeline] = STATE(1670),
    [sym_list] = STATE(1670),
    [sym_negated_command] = STATE(1670),
    [sym_test_command] = STATE(1670),
    [sym_declaration_command] = STATE(1670),
    [sym_unset_command] = STATE(1670),
    [sym_command] = STATE(1670),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(361),
    [sym_subscript] = STATE(3210),
    [sym_file_redirect] = STATE(840),
    [sym_concatenation] = STATE(837),
    [sym_string] = STATE(504),
    [sym_simple_expansion] = STATE(504),
    [sym_string_expansion] = STATE(504),
    [sym_expansion] = STATE(504),
    [sym_command_substitution] = STATE(504),
    [sym_process_substitution] = STATE(504),
    [aux_sym__statements_repeat1] = STATE(132),
    [aux_sym_command_repeat1] = STATE(840),
    [aux_sym__literal_repeat1] = STATE(533),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [141] = {
    [sym__terminated_statement] = STATE(3237),
    [sym_redirected_statement] = STATE(1685),
    [sym_for_statement] = STATE(1685),
    [sym_c_style_for_statement] = STATE(1685),
    [sym_while_statement] = STATE(1685),
    [sym_if_statement] = STATE(1685),
    [sym_case_statement] = STATE(1685),
    [sym_function_definition] = STATE(1685),
    [sym_compound_statement] = STATE(1685),
    [sym_subshell] = STATE(1685),
    [sym_pipeline] = STATE(1685),
    [sym_list] = STATE(1685),
    [sym_negated_command] = STATE(1685),
    [sym_test_command] = STATE(1685),
    [sym_declaration_command] = STATE(1685),
    [sym_unset_command] = STATE(1685),
    [sym_command] = STATE(1685),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(424),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [142] = {
    [sym__terminated_statement] = STATE(3366),
    [sym_redirected_statement] = STATE(1685),
    [sym_for_statement] = STATE(1685),
    [sym_c_style_for_statement] = STATE(1685),
    [sym_while_statement] = STATE(1685),
    [sym_if_statement] = STATE(1685),
    [sym_case_statement] = STATE(1685),
    [sym_function_definition] = STATE(1685),
    [sym_compound_statement] = STATE(1685),
    [sym_subshell] = STATE(1685),
    [sym_pipeline] = STATE(1685),
    [sym_list] = STATE(1685),
    [sym_negated_command] = STATE(1685),
    [sym_test_command] = STATE(1685),
    [sym_declaration_command] = STATE(1685),
    [sym_unset_command] = STATE(1685),
    [sym_command] = STATE(1685),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(424),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [143] = {
    [sym__terminated_statement] = STATE(3191),
    [sym_redirected_statement] = STATE(1685),
    [sym_for_statement] = STATE(1685),
    [sym_c_style_for_statement] = STATE(1685),
    [sym_while_statement] = STATE(1685),
    [sym_if_statement] = STATE(1685),
    [sym_case_statement] = STATE(1685),
    [sym_function_definition] = STATE(1685),
    [sym_compound_statement] = STATE(1685),
    [sym_subshell] = STATE(1685),
    [sym_pipeline] = STATE(1685),
    [sym_list] = STATE(1685),
    [sym_negated_command] = STATE(1685),
    [sym_test_command] = STATE(1685),
    [sym_declaration_command] = STATE(1685),
    [sym_unset_command] = STATE(1685),
    [sym_command] = STATE(1685),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(424),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [144] = {
    [sym_redirected_statement] = STATE(1637),
    [sym_for_statement] = STATE(1637),
    [sym_c_style_for_statement] = STATE(1637),
    [sym_while_statement] = STATE(1637),
    [sym_if_statement] = STATE(1637),
    [sym_case_statement] = STATE(1637),
    [sym_function_definition] = STATE(1637),
    [sym_compound_statement] = STATE(1637),
    [sym_subshell] = STATE(1637),
    [sym_pipeline] = STATE(1637),
    [sym_list] = STATE(1637),
    [sym_negated_command] = STATE(1637),
    [sym_test_command] = STATE(1637),
    [sym_declaration_command] = STATE(1637),
    [sym_unset_command] = STATE(1637),
    [sym_command] = STATE(1637),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(259),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(771),
    [sym_concatenation] = STATE(529),
    [sym_string] = STATE(276),
    [sym_simple_expansion] = STATE(276),
    [sym_string_expansion] = STATE(276),
    [sym_expansion] = STATE(276),
    [sym_command_substitution] = STATE(276),
    [sym_process_substitution] = STATE(276),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(289),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
  [145] = {
    [sym_redirected_statement] = STATE(1666),
    [sym_for_statement] = STATE(1666),
    [sym_c_style_for_statement] = STATE(1666),
    [sym_while_statement] = STATE(1666),
    [sym_if_statement] = STATE(1666),
    [sym_case_statement] = STATE(1666),
    [sym_function_definition] = STATE(1666),
    [sym_compound_statement] = STATE(1666),
    [sym_subshell] = STATE(1666),
    [sym_pipeline] = STATE(1666),
    [sym_list] = STATE(1666),
    [sym_negated_command] = STATE(1666),
    [sym_test_command] = STATE(1666),
    [sym_declaration_command] = STATE(1666),
    [sym_unset_command] = STATE(1666),
    [sym_command] = STATE(1666),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(313),
    [sym_subscript] = STATE(3210),
    [sym_file_redirect] = STATE(840),
    [sym_concatenation] = STATE(837),
    [sym_string] = STATE(504),
    [sym_simple_expansion] = STATE(504),
    [sym_string_expansion] = STATE(504),
    [sym_expansion] = STATE(504),
    [sym_command_substitution] = STATE(504),
    [sym_process_substitution] = STATE(504),
    [aux_sym_command_repeat1] = STATE(840),
    [aux_sym__literal_repeat1] = STATE(533),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [146] = {
    [sym_redirected_statement] = STATE(1665),
    [sym_for_statement] = STATE(1665),
    [sym_c_style_for_statement] = STATE(1665),
    [sym_while_statement] = STATE(1665),
    [sym_if_statement] = STATE(1665),
    [sym_case_statement] = STATE(1665),
    [sym_function_definition] = STATE(1665),
    [sym_compound_statement] = STATE(1665),
    [sym_subshell] = STATE(1665),
    [sym_pipeline] = STATE(1665),
    [sym_list] = STATE(1665),
    [sym_negated_command] = STATE(1665),
    [sym_test_command] = STATE(1665),
    [sym_declaration_command] = STATE(1665),
    [sym_unset_command] = STATE(1665),
    [sym_command] = STATE(1665),
    [sym_command_name] = STATE(206),
    [sym_variable_assignment] = STATE(309),
    [sym_subscript] = STATE(3210),
    [sym_file_redirect] = STATE(840),
    [sym_concatenation] = STATE(837),
    [sym_string] = STATE(504),
    [sym_simple_expansion] = STATE(504),
    [sym_string_expansion] = STATE(504),
    [sym_expansion] = STATE(504),
    [sym_command_substitution] = STATE(504),
    [sym_process_substitution] = STATE(504),
    [aux_sym_command_repeat1] = STATE(840),
    [aux_sym__literal_repeat1] = STATE(533),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [147] = {
    [sym_redirected_statement] = STATE(1641),
    [sym_for_statement] = STATE(1641),
    [sym_c_style_for_statement] = STATE(1641),
    [sym_while_statement] = STATE(1641),
    [sym_if_statement] = STATE(1641),
    [sym_case_statement] = STATE(1641),
    [sym_function_definition] = STATE(1641),
    [sym_compound_statement] = STATE(1641),
    [sym_subshell] = STATE(1641),
    [sym_pipeline] = STATE(1641),
    [sym_list] = STATE(1641),
    [sym_negated_command] = STATE(1641),
    [sym_test_command] = STATE(1641),
    [sym_declaration_command] = STATE(1641),
    [sym_unset_command] = STATE(1641),
    [sym_command] = STATE(1641),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(513),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [148] = {
    [sym_redirected_statement] = STATE(1644),
    [sym_for_statement] = STATE(1644),
    [sym_c_style_for_statement] = STATE(1644),
    [sym_while_statement] = STATE(1644),
    [sym_if_statement] = STATE(1644),
    [sym_case_statement] = STATE(1644),
    [sym_function_definition] = STATE(1644),
    [sym_compound_statement] = STATE(1644),
    [sym_subshell] = STATE(1644),
    [sym_pipeline] = STATE(1644),
    [sym_list] = STATE(1644),
    [sym_negated_command] = STATE(1644),
    [sym_test_command] = STATE(1644),
    [sym_declaration_command] = STATE(1644),
    [sym_unset_command] = STATE(1644),
    [sym_command] = STATE(1644),
    [sym_command_name] = STATE(183),
    [sym_variable_assignment] = STATE(273),
    [sym_subscript] = STATE(3166),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(737),
    [sym_string] = STATE(311),
    [sym_simple_expansion] = STATE(311),
    [sym_string_expansion] = STATE(311),
    [sym_expansion] = STATE(311),
    [sym_command_substitution] = STATE(311),
    [sym_process_substitution] = STATE(311),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(463),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [149] = {
    [sym_redirected_statement] = STATE(1649),
    [sym_for_statement] = STATE(1649),
    [sym_c_style_for_statement] = STATE(1649),
    [sym_while_statement] = STATE(1649),
    [sym_if_statement] = STATE(1649),
    [sym_case_statement] = STATE(1649),
    [sym_function_definition] = STATE(1649),
    [sym_compound_statement] = STATE(1649),
    [sym_subshell] = STATE(1649),
    [sym_pipeline] = STATE(1649),
    [sym_list] = STATE(1649),
    [sym_negated_command] = STATE(1649),
    [sym_test_command] = STATE(1649),
    [sym_declaration_command] = STATE(1649),
    [sym_unset_command] = STATE(1649),
    [sym_command] = STATE(1649),
    [sym_command_name] = STATE(183),
    [sym_variable_assignment] = STATE(274),
    [sym_subscript] = STATE(3166),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(737),
    [sym_string] = STATE(311),
    [sym_simple_expansion] = STATE(311),
    [sym_string_expansion] = STATE(311),
    [sym_expansion] = STATE(311),
    [sym_command_substitution] = STATE(311),
    [sym_process_substitution] = STATE(311),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(463),
    [sym_word] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(199),
    [anon_sym_typeset] = ACTIONS(199),
    [anon_sym_export] = ACTIONS(199),
    [anon_sym_readonly] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(199),
    [anon_sym_unset] = ACTIONS(201),
    [anon_sym_unsetenv] = ACTIONS(201),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [sym__special_character] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_raw_string] = ACTIONS(209),
    [sym_ansii_c_string] = ACTIONS(209),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(211),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(215),
    [anon_sym_LT_LPAREN] = ACTIONS(217),
    [anon_sym_GT_LPAREN] = ACTIONS(217),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(219),
  },
  [150] = {
    [sym_redirected_statement] = STATE(1641),
    [sym_for_statement] = STATE(1641),
    [sym_c_style_for_statement] = STATE(1641),
    [sym_while_statement] = STATE(1641),
    [sym_if_statement] = STATE(1641),
    [sym_case_statement] = STATE(1641),
    [sym_function_definition] = STATE(1641),
    [sym_compound_statement] = STATE(1641),
    [sym_subshell] = STATE(1641),
    [sym_pipeline] = STATE(1641),
    [sym_list] = STATE(1641),
    [sym_negated_command] = STATE(1641),
    [sym_test_command] = STATE(1641),
    [sym_declaration_command] = STATE(1641),
    [sym_unset_command] = STATE(1641),
    [sym_command] = STATE(1641),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(304),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [151] = {
    [sym_redirected_statement] = STATE(1657),
    [sym_for_statement] = STATE(1657),
    [sym_c_style_for_statement] = STATE(1657),
    [sym_while_statement] = STATE(1657),
    [sym_if_statement] = STATE(1657),
    [sym_case_statement] = STATE(1657),
    [sym_function_definition] = STATE(1657),
    [sym_compound_statement] = STATE(1657),
    [sym_subshell] = STATE(1657),
    [sym_pipeline] = STATE(1657),
    [sym_list] = STATE(1657),
    [sym_negated_command] = STATE(1657),
    [sym_test_command] = STATE(1657),
    [sym_declaration_command] = STATE(1657),
    [sym_unset_command] = STATE(1657),
    [sym_command] = STATE(1657),
    [sym_command_name] = STATE(225),
    [sym_variable_assignment] = STATE(296),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(798),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(798),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [152] = {
    [sym_redirected_statement] = STATE(1655),
    [sym_for_statement] = STATE(1655),
    [sym_c_style_for_statement] = STATE(1655),
    [sym_while_statement] = STATE(1655),
    [sym_if_statement] = STATE(1655),
    [sym_case_statement] = STATE(1655),
    [sym_function_definition] = STATE(1655),
    [sym_compound_statement] = STATE(1655),
    [sym_subshell] = STATE(1655),
    [sym_pipeline] = STATE(1655),
    [sym_list] = STATE(1655),
    [sym_negated_command] = STATE(1655),
    [sym_test_command] = STATE(1655),
    [sym_declaration_command] = STATE(1655),
    [sym_unset_command] = STATE(1655),
    [sym_command] = STATE(1655),
    [sym_command_name] = STATE(241),
    [sym_variable_assignment] = STATE(511),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(747),
    [sym_concatenation] = STATE(805),
    [sym_string] = STATE(416),
    [sym_simple_expansion] = STATE(416),
    [sym_string_expansion] = STATE(416),
    [sym_expansion] = STATE(416),
    [sym_command_substitution] = STATE(416),
    [sym_process_substitution] = STATE(416),
    [aux_sym_command_repeat1] = STATE(747),
    [aux_sym__literal_repeat1] = STATE(713),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(323),
    [anon_sym_unsetenv] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [153] = {
    [sym_redirected_statement] = STATE(1639),
    [sym_for_statement] = STATE(1639),
    [sym_c_style_for_statement] = STATE(1639),
    [sym_while_statement] = STATE(1639),
    [sym_if_statement] = STATE(1639),
    [sym_case_statement] = STATE(1639),
    [sym_function_definition] = STATE(1639),
    [sym_compound_statement] = STATE(1639),
    [sym_subshell] = STATE(1639),
    [sym_pipeline] = STATE(1639),
    [sym_list] = STATE(1639),
    [sym_negated_command] = STATE(1639),
    [sym_test_command] = STATE(1639),
    [sym_declaration_command] = STATE(1639),
    [sym_unset_command] = STATE(1639),
    [sym_command] = STATE(1639),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(257),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(771),
    [sym_concatenation] = STATE(529),
    [sym_string] = STATE(276),
    [sym_simple_expansion] = STATE(276),
    [sym_string_expansion] = STATE(276),
    [sym_expansion] = STATE(276),
    [sym_command_substitution] = STATE(276),
    [sym_process_substitution] = STATE(276),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(289),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(151),
    [anon_sym_declare] = ACTIONS(153),
    [anon_sym_typeset] = ACTIONS(153),
    [anon_sym_export] = ACTIONS(153),
    [anon_sym_readonly] = ACTIONS(153),
    [anon_sym_local] = ACTIONS(153),
    [anon_sym_unset] = ACTIONS(155),
    [anon_sym_unsetenv] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [sym__special_character] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [sym_raw_string] = ACTIONS(163),
    [sym_ansii_c_string] = ACTIONS(163),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(165),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(167),
    [anon_sym_BQUOTE] = ACTIONS(169),
    [anon_sym_LT_LPAREN] = ACTIONS(171),
    [anon_sym_GT_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(173),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR,
    ACTIONS(439), 1,
      sym__special_character,
    ACTIONS(441), 1,
      anon_sym_DQUOTE,
    ACTIONS(443), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(445), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(447), 1,
      anon_sym_BQUOTE,
    ACTIONS(451), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(453), 1,
      sym_variable_name,
    STATE(290), 1,
      aux_sym__literal_repeat1,
    STATE(3177), 1,
      sym_subscript,
    ACTIONS(433), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(449), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(431), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(155), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(278), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(435), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(462), 1,
      anon_sym_DOLLAR,
    ACTIONS(465), 1,
      sym__special_character,
    ACTIONS(468), 1,
      anon_sym_DQUOTE,
    ACTIONS(471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(474), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(477), 1,
      anon_sym_BQUOTE,
    ACTIONS(483), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(486), 1,
      sym_variable_name,
    STATE(290), 1,
      aux_sym__literal_repeat1,
    STATE(3177), 1,
      sym_subscript,
    ACTIONS(458), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(480), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(455), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(155), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(278), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(460), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [166] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR,
    ACTIONS(439), 1,
      sym__special_character,
    ACTIONS(441), 1,
      anon_sym_DQUOTE,
    ACTIONS(443), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(445), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(447), 1,
      anon_sym_BQUOTE,
    ACTIONS(453), 1,
      sym_variable_name,
    ACTIONS(493), 1,
      aux_sym__simple_variable_name_token1,
    STATE(290), 1,
      aux_sym__literal_repeat1,
    STATE(3177), 1,
      sym_subscript,
    ACTIONS(449), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(489), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(431), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(154), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(278), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [249] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(498), 1,
      anon_sym_DOLLAR,
    ACTIONS(501), 1,
      sym__special_character,
    ACTIONS(504), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(513), 1,
      anon_sym_BQUOTE,
    ACTIONS(519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(522), 1,
      sym_variable_name,
    STATE(460), 1,
      aux_sym__literal_repeat1,
    STATE(3151), 1,
      sym_subscript,
    ACTIONS(458), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(495), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(157), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(315), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(460), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [331] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym__simple_heredoc_body,
    ACTIONS(535), 1,
      sym__heredoc_body_beginning,
    STATE(2793), 1,
      sym_heredoc_body,
    ACTIONS(529), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(531), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [395] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(543), 1,
      anon_sym_DQUOTE,
    ACTIONS(545), 1,
      sym_raw_string,
    STATE(354), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(541), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(547), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [459] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym__simple_heredoc_body,
    ACTIONS(535), 1,
      sym__heredoc_body_beginning,
    STATE(2784), 1,
      sym_heredoc_body,
    ACTIONS(549), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(551), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [523] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym__simple_heredoc_body,
    ACTIONS(555), 1,
      sym__heredoc_body_beginning,
    STATE(2909), 1,
      sym_heredoc_body,
    ACTIONS(325), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(239), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [583] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_DOLLAR,
    ACTIONS(561), 1,
      sym__special_character,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(567), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(569), 1,
      anon_sym_BQUOTE,
    ACTIONS(573), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(575), 1,
      sym_variable_name,
    STATE(460), 1,
      aux_sym__literal_repeat1,
    STATE(3151), 1,
      sym_subscript,
    ACTIONS(489), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(571), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(557), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(163), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(315), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [665] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_DOLLAR,
    ACTIONS(561), 1,
      sym__special_character,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(567), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(569), 1,
      anon_sym_BQUOTE,
    ACTIONS(575), 1,
      sym_variable_name,
    ACTIONS(577), 1,
      aux_sym__simple_variable_name_token1,
    STATE(460), 1,
      aux_sym__literal_repeat1,
    STATE(3151), 1,
      sym_subscript,
    ACTIONS(433), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(571), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(557), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(157), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(315), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(435), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [747] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(159), 1,
      sym__special_character,
    ACTIONS(543), 1,
      anon_sym_DQUOTE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(591), 1,
      anon_sym_BQUOTE,
    STATE(175), 1,
      aux_sym_command_repeat2,
    STATE(294), 1,
      aux_sym__literal_repeat1,
    STATE(523), 1,
      sym_concatenation,
    ACTIONS(581), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(585), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(593), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(280), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(583), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [826] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym__simple_heredoc_body,
    ACTIONS(535), 1,
      sym__heredoc_body_beginning,
    ACTIONS(549), 1,
      anon_sym_SEMI_SEMI,
    STATE(2827), 1,
      sym_heredoc_body,
    ACTIONS(551), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [889] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(599), 1,
      sym__special_character,
    ACTIONS(601), 1,
      anon_sym_DQUOTE,
    ACTIONS(603), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(605), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(607), 1,
      anon_sym_BQUOTE,
    ACTIONS(611), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(613), 1,
      sym_variable_name,
    STATE(695), 1,
      aux_sym__literal_repeat1,
    STATE(3206), 1,
      sym_subscript,
    ACTIONS(609), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(433), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(595), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(168), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(381), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(435), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [970] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_DOLLAR,
    ACTIONS(619), 1,
      sym__special_character,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(625), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(627), 1,
      anon_sym_BQUOTE,
    ACTIONS(631), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(633), 1,
      sym_variable_name,
    STATE(718), 1,
      aux_sym__literal_repeat1,
    STATE(3194), 1,
      sym_subscript,
    ACTIONS(489), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(629), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(615), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(179), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(429), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1051] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(638), 1,
      anon_sym_DOLLAR,
    ACTIONS(641), 1,
      sym__special_character,
    ACTIONS(644), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(650), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(659), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(662), 1,
      sym_variable_name,
    STATE(695), 1,
      aux_sym__literal_repeat1,
    STATE(3206), 1,
      sym_subscript,
    ACTIONS(656), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(458), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(635), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(168), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(381), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(460), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1132] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(599), 1,
      sym__special_character,
    ACTIONS(601), 1,
      anon_sym_DQUOTE,
    ACTIONS(603), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(605), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(607), 1,
      anon_sym_BQUOTE,
    ACTIONS(613), 1,
      sym_variable_name,
    ACTIONS(665), 1,
      aux_sym__simple_variable_name_token1,
    STATE(695), 1,
      aux_sym__literal_repeat1,
    STATE(3206), 1,
      sym_subscript,
    ACTIONS(609), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(489), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(595), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(166), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(381), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(159), 1,
      sym__special_character,
    ACTIONS(543), 1,
      anon_sym_DQUOTE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(591), 1,
      anon_sym_BQUOTE,
    STATE(174), 1,
      aux_sym_command_repeat2,
    STATE(294), 1,
      aux_sym__literal_repeat1,
    STATE(523), 1,
      sym_concatenation,
    ACTIONS(585), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(593), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(667), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(280), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(669), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1292] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(529), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(533), 1,
      sym__simple_heredoc_body,
    ACTIONS(535), 1,
      sym__heredoc_body_beginning,
    STATE(2823), 1,
      sym_heredoc_body,
    ACTIONS(531), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1355] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 1,
      anon_sym_DQUOTE,
    ACTIONS(675), 1,
      sym_raw_string,
    STATE(454), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(671), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(677), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1418] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      sym_raw_string,
    STATE(293), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(679), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(683), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1481] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(159), 1,
      sym__special_character,
    ACTIONS(543), 1,
      anon_sym_DQUOTE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(591), 1,
      anon_sym_BQUOTE,
    STATE(175), 1,
      aux_sym_command_repeat2,
    STATE(294), 1,
      aux_sym__literal_repeat1,
    STATE(523), 1,
      sym_concatenation,
    ACTIONS(585), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(593), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(685), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(280), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(687), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1560] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      anon_sym_DOLLAR,
    ACTIONS(702), 1,
      sym__special_character,
    ACTIONS(705), 1,
      anon_sym_DQUOTE,
    ACTIONS(708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(714), 1,
      anon_sym_BQUOTE,
    STATE(175), 1,
      aux_sym_command_repeat2,
    STATE(294), 1,
      aux_sym__literal_repeat1,
    STATE(523), 1,
      sym_concatenation,
    ACTIONS(692), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(696), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(717), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(689), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(280), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(694), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1639] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_DOLLAR,
    ACTIONS(726), 1,
      sym__special_character,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(732), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(735), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(738), 1,
      anon_sym_BQUOTE,
    ACTIONS(744), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(747), 1,
      sym_variable_name,
    STATE(718), 1,
      aux_sym__literal_repeat1,
    STATE(3194), 1,
      sym_subscript,
    ACTIONS(458), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(741), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(720), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(176), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(429), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(460), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1720] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(159), 1,
      sym__special_character,
    ACTIONS(543), 1,
      anon_sym_DQUOTE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(589), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(591), 1,
      anon_sym_BQUOTE,
    STATE(164), 1,
      aux_sym_command_repeat2,
    STATE(294), 1,
      aux_sym__literal_repeat1,
    STATE(523), 1,
      sym_concatenation,
    ACTIONS(585), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(593), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(750), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(280), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(752), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 1,
      anon_sym_DQUOTE,
    ACTIONS(758), 1,
      sym_raw_string,
    STATE(407), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(754), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(760), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1862] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_DOLLAR,
    ACTIONS(619), 1,
      sym__special_character,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(625), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(627), 1,
      anon_sym_BQUOTE,
    ACTIONS(633), 1,
      sym_variable_name,
    ACTIONS(762), 1,
      aux_sym__simple_variable_name_token1,
    STATE(718), 1,
      aux_sym__literal_repeat1,
    STATE(3194), 1,
      sym_subscript,
    ACTIONS(433), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(629), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(615), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(176), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(429), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(435), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1943] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(768), 1,
      sym_raw_string,
    STATE(701), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(764), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(770), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(205), 1,
      sym__special_character,
    ACTIONS(756), 1,
      anon_sym_DQUOTE,
    ACTIONS(776), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(778), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(780), 1,
      anon_sym_BQUOTE,
    STATE(188), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(733), 1,
      sym_concatenation,
    ACTIONS(581), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(774), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(782), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(772), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(336), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(583), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2083] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 1,
      anon_sym_DQUOTE,
    ACTIONS(788), 1,
      sym_raw_string,
    STATE(697), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(784), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(790), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2145] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(205), 1,
      sym__special_character,
    ACTIONS(756), 1,
      anon_sym_DQUOTE,
    ACTIONS(776), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(778), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(780), 1,
      anon_sym_BQUOTE,
    STATE(189), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(733), 1,
      sym_concatenation,
    ACTIONS(667), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(774), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(782), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(772), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(336), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(669), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2223] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 1,
      anon_sym_DQUOTE,
    ACTIONS(796), 1,
      sym_raw_string,
    STATE(605), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(792), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(798), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(802), 1,
      sym_raw_string,
    STATE(442), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(800), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(804), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_DOLLAR,
    ACTIONS(619), 1,
      sym__special_character,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(625), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(633), 1,
      sym_variable_name,
    ACTIONS(806), 1,
      aux_sym__simple_variable_name_token1,
    STATE(718), 1,
      aux_sym__literal_repeat1,
    STATE(3194), 1,
      sym_subscript,
    ACTIONS(489), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(629), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(615), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(192), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(429), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [2425] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_DOLLAR,
    ACTIONS(816), 1,
      sym__special_character,
    ACTIONS(818), 1,
      anon_sym_DQUOTE,
    ACTIONS(820), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(822), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(824), 1,
      anon_sym_BQUOTE,
    ACTIONS(828), 1,
      aux_sym__simple_variable_name_token1,
    STATE(525), 1,
      aux_sym__literal_repeat1,
    ACTIONS(810), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(826), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(194), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(808), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(291), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(812), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2501] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOLLAR,
    ACTIONS(839), 1,
      sym__special_character,
    ACTIONS(842), 1,
      anon_sym_DQUOTE,
    ACTIONS(845), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(848), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(851), 1,
      anon_sym_BQUOTE,
    STATE(188), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(733), 1,
      sym_concatenation,
    ACTIONS(692), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(833), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(854), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(830), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(336), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(694), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(205), 1,
      sym__special_character,
    ACTIONS(756), 1,
      anon_sym_DQUOTE,
    ACTIONS(776), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(778), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(780), 1,
      anon_sym_BQUOTE,
    STATE(188), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(733), 1,
      sym_concatenation,
    ACTIONS(685), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(774), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(782), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(772), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(336), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(687), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2657] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 1,
      anon_sym_DOLLAR,
    ACTIONS(867), 1,
      sym__special_character,
    ACTIONS(870), 1,
      anon_sym_DQUOTE,
    ACTIONS(873), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(876), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(879), 1,
      anon_sym_BQUOTE,
    ACTIONS(885), 1,
      aux_sym__simple_variable_name_token1,
    STATE(525), 1,
      aux_sym__literal_repeat1,
    ACTIONS(860), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(882), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(190), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(857), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(291), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(862), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(205), 1,
      sym__special_character,
    ACTIONS(756), 1,
      anon_sym_DQUOTE,
    ACTIONS(776), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(778), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(780), 1,
      anon_sym_BQUOTE,
    STATE(181), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(733), 1,
      sym_concatenation,
    ACTIONS(750), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(774), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(782), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(772), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(336), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(752), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2811] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_DOLLAR,
    ACTIONS(619), 1,
      sym__special_character,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(625), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(633), 1,
      sym_variable_name,
    ACTIONS(762), 1,
      aux_sym__simple_variable_name_token1,
    STATE(718), 1,
      aux_sym__literal_repeat1,
    STATE(3194), 1,
      sym_subscript,
    ACTIONS(433), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(629), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(615), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(176), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(429), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(435), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [2889] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_DQUOTE,
    ACTIONS(890), 1,
      sym_raw_string,
    STATE(493), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(888), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(892), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2951] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_DOLLAR,
    ACTIONS(816), 1,
      sym__special_character,
    ACTIONS(818), 1,
      anon_sym_DQUOTE,
    ACTIONS(820), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(822), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(824), 1,
      anon_sym_BQUOTE,
    ACTIONS(898), 1,
      aux_sym__simple_variable_name_token1,
    STATE(525), 1,
      aux_sym__literal_repeat1,
    ACTIONS(826), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(894), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(190), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(808), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(291), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(896), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3027] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(531), 1,
      ts_builtin_sym_end,
    ACTIONS(900), 1,
      sym__simple_heredoc_body,
    ACTIONS(902), 1,
      sym__heredoc_body_beginning,
    STATE(2896), 1,
      sym_heredoc_body,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3086] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym__simple_heredoc_body,
    ACTIONS(555), 1,
      sym__heredoc_body_beginning,
    STATE(2924), 1,
      sym_heredoc_body,
    ACTIONS(325), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(239), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3143] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(529), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(531), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3198] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(794), 1,
      anon_sym_DQUOTE,
    ACTIONS(908), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(910), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(912), 1,
      anon_sym_BQUOTE,
    STATE(207), 1,
      aux_sym_command_repeat2,
    STATE(723), 1,
      aux_sym__literal_repeat1,
    STATE(761), 1,
      sym_concatenation,
    ACTIONS(685), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(906), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(914), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(904), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(687), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3275] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DQUOTE,
    ACTIONS(920), 1,
      sym_raw_string,
    STATE(775), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(916), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(922), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3336] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(932), 1,
      anon_sym_BQUOTE,
    STATE(220), 1,
      aux_sym_command_repeat2,
    STATE(709), 1,
      aux_sym__literal_repeat1,
    STATE(832), 1,
      sym_concatenation,
    ACTIONS(926), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(934), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(581), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(924), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(400), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(583), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(794), 1,
      anon_sym_DQUOTE,
    ACTIONS(908), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(910), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(912), 1,
      anon_sym_BQUOTE,
    STATE(210), 1,
      aux_sym_command_repeat2,
    STATE(723), 1,
      aux_sym__literal_repeat1,
    STATE(761), 1,
      sym_concatenation,
    ACTIONS(750), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(906), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(914), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(904), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(752), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3490] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(938), 1,
      anon_sym_DQUOTE,
    ACTIONS(940), 1,
      sym_raw_string,
    STATE(836), 1,
      sym_string,
    ACTIONS(539), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(936), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(942), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3551] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 1,
      anon_sym_DQUOTE,
    ACTIONS(948), 1,
      sym_raw_string,
    STATE(729), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(944), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(950), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3612] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(325), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(239), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3663] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(549), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(551), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3718] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(932), 1,
      anon_sym_BQUOTE,
    STATE(222), 1,
      aux_sym_command_repeat2,
    STATE(709), 1,
      aux_sym__literal_repeat1,
    STATE(832), 1,
      sym_concatenation,
    ACTIONS(926), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(934), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(667), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(924), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(400), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(669), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3795] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 1,
      anon_sym_DOLLAR,
    ACTIONS(961), 1,
      sym__special_character,
    ACTIONS(964), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(970), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(973), 1,
      anon_sym_BQUOTE,
    STATE(207), 1,
      aux_sym_command_repeat2,
    STATE(723), 1,
      aux_sym__literal_repeat1,
    STATE(761), 1,
      sym_concatenation,
    ACTIONS(692), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(955), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(976), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(952), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(694), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3872] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    ACTIONS(553), 1,
      sym__simple_heredoc_body,
    ACTIONS(555), 1,
      sym__heredoc_body_beginning,
    STATE(2866), 1,
      sym_heredoc_body,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3931] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(551), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3986] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(794), 1,
      anon_sym_DQUOTE,
    ACTIONS(908), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(910), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(912), 1,
      anon_sym_BQUOTE,
    STATE(207), 1,
      aux_sym_command_repeat2,
    STATE(723), 1,
      aux_sym__literal_repeat1,
    STATE(761), 1,
      sym_concatenation,
    ACTIONS(581), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(906), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(914), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(904), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(583), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4063] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(529), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(531), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4118] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      sym__special_character,
    ACTIONS(988), 1,
      anon_sym_DQUOTE,
    ACTIONS(991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(994), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(1003), 1,
      aux_sym__simple_variable_name_token1,
    STATE(735), 1,
      aux_sym__literal_repeat1,
    ACTIONS(860), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1000), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(212), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(979), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(862), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4193] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1010), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(1012), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(1008), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1006), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4248] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1010), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1012), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(1008), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1006), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4303] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 1,
      anon_sym_DQUOTE,
    ACTIONS(1016), 1,
      anon_sym_DOLLAR,
    ACTIONS(1018), 1,
      sym__special_character,
    ACTIONS(1020), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1022), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_BQUOTE,
    ACTIONS(1028), 1,
      aux_sym__simple_variable_name_token1,
    STATE(735), 1,
      aux_sym__literal_repeat1,
    ACTIONS(894), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1026), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(212), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1014), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(896), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4378] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1032), 1,
      sym_raw_string,
    STATE(589), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1030), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1034), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4439] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(551), 1,
      ts_builtin_sym_end,
    ACTIONS(900), 1,
      sym__simple_heredoc_body,
    ACTIONS(902), 1,
      sym__heredoc_body_beginning,
    STATE(2862), 1,
      sym_heredoc_body,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      anon_sym_DQUOTE,
    ACTIONS(1038), 1,
      sym_raw_string,
    STATE(682), 1,
      sym_string,
    ACTIONS(539), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1036), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1040), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4559] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1042), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(1044), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(1008), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1006), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4614] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_DOLLAR,
    ACTIONS(1055), 1,
      sym__special_character,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1061), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1064), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_BQUOTE,
    STATE(220), 1,
      aux_sym_command_repeat2,
    STATE(709), 1,
      aux_sym__literal_repeat1,
    STATE(832), 1,
      sym_concatenation,
    ACTIONS(1049), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(1070), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(692), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1046), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(400), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(694), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(932), 1,
      anon_sym_BQUOTE,
    STATE(200), 1,
      aux_sym_command_repeat2,
    STATE(709), 1,
      aux_sym__literal_repeat1,
    STATE(832), 1,
      sym_concatenation,
    ACTIONS(926), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(934), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(750), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(924), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(400), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(752), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4768] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(932), 1,
      anon_sym_BQUOTE,
    STATE(220), 1,
      aux_sym_command_repeat2,
    STATE(709), 1,
      aux_sym__literal_repeat1,
    STATE(832), 1,
      sym_concatenation,
    ACTIONS(926), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(934), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(685), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(924), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(400), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(687), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4845] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 1,
      anon_sym_DQUOTE,
    ACTIONS(1016), 1,
      anon_sym_DOLLAR,
    ACTIONS(1018), 1,
      sym__special_character,
    ACTIONS(1020), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1022), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_BQUOTE,
    ACTIONS(1073), 1,
      aux_sym__simple_variable_name_token1,
    STATE(735), 1,
      aux_sym__literal_repeat1,
    ACTIONS(810), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1026), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(215), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1014), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(812), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4920] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1077), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1075), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4971] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(794), 1,
      anon_sym_DQUOTE,
    ACTIONS(908), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(910), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(912), 1,
      anon_sym_BQUOTE,
    STATE(198), 1,
      aux_sym_command_repeat2,
    STATE(723), 1,
      aux_sym__literal_repeat1,
    STATE(761), 1,
      sym_concatenation,
    ACTIONS(667), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(906), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(914), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(904), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(669), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5048] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_RPAREN,
    ACTIONS(553), 1,
      sym__simple_heredoc_body,
    ACTIONS(555), 1,
      sym__heredoc_body_beginning,
    STATE(2875), 1,
      sym_heredoc_body,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5107] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1042), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1044), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(1008), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1006), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5162] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 1,
      anon_sym_DOLLAR,
    ACTIONS(1083), 1,
      sym__special_character,
    ACTIONS(1085), 1,
      anon_sym_DQUOTE,
    ACTIONS(1087), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_BQUOTE,
    ACTIONS(1095), 1,
      aux_sym__simple_variable_name_token1,
    STATE(786), 1,
      aux_sym__literal_repeat1,
    ACTIONS(810), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1093), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(238), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1079), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(720), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(812), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5236] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_BQUOTE,
    ACTIONS(553), 1,
      sym__simple_heredoc_body,
    ACTIONS(555), 1,
      sym__heredoc_body_beginning,
    STATE(2889), 1,
      sym_heredoc_body,
    ACTIONS(527), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5294] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DQUOTE,
    ACTIONS(1099), 1,
      sym_raw_string,
    STATE(746), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1097), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1101), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [5354] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_BQUOTE,
    ACTIONS(553), 1,
      sym__simple_heredoc_body,
    ACTIONS(555), 1,
      sym__heredoc_body_beginning,
    STATE(2892), 1,
      sym_heredoc_body,
    ACTIONS(527), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5412] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(794), 1,
      anon_sym_DQUOTE,
    ACTIONS(908), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(910), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(233), 1,
      aux_sym_command_repeat2,
    STATE(723), 1,
      aux_sym__literal_repeat1,
    STATE(761), 1,
      sym_concatenation,
    ACTIONS(750), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(906), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(914), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(904), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(752), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5486] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(794), 1,
      anon_sym_DQUOTE,
    ACTIONS(908), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(910), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(207), 1,
      aux_sym_command_repeat2,
    STATE(723), 1,
      aux_sym__literal_repeat1,
    STATE(761), 1,
      sym_concatenation,
    ACTIONS(581), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(906), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(914), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(904), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(583), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5560] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_DOLLAR,
    ACTIONS(1107), 1,
      sym__special_character,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_BQUOTE,
    ACTIONS(1119), 1,
      aux_sym__simple_variable_name_token1,
    STATE(863), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1117), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(236), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(894), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1103), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(696), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(896), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5634] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(794), 1,
      anon_sym_DQUOTE,
    ACTIONS(908), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(910), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(207), 1,
      aux_sym_command_repeat2,
    STATE(723), 1,
      aux_sym__literal_repeat1,
    STATE(761), 1,
      sym_concatenation,
    ACTIONS(685), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(906), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(914), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(904), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(687), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5708] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1127), 1,
      sym__special_character,
    ACTIONS(1130), 1,
      anon_sym_DQUOTE,
    ACTIONS(1133), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1136), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1139), 1,
      anon_sym_BQUOTE,
    ACTIONS(1145), 1,
      aux_sym__simple_variable_name_token1,
    STATE(863), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1142), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(236), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(860), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(696), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(862), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5782] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym_raw_string,
    STATE(872), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1148), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1152), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [5842] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 1,
      anon_sym_DOLLAR,
    ACTIONS(1083), 1,
      sym__special_character,
    ACTIONS(1085), 1,
      anon_sym_DQUOTE,
    ACTIONS(1087), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_BQUOTE,
    ACTIONS(1154), 1,
      aux_sym__simple_variable_name_token1,
    STATE(786), 1,
      aux_sym__literal_repeat1,
    ACTIONS(894), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1093), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(240), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1079), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(720), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(896), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5916] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_DOLLAR,
    ACTIONS(1107), 1,
      sym__special_character,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_BQUOTE,
    ACTIONS(1156), 1,
      aux_sym__simple_variable_name_token1,
    STATE(863), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1117), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(234), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(810), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1103), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(696), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(812), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5990] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_DOLLAR,
    ACTIONS(1164), 1,
      sym__special_character,
    ACTIONS(1167), 1,
      anon_sym_DQUOTE,
    ACTIONS(1170), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1173), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1176), 1,
      anon_sym_BQUOTE,
    ACTIONS(1182), 1,
      aux_sym__simple_variable_name_token1,
    STATE(786), 1,
      aux_sym__literal_repeat1,
    ACTIONS(860), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1179), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(240), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1158), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(720), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(862), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6064] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(794), 1,
      anon_sym_DQUOTE,
    ACTIONS(908), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(910), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(235), 1,
      aux_sym_command_repeat2,
    STATE(723), 1,
      aux_sym__literal_repeat1,
    STATE(761), 1,
      sym_concatenation,
    ACTIONS(667), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(906), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(914), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(904), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(669), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6138] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym__simple_heredoc_body,
    ACTIONS(555), 1,
      sym__heredoc_body_beginning,
    STATE(2912), 1,
      sym_heredoc_body,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6194] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    STATE(241), 1,
      sym_command_name,
    STATE(713), 1,
      aux_sym__literal_repeat1,
    STATE(805), 1,
      sym_concatenation,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(747), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1979), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(416), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [6285] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 1,
      anon_sym_DOLLAR,
    ACTIONS(1083), 1,
      sym__special_character,
    ACTIONS(1085), 1,
      anon_sym_DQUOTE,
    ACTIONS(1087), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1154), 1,
      aux_sym__simple_variable_name_token1,
    STATE(786), 1,
      aux_sym__literal_repeat1,
    ACTIONS(894), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1093), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(240), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1079), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(720), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(896), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6356] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(127), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(143), 1,
      anon_sym_LPAREN,
    ACTIONS(149), 1,
      anon_sym_LBRACK,
    ACTIONS(151), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(205), 1,
      sym__special_character,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(215), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    STATE(183), 1,
      sym_command_name,
    STATE(463), 1,
      aux_sym__literal_repeat1,
    STATE(737), 1,
      sym_concatenation,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(209), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(749), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1748), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(311), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [6447] = 24,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(1185), 1,
      sym_variable_name,
    STATE(206), 1,
      sym_command_name,
    STATE(533), 1,
      aux_sym__literal_repeat1,
    STATE(837), 1,
      sym_concatenation,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(840), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(2152), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(504), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [6538] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(127), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(143), 1,
      anon_sym_LPAREN,
    ACTIONS(149), 1,
      anon_sym_LBRACK,
    ACTIONS(151), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(159), 1,
      sym__special_character,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(169), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    STATE(170), 1,
      sym_command_name,
    STATE(289), 1,
      aux_sym__literal_repeat1,
    STATE(529), 1,
      sym_concatenation,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(163), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(771), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1748), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(276), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [6629] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 1,
      anon_sym_DOLLAR,
    ACTIONS(1083), 1,
      sym__special_character,
    ACTIONS(1085), 1,
      anon_sym_DQUOTE,
    ACTIONS(1087), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1187), 1,
      aux_sym__simple_variable_name_token1,
    STATE(786), 1,
      aux_sym__literal_repeat1,
    ACTIONS(810), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1093), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(244), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1079), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(720), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(812), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6700] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    STATE(225), 1,
      sym_command_name,
    STATE(713), 1,
      aux_sym__literal_repeat1,
    STATE(805), 1,
      sym_concatenation,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(798), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1979), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(416), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [6791] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1044), 1,
      ts_builtin_sym_end,
    ACTIONS(1008), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1006), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6841] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(531), 1,
      ts_builtin_sym_end,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6891] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1012), 1,
      ts_builtin_sym_end,
    ACTIONS(1008), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1006), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6941] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(325), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(239), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6989] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(551), 1,
      ts_builtin_sym_end,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7039] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1077), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1075), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1195), 1,
      sym__concat,
    STATE(275), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1189), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym_variable_name,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1636), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1201), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [7193] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LF,
    ACTIONS(1217), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1211), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1213), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1215), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1209), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1636), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7256] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1211), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1636), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1221), 11,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7311] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_BQUOTE,
    ACTIONS(527), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7360] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1223), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1211), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1213), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1215), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1225), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(529), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1636), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7423] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_BQUOTE,
    ACTIONS(527), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7472] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(527), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(525), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7519] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1008), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1006), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7566] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_BQUOTE,
    ACTIONS(1008), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1006), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7615] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1044), 1,
      anon_sym_BQUOTE,
    ACTIONS(1008), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1006), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [7664] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LF,
    ACTIONS(1235), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1215), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1229), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1231), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1233), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1209), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1645), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7726] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1237), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1215), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1231), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1233), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1239), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(529), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1645), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym__concat,
    STATE(272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1241), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      sym__concat,
    STATE(362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1189), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      sym__concat,
    STATE(272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym_variable_name,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1645), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1201), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [8042] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1231), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1645), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1221), 10,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 1,
      sym__concat,
    STATE(282), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1241), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym__concat,
    STATE(275), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1189), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1270), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1268), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym__concat,
    STATE(275), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym__concat,
    STATE(275), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1274), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1272), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym__concat,
    STATE(275), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1278), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1276), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 1,
      sym__concat,
    STATE(282), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1255), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 1,
      sym__special_character,
    STATE(310), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1305), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1303), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__special_character,
    STATE(343), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1311), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1309), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      sym__concat,
    STATE(306), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1317), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1315), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1321), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1325), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 1,
      sym__special_character,
    STATE(310), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1331), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1329), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 1,
      sym__special_character,
    STATE(310), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1335), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1333), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9101] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1221), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1321), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9379] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      ts_builtin_sym_end,
    ACTIONS(1341), 1,
      anon_sym_LF,
    ACTIONS(1351), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1345), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1347), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1349), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1343), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1353), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym_variable_name,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1201), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [9536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1357), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1241), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      sym__concat,
    STATE(340), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1365), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9724] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1219), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1345), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1221), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 1,
      sym__special_character,
    STATE(310), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1369), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__concat,
    STATE(362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1189), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      sym__concat,
    STATE(340), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym_variable_name,
    ACTIONS(1199), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1201), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [9975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1255), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      sym__concat,
    STATE(340), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1270), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1268), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1379), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1383), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10253] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(529), 1,
      anon_sym_RPAREN,
    ACTIONS(1391), 1,
      anon_sym_LF,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1239), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__concat,
    STATE(362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1399), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1407), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1411), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1415), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1419), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1423), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1427), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1431), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1435), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1439), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1353), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__concat,
    STATE(362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1274), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1272), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1357), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      sym__concat,
    STATE(345), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1241), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 1,
      sym__concat,
    STATE(339), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 1,
      sym__concat,
    STATE(339), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1241), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1365), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__concat,
    STATE(362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1278), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1276), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      sym__special_character,
    STATE(343), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1369), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11377] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_RPAREN,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1453), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1229), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      sym__concat,
    STATE(345), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1460), 1,
      sym__concat,
    STATE(524), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1189), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      sym__concat,
    STATE(347), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1255), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1427), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1379), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__special_character,
    STATE(343), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1467), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1465), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1431), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1435), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      sym__concat,
    STATE(392), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1325), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1383), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1439), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      sym__concat,
    STATE(338), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      sym__concat,
    STATE(306), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12190] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      ts_builtin_sym_end,
    ACTIONS(1351), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1475), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1345), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1347), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1349), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1477), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      sym__concat,
    STATE(347), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1241), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      sym__concat,
    STATE(338), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1399), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1407), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1411), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1415), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1419), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1423), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12708] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_raw_string,
    STATE(1734), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1481), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1487), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [12762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 1,
      sym__concat,
    STATE(377), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 1,
      sym__concat,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      sym__special_character,
    STATE(410), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1467), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1465), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      sym__concat,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13042] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1498), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1500), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1321), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 1,
      sym__concat,
    STATE(377), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1270), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1268), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1353), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1357), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1365), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 1,
      sym__special_character,
    STATE(385), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1369), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1379), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1383), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      sym__concat,
    STATE(526), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1399), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 1,
      sym__concat,
    STATE(425), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1407), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1411), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1415), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1419), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1423), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      sym__concat,
    STATE(392), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1274), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1272), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1427), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1431), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1435), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1439), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1353), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1325), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1357), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1365), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 1,
      sym__special_character,
    STATE(410), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1369), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14532] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1512), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1514), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [14590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1379), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1383), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      sym__concat,
    STATE(524), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1189), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1516), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      sym__special_character,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1335), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1333), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15082] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1522), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1524), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [15140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      sym__concat,
    STATE(425), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1321), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1399), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      sym__concat,
    STATE(526), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1270), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1268), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1407), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1411), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1415), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1419), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1423), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1427), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1431), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1435), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 1,
      sym__concat,
    STATE(377), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1249), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1439), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1325), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      sym__concat,
    STATE(489), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      sym__special_character,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1331), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1329), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      sym__concat,
    STATE(524), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1274), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1272), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1531), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1321), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1325), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1321), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1353), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1357), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym__concat,
    STATE(468), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1241), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      sym__concat,
    STATE(458), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1317), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1315), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      sym__special_character,
    STATE(492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1311), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1309), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1365), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      sym__special_character,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1305), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1303), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      sym__special_character,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1369), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      sym__special_character,
    STATE(492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1467), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1465), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      sym__concat,
    STATE(468), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1255), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1379), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1383), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1399), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1407), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1411), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1415), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1419), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1423), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1427), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1431), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1435), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1439), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1353), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1357), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      sym__concat,
    STATE(494), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1241), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1365), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 1,
      sym__special_character,
    STATE(492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1369), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1325), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      sym__concat,
    STATE(494), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1379), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1383), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      sym__concat,
    STATE(392), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1278), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1276), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      sym__concat,
    STATE(524), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1278), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1276), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1399), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18644] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1555), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1557), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      sym__concat,
    STATE(392), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1276), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1407), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1411), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1415), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1419), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1423), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19014] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1559), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1221), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1197), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym_variable_name,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1201), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [19160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1427), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1431), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__concat,
    STATE(517), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1255), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1435), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1439), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      sym__concat,
    STATE(458), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19476] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(529), 1,
      anon_sym_BQUOTE,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1564), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1559), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1568), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1566), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      sym__concat,
    STATE(392), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1272), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 1,
      sym__concat,
    STATE(517), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1241), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 1,
      sym__special_character,
    STATE(385), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1574), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1572), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 1,
      sym__concat,
    STATE(527), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1241), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      sym__concat,
    STATE(527), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      sym__concat,
    STATE(526), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1189), 34,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19912] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_BQUOTE,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1583), 1,
      anon_sym_LF,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1559), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1568), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1585), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1197), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      sym__concat,
    STATE(524), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      sym__concat,
    STATE(489), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      sym__special_character,
    STATE(710), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1303), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1427), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1423), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1419), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1415), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1411), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1407), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1399), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1321), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1399), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1383), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1379), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 1,
      sym__concat,
    STATE(551), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1435), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20936] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_raw_string,
    STATE(1734), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1481), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1487), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [20989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1439), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1435), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1431), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1427), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1423), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1419), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1415), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1411), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1407), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1399), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1439), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1383), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1379), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      sym__special_character,
    STATE(572), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1369), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1365), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1365), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1357), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1353), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 1,
      sym__concat,
    STATE(551), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1241), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1439), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1357), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1353), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      sym__special_character,
    STATE(581), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1369), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1321), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1435), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1403), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1325), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      sym__concat,
    STATE(577), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1431), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1427), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__concat,
    STATE(596), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1241), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      sym__concat,
    STATE(596), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__concat,
    STATE(617), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 1,
      sym__concat,
    STATE(595), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22956] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 1,
      anon_sym_DQUOTE,
    ACTIONS(1615), 1,
      sym_raw_string,
    STATE(1847), 1,
      sym_string,
    ACTIONS(539), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1611), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1617), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [23009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1411), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1423), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1419), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1415), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1353), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1325), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1357), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1415), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1365), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1419), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1516), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1423), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1531), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1411), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 1,
      sym__concat,
    STATE(615), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 1,
      sym__concat,
    STATE(615), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1407), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1407), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1283), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1427), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      sym__special_character,
    STATE(623), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1369), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1399), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1431), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1383), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1379), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym__special_character,
    STATE(631), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1369), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 1,
      sym__special_character,
    STATE(572), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1467), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1465), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      sym__concat,
    STATE(639), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1365), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1357), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1353), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      sym__concat,
    STATE(637), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym__special_character,
    STATE(638), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1369), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 1,
      sym__concat,
    STATE(637), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1439), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1435), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1431), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1379), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1383), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1427), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1283), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1423), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1419), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1415), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1411), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1516), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1407), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1403), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1399), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1321), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1531), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1299), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1383), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1379), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1295), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1321), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      sym__special_character,
    STATE(710), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1333), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 1,
      sym__special_character,
    STATE(623), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1335), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1333), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1365), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1321), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1399), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1407), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1357), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1325), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1353), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1435), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1439), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1431), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1411), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1415), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1419), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1423), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 1,
      sym__special_character,
    STATE(638), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1311), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1309), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      sym__concat,
    STATE(639), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1315), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1325), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 33,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      sym__special_character,
    STATE(581), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1467), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1465), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1353), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1325), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1357), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1427), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1431), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1365), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      sym__special_character,
    STATE(710), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1331), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1329), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 1,
      sym__special_character,
    STATE(710), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1369), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__concat,
    STATE(617), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1249), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 1,
      sym__special_character,
    STATE(623), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1305), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1303), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1435), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1439), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1276), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1295), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      sym__special_character,
    STATE(581), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1311), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1309), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1321), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      sym__concat,
    STATE(577), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1317), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1315), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1379), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 1,
      sym__special_character,
    STATE(623), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1331), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1329), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1383), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 1,
      sym__concat,
    STATE(595), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1325), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 1,
      sym__special_character,
    STATE(638), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1467), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1465), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1272), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 1,
      sym__special_character,
    STATE(631), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1574), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1572), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1299), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1189), 33,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1399), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1321), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1325), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29417] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    ACTIONS(1653), 1,
      sym__special_character,
    STATE(232), 1,
      sym_command_name,
    STATE(713), 1,
      aux_sym__literal_repeat1,
    STATE(805), 1,
      sym_concatenation,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1669), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(416), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1353), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29533] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(215), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    ACTIONS(1655), 1,
      sym__special_character,
    STATE(191), 1,
      sym_command_name,
    STATE(463), 1,
      aux_sym__literal_repeat1,
    STATE(737), 1,
      sym_concatenation,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(209), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1669), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(311), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 1,
      sym__special_character,
    STATE(825), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1467), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1465), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1357), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1365), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1379), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1383), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1399), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1407), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1272), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1411), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1415), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1419), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1423), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1427), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1431), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1435), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30493] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(169), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    ACTIONS(1659), 1,
      sym__special_character,
    STATE(177), 1,
      sym_command_name,
    STATE(289), 1,
      aux_sym__literal_repeat1,
    STATE(529), 1,
      sym_concatenation,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(163), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1669), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(276), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1439), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 1,
      sym__special_character,
    STATE(773), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1369), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30655] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_DQUOTE,
    ACTIONS(1668), 1,
      sym_raw_string,
    STATE(2027), 1,
      sym_string,
    ACTIONS(539), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1664), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1670), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [30707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1325), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1249), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1291), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1295), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1299), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1321), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1353), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1357), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1365), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1379), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1672), 1,
      sym__special_character,
    STATE(773), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1574), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1572), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1383), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1387), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1399), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1403), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1407), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1411), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1415), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 1,
      sym__special_character,
    STATE(795), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1369), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1419), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1423), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31681] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1185), 1,
      sym_variable_name,
    ACTIONS(1653), 1,
      sym__special_character,
    STATE(201), 1,
      sym_command_name,
    STATE(713), 1,
      aux_sym__literal_repeat1,
    STATE(805), 1,
      sym_concatenation,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1669), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(416), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1287), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1283), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 1,
      sym__special_character,
    STATE(795), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1467), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1465), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1427), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1531), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1431), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1189), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1439), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1435), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1431), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1427), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1283), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1423), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1419), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1516), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1415), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1411), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1407), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1403), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1435), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1439), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1383), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1379), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 1,
      sym__special_character,
    STATE(825), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1369), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1365), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1357), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1353), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1321), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1299), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1272), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1295), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1325), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1516), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1531), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33485] = 19,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(1185), 1,
      sym_variable_name,
    ACTIONS(1682), 1,
      sym__special_character,
    STATE(221), 1,
      sym_command_name,
    STATE(533), 1,
      aux_sym__literal_repeat1,
    STATE(837), 1,
      sym_concatenation,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1669), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(504), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 1,
      sym__special_character,
    STATE(844), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1369), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1439), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1435), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1431), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1427), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1283), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1423), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1419), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1415), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1411), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1407), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1403), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1399), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1321), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1299), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1383), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      sym__special_character,
    STATE(844), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1574), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1572), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1379), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1295), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1531), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1365), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1357), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1325), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1353), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1516), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1276), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1276), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1249), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1516), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1531), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1516), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35366] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1693), 1,
      sym_raw_string,
    STATE(1793), 1,
      sym_string,
    ACTIONS(1689), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1695), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [35415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1264), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1531), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35538] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1699), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1898), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35602] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1717), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1975), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35666] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1719), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1928), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35730] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1721), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2054), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35794] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1723), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1930), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35858] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1725), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1896), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35922] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1727), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1970), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35986] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1729), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1905), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36050] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      sym__special_character,
    ACTIONS(1709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1703), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1697), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1731), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1903), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36114] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1737), 1,
      sym_raw_string,
    ACTIONS(1739), 1,
      anon_sym_POUND,
    STATE(1762), 1,
      sym_string,
    ACTIONS(537), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      sym_word,
    ACTIONS(1733), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(1741), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(539), 15,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [36166] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(1749), 1,
      sym_raw_string,
    STATE(1983), 1,
      sym_string,
    ACTIONS(1743), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1753), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1745), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1751), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(539), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [36220] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(1761), 1,
      sym_raw_string,
    STATE(2206), 1,
      sym_string,
    ACTIONS(1755), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1765), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1757), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1763), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(539), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [36272] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      sym_raw_string,
    STATE(2138), 1,
      sym_string,
    ACTIONS(1767), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1777), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1769), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1775), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(539), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [36324] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1781), 1,
      anon_sym_RBRACE,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1793), 1,
      anon_sym_POUND,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1797), 1,
      anon_sym_SLASH,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1235), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1783), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36389] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1805), 1,
      anon_sym_RBRACE,
    ACTIONS(1809), 1,
      anon_sym_POUND,
    ACTIONS(1811), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1384), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1807), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36454] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
    ACTIONS(1817), 1,
      anon_sym_POUND,
    ACTIONS(1819), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1555), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1815), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36519] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1821), 1,
      anon_sym_RBRACE,
    ACTIONS(1825), 1,
      anon_sym_POUND,
    ACTIONS(1827), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1578), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1823), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36584] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1829), 1,
      anon_sym_RBRACE,
    ACTIONS(1833), 1,
      anon_sym_POUND,
    ACTIONS(1835), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1548), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1831), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36649] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1837), 1,
      anon_sym_RBRACE,
    ACTIONS(1841), 1,
      anon_sym_POUND,
    ACTIONS(1843), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1547), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1839), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36714] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1845), 1,
      anon_sym_RBRACE,
    ACTIONS(1849), 1,
      anon_sym_POUND,
    ACTIONS(1851), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1307), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1847), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36779] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1853), 1,
      anon_sym_RBRACE,
    ACTIONS(1857), 1,
      anon_sym_POUND,
    ACTIONS(1859), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1304), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1855), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36844] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    ACTIONS(1865), 1,
      anon_sym_POUND,
    ACTIONS(1867), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1301), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1863), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36909] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1873), 1,
      anon_sym_POUND,
    ACTIONS(1875), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1225), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1871), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36974] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1877), 1,
      anon_sym_RBRACE,
    ACTIONS(1881), 1,
      anon_sym_POUND,
    ACTIONS(1883), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1227), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1879), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37039] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    ACTIONS(1889), 1,
      anon_sym_POUND,
    ACTIONS(1891), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1887), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37104] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1893), 1,
      anon_sym_RBRACE,
    ACTIONS(1897), 1,
      anon_sym_POUND,
    ACTIONS(1899), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1217), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1895), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37169] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1901), 1,
      anon_sym_RBRACE,
    ACTIONS(1905), 1,
      anon_sym_POUND,
    ACTIONS(1907), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1546), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1903), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37234] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1909), 1,
      anon_sym_RBRACE,
    ACTIONS(1913), 1,
      anon_sym_POUND,
    ACTIONS(1915), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1285), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1911), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37299] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1917), 1,
      anon_sym_RBRACE,
    ACTIONS(1921), 1,
      anon_sym_POUND,
    ACTIONS(1923), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1919), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37364] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1925), 1,
      anon_sym_RBRACE,
    ACTIONS(1929), 1,
      anon_sym_POUND,
    ACTIONS(1931), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1183), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1927), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37429] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1933), 1,
      anon_sym_RBRACE,
    ACTIONS(1937), 1,
      anon_sym_POUND,
    ACTIONS(1939), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1213), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1935), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37494] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1941), 1,
      anon_sym_RBRACE,
    ACTIONS(1945), 1,
      anon_sym_POUND,
    ACTIONS(1947), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1943), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37559] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(1953), 1,
      anon_sym_POUND,
    ACTIONS(1955), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1297), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1951), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37624] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(1961), 1,
      anon_sym_POUND,
    ACTIONS(1963), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1197), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1959), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37689] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1965), 1,
      anon_sym_RBRACE,
    ACTIONS(1969), 1,
      anon_sym_POUND,
    ACTIONS(1971), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1189), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1967), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37754] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(1977), 1,
      anon_sym_POUND,
    ACTIONS(1979), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1299), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1975), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37819] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(1985), 1,
      anon_sym_POUND,
    ACTIONS(1987), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1182), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1983), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37884] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1989), 1,
      anon_sym_RBRACE,
    ACTIONS(1993), 1,
      anon_sym_POUND,
    ACTIONS(1995), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1170), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1991), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37949] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(1985), 1,
      anon_sym_POUND,
    ACTIONS(1997), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1182), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1983), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38014] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(2003), 1,
      anon_sym_POUND,
    ACTIONS(2005), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1545), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2001), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38079] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2007), 1,
      anon_sym_RBRACE,
    ACTIONS(2011), 1,
      anon_sym_POUND,
    ACTIONS(2013), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1340), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2009), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38144] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(2019), 1,
      anon_sym_POUND,
    ACTIONS(2021), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1579), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2017), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2027), 1,
      anon_sym_POUND,
    ACTIONS(2029), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1580), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2025), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38274] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      anon_sym_POUND,
    ACTIONS(2037), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1230), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2033), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38339] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2043), 1,
      anon_sym_POUND,
    ACTIONS(2045), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1585), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38404] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(2051), 1,
      anon_sym_POUND,
    ACTIONS(2053), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1587), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2049), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38469] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    ACTIONS(1889), 1,
      anon_sym_POUND,
    ACTIONS(2055), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1887), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38534] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2057), 1,
      anon_sym_RBRACE,
    ACTIONS(2061), 1,
      anon_sym_POUND,
    ACTIONS(2063), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1540), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2059), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38599] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(2003), 1,
      anon_sym_POUND,
    ACTIONS(2065), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1545), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2001), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38664] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2069), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2375), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38729] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    ACTIONS(2095), 1,
      anon_sym_POUND,
    ACTIONS(2097), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1538), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2093), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38794] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    ACTIONS(2103), 1,
      anon_sym_POUND,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1169), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2101), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38859] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_POUND,
    ACTIONS(2113), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1343), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2109), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38924] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    ACTIONS(2119), 1,
      anon_sym_POUND,
    ACTIONS(2121), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1592), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2117), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38989] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(2127), 1,
      anon_sym_POUND,
    ACTIONS(2129), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1590), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2125), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39054] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    ACTIONS(2119), 1,
      anon_sym_POUND,
    ACTIONS(2131), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1592), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2117), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39119] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2133), 1,
      anon_sym_RBRACE,
    ACTIONS(2137), 1,
      anon_sym_POUND,
    ACTIONS(2139), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2135), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39184] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
    ACTIONS(2145), 1,
      anon_sym_POUND,
    ACTIONS(2147), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1594), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2143), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39249] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(2153), 1,
      anon_sym_POUND,
    ACTIONS(2155), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1533), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2151), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39314] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2157), 1,
      anon_sym_RBRACE,
    ACTIONS(2161), 1,
      anon_sym_POUND,
    ACTIONS(2163), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1369), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2159), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39379] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2165), 1,
      anon_sym_RBRACE,
    ACTIONS(2169), 1,
      anon_sym_POUND,
    ACTIONS(2171), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1346), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2167), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39444] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2173), 1,
      anon_sym_RBRACE,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2179), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1595), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2175), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39509] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    ACTIONS(2185), 1,
      anon_sym_POUND,
    ACTIONS(2187), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1615), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2183), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39574] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2189), 1,
      anon_sym_RBRACE,
    ACTIONS(2193), 1,
      anon_sym_POUND,
    ACTIONS(2195), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1617), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2191), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39639] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_RBRACE,
    ACTIONS(2201), 1,
      anon_sym_POUND,
    ACTIONS(2203), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1528), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2199), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39704] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2209), 1,
      anon_sym_POUND,
    ACTIONS(2211), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1607), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2207), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39769] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_POUND,
    ACTIONS(2213), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1343), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2109), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39834] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2215), 1,
      anon_sym_RBRACE,
    ACTIONS(2219), 1,
      anon_sym_POUND,
    ACTIONS(2221), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2217), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39899] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2223), 1,
      anon_sym_RBRACE,
    ACTIONS(2227), 1,
      anon_sym_POUND,
    ACTIONS(2229), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1352), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2225), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39964] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2209), 1,
      anon_sym_POUND,
    ACTIONS(2231), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1607), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2207), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40029] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    ACTIONS(2237), 1,
      anon_sym_POUND,
    ACTIONS(2239), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1359), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2235), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40094] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(2245), 1,
      anon_sym_POUND,
    ACTIONS(2247), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1363), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2243), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40159] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_RBRACE,
    ACTIONS(2253), 1,
      anon_sym_POUND,
    ACTIONS(2255), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1370), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2251), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40224] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2257), 1,
      anon_sym_RBRACE,
    ACTIONS(2261), 1,
      anon_sym_POUND,
    ACTIONS(2263), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2259), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40289] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2265), 1,
      anon_sym_RBRACE,
    ACTIONS(2269), 1,
      anon_sym_POUND,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1603), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2267), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40354] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2273), 1,
      anon_sym_RBRACE,
    ACTIONS(2277), 1,
      anon_sym_POUND,
    ACTIONS(2279), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1496), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2275), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40419] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    ACTIONS(2285), 1,
      anon_sym_POUND,
    ACTIONS(2287), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1527), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2283), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40484] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2289), 1,
      anon_sym_RBRACE,
    ACTIONS(2293), 1,
      anon_sym_POUND,
    ACTIONS(2295), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2291), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40549] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2303), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1525), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2299), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40614] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2305), 1,
      anon_sym_RBRACE,
    ACTIONS(2309), 1,
      anon_sym_POUND,
    ACTIONS(2311), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1523), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2307), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40679] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2313), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1525), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2299), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40744] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(2319), 1,
      anon_sym_POUND,
    ACTIONS(2321), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1520), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2317), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40809] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2323), 1,
      anon_sym_RBRACE,
    ACTIONS(2327), 1,
      anon_sym_POUND,
    ACTIONS(2329), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1381), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2325), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40874] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2331), 1,
      anon_sym_RBRACE,
    ACTIONS(2335), 1,
      anon_sym_POUND,
    ACTIONS(2337), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1383), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2333), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40939] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(2343), 1,
      anon_sym_POUND,
    ACTIONS(2345), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1518), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2341), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41004] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym_word,
    ACTIONS(1703), 1,
      anon_sym_BANG,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(2347), 1,
      anon_sym_LPAREN,
    ACTIONS(2349), 1,
      sym__special_character,
    ACTIONS(2351), 1,
      anon_sym_DQUOTE,
    ACTIONS(2355), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2359), 1,
      anon_sym_BQUOTE,
    ACTIONS(2363), 1,
      sym_test_operator,
    ACTIONS(2365), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2353), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2361), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1911), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41069] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2367), 1,
      anon_sym_RBRACE,
    ACTIONS(2371), 1,
      anon_sym_POUND,
    ACTIONS(2373), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1600), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2369), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41134] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2375), 1,
      anon_sym_RBRACE,
    ACTIONS(2379), 1,
      anon_sym_POUND,
    ACTIONS(2381), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1509), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2377), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41199] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(2387), 1,
      anon_sym_POUND,
    ACTIONS(2389), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1504), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2385), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41264] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2391), 1,
      anon_sym_RBRACE,
    ACTIONS(2395), 1,
      anon_sym_POUND,
    ACTIONS(2397), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1233), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2393), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41329] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2399), 1,
      anon_sym_RBRACE,
    ACTIONS(2403), 1,
      anon_sym_POUND,
    ACTIONS(2405), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1536), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2401), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41394] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2407), 1,
      anon_sym_RBRACE,
    ACTIONS(2411), 1,
      anon_sym_POUND,
    ACTIONS(2413), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1493), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2409), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41459] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(2415), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2368), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41524] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2417), 1,
      anon_sym_RBRACE,
    ACTIONS(2421), 1,
      anon_sym_POUND,
    ACTIONS(2423), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1481), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2419), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41589] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2425), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 1,
      anon_sym_POUND,
    ACTIONS(2431), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1480), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2427), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41654] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_RBRACE,
    ACTIONS(2437), 1,
      anon_sym_POUND,
    ACTIONS(2439), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1319), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2435), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41719] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
    ACTIONS(2445), 1,
      anon_sym_POUND,
    ACTIONS(2447), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1478), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2443), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41784] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2425), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 1,
      anon_sym_POUND,
    ACTIONS(2449), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1480), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2427), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41849] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    ACTIONS(2455), 1,
      anon_sym_POUND,
    ACTIONS(2457), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1474), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2453), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41914] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(2463), 1,
      anon_sym_POUND,
    ACTIONS(2465), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1472), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2461), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41979] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(2471), 1,
      anon_sym_POUND,
    ACTIONS(2473), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1337), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2469), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42044] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2475), 1,
      anon_sym_RBRACE,
    ACTIONS(2479), 1,
      anon_sym_POUND,
    ACTIONS(2481), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1467), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2477), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42109] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2483), 1,
      anon_sym_RBRACE,
    ACTIONS(2487), 1,
      anon_sym_POUND,
    ACTIONS(2489), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1466), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2485), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42174] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2491), 1,
      anon_sym_RBRACE,
    ACTIONS(2495), 1,
      anon_sym_POUND,
    ACTIONS(2497), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1465), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2493), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42239] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2499), 1,
      anon_sym_RBRACE,
    ACTIONS(2503), 1,
      anon_sym_POUND,
    ACTIONS(2505), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1464), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2501), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42304] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2507), 1,
      anon_sym_RBRACE,
    ACTIONS(2511), 1,
      anon_sym_POUND,
    ACTIONS(2513), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1462), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2509), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42369] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2499), 1,
      anon_sym_RBRACE,
    ACTIONS(2503), 1,
      anon_sym_POUND,
    ACTIONS(2515), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1464), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2501), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42434] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2517), 1,
      anon_sym_RBRACE,
    ACTIONS(2521), 1,
      anon_sym_POUND,
    ACTIONS(2523), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1459), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2519), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42499] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_RBRACE,
    ACTIONS(2437), 1,
      anon_sym_POUND,
    ACTIONS(2525), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1319), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2435), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42564] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(2531), 1,
      anon_sym_POUND,
    ACTIONS(2533), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1457), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42629] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(2535), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2341), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42694] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2537), 1,
      anon_sym_RBRACE,
    ACTIONS(2541), 1,
      anon_sym_POUND,
    ACTIONS(2543), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1453), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2539), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42759] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    ACTIONS(2549), 1,
      anon_sym_POUND,
    ACTIONS(2551), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1452), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2547), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42824] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2557), 1,
      anon_sym_POUND,
    ACTIONS(2559), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1195), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42889] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    ACTIONS(2565), 1,
      anon_sym_POUND,
    ACTIONS(2567), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1451), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2563), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42954] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      anon_sym_POUND,
    ACTIONS(2575), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1284), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43019] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      anon_sym_POUND,
    ACTIONS(2583), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2579), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43084] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(2589), 1,
      anon_sym_POUND,
    ACTIONS(2591), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1450), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43149] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(2597), 1,
      anon_sym_POUND,
    ACTIONS(2599), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1448), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2595), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43214] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(2589), 1,
      anon_sym_POUND,
    ACTIONS(2601), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1450), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43279] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2607), 1,
      anon_sym_POUND,
    ACTIONS(2609), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1234), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2605), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43344] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(2615), 1,
      anon_sym_POUND,
    ACTIONS(2617), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1445), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43409] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(2623), 1,
      anon_sym_POUND,
    ACTIONS(2625), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1443), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2621), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43474] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2631), 1,
      anon_sym_POUND,
    ACTIONS(2633), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43539] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    ACTIONS(2639), 1,
      anon_sym_POUND,
    ACTIONS(2641), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1439), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2637), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43604] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    ACTIONS(2647), 1,
      anon_sym_POUND,
    ACTIONS(2649), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1283), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2645), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43669] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    ACTIONS(2655), 1,
      anon_sym_POUND,
    ACTIONS(2657), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1220), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2653), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43734] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2659), 1,
      anon_sym_RBRACE,
    ACTIONS(2663), 1,
      anon_sym_POUND,
    ACTIONS(2665), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1437), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2661), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43799] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2671), 1,
      anon_sym_POUND,
    ACTIONS(2673), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1372), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2669), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43864] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(2679), 1,
      anon_sym_POUND,
    ACTIONS(2681), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1433), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2677), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43929] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(2687), 1,
      anon_sym_POUND,
    ACTIONS(2689), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1431), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2685), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43994] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    ACTIONS(2695), 1,
      anon_sym_POUND,
    ACTIONS(2697), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1387), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2693), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44059] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2699), 1,
      anon_sym_RBRACE,
    ACTIONS(2703), 1,
      anon_sym_POUND,
    ACTIONS(2705), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1268), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2701), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44124] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    ACTIONS(2711), 1,
      anon_sym_POUND,
    ACTIONS(2713), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1339), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2709), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44189] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    ACTIONS(2719), 1,
      anon_sym_POUND,
    ACTIONS(2721), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44254] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(2679), 1,
      anon_sym_POUND,
    ACTIONS(2723), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1433), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2677), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44319] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1428), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2727), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44384] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    ACTIONS(2737), 1,
      anon_sym_POUND,
    ACTIONS(2739), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1426), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2735), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44449] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    ACTIONS(2745), 1,
      anon_sym_POUND,
    ACTIONS(2747), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1240), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2743), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44514] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2749), 1,
      anon_sym_RBRACE,
    ACTIONS(2753), 1,
      anon_sym_POUND,
    ACTIONS(2755), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1242), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2751), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44579] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2757), 1,
      anon_sym_RBRACE,
    ACTIONS(2761), 1,
      anon_sym_POUND,
    ACTIONS(2763), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2759), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44644] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2765), 1,
      anon_sym_RBRACE,
    ACTIONS(2769), 1,
      anon_sym_POUND,
    ACTIONS(2771), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1420), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2767), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44709] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    ACTIONS(2777), 1,
      anon_sym_POUND,
    ACTIONS(2779), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1338), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2775), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44774] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2781), 1,
      anon_sym_RBRACE,
    ACTIONS(2785), 1,
      anon_sym_POUND,
    ACTIONS(2787), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1419), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2783), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44839] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(2793), 1,
      anon_sym_POUND,
    ACTIONS(2795), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1418), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2791), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44904] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    ACTIONS(2801), 1,
      anon_sym_POUND,
    ACTIONS(2803), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2799), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44969] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2805), 1,
      anon_sym_RBRACE,
    ACTIONS(2809), 1,
      anon_sym_POUND,
    ACTIONS(2811), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1557), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2807), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45034] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2813), 1,
      anon_sym_RBRACE,
    ACTIONS(2817), 1,
      anon_sym_POUND,
    ACTIONS(2819), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1322), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2815), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45099] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(2793), 1,
      anon_sym_POUND,
    ACTIONS(2821), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1418), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2791), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45164] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2823), 1,
      anon_sym_RBRACE,
    ACTIONS(2827), 1,
      anon_sym_POUND,
    ACTIONS(2829), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1413), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2825), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45229] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(2835), 1,
      anon_sym_POUND,
    ACTIONS(2837), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1188), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2833), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45294] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(2843), 1,
      anon_sym_POUND,
    ACTIONS(2845), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1406), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2841), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45359] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2847), 1,
      anon_sym_RBRACE,
    ACTIONS(2851), 1,
      anon_sym_POUND,
    ACTIONS(2853), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1325), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2849), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45424] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(2859), 1,
      anon_sym_POUND,
    ACTIONS(2861), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1401), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2857), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45489] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2863), 1,
      anon_sym_RBRACE,
    ACTIONS(2867), 1,
      anon_sym_POUND,
    ACTIONS(2869), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1386), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2865), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45554] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2871), 1,
      anon_sym_RBRACE,
    ACTIONS(2875), 1,
      anon_sym_POUND,
    ACTIONS(2877), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1186), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2873), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45619] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    ACTIONS(2883), 1,
      anon_sym_POUND,
    ACTIONS(2885), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1562), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2881), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45684] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2887), 1,
      anon_sym_RBRACE,
    ACTIONS(2891), 1,
      anon_sym_POUND,
    ACTIONS(2893), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1385), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2889), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45749] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2895), 1,
      anon_sym_RBRACE,
    ACTIONS(2899), 1,
      anon_sym_POUND,
    ACTIONS(2901), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1281), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2897), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45814] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
    ACTIONS(2907), 1,
      anon_sym_POUND,
    ACTIONS(2909), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2905), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45879] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2911), 1,
      anon_sym_RBRACE,
    ACTIONS(2915), 1,
      anon_sym_POUND,
    ACTIONS(2917), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1560), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2913), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45944] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2919), 1,
      anon_sym_RBRACE,
    ACTIONS(2923), 1,
      anon_sym_POUND,
    ACTIONS(2925), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1245), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2921), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46009] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1358), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2929), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46074] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    ACTIONS(2939), 1,
      anon_sym_POUND,
    ACTIONS(2941), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1173), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2937), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46139] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
    ACTIONS(2907), 1,
      anon_sym_POUND,
    ACTIONS(2943), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2905), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46204] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2945), 1,
      anon_sym_RBRACE,
    ACTIONS(2949), 1,
      anon_sym_POUND,
    ACTIONS(2951), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1630), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2947), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46269] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2953), 1,
      anon_sym_RBRACE,
    ACTIONS(2957), 1,
      anon_sym_POUND,
    ACTIONS(2959), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1389), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2955), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46334] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1917), 1,
      anon_sym_RBRACE,
    ACTIONS(1921), 1,
      anon_sym_POUND,
    ACTIONS(2961), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1919), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46399] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2963), 1,
      anon_sym_RBRACE,
    ACTIONS(2967), 1,
      anon_sym_POUND,
    ACTIONS(2969), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1629), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2965), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46464] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2971), 1,
      anon_sym_RBRACE,
    ACTIONS(2975), 1,
      anon_sym_POUND,
    ACTIONS(2977), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1392), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2973), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46529] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2979), 1,
      anon_sym_RBRACE,
    ACTIONS(2983), 1,
      anon_sym_POUND,
    ACTIONS(2985), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1628), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2981), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46594] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2991), 1,
      anon_sym_POUND,
    ACTIONS(2993), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1624), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2989), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46659] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_POUND,
    ACTIONS(3001), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1622), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2997), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46724] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    ACTIONS(3007), 1,
      anon_sym_POUND,
    ACTIONS(3009), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1316), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3005), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46789] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3011), 1,
      anon_sym_RBRACE,
    ACTIONS(3015), 1,
      anon_sym_POUND,
    ACTIONS(3017), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3013), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46854] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3019), 1,
      anon_sym_RBRACE,
    ACTIONS(3023), 1,
      anon_sym_POUND,
    ACTIONS(3025), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1303), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3021), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46919] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3027), 1,
      anon_sym_RBRACE,
    ACTIONS(3031), 1,
      anon_sym_POUND,
    ACTIONS(3033), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1619), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3029), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46984] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    ACTIONS(2883), 1,
      anon_sym_POUND,
    ACTIONS(3035), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1562), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2881), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47049] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    ACTIONS(3041), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3039), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47114] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3011), 1,
      anon_sym_RBRACE,
    ACTIONS(3015), 1,
      anon_sym_POUND,
    ACTIONS(3045), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3013), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47179] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3047), 1,
      anon_sym_RBRACE,
    ACTIONS(3051), 1,
      anon_sym_POUND,
    ACTIONS(3053), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1613), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3049), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47244] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3061), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1348), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3057), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47309] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(3067), 1,
      anon_sym_POUND,
    ACTIONS(3069), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1436), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3065), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47374] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    ACTIONS(3075), 1,
      anon_sym_POUND,
    ACTIONS(3077), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1342), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3073), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47439] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    ACTIONS(3083), 1,
      anon_sym_POUND,
    ACTIONS(3085), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1324), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3081), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47504] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3087), 1,
      anon_sym_RBRACE,
    ACTIONS(3091), 1,
      anon_sym_POUND,
    ACTIONS(3093), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1435), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3089), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47569] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(3095), 1,
      sym_regex,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2122), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47634] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3097), 1,
      anon_sym_RBRACE,
    ACTIONS(3101), 1,
      anon_sym_POUND,
    ACTIONS(3103), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1416), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3099), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47699] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      anon_sym_RBRACE,
    ACTIONS(3109), 1,
      anon_sym_POUND,
    ACTIONS(3111), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1577), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3107), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47764] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3119), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1306), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47829] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
    ACTIONS(3125), 1,
      anon_sym_POUND,
    ACTIONS(3127), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1612), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3123), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47894] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
    ACTIONS(3133), 1,
      anon_sym_POUND,
    ACTIONS(3135), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1611), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3131), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47959] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    ACTIONS(3083), 1,
      anon_sym_POUND,
    ACTIONS(3137), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1324), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3081), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48024] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    ACTIONS(3143), 1,
      anon_sym_POUND,
    ACTIONS(3145), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1601), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3141), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48089] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3147), 1,
      anon_sym_RBRACE,
    ACTIONS(3151), 1,
      anon_sym_POUND,
    ACTIONS(3153), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1551), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3149), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48154] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    ACTIONS(3059), 1,
      anon_sym_POUND,
    ACTIONS(3155), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1348), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3057), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48219] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3157), 1,
      anon_sym_RBRACE,
    ACTIONS(3161), 1,
      anon_sym_POUND,
    ACTIONS(3163), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1314), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3159), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48284] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(3165), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2364), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [48349] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    ACTIONS(2695), 1,
      anon_sym_POUND,
    ACTIONS(3167), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1387), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2693), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48414] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    ACTIONS(3173), 1,
      anon_sym_POUND,
    ACTIONS(3175), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1333), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3171), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48479] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3177), 1,
      anon_sym_RBRACE,
    ACTIONS(3181), 1,
      anon_sym_POUND,
    ACTIONS(3183), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3179), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48544] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(3189), 1,
      anon_sym_POUND,
    ACTIONS(3191), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1512), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3187), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48609] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3193), 1,
      anon_sym_RBRACE,
    ACTIONS(3197), 1,
      anon_sym_POUND,
    ACTIONS(3199), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1537), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3195), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48674] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(3189), 1,
      anon_sym_POUND,
    ACTIONS(3201), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1512), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3187), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48739] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(1977), 1,
      anon_sym_POUND,
    ACTIONS(3203), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1299), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1975), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48804] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3205), 1,
      anon_sym_RBRACE,
    ACTIONS(3209), 1,
      anon_sym_POUND,
    ACTIONS(3211), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1511), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3207), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48869] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_word,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_BANG,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3221), 1,
      sym__special_character,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      sym_test_operator,
    ACTIONS(3235), 1,
      sym_regex,
    STATE(2123), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3223), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2088), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2337), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [48934] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    ACTIONS(3241), 1,
      anon_sym_POUND,
    ACTIONS(3243), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1510), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3239), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48999] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    ACTIONS(3249), 1,
      anon_sym_POUND,
    ACTIONS(3251), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1282), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3247), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49064] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
    ACTIONS(3257), 1,
      anon_sym_POUND,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1508), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3255), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49129] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    ACTIONS(3265), 1,
      anon_sym_POUND,
    ACTIONS(3267), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1503), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3263), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49194] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1941), 1,
      anon_sym_RBRACE,
    ACTIONS(1945), 1,
      anon_sym_POUND,
    ACTIONS(3269), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1943), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49259] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3271), 1,
      anon_sym_RBRACE,
    ACTIONS(3275), 1,
      anon_sym_POUND,
    ACTIONS(3277), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1501), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3273), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49324] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2273), 1,
      anon_sym_RBRACE,
    ACTIONS(2277), 1,
      anon_sym_POUND,
    ACTIONS(3279), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1496), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2275), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49389] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
    ACTIONS(3285), 1,
      anon_sym_POUND,
    ACTIONS(3287), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1331), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3283), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49454] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3289), 1,
      anon_sym_RBRACE,
    ACTIONS(3293), 1,
      anon_sym_POUND,
    ACTIONS(3295), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1564), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3291), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49519] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3297), 1,
      anon_sym_RBRACE,
    ACTIONS(3301), 1,
      anon_sym_POUND,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1248), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3299), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49584] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3305), 1,
      anon_sym_RBRACE,
    ACTIONS(3309), 1,
      anon_sym_POUND,
    ACTIONS(3311), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1468), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3307), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49649] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3313), 1,
      anon_sym_RBRACE,
    ACTIONS(3317), 1,
      anon_sym_POUND,
    ACTIONS(3319), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1327), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3315), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49714] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1805), 1,
      anon_sym_RBRACE,
    ACTIONS(1809), 1,
      anon_sym_POUND,
    ACTIONS(3321), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1384), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1807), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49779] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(3323), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2353), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [49844] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    ACTIONS(3329), 1,
      anon_sym_POUND,
    ACTIONS(3331), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1286), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3327), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49909] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(3333), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2347), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [49974] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    ACTIONS(3339), 1,
      anon_sym_POUND,
    ACTIONS(3341), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1498), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3337), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50039] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3343), 1,
      anon_sym_RBRACE,
    ACTIONS(3347), 1,
      anon_sym_POUND,
    ACTIONS(3349), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1249), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3345), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50104] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(3351), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2359), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [50169] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3353), 1,
      anon_sym_RBRACE,
    ACTIONS(3357), 1,
      anon_sym_POUND,
    ACTIONS(3359), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1378), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3355), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50234] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3361), 1,
      anon_sym_RBRACE,
    ACTIONS(3365), 1,
      anon_sym_POUND,
    ACTIONS(3367), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1565), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3363), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50299] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
    ACTIONS(3373), 1,
      anon_sym_POUND,
    ACTIONS(3375), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1357), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3371), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50364] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
    ACTIONS(3381), 1,
      anon_sym_POUND,
    ACTIONS(3383), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1288), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3379), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50429] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(3385), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2330), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [50494] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(3387), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2316), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [50559] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3389), 1,
      anon_sym_RBRACE,
    ACTIONS(3393), 1,
      anon_sym_POUND,
    ACTIONS(3395), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1250), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3391), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50624] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3397), 1,
      anon_sym_RBRACE,
    ACTIONS(3401), 1,
      anon_sym_POUND,
    ACTIONS(3403), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1569), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3399), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50689] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
    ACTIONS(3409), 1,
      anon_sym_POUND,
    ACTIONS(3411), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1255), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3407), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50754] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    ACTIONS(3329), 1,
      anon_sym_POUND,
    ACTIONS(3413), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1286), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3327), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50819] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3415), 1,
      anon_sym_RBRACE,
    ACTIONS(3419), 1,
      anon_sym_POUND,
    ACTIONS(3421), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1326), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3417), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50884] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3423), 1,
      anon_sym_RBRACE,
    ACTIONS(3427), 1,
      anon_sym_POUND,
    ACTIONS(3429), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1495), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3425), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50949] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3431), 1,
      anon_sym_RBRACE,
    ACTIONS(3435), 1,
      anon_sym_POUND,
    ACTIONS(3437), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1294), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3433), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51014] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3439), 1,
      anon_sym_RBRACE,
    ACTIONS(3443), 1,
      anon_sym_POUND,
    ACTIONS(3445), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3441), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51079] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3447), 1,
      anon_sym_RBRACE,
    ACTIONS(3451), 1,
      anon_sym_POUND,
    ACTIONS(3453), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1494), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3449), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51144] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3455), 1,
      anon_sym_RBRACE,
    ACTIONS(3459), 1,
      anon_sym_POUND,
    ACTIONS(3461), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1492), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3457), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    ACTIONS(3467), 1,
      anon_sym_POUND,
    ACTIONS(3469), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1486), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3465), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51274] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(3471), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2346), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [51339] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3473), 1,
      anon_sym_RBRACE,
    ACTIONS(3477), 1,
      anon_sym_POUND,
    ACTIONS(3479), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1257), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3475), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51404] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3481), 1,
      anon_sym_RBRACE,
    ACTIONS(3485), 1,
      anon_sym_POUND,
    ACTIONS(3487), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1484), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3483), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51469] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    ACTIONS(3493), 1,
      anon_sym_POUND,
    ACTIONS(3495), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3491), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51534] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      anon_sym_RBRACE,
    ACTIONS(3109), 1,
      anon_sym_POUND,
    ACTIONS(3497), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1577), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3107), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51599] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3499), 1,
      anon_sym_RBRACE,
    ACTIONS(3503), 1,
      anon_sym_POUND,
    ACTIONS(3505), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1477), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3501), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51664] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(3507), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2352), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [51729] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    ACTIONS(3493), 1,
      anon_sym_POUND,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3491), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51794] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3511), 1,
      anon_sym_RBRACE,
    ACTIONS(3515), 1,
      anon_sym_POUND,
    ACTIONS(3517), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1262), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3513), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51859] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    ACTIONS(3523), 1,
      anon_sym_POUND,
    ACTIONS(3525), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51924] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    ACTIONS(3531), 1,
      anon_sym_POUND,
    ACTIONS(3533), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1407), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51989] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3535), 1,
      anon_sym_RBRACE,
    ACTIONS(3539), 1,
      anon_sym_POUND,
    ACTIONS(3541), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1350), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3537), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52054] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3543), 1,
      anon_sym_RBRACE,
    ACTIONS(3547), 1,
      anon_sym_POUND,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1181), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3545), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52119] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3551), 1,
      sym_word,
    ACTIONS(3553), 1,
      anon_sym_LPAREN,
    ACTIONS(3555), 1,
      anon_sym_BANG,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3559), 1,
      sym__special_character,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(3571), 1,
      sym_test_operator,
    ACTIONS(3573), 1,
      sym_regex,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3561), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2164), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2332), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [52184] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    ACTIONS(3575), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2363), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [52249] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3511), 1,
      anon_sym_RBRACE,
    ACTIONS(3515), 1,
      anon_sym_POUND,
    ACTIONS(3577), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1262), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3513), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52314] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3579), 1,
      anon_sym_RBRACE,
    ACTIONS(3583), 1,
      anon_sym_POUND,
    ACTIONS(3585), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1263), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3581), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52379] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3587), 1,
      anon_sym_RBRACE,
    ACTIONS(3591), 1,
      anon_sym_POUND,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1402), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3589), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52444] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3595), 1,
      anon_sym_RBRACE,
    ACTIONS(3599), 1,
      anon_sym_POUND,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3597), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52509] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3603), 1,
      anon_sym_RBRACE,
    ACTIONS(3607), 1,
      anon_sym_POUND,
    ACTIONS(3609), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1266), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3605), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52574] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3611), 1,
      anon_sym_RBRACE,
    ACTIONS(3615), 1,
      anon_sym_POUND,
    ACTIONS(3617), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52639] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3619), 1,
      anon_sym_RBRACE,
    ACTIONS(3623), 1,
      anon_sym_POUND,
    ACTIONS(3625), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1412), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3621), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52704] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    ACTIONS(3631), 1,
      anon_sym_POUND,
    ACTIONS(3633), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1399), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52769] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3635), 1,
      anon_sym_RBRACE,
    ACTIONS(3639), 1,
      anon_sym_POUND,
    ACTIONS(3641), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1575), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3637), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52834] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3643), 1,
      anon_sym_RBRACE,
    ACTIONS(3647), 1,
      anon_sym_POUND,
    ACTIONS(3649), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1394), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3645), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52899] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3651), 1,
      anon_sym_RBRACE,
    ACTIONS(3655), 1,
      anon_sym_POUND,
    ACTIONS(3657), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1409), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3653), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52964] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(3095), 1,
      sym_regex,
    ACTIONS(3659), 1,
      anon_sym_BANG,
    ACTIONS(3661), 1,
      sym__special_character,
    ACTIONS(3663), 1,
      sym_test_operator,
    STATE(2125), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2122), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [53029] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3665), 1,
      anon_sym_RBRACE,
    ACTIONS(3669), 1,
      anon_sym_POUND,
    ACTIONS(3671), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1273), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3667), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53094] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3673), 1,
      anon_sym_RBRACE,
    ACTIONS(3677), 1,
      anon_sym_POUND,
    ACTIONS(3679), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1275), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3675), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53159] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3681), 1,
      anon_sym_RBRACE,
    ACTIONS(3685), 1,
      anon_sym_POUND,
    ACTIONS(3687), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1382), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3683), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53224] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3689), 1,
      anon_sym_RBRACE,
    ACTIONS(3693), 1,
      anon_sym_POUND,
    ACTIONS(3695), 1,
      anon_sym_SLASH,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1380), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3691), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53289] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_RBRACE,
    ACTIONS(3701), 1,
      anon_sym_POUND,
    ACTIONS(3703), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1374), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3699), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53354] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2895), 1,
      anon_sym_RBRACE,
    ACTIONS(2899), 1,
      anon_sym_POUND,
    ACTIONS(3705), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1281), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2897), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53419] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3689), 1,
      anon_sym_RBRACE,
    ACTIONS(3693), 1,
      anon_sym_POUND,
    ACTIONS(3707), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1380), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3691), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53484] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3709), 1,
      anon_sym_RBRACE,
    ACTIONS(3713), 1,
      anon_sym_POUND,
    ACTIONS(3715), 1,
      sym_regex,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1279), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3711), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53549] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(2153), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1533), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2151), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53611] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3097), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53673] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2319), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [53735] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1965), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53797] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3721), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3723), 1,
      anon_sym_RBRACE,
    ACTIONS(3727), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3725), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53921] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3721), 1,
      anon_sym_RBRACE,
    ACTIONS(3731), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1199), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3729), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53983] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3723), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(2835), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1188), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2833), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54107] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3551), 1,
      sym_word,
    ACTIONS(3553), 1,
      anon_sym_LPAREN,
    ACTIONS(3555), 1,
      anon_sym_BANG,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3559), 1,
      sym__special_character,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(3571), 1,
      sym_test_operator,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3561), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2164), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2354), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54169] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2379), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54231] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(3659), 1,
      anon_sym_BANG,
    ACTIONS(3661), 1,
      sym__special_character,
    ACTIONS(3663), 1,
      sym_test_operator,
    STATE(2125), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2351), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3733), 1,
      anon_sym_RBRACE,
    ACTIONS(3737), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1208), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3735), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54355] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_word,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_BANG,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3221), 1,
      sym__special_character,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      sym_test_operator,
    STATE(2123), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3223), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2088), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2377), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54417] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2253), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54479] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54541] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54603] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1989), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3739), 1,
      anon_sym_RBRACE,
    ACTIONS(3743), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1200), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3741), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54727] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(3659), 1,
      anon_sym_BANG,
    ACTIONS(3661), 1,
      sym__special_character,
    ACTIONS(3663), 1,
      sym_test_operator,
    STATE(2125), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2355), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3733), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54851] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3745), 1,
      anon_sym_RBRACE,
    ACTIONS(3749), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1210), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3747), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54913] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3745), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54975] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3739), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55037] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3751), 1,
      anon_sym_RBRACE,
    ACTIONS(3755), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3753), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55099] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2122), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55161] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2320), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55223] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2372), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55285] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_word,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_BANG,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3221), 1,
      sym__special_character,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      sym_test_operator,
    STATE(2123), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3223), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2088), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2333), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3751), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55533] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2350), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3757), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3759), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55719] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_word,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_BANG,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3221), 1,
      sym__special_character,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      sym_test_operator,
    STATE(2123), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3223), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2088), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2365), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55781] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(3659), 1,
      anon_sym_BANG,
    ACTIONS(3661), 1,
      sym__special_character,
    ACTIONS(3663), 1,
      sym_test_operator,
    STATE(2125), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2331), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55843] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3551), 1,
      sym_word,
    ACTIONS(3553), 1,
      anon_sym_LPAREN,
    ACTIONS(3555), 1,
      anon_sym_BANG,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3559), 1,
      sym__special_character,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(3571), 1,
      sym_test_operator,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3561), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2164), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2317), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55905] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3761), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(1961), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1197), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1959), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56029] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3763), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56091] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2325), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3765), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56215] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym_word,
    ACTIONS(1703), 1,
      anon_sym_BANG,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(2347), 1,
      anon_sym_LPAREN,
    ACTIONS(2349), 1,
      sym__special_character,
    ACTIONS(2351), 1,
      anon_sym_DQUOTE,
    ACTIONS(2355), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2359), 1,
      anon_sym_BQUOTE,
    ACTIONS(2363), 1,
      sym_test_operator,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2353), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2361), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1922), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56277] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3767), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56339] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2699), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56401] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56463] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1917), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56525] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2326), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56587] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_word,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_BANG,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3221), 1,
      sym__special_character,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      sym_test_operator,
    STATE(2123), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3223), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2088), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2339), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56649] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym_word,
    ACTIONS(1703), 1,
      anon_sym_BANG,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(2347), 1,
      anon_sym_LPAREN,
    ACTIONS(2349), 1,
      sym__special_character,
    ACTIONS(2351), 1,
      anon_sym_DQUOTE,
    ACTIONS(2355), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2359), 1,
      anon_sym_BQUOTE,
    ACTIONS(2363), 1,
      sym_test_operator,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2353), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2361), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1911), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56711] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3019), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56773] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(3659), 1,
      anon_sym_BANG,
    ACTIONS(3661), 1,
      sym__special_character,
    ACTIONS(3663), 1,
      sym_test_operator,
    STATE(2125), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2356), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56835] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3551), 1,
      sym_word,
    ACTIONS(3553), 1,
      anon_sym_LPAREN,
    ACTIONS(3555), 1,
      anon_sym_BANG,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3559), 1,
      sym__special_character,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(3571), 1,
      sym_test_operator,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3561), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2164), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2357), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56897] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56959] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2366), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [57021] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3769), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57083] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3771), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57145] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3773), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57207] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57269] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1222), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3777), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57331] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57393] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    ACTIONS(3785), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1223), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3783), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57455] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1873), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1225), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1871), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57517] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3787), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3787), 1,
      anon_sym_RBRACE,
    ACTIONS(3791), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1224), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3789), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57641] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57703] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1877), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57765] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57827] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57889] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57951] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3793), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58013] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3795), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3797), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58137] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58199] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(3803), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1237), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3801), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58261] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3805), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58323] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3805), 1,
      anon_sym_RBRACE,
    ACTIONS(3809), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1238), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3807), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58385] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    ACTIONS(2745), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1240), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2743), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58447] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3811), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58509] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3811), 1,
      anon_sym_RBRACE,
    ACTIONS(3815), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1239), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3813), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58571] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58633] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2749), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58695] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1941), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58757] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2919), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58819] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3817), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58881] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58943] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3551), 1,
      sym_word,
    ACTIONS(3553), 1,
      anon_sym_LPAREN,
    ACTIONS(3555), 1,
      anon_sym_BANG,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3559), 1,
      sym__special_character,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(3571), 1,
      sym_test_operator,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3561), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2164), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2336), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [59005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3821), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59067] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3823), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59129] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3823), 1,
      anon_sym_RBRACE,
    ACTIONS(3827), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3825), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3829), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59253] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3829), 1,
      anon_sym_RBRACE,
    ACTIONS(3833), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1252), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3831), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59315] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
    ACTIONS(3409), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1255), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3407), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59377] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3835), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59439] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3835), 1,
      anon_sym_RBRACE,
    ACTIONS(3839), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3837), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59501] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59563] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3473), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59625] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3841), 1,
      anon_sym_RBRACE,
    ACTIONS(3845), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1310), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3843), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59687] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3511), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59749] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59811] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2407), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3841), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59935] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1306), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60059] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3849), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60121] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3851), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60183] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3853), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60245] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3853), 1,
      anon_sym_RBRACE,
    ACTIONS(3857), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1270), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3855), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3859), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60369] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
    ACTIONS(3865), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1312), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3863), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60431] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3859), 1,
      anon_sym_RBRACE,
    ACTIONS(3869), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1271), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3867), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60493] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3665), 1,
      anon_sym_RBRACE,
    ACTIONS(3669), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1273), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3667), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60555] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3871), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3871), 1,
      anon_sym_RBRACE,
    ACTIONS(3875), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1272), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3873), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60679] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3665), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60741] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3673), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2895), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60865] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3709), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3305), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60989] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61051] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    ACTIONS(3881), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1438), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3879), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61175] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3883), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61237] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3885), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61299] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3887), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61361] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3889), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61423] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3889), 1,
      anon_sym_RBRACE,
    ACTIONS(3893), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1289), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3891), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3895), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3895), 1,
      anon_sym_RBRACE,
    ACTIONS(3899), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1290), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3897), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3611), 1,
      anon_sym_RBRACE,
    ACTIONS(3615), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3901), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3901), 1,
      anon_sym_RBRACE,
    ACTIONS(3905), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1291), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3903), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61795] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3611), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61857] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3907), 1,
      sym_word,
    ACTIONS(3910), 1,
      anon_sym_RBRACE,
    ACTIONS(3915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3918), 1,
      sym__special_character,
    ACTIONS(3921), 1,
      anon_sym_DQUOTE,
    ACTIONS(3927), 1,
      anon_sym_POUND,
    ACTIONS(3930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3933), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3936), 1,
      anon_sym_BQUOTE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3924), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3939), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3912), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3431), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61981] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(3067), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1436), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3065), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3942), 1,
      anon_sym_RBRACE,
    ACTIONS(3946), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1313), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3944), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3942), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62291] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3948), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3950), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3952), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3954), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62601] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3956), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3958), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3960), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3960), 1,
      anon_sym_RBRACE,
    ACTIONS(3964), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1308), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3962), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3966), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3966), 1,
      anon_sym_RBRACE,
    ACTIONS(3970), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1309), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3968), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62973] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_word,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_BANG,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3221), 1,
      sym__special_character,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      sym_test_operator,
    STATE(2123), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3223), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2088), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2344), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2399), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63097] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3972), 1,
      anon_sym_RBRACE,
    ACTIONS(3976), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1543), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3974), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63159] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3157), 1,
      anon_sym_RBRACE,
    ACTIONS(3161), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1314), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3159), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63221] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3978), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63283] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3978), 1,
      anon_sym_RBRACE,
    ACTIONS(3982), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1311), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3980), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63345] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3157), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63407] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2813), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3984), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63655] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3986), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63717] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3988), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63779] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3990), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63841] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3990), 1,
      anon_sym_RBRACE,
    ACTIONS(3994), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1328), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3992), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63903] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3996), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63965] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3996), 1,
      anon_sym_RBRACE,
    ACTIONS(4000), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1329), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3998), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64027] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4002), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64089] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4004), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64151] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(3972), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2165), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64275] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64399] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
    ACTIONS(3285), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1331), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3283), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64461] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64523] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64585] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(4010), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1330), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4008), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64647] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4012), 1,
      anon_sym_RBRACE,
    ACTIONS(4016), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1365), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4014), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64709] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4012), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64771] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4018), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64833] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64895] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 1,
      anon_sym_BANG,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2077), 1,
      sym__special_character,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      sym_test_operator,
    STATE(1946), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2112), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64957] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4020), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4020), 1,
      anon_sym_RBRACE,
    ACTIONS(4024), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1335), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4022), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65081] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4026), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65143] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4026), 1,
      anon_sym_RBRACE,
    ACTIONS(4030), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1336), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4028), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65205] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(2245), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1363), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2243), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4032), 1,
      anon_sym_RBRACE,
    ACTIONS(4036), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1366), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4034), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65329] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65391] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65453] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65515] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4032), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65577] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4038), 1,
      anon_sym_RBRACE,
    ACTIONS(4042), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1368), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4040), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65639] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4044), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4046), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65763] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4038), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65825] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4048), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65887] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4050), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4052), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66011] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(3659), 1,
      anon_sym_BANG,
    ACTIONS(3661), 1,
      sym__special_character,
    ACTIONS(3663), 1,
      sym_test_operator,
    STATE(2125), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2112), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [66073] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4054), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66135] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4056), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66197] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2953), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66259] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4056), 1,
      anon_sym_RBRACE,
    ACTIONS(4060), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1361), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4058), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4062), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66383] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3535), 1,
      anon_sym_RBRACE,
    ACTIONS(3539), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1350), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3537), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66445] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4064), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66507] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4064), 1,
      anon_sym_RBRACE,
    ACTIONS(4068), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1347), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4066), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66569] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4062), 1,
      anon_sym_RBRACE,
    ACTIONS(4072), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1362), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4070), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66631] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2157), 1,
      anon_sym_RBRACE,
    ACTIONS(2161), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1369), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2159), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66693] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4074), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66755] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4074), 1,
      anon_sym_RBRACE,
    ACTIONS(4078), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1364), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4076), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66817] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3535), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66879] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2223), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67003] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2971), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2157), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67127] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1805), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3643), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67313] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4080), 1,
      anon_sym_RBRACE,
    ACTIONS(4084), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1395), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4082), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67375] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4080), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67437] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3643), 1,
      anon_sym_RBRACE,
    ACTIONS(3647), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1394), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3645), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67499] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4086), 1,
      anon_sym_RBRACE,
    ACTIONS(4090), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1396), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4088), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67561] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4086), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67623] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4092), 1,
      anon_sym_RBRACE,
    ACTIONS(4096), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1397), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4094), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67685] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4092), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67747] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4098), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4100), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67871] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4102), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67933] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3551), 1,
      sym_word,
    ACTIONS(3553), 1,
      anon_sym_LPAREN,
    ACTIONS(3555), 1,
      anon_sym_BANG,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3559), 1,
      sym__special_character,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(3571), 1,
      sym_test_operator,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3561), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2164), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2332), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [67995] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3499), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68057] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2399), 1,
      anon_sym_RBRACE,
    ACTIONS(2403), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1536), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2401), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68119] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3353), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4104), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68305] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4106), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4108), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4110), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68491] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3481), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68615] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3689), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68677] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4110), 1,
      anon_sym_RBRACE,
    ACTIONS(4114), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1403), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4112), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68739] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4116), 1,
      anon_sym_RBRACE,
    ACTIONS(4120), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1487), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4118), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68801] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3697), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68863] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4122), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68925] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4122), 1,
      anon_sym_RBRACE,
    ACTIONS(4126), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1404), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4124), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68987] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(2843), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1406), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2841), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69049] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4128), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69111] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4128), 1,
      anon_sym_RBRACE,
    ACTIONS(4132), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1405), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4130), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69173] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2823), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69297] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69421] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4134), 1,
      anon_sym_RBRACE,
    ACTIONS(4138), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1513), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4136), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69483] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4140), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69545] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4142), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4144), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4146), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69731] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4146), 1,
      anon_sym_RBRACE,
    ACTIONS(4150), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1423), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4148), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69793] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4152), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4152), 1,
      anon_sym_RBRACE,
    ACTIONS(4156), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1424), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4154), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    ACTIONS(2737), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1426), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2735), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69979] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4158), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70041] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4158), 1,
      anon_sym_RBRACE,
    ACTIONS(4162), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1425), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4160), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70103] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70165] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4164), 1,
      anon_sym_RBRACE,
    ACTIONS(4168), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1514), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4166), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70227] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70289] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4164), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4170), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70475] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70537] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4172), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70599] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4174), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70661] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4176), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70723] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4178), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70785] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4178), 1,
      anon_sym_RBRACE,
    ACTIONS(4182), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1440), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4180), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70847] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4184), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70909] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4184), 1,
      anon_sym_RBRACE,
    ACTIONS(4188), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1441), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4186), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70971] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(2623), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1443), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2621), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71033] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4190), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71095] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4190), 1,
      anon_sym_RBRACE,
    ACTIONS(4194), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1442), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4192), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71219] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71281] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71343] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71405] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4196), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71467] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4198), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71529] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4200), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71591] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4202), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71653] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4202), 1,
      anon_sym_RBRACE,
    ACTIONS(4206), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1454), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4204), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71715] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4208), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71777] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4208), 1,
      anon_sym_RBRACE,
    ACTIONS(4212), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1455), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4210), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71839] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(2531), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1457), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4214), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71963] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4214), 1,
      anon_sym_RBRACE,
    ACTIONS(4218), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1456), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4216), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72025] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72087] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2517), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2499), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2507), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4134), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72335] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4220), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4222), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72459] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4224), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4226), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72583] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4226), 1,
      anon_sym_RBRACE,
    ACTIONS(4230), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1469), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4228), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72645] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4232), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4232), 1,
      anon_sym_RBRACE,
    ACTIONS(4236), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1470), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4234), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72769] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(2463), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1472), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2461), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72831] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4116), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72893] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4238), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72955] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4238), 1,
      anon_sym_RBRACE,
    ACTIONS(4242), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1471), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4240), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73017] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73141] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    ACTIONS(3467), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1486), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3465), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4244), 1,
      anon_sym_RBRACE,
    ACTIONS(4248), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1488), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4246), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73265] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4244), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73327] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4250), 1,
      anon_sym_RBRACE,
    ACTIONS(4254), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1489), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4252), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73389] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4250), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4256), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73513] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4258), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4260), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73637] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2067), 1,
      sym_word,
    ACTIONS(2071), 1,
      anon_sym_LPAREN,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(3659), 1,
      anon_sym_BANG,
    ACTIONS(3661), 1,
      sym__special_character,
    ACTIONS(3663), 1,
      sym_test_operator,
    STATE(2125), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2079), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1885), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2122), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [73699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4262), 1,
      anon_sym_RBRACE,
    ACTIONS(4266), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1584), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4264), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73761] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73823] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4262), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73885] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2273), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3271), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74009] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4268), 1,
      anon_sym_RBRACE,
    ACTIONS(4272), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1505), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4270), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4268), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74195] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    ACTIONS(3265), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1503), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3263), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4274), 1,
      anon_sym_RBRACE,
    ACTIONS(4278), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1506), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4276), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74319] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4274), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4280), 1,
      anon_sym_RBRACE,
    ACTIONS(4284), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1507), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4282), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4280), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74505] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2425), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4286), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74629] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4288), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4290), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3193), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3147), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4292), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4294), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4296), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4298), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75311] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4300), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75373] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4302), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75435] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4302), 1,
      anon_sym_RBRACE,
    ACTIONS(4306), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1515), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4304), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75497] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4308), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75559] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4308), 1,
      anon_sym_RBRACE,
    ACTIONS(4312), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1516), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4310), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75621] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(2343), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1518), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2341), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4314), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75745] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4314), 1,
      anon_sym_RBRACE,
    ACTIONS(4318), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1517), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4316), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75807] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75931] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75993] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2305), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76055] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4320), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4322), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76179] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4324), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76241] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4326), 1,
      anon_sym_RBRACE,
    ACTIONS(4330), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1598), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4328), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76303] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4332), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4334), 1,
      anon_sym_RBRACE,
    ACTIONS(4338), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1602), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4336), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76427] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4332), 1,
      anon_sym_RBRACE,
    ACTIONS(4342), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1529), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4340), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4326), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76551] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4334), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76613] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4344), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4344), 1,
      anon_sym_RBRACE,
    ACTIONS(4348), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1530), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4346), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4350), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76799] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    ACTIONS(3143), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1601), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3141), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4350), 1,
      anon_sym_RBRACE,
    ACTIONS(4354), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1531), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4352), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76923] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4356), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76985] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3551), 1,
      sym_word,
    ACTIONS(3553), 1,
      anon_sym_LPAREN,
    ACTIONS(3555), 1,
      anon_sym_BANG,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3559), 1,
      sym__special_character,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(3571), 1,
      sym_test_operator,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3561), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2164), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2348), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [77047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77109] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77171] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2057), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4358), 1,
      anon_sym_RBRACE,
    ACTIONS(4362), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1604), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4360), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4364), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77419] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4358), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77481] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4366), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77543] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym_word,
    ACTIONS(1703), 1,
      anon_sym_BANG,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(2347), 1,
      anon_sym_LPAREN,
    ACTIONS(2349), 1,
      sym__special_character,
    ACTIONS(2351), 1,
      anon_sym_DQUOTE,
    ACTIONS(2355), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2359), 1,
      anon_sym_BQUOTE,
    ACTIONS(2363), 1,
      sym_test_operator,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2353), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2361), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1682), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1906), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [77605] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4368), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4370), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4370), 1,
      anon_sym_RBRACE,
    ACTIONS(4374), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1550), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4372), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77791] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4376), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77853] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4376), 1,
      anon_sym_RBRACE,
    ACTIONS(4380), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1552), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4378), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77915] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
    ACTIONS(1817), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1555), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1815), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77977] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78039] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    ACTIONS(4386), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1554), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4384), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78101] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78163] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2805), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78225] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78287] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2911), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78349] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4388), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78411] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4390), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78473] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4392), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78535] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4394), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78597] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4394), 1,
      anon_sym_RBRACE,
    ACTIONS(4398), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1566), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4396), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78659] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4400), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78721] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4400), 1,
      anon_sym_RBRACE,
    ACTIONS(4404), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1567), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4402), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78783] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_word,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_BANG,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3221), 1,
      sym__special_character,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      sym_test_operator,
    STATE(2123), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3223), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2088), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2349), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3397), 1,
      anon_sym_RBRACE,
    ACTIONS(3401), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1569), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3399), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78907] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4406), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78969] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4406), 1,
      anon_sym_RBRACE,
    ACTIONS(4410), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1568), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4408), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79031] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3397), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79093] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3439), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79155] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79217] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3635), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4412), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4414), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79403] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4416), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79465] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4418), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79527] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4420), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79589] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4420), 1,
      anon_sym_RBRACE,
    ACTIONS(4424), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4422), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4426), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79713] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4426), 1,
      anon_sym_RBRACE,
    ACTIONS(4430), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1582), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4428), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79775] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2043), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1585), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79837] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4432), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79899] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4432), 1,
      anon_sym_RBRACE,
    ACTIONS(4436), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1583), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4434), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80023] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80085] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80147] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80209] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_word,
    ACTIONS(3215), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_BANG,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3221), 1,
      sym__special_character,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      sym_test_operator,
    STATE(2123), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3223), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2088), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2337), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [80271] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4438), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80333] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4440), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80395] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4442), 1,
      anon_sym_RBRACE,
    ACTIONS(4446), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1605), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4444), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80457] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2215), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80519] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4442), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80581] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4448), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80643] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80705] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4450), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80767] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4452), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80829] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2189), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80891] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80953] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4454), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81015] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4456), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81077] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4458), 1,
      anon_sym_RBRACE,
    ACTIONS(4462), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1609), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4460), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81139] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3027), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81201] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3011), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81325] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81387] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4464), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81449] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4464), 1,
      anon_sym_RBRACE,
    ACTIONS(4468), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1597), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4466), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4470), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81573] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4472), 1,
      anon_sym_RBRACE,
    ACTIONS(4476), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1625), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4474), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4472), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81697] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2991), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1624), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2989), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81759] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4478), 1,
      anon_sym_RBRACE,
    ACTIONS(4482), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1626), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4480), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81821] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4478), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81883] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
    ACTIONS(4488), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4486), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81945] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82007] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4490), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82069] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4492), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82131] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4494), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82193] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82255] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82317] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2871), 1,
      anon_sym_RBRACE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82379] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(4470), 1,
      anon_sym_RBRACE,
    ACTIONS(4498), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1608), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(4496), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82441] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    ACTIONS(2185), 1,
      anon_sym_POUND,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1615), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2183), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82503] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      sym_word,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 1,
      sym__special_character,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_POUND,
    ACTIONS(4458), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1791), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(2159), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82565] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1223), 1,
      anon_sym_LF,
    ACTIONS(4502), 1,
      sym_file_descriptor,
    ACTIONS(1211), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1213), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1215), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1225), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(529), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1636), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4500), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [82616] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LF,
    ACTIONS(1217), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4502), 1,
      sym_file_descriptor,
    ACTIONS(1207), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1211), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1213), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1215), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1209), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1636), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4500), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [82667] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4502), 1,
      sym_file_descriptor,
    ACTIONS(4504), 1,
      anon_sym_LF,
    ACTIONS(1215), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1640), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4500), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4506), 10,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [82712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1636), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1221), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82751] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(4510), 1,
      sym_raw_string,
    ACTIONS(4512), 1,
      anon_sym_POUND,
    STATE(2283), 1,
      sym_string,
    ACTIONS(4508), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(4514), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(539), 7,
      anon_sym_RBRACE,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1636), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1201), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82835] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_LF,
    ACTIONS(4526), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4529), 1,
      sym_file_descriptor,
    ACTIONS(4523), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1640), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4520), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4518), 10,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [82880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1201), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [82916] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_LF,
    ACTIONS(4535), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4538), 1,
      sym_file_descriptor,
    ACTIONS(4523), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1642), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4532), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4518), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [82960] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LF,
    ACTIONS(1235), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4543), 1,
      sym_file_descriptor,
    ACTIONS(1215), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1229), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1231), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1233), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1209), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1645), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4541), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1645), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1201), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4504), 1,
      anon_sym_LF,
    ACTIONS(4543), 1,
      sym_file_descriptor,
    ACTIONS(1215), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1642), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4541), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4506), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [83090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym__concat,
    STATE(1662), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [83128] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1237), 1,
      anon_sym_LF,
    ACTIONS(4543), 1,
      sym_file_descriptor,
    ACTIONS(1215), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1231), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1233), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1239), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(529), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1645), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4541), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83178] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_LF,
    ACTIONS(4553), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4556), 1,
      sym_file_descriptor,
    ACTIONS(4550), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1648), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4547), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4518), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1231), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1645), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1221), 18,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4504), 1,
      anon_sym_LF,
    ACTIONS(4561), 1,
      sym_file_descriptor,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1648), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4506), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym__concat,
    STATE(1662), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4563), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4565), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym__concat,
    STATE(1691), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [83378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4571), 1,
      sym__special_character,
    STATE(1675), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4567), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4569), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4571), 1,
      sym__special_character,
    STATE(1675), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4573), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4575), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1559), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1221), 17,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym__concat,
    STATE(1662), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4577), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4579), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1221), 17,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LF,
    ACTIONS(4583), 1,
      anon_sym_DQUOTE,
    ACTIONS(4585), 1,
      sym_raw_string,
    STATE(2466), 1,
      sym_string,
    ACTIONS(4581), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(4587), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 11,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [83606] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_BQUOTE,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1583), 1,
      anon_sym_LF,
    ACTIONS(4561), 1,
      sym_file_descriptor,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1559), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1568), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1585), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83655] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(529), 1,
      anon_sym_RPAREN,
    ACTIONS(1391), 1,
      anon_sym_LF,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4561), 1,
      sym_file_descriptor,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1239), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83704] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4595), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4598), 1,
      sym_file_descriptor,
    ACTIONS(4516), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4592), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1661), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4518), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(4589), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__concat,
    STATE(1668), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1241), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      sym__concat,
    STATE(1704), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1264), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [83819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      sym__concat,
    STATE(1700), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1219), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1221), 16,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1201), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83928] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(529), 1,
      anon_sym_BQUOTE,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1564), 1,
      anon_sym_LF,
    ACTIONS(4561), 1,
      sym_file_descriptor,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1559), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1568), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1566), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4607), 1,
      sym__concat,
    STATE(1668), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1255), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84014] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_DOLLAR,
    ACTIONS(4620), 1,
      sym_file_descriptor,
    ACTIONS(4623), 1,
      sym_variable_name,
    STATE(3217), 1,
      sym_subscript,
    ACTIONS(4612), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    STATE(1669), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(4615), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(4610), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [84059] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      ts_builtin_sym_end,
    ACTIONS(1351), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1475), 1,
      anon_sym_LF,
    ACTIONS(4628), 1,
      sym_file_descriptor,
    ACTIONS(1345), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1347), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1349), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1477), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4626), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [84108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4571), 1,
      sym__special_character,
    STATE(1675), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4630), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4632), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84145] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4628), 1,
      sym_file_descriptor,
    ACTIONS(1349), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4504), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1661), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4506), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(4626), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [84188] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      ts_builtin_sym_end,
    ACTIONS(1341), 1,
      anon_sym_LF,
    ACTIONS(1351), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(4628), 1,
      sym_file_descriptor,
    ACTIONS(1345), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1347), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1349), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1343), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4626), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [84237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym__concat,
    STATE(1662), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4634), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4636), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4638), 1,
      sym__special_character,
    STATE(1675), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1369), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84311] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_RPAREN,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1453), 1,
      anon_sym_LF,
    ACTIONS(4561), 1,
      sym_file_descriptor,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1229), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [84360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4641), 1,
      sym__special_character,
    STATE(1703), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4630), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4632), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1419), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      sym__concat,
    STATE(1700), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4634), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4636), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4641), 1,
      sym__special_character,
    STATE(1703), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4573), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4575), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      sym__concat,
    STATE(1700), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4577), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4579), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      sym__concat,
    STATE(1704), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4643), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [84570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym__concat,
    STATE(1691), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4577), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4579), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym__concat,
    STATE(1691), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4563), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4565), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84642] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1522), 1,
      anon_sym_LF,
    ACTIONS(4561), 1,
      sym_file_descriptor,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1524), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [84688] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1498), 1,
      anon_sym_LF,
    ACTIONS(4561), 1,
      sym_file_descriptor,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1500), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [84734] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4645), 1,
      sym__concat,
    STATE(1714), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4579), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4577), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [84770] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4645), 1,
      sym__concat,
    STATE(1714), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4636), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4634), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [84806] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4583), 1,
      anon_sym_DQUOTE,
    ACTIONS(4649), 1,
      anon_sym_LF,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR,
    ACTIONS(4655), 1,
      sym__special_character,
    ACTIONS(4657), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4661), 1,
      anon_sym_BQUOTE,
    STATE(2464), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4663), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1692), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4647), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(4651), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4665), 1,
      sym__special_character,
    STATE(1690), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [84894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      sym__concat,
    STATE(1668), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1241), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84930] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      anon_sym_LF,
    ACTIONS(4677), 1,
      anon_sym_DOLLAR,
    ACTIONS(4680), 1,
      sym__special_character,
    ACTIONS(4683), 1,
      anon_sym_DQUOTE,
    ACTIONS(4686), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4689), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_BQUOTE,
    STATE(2464), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1692), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4670), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(4675), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84984] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4583), 1,
      anon_sym_DQUOTE,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR,
    ACTIONS(4655), 1,
      sym__special_character,
    ACTIONS(4657), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4661), 1,
      anon_sym_BQUOTE,
    ACTIONS(4698), 1,
      anon_sym_LF,
    STATE(2464), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4663), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1692), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4647), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(4700), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85038] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1555), 1,
      anon_sym_LF,
    ACTIONS(4561), 1,
      sym_file_descriptor,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1557), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [85084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4641), 1,
      sym__special_character,
    STATE(1703), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4567), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4569), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85120] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4583), 1,
      anon_sym_DQUOTE,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR,
    ACTIONS(4655), 1,
      sym__special_character,
    ACTIONS(4657), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4661), 1,
      anon_sym_BQUOTE,
    ACTIONS(4702), 1,
      anon_sym_LF,
    STATE(2464), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4663), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1692), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4647), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(4704), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      sym__concat,
    STATE(1873), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [85210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym__concat,
    STATE(1691), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4634), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4636), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      sym__concat,
    STATE(1700), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4563), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4565), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 1,
      sym__concat,
    STATE(1701), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1241), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      sym__concat,
    STATE(1701), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1255), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 1,
      sym__concat,
    STATE(1702), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1255), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [85388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 1,
      sym__special_character,
    STATE(1703), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1369), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 1,
      sym__concat,
    STATE(1702), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1241), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [85458] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4645), 1,
      sym__concat,
    STATE(1714), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1264), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1266), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1415), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1411), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1407), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1399), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1383), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85750] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4721), 1,
      sym__concat,
    STATE(1721), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1241), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1243), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1379), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85818] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1512), 1,
      anon_sym_LF,
    ACTIONS(4561), 1,
      sym_file_descriptor,
    ACTIONS(1337), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1393), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1514), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(4559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [85864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [85896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1365), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      sym__special_character,
    STATE(1690), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4723), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [85962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1357), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85994] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4727), 1,
      sym__concat,
    STATE(1721), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1255), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1257), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1321), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1353), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1439), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1435), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1431), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1427), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1325), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1423), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86478] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1425), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [86540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4732), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4736), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4740), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4744), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86664] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4645), 1,
      sym__concat,
    STATE(1714), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1249), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1251), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4748), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4752), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4754), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4756), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4760), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4762), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4764), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4766), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4768), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4770), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4772), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4776), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4780), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4784), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4788), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4577), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4579), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4792), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4796), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4800), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      sym__concat,
    ACTIONS(1435), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87195] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4802), 1,
      sym__concat,
    STATE(1768), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1264), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1266), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [87230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4804), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4806), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4636), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87292] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1325), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1327), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87323] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1353), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1355), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      sym__concat,
    STATE(1873), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4577), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4579), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87389] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4808), 1,
      sym__special_character,
    STATE(1765), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1371), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87424] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1357), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1359), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      sym__special_character,
    STATE(1859), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4573), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4575), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87490] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4813), 1,
      sym__concat,
    STATE(1822), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1241), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1243), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [87525] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1293), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87556] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1365), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1367), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87587] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1257), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87618] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1297), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87649] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1379), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1381), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87680] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1385), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87711] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1389), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87742] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1389), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87773] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1301), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87804] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1321), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1323), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87835] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1399), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1401), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87866] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1405), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87897] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1407), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1409), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87928] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1413), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87959] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1417), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87990] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1421), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88021] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1289), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88052] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1285), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88083] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1427), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1429), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88114] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1433), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88145] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1435), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1437), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88176] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1441), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4817), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      sym__concat,
    ACTIONS(1255), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 1,
      sym__concat,
    ACTIONS(1325), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4821), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      sym__concat,
    ACTIONS(1291), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4823), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4825), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      sym__special_character,
    STATE(1859), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4630), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4632), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1264), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88459] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4829), 1,
      anon_sym_esac,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3264), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1908), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1439), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1435), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1431), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1427), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88702] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4835), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3281), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2049), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88759] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4837), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3279), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2047), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1423), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1419), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1415), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1411), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1407), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4841), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1399), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1383), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1379), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4845), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      sym__concat,
    ACTIONS(1295), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1365), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89250] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4847), 1,
      sym__concat,
    STATE(1822), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1255), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1257), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [89285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1357), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1353), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym__concat,
    ACTIONS(1299), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 1,
      sym__concat,
    ACTIONS(1321), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89409] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4850), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3261), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2042), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 1,
      sym__concat,
    ACTIONS(1353), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89497] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4852), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3228), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2040), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      sym__concat,
    ACTIONS(1357), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      sym__concat,
    ACTIONS(1365), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89616] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4854), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3231), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1914), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      sym__concat,
    ACTIONS(1379), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      sym__concat,
    ACTIONS(1383), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1321), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      sym__concat,
    ACTIONS(1387), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      sym__concat,
    ACTIONS(1387), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym__concat,
    ACTIONS(1399), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4858), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      sym__concat,
    ACTIONS(1403), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4862), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      sym__concat,
    ACTIONS(1407), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1325), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 1,
      sym__concat,
    ACTIONS(1411), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      sym__concat,
    STATE(1873), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4634), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4636), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      sym__concat,
    ACTIONS(1415), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4866), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 1,
      sym__concat,
    ACTIONS(1419), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 1,
      sym__concat,
    ACTIONS(1423), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      sym__concat,
    ACTIONS(1287), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 1,
      sym__concat,
    ACTIONS(1283), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 1,
      sym__concat,
    ACTIONS(1427), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      sym__concat,
    ACTIONS(1431), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4870), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      sym__special_character,
    STATE(1859), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1369), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      sym__special_character,
    STATE(1859), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4567), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4569), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4875), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4877), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90584] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4879), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3334), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1942), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90641] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4881), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3356), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1949), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 1,
      sym__concat,
    ACTIONS(1439), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4885), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4889), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4893), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      sym__concat,
    STATE(1868), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4563), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4565), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4900), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      sym__concat,
    STATE(1873), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4563), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4565), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4904), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [90985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      sym__concat,
    STATE(1868), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [91049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4910), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4914), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91111] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4916), 1,
      sym__special_character,
    STATE(1765), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4632), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4630), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4920), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91177] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4916), 1,
      sym__special_character,
    STATE(1765), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4573), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91212] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4922), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3347), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2011), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91269] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4924), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3348), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2014), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4928), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4932), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4934), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4936), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91419] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4802), 1,
      sym__concat,
    STATE(1768), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4643), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4938), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91454] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4940), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3383), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2019), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91511] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4827), 1,
      sym_word,
    ACTIONS(4831), 1,
      sym__special_character,
    ACTIONS(4942), 1,
      anon_sym_esac,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3381), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4833), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2018), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4946), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4950), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91630] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1441), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91660] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4952), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91692] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91724] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4956), 1,
      sym__concat,
    STATE(2074), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1264), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1266), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91758] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91790] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1266), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91820] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_QMARK,
    ACTIONS(4964), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4968), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4960), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4962), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [91856] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_QMARK,
    ACTIONS(4964), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4968), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4972), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4962), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [91924] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91956] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4976), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91988] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4802), 1,
      sym__concat,
    STATE(1768), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1264), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1266), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92022] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_QMARK,
    ACTIONS(4964), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4968), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4980), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4962), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92090] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4982), 1,
      sym__special_character,
    STATE(1904), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1371), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_QMARK,
    ACTIONS(4964), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4968), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4985), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4962), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [92188] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4989), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92220] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3424), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92272] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92304] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4993), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [92364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4950), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [92422] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3362), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92474] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1407), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1409), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92504] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1405), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92534] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1401), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92564] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1321), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1323), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4754), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4756), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92624] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4999), 1,
      sym__concat,
    STATE(2141), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1264), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1266), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [92658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [92686] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_QMARK,
    ACTIONS(4964), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4968), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5003), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4962), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4946), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4934), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4936), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92782] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4916), 1,
      sym__special_character,
    STATE(1765), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1465), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1467), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92816] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5005), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92848] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5007), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_QMARK,
    ACTIONS(4964), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4968), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5009), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4962), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92916] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5011), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_QMARK,
    ACTIONS(4964), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4968), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5013), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4962), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4636), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4889), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4577), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4579), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4760), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4804), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4806), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4792), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4796), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4800), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4817), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4932), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93284] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5017), 1,
      anon_sym_LPAREN,
    ACTIONS(5019), 1,
      anon_sym_DOLLAR,
    ACTIONS(5021), 1,
      sym__special_character,
    ACTIONS(5023), 1,
      anon_sym_DQUOTE,
    ACTIONS(5025), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5029), 1,
      anon_sym_BQUOTE,
    ACTIONS(5033), 1,
      sym__empty_value,
    STATE(801), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5031), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(877), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5015), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(712), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93336] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3264), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4928), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4920), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93448] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93480] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5039), 1,
      sym__special_character,
    STATE(1999), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4723), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5037), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4910), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93544] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(5043), 1,
      anon_sym_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_DOLLAR,
    ACTIONS(5047), 1,
      sym__special_character,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5051), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5053), 1,
      anon_sym_BQUOTE,
    ACTIONS(5057), 1,
      sym__empty_value,
    STATE(1925), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5055), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2124), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5041), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1742), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93596] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3231), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93648] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5059), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93680] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5061), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4904), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4900), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4893), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93802] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1435), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1437), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4885), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93862] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4579), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4577), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4875), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4877), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4870), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93952] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4866), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4862), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4841), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4732), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94104] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5065), 1,
      sym__concat,
    STATE(1965), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1255), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1257), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [94166] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4636), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(4634), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94196] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1427), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1429), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94226] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1285), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_QMARK,
    ACTIONS(4964), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4968), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5068), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4962), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [94292] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1289), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4740), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94352] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5070), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4770), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4772), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_QMARK,
    ACTIONS(4964), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4968), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5072), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4962), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [94450] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94482] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_LPAREN,
    ACTIONS(5080), 1,
      anon_sym_DOLLAR,
    ACTIONS(5082), 1,
      sym__special_character,
    ACTIONS(5084), 1,
      anon_sym_DQUOTE,
    ACTIONS(5086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5090), 1,
      anon_sym_BQUOTE,
    ACTIONS(5094), 1,
      sym__empty_value,
    STATE(750), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5092), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(879), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5076), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(725), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4744), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4766), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4768), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94594] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(5098), 1,
      anon_sym_LPAREN,
    ACTIONS(5100), 1,
      sym__special_character,
    ACTIONS(5102), 1,
      anon_sym_DQUOTE,
    ACTIONS(5104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5106), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5108), 1,
      anon_sym_BQUOTE,
    ACTIONS(5112), 1,
      sym__empty_value,
    STATE(731), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5110), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(776), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5096), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(440), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4748), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94676] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1353), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1355), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94706] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1325), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1327), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94736] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94768] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1357), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1359), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4914), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94828] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5116), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94860] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_DOLLAR,
    ACTIONS(5120), 1,
      anon_sym_LPAREN,
    ACTIONS(5122), 1,
      sym__special_character,
    ACTIONS(5124), 1,
      anon_sym_DQUOTE,
    ACTIONS(5126), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5128), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5130), 1,
      anon_sym_BQUOTE,
    ACTIONS(5134), 1,
      sym__empty_value,
    STATE(467), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(616), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5118), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(312), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94912] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4752), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1264), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [95004] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5138), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95036] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5140), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      sym_word,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5146), 1,
      sym_raw_string,
    ACTIONS(5148), 1,
      anon_sym_POUND,
    STATE(2549), 1,
      sym_string,
    ACTIONS(5142), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5150), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(539), 8,
      anon_sym_RPAREN,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [95110] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1293), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95140] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1365), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1367), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95170] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5152), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95202] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95234] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5156), 1,
      sym__special_character,
    STATE(1999), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1371), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1439), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1435), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95328] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_LPAREN,
    ACTIONS(5163), 1,
      anon_sym_DOLLAR,
    ACTIONS(5165), 1,
      sym__special_character,
    ACTIONS(5167), 1,
      anon_sym_DQUOTE,
    ACTIONS(5169), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_BQUOTE,
    ACTIONS(5177), 1,
      sym__empty_value,
    STATE(632), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5175), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(843), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5159), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(446), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1431), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1427), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1283), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1423), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95530] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1425), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95560] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1421), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4563), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4565), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95620] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3313), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1419), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4788), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95732] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3316), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1415), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1411), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95844] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1415), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1417), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95874] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3347), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95926] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3348), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95978] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1413), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96008] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1433), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1407), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1403), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1399), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96128] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4736), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1325), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96250] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_DOLLAR,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(5185), 1,
      sym__special_character,
    ACTIONS(5187), 1,
      anon_sym_DQUOTE,
    ACTIONS(5189), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5191), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5193), 1,
      anon_sym_BQUOTE,
    ACTIONS(5197), 1,
      sym__empty_value,
    STATE(699), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5195), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(738), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5181), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(389), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96332] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4821), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4823), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4825), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1387), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96454] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR,
    ACTIONS(5203), 1,
      anon_sym_LPAREN,
    ACTIONS(5205), 1,
      sym__special_character,
    ACTIONS(5207), 1,
      anon_sym_DQUOTE,
    ACTIONS(5209), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5211), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5213), 1,
      anon_sym_BQUOTE,
    ACTIONS(5217), 1,
      sym__empty_value,
    STATE(350), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5215), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(373), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5201), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(271), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1383), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96566] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1379), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96628] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3235), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4762), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4764), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96710] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3234), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4776), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1365), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1357), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96852] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5221), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96884] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3228), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96936] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1301), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96966] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2867), 1,
      aux_sym__literal_repeat1,
    STATE(3058), 1,
      sym_concatenation,
    STATE(3261), 1,
      sym_last_case_item,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4833), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2865), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4780), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4845), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4784), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4858), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_QMARK,
    ACTIONS(4964), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4968), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5223), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4962), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [97174] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1353), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97234] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1295), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97294] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1257), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97324] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1297), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97354] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5225), 1,
      anon_sym_RPAREN,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97386] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1379), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1381), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97416] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1385), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97446] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_LPAREN,
    ACTIONS(5231), 1,
      anon_sym_DOLLAR,
    ACTIONS(5233), 1,
      sym__special_character,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5239), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5241), 1,
      anon_sym_BQUOTE,
    ACTIONS(5245), 1,
      sym__empty_value,
    STATE(376), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5243), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(674), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(5227), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(357), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1321), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1299), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97558] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4893), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4900), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5251), 1,
      sym__concat,
    ACTIONS(5247), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5249), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [97676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4904), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4910), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4885), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97763] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5253), 1,
      sym__concat,
    STATE(2079), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1241), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1243), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97796] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5255), 1,
      sym__special_character,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1371), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4875), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4877), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4870), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4920), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97916] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5258), 1,
      sym__concat,
    STATE(2079), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1255), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1257), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4928), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97978] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1407), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1409), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4932), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4866), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      sym__concat,
    ACTIONS(5261), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5263), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [98096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4862), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98125] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5269), 1,
      anon_sym_RPAREN,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2095), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4841), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98203] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4999), 1,
      sym__concat,
    STATE(2141), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4643), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4938), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4732), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98265] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5283), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2109), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98314] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5285), 1,
      sym__special_character,
    STATE(2091), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1371), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 1,
      sym__concat,
    STATE(2114), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1264), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1266), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [98380] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5001), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5290), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4740), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98438] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5292), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2167), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4817), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98516] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5294), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2167), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4800), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98594] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5299), 1,
      anon_sym_DOLLAR,
    ACTIONS(5302), 1,
      sym__special_character,
    ACTIONS(5305), 1,
      anon_sym_DQUOTE,
    ACTIONS(5308), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5314), 1,
      anon_sym_BQUOTE,
    STATE(2868), 1,
      aux_sym__literal_repeat1,
    STATE(2977), 1,
      sym_concatenation,
    ACTIONS(5317), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2099), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(5296), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2861), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98643] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1516), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1518), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4563), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4565), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98701] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1266), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [98730] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5320), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2167), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4744), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98808] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1531), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1533), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4748), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4914), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4796), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98924] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5322), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2167), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4889), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4792), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99031] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4987), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5324), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4752), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5326), 1,
      sym__concat,
    STATE(2129), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1241), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1243), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [99122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4804), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4806), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99151] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5328), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2103), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4754), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4756), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99229] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4997), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5330), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99258] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1353), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1355), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99287] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1441), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99316] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1435), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1437), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99345] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4995), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5332), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99374] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5334), 1,
      sym__special_character,
    STATE(1904), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4723), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5037), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99407] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1249), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1251), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99436] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5336), 1,
      sym__special_character,
    STATE(2091), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4723), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5037), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99469] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1433), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99498] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4995), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5332), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4762), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4764), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5338), 1,
      sym__concat,
    STATE(2129), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1255), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1257), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [99589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4776), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99618] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5341), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2140), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4934), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4936), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99696] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1427), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1429), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4760), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4780), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99783] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1285), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99812] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5343), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2167), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99861] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1325), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1327), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4946), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99919] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5345), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2167), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99968] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5347), 1,
      sym__concat,
    STATE(1965), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1241), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1243), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100001] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1357), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1359), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100030] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1365), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1367), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100059] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1293), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4770), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4772), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4784), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4636), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100175] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1257), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100204] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1379), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1381), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100233] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1385), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100262] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1289), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4766), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4768), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100320] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1425), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4788), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100378] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1421), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100407] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1415), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1417), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100436] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1413), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100465] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1297), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 1,
      sym__concat,
    STATE(2114), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5349), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5351), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100527] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1301), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100556] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1321), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1323), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100585] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5353), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2097), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100634] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100663] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4956), 1,
      sym__concat,
    STATE(2074), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4643), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4938), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100696] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5355), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2167), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100745] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5357), 1,
      sym__special_character,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4723), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5037), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100778] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4673), 1,
      anon_sym_RPAREN,
    ACTIONS(5362), 1,
      anon_sym_DOLLAR,
    ACTIONS(5365), 1,
      sym__special_character,
    ACTIONS(5368), 1,
      anon_sym_DQUOTE,
    ACTIONS(5371), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5374), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_BQUOTE,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5380), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2167), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5359), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4736), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100856] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1405), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100885] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5383), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2167), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4577), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4579), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [100963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5389), 1,
      sym__concat,
    ACTIONS(5385), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5387), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 1,
      sym__concat,
    ACTIONS(5391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5393), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101025] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1399), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1401), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101054] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5397), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2170), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101103] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5399), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2185), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4821), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4823), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4825), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101210] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1266), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [101239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4950), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4845), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4858), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [101326] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5401), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2165), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101375] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5403), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2137), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101424] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5273), 1,
      sym__special_character,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5405), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2167), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101473] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
    STATE(3340), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5407), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3071), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101521] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1427), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1429), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1401), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101577] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3023), 1,
      aux_sym__literal_repeat1,
    STATE(3370), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5423), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3025), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1405), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101653] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2999), 1,
      aux_sym__literal_repeat1,
    STATE(3395), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5425), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2990), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101701] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3006), 1,
      aux_sym__literal_repeat1,
    STATE(3251), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5427), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3008), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101749] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3665), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3042), 1,
      aux_sym__literal_repeat1,
    STATE(3363), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5429), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3040), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101797] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3105), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2964), 1,
      aux_sym__literal_repeat1,
    STATE(3422), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5431), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2963), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1409), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101873] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3098), 1,
      aux_sym__literal_repeat1,
    STATE(3308), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5433), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3107), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101921] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2983), 1,
      aux_sym__literal_repeat1,
    STATE(3401), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5435), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2981), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1413), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101997] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2895), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3031), 1,
      aux_sym__literal_repeat1,
    STATE(3368), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5437), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3029), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1417), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1421), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102101] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2971), 1,
      aux_sym__literal_repeat1,
    STATE(3417), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5439), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2966), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102149] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1266), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1385), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102205] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1353), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1355), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102233] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1325), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1327), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102261] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1357), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1359), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1389), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102317] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3000), 1,
      aux_sym__literal_repeat1,
    STATE(3393), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5441), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2998), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102365] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1293), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102393] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1365), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1367), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102421] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3059), 1,
      aux_sym__literal_repeat1,
    STATE(3353), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5443), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3049), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102469] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1653), 1,
      sym__special_character,
    ACTIONS(5447), 1,
      sym_regex,
    STATE(673), 1,
      aux_sym__literal_repeat1,
    STATE(875), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5445), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(500), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102517] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2989), 1,
      aux_sym__literal_repeat1,
    STATE(3398), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2987), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1425), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102593] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1257), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102621] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3081), 1,
      aux_sym__literal_repeat1,
    STATE(3338), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5451), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3067), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102669] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3043), 1,
      aux_sym__literal_repeat1,
    STATE(3360), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5453), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3045), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1289), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1285), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102773] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3030), 1,
      aux_sym__literal_repeat1,
    STATE(3361), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5455), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3048), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102821] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1297), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102849] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2955), 1,
      aux_sym__literal_repeat1,
    STATE(3431), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5457), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2961), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1429), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102925] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1379), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1381), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102953] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3062), 1,
      aux_sym__literal_repeat1,
    STATE(3343), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5459), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3065), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103001] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1385), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103029] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103057] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5249), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5263), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103141] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1301), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103169] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1321), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1323), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103197] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2968), 1,
      aux_sym__literal_repeat1,
    STATE(3418), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5461), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2974), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103245] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1401), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1433), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1437), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103329] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3108), 1,
      aux_sym__literal_repeat1,
    STATE(3306), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5463), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3101), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1441), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103405] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1405), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103433] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1407), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1409), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103461] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3090), 1,
      aux_sym__literal_repeat1,
    STATE(3302), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5465), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3096), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103509] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2958), 1,
      aux_sym__literal_repeat1,
    STATE(3336), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5467), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3021), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103557] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3079), 1,
      aux_sym__literal_repeat1,
    STATE(3295), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5469), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3078), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103605] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1413), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103633] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1415), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1417), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103661] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1421), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103689] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1425), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103717] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1289), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103745] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1285), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1381), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103801] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2967), 1,
      aux_sym__literal_repeat1,
    STATE(3421), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5471), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2965), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103849] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5473), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COLON,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [103885] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1433), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103913] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1435), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1437), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103941] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1441), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103969] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3016), 1,
      aux_sym__literal_repeat1,
    STATE(3297), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5485), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3086), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104017] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1266), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104045] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3063), 1,
      aux_sym__literal_repeat1,
    STATE(3288), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5487), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3064), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104093] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3084), 1,
      aux_sym__literal_repeat1,
    STATE(3337), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5489), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3082), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104141] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3015), 1,
      aux_sym__literal_repeat1,
    STATE(3258), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5491), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3018), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104189] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(215), 1,
      anon_sym_BQUOTE,
    ACTIONS(1655), 1,
      sym__special_character,
    ACTIONS(5495), 1,
      sym_regex,
    STATE(422), 1,
      aux_sym__literal_repeat1,
    STATE(716), 1,
      sym_concatenation,
    ACTIONS(217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5493), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104237] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR,
    ACTIONS(5499), 1,
      sym__special_character,
    ACTIONS(5501), 1,
      anon_sym_DQUOTE,
    ACTIONS(5503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5505), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5507), 1,
      anon_sym_BQUOTE,
    STATE(2464), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5509), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1689), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5497), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104283] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3068), 1,
      aux_sym__literal_repeat1,
    STATE(3291), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5511), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3050), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104331] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2969), 1,
      aux_sym__literal_repeat1,
    STATE(3238), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5513), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2962), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104379] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3011), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2994), 1,
      aux_sym__literal_repeat1,
    STATE(3396), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5515), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2992), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104427] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3041), 1,
      aux_sym__literal_repeat1,
    STATE(3276), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5517), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3087), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104475] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3094), 1,
      aux_sym__literal_repeat1,
    STATE(3300), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5519), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3089), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104523] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR,
    ACTIONS(5499), 1,
      sym__special_character,
    ACTIONS(5501), 1,
      anon_sym_DQUOTE,
    ACTIONS(5503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5505), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5507), 1,
      anon_sym_BQUOTE,
    STATE(2464), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5509), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1696), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5497), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104569] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2499), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2979), 1,
      aux_sym__literal_repeat1,
    STATE(3242), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5521), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2978), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104617] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3044), 1,
      aux_sym__literal_repeat1,
    STATE(3277), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5523), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3046), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104665] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2976), 1,
      aux_sym__literal_repeat1,
    STATE(3411), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5525), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2975), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104713] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3072), 1,
      aux_sym__literal_repeat1,
    STATE(3294), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5527), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3077), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104761] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3027), 1,
      aux_sym__literal_repeat1,
    STATE(3367), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5529), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3035), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5533), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104837] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2997), 1,
      aux_sym__literal_repeat1,
    STATE(3394), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5535), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3092), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5539), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104913] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2960), 1,
      aux_sym__literal_repeat1,
    STATE(3241), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5541), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2959), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104961] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3689), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3083), 1,
      aux_sym__literal_repeat1,
    STATE(3296), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5543), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3095), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1323), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105037] = 13,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1682), 1,
      sym__special_character,
    ACTIONS(5547), 1,
      sym_regex,
    STATE(671), 1,
      aux_sym__literal_repeat1,
    STATE(876), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5545), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(497), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105085] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2988), 1,
      aux_sym__literal_repeat1,
    STATE(3243), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5549), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2985), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1327), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      sym__special_character,
    STATE(2284), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1371), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105193] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2986), 1,
      aux_sym__literal_repeat1,
    STATE(3397), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5554), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2991), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105241] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2399), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2972), 1,
      aux_sym__literal_repeat1,
    STATE(3229), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5556), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105289] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3024), 1,
      aux_sym__literal_repeat1,
    STATE(3262), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5558), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1301), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105365] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(169), 1,
      anon_sym_BQUOTE,
    ACTIONS(1659), 1,
      sym__special_character,
    ACTIONS(5562), 1,
      sym_regex,
    STATE(295), 1,
      aux_sym__literal_repeat1,
    STATE(505), 1,
      sym_concatenation,
    ACTIONS(171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5560), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(281), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1389), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1293), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 1,
      sym__special_character,
    STATE(2284), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5564), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(5566), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105501] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3011), 1,
      aux_sym__literal_repeat1,
    STATE(3252), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5570), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3007), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105549] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(2993), 1,
      aux_sym__literal_repeat1,
    STATE(3239), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5572), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2996), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105597] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3019), 1,
      aux_sym__literal_repeat1,
    STATE(3260), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5574), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3036), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105645] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3001), 1,
      aux_sym__literal_repeat1,
    STATE(3392), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5576), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3003), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105693] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3032), 1,
      aux_sym__literal_repeat1,
    STATE(3305), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5578), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3109), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105741] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3056), 1,
      aux_sym__literal_repeat1,
    STATE(3284), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5580), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3039), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105789] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3061), 1,
      aux_sym__literal_repeat1,
    STATE(3287), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5582), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3060), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105837] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3020), 1,
      aux_sym__literal_repeat1,
    STATE(3376), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5584), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3017), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105885] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3085), 1,
      aux_sym__literal_repeat1,
    STATE(3307), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5586), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3053), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105933] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3103), 1,
      aux_sym__literal_repeat1,
    STATE(3310), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5588), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3102), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1367), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106009] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR,
    ACTIONS(5499), 1,
      sym__special_character,
    ACTIONS(5501), 1,
      anon_sym_DQUOTE,
    ACTIONS(5503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5505), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5507), 1,
      anon_sym_BQUOTE,
    STATE(2464), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5509), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1693), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(5497), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1257), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1355), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106111] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3028), 1,
      aux_sym__literal_repeat1,
    STATE(3365), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5590), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2982), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106159] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3070), 1,
      aux_sym__literal_repeat1,
    STATE(3341), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5592), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3066), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106207] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3100), 1,
      aux_sym__literal_repeat1,
    STATE(3309), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5594), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3105), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1359), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106283] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3051), 1,
      aux_sym__literal_repeat1,
    STATE(3364), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5596), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3054), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106331] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3080), 1,
      aux_sym__literal_repeat1,
    STATE(3339), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5598), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3088), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1297), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106407] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3106), 1,
      aux_sym__literal_repeat1,
    STATE(3330), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5600), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3093), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106455] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5411), 1,
      sym__special_character,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    STATE(3097), 1,
      aux_sym__literal_repeat1,
    STATE(3320), 1,
      sym_concatenation,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5602), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3099), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106503] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5604), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106538] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5608), 1,
      anon_sym_RBRACK,
    ACTIONS(5614), 1,
      anon_sym_QMARK,
    ACTIONS(5610), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5616), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5612), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5606), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106573] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5001), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5290), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106600] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5618), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106635] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5620), 1,
      anon_sym_COLON,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106670] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(5624), 1,
      sym__special_character,
    STATE(2933), 1,
      aux_sym__literal_repeat1,
    STATE(3153), 1,
      sym_concatenation,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5622), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3104), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106715] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DOLLAR,
    ACTIONS(5047), 1,
      sym__special_character,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5051), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5053), 1,
      anon_sym_BQUOTE,
    STATE(1877), 1,
      aux_sym__literal_repeat1,
    STATE(1967), 1,
      sym_concatenation,
    ACTIONS(5055), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5626), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1688), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106760] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4995), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5332), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106787] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DOLLAR,
    ACTIONS(5047), 1,
      sym__special_character,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5051), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5053), 1,
      anon_sym_BQUOTE,
    STATE(1879), 1,
      aux_sym__literal_repeat1,
    STATE(1957), 1,
      sym_concatenation,
    ACTIONS(5055), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5628), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1687), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106832] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5608), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106867] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5630), 1,
      anon_sym_COLON,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106902] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5634), 1,
      anon_sym_DOLLAR,
    ACTIONS(5636), 1,
      sym__special_character,
    ACTIONS(5638), 1,
      anon_sym_DQUOTE,
    ACTIONS(5640), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5642), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5644), 1,
      anon_sym_BQUOTE,
    STATE(1677), 1,
      aux_sym__literal_repeat1,
    STATE(1931), 1,
      sym_concatenation,
    ACTIONS(5646), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5632), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1679), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106947] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5634), 1,
      anon_sym_DOLLAR,
    ACTIONS(5636), 1,
      sym__special_character,
    ACTIONS(5638), 1,
      anon_sym_DQUOTE,
    ACTIONS(5640), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5642), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5644), 1,
      anon_sym_BQUOTE,
    STATE(1695), 1,
      aux_sym__literal_repeat1,
    STATE(2010), 1,
      sym_concatenation,
    ACTIONS(5646), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5648), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1699), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106992] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_DOLLAR,
    ACTIONS(5654), 1,
      sym__special_character,
    ACTIONS(5656), 1,
      anon_sym_DQUOTE,
    ACTIONS(5658), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5662), 1,
      anon_sym_BQUOTE,
    STATE(1653), 1,
      aux_sym__literal_repeat1,
    STATE(1869), 1,
      sym_concatenation,
    ACTIONS(5664), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5650), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107037] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5666), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107072] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5608), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5674), 1,
      anon_sym_QMARK,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5670), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5668), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107107] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4995), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5332), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107134] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5676), 1,
      anon_sym_RPAREN,
    ACTIONS(5684), 1,
      anon_sym_QMARK,
    ACTIONS(5680), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5686), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5682), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5678), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107169] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_DOLLAR,
    ACTIONS(5656), 1,
      anon_sym_DQUOTE,
    ACTIONS(5658), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5662), 1,
      anon_sym_BQUOTE,
    ACTIONS(5690), 1,
      sym__special_character,
    STATE(1671), 1,
      aux_sym__literal_repeat1,
    STATE(1761), 1,
      sym_concatenation,
    ACTIONS(5664), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5688), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1698), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107214] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_DOLLAR,
    ACTIONS(5656), 1,
      anon_sym_DQUOTE,
    ACTIONS(5658), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5662), 1,
      anon_sym_BQUOTE,
    ACTIONS(5690), 1,
      sym__special_character,
    STATE(1654), 1,
      aux_sym__literal_repeat1,
    STATE(1754), 1,
      sym_concatenation,
    ACTIONS(5664), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5692), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1683), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107259] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4987), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5324), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107286] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4995), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5332), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107313] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4997), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5330), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107340] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_QMARK,
    ACTIONS(5694), 1,
      anon_sym_RPAREN,
    ACTIONS(5680), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5686), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5682), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5678), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107375] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5698), 1,
      anon_sym_DOLLAR,
    ACTIONS(5700), 1,
      sym__special_character,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    ACTIONS(5704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5708), 1,
      anon_sym_BQUOTE,
    STATE(2768), 1,
      aux_sym__literal_repeat1,
    STATE(2888), 1,
      sym_concatenation,
    ACTIONS(5710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5696), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2770), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107420] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5712), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107455] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(5624), 1,
      sym__special_character,
    STATE(2951), 1,
      aux_sym__literal_repeat1,
    STATE(3180), 1,
      sym_concatenation,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5714), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2956), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107500] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5001), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5290), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107527] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_RPAREN,
    ACTIONS(5684), 1,
      anon_sym_QMARK,
    ACTIONS(5680), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5686), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5682), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5678), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107562] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_DOLLAR,
    ACTIONS(5656), 1,
      anon_sym_DQUOTE,
    ACTIONS(5658), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5662), 1,
      anon_sym_BQUOTE,
    ACTIONS(5690), 1,
      sym__special_character,
    STATE(1653), 1,
      aux_sym__literal_repeat1,
    STATE(1869), 1,
      sym_concatenation,
    ACTIONS(5664), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5716), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1684), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107607] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5718), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107642] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5720), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107677] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_RBRACK,
    ACTIONS(5614), 1,
      anon_sym_QMARK,
    ACTIONS(5610), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5616), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5612), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5606), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107712] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4987), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5324), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107739] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5722), 1,
      anon_sym_COLON,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107774] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5618), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5674), 1,
      anon_sym_QMARK,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5670), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5668), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107809] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5724), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107844] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5726), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107879] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_QMARK,
    ACTIONS(5618), 1,
      anon_sym_RBRACK,
    ACTIONS(5610), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5616), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5612), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5606), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107914] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5674), 1,
      anon_sym_QMARK,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5670), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5668), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107949] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5674), 1,
      anon_sym_QMARK,
    ACTIONS(5728), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5670), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5668), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107984] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_QMARK,
    ACTIONS(5728), 1,
      anon_sym_RBRACK,
    ACTIONS(5610), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5616), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5612), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5606), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108019] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5634), 1,
      anon_sym_DOLLAR,
    ACTIONS(5636), 1,
      sym__special_character,
    ACTIONS(5638), 1,
      anon_sym_DQUOTE,
    ACTIONS(5640), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5642), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5644), 1,
      anon_sym_BQUOTE,
    STATE(1680), 1,
      aux_sym__literal_repeat1,
    STATE(1933), 1,
      sym_concatenation,
    ACTIONS(5646), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5730), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1681), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108064] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5732), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1266), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108126] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_DOLLAR,
    ACTIONS(5654), 1,
      sym__special_character,
    ACTIONS(5656), 1,
      anon_sym_DQUOTE,
    ACTIONS(5658), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5662), 1,
      anon_sym_BQUOTE,
    STATE(1671), 1,
      aux_sym__literal_repeat1,
    STATE(1761), 1,
      sym_concatenation,
    ACTIONS(5664), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5734), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1674), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108171] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_DOLLAR,
    ACTIONS(5740), 1,
      sym__special_character,
    ACTIONS(5742), 1,
      anon_sym_DQUOTE,
    ACTIONS(5744), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5746), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5748), 1,
      anon_sym_BQUOTE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    STATE(2101), 1,
      sym_concatenation,
    ACTIONS(5750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5736), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1871), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108216] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5752), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108251] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5754), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108286] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_QMARK,
    ACTIONS(5756), 1,
      anon_sym_RPAREN,
    ACTIONS(5680), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5686), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5682), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5678), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108321] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5728), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108356] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_DOLLAR,
    ACTIONS(5740), 1,
      sym__special_character,
    ACTIONS(5742), 1,
      anon_sym_DQUOTE,
    ACTIONS(5744), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5746), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5748), 1,
      anon_sym_BQUOTE,
    STATE(1797), 1,
      aux_sym__literal_repeat1,
    STATE(2147), 1,
      sym_concatenation,
    ACTIONS(5750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5758), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1849), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108401] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5760), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108436] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_DOLLAR,
    ACTIONS(5740), 1,
      sym__special_character,
    ACTIONS(5742), 1,
      anon_sym_DQUOTE,
    ACTIONS(5744), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5746), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5748), 1,
      anon_sym_BQUOTE,
    STATE(1767), 1,
      aux_sym__literal_repeat1,
    STATE(2171), 1,
      sym_concatenation,
    ACTIONS(5750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5762), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1764), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108481] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5698), 1,
      anon_sym_DOLLAR,
    ACTIONS(5700), 1,
      sym__special_character,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    ACTIONS(5704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5708), 1,
      anon_sym_BQUOTE,
    STATE(2782), 1,
      aux_sym__literal_repeat1,
    STATE(2873), 1,
      sym_concatenation,
    ACTIONS(5710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5764), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2769), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108526] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_DOLLAR,
    ACTIONS(5654), 1,
      sym__special_character,
    ACTIONS(5656), 1,
      anon_sym_DQUOTE,
    ACTIONS(5658), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5662), 1,
      anon_sym_BQUOTE,
    STATE(1654), 1,
      aux_sym__literal_repeat1,
    STATE(1754), 1,
      sym_concatenation,
    ACTIONS(5664), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5766), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1656), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108571] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5768), 1,
      anon_sym_COLON,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108606] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4995), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5332), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [108633] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5698), 1,
      anon_sym_DOLLAR,
    ACTIONS(5700), 1,
      sym__special_character,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    ACTIONS(5704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5708), 1,
      anon_sym_BQUOTE,
    STATE(2786), 1,
      aux_sym__literal_repeat1,
    STATE(2894), 1,
      sym_concatenation,
    ACTIONS(5710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5770), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2794), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108678] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5772), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108713] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(4831), 1,
      sym__special_character,
    STATE(2932), 1,
      aux_sym__literal_repeat1,
    STATE(3183), 1,
      sym_concatenation,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5774), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2929), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108758] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_QMARK,
    ACTIONS(5776), 1,
      anon_sym_RPAREN,
    ACTIONS(5680), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5686), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5682), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5678), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108793] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4997), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5330), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [108820] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_QMARK,
    ACTIONS(5778), 1,
      anon_sym_COLON,
    ACTIONS(5477), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5483), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5475), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [108855] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_LF,
    ACTIONS(5782), 1,
      anon_sym_DQUOTE,
    ACTIONS(5784), 1,
      sym_raw_string,
    STATE(2808), 1,
      sym_string,
    ACTIONS(537), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(5780), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5786), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [108891] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(5790), 1,
      anon_sym_RBRACK,
    ACTIONS(5792), 1,
      sym__special_character,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5788), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2216), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108933] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(5792), 1,
      sym__special_character,
    ACTIONS(5794), 1,
      anon_sym_RBRACK,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5788), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2216), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108975] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5798), 1,
      anon_sym_DOLLAR,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5796), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2540), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109012] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(169), 1,
      anon_sym_BQUOTE,
    ACTIONS(171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5800), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(286), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109049] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym_DOLLAR,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5802), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3199), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109086] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(5806), 1,
      anon_sym_DOLLAR,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5804), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2305), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109123] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1081), 1,
      anon_sym_DOLLAR,
    ACTIONS(5810), 1,
      anon_sym_DQUOTE,
    ACTIONS(5812), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5814), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5816), 1,
      anon_sym_BQUOTE,
    ACTIONS(5818), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5808), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(743), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109160] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5023), 1,
      anon_sym_DQUOTE,
    ACTIONS(5025), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5029), 1,
      anon_sym_BQUOTE,
    ACTIONS(5822), 1,
      anon_sym_DOLLAR,
    ACTIONS(5031), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5820), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(834), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109197] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5826), 1,
      anon_sym_DOLLAR,
    ACTIONS(5828), 1,
      anon_sym_DQUOTE,
    ACTIONS(5830), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5834), 1,
      anon_sym_BQUOTE,
    ACTIONS(5836), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5824), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109234] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DOLLAR,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5051), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5053), 1,
      anon_sym_BQUOTE,
    ACTIONS(5055), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5838), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1771), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109271] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5051), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5053), 1,
      anon_sym_BQUOTE,
    ACTIONS(5840), 1,
      anon_sym_DOLLAR,
    ACTIONS(5055), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5838), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1771), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_LF,
    ACTIONS(5842), 1,
      sym__concat,
    STATE(2444), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1264), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109337] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5239), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5241), 1,
      anon_sym_BQUOTE,
    ACTIONS(5846), 1,
      anon_sym_DOLLAR,
    ACTIONS(5243), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5844), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(423), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109374] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(215), 1,
      anon_sym_BQUOTE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5848), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(411), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109411] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5854), 1,
      anon_sym_DOLLAR,
    ACTIONS(5856), 1,
      anon_sym_DQUOTE,
    ACTIONS(5858), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5860), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5862), 1,
      anon_sym_BQUOTE,
    ACTIONS(5864), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5852), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(866), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109448] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_DQUOTE,
    ACTIONS(2355), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2359), 1,
      anon_sym_BQUOTE,
    ACTIONS(5868), 1,
      anon_sym_DOLLAR,
    ACTIONS(2361), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5866), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1792), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_LF,
    ACTIONS(5870), 1,
      sym__concat,
    STATE(2397), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1255), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      sym__concat,
    ACTIONS(5875), 1,
      anon_sym_LF,
    STATE(2444), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5873), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109543] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(5879), 1,
      anon_sym_DOLLAR,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5877), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2059), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109580] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5634), 1,
      anon_sym_DOLLAR,
    ACTIONS(5638), 1,
      anon_sym_DQUOTE,
    ACTIONS(5640), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5642), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5644), 1,
      anon_sym_BQUOTE,
    ACTIONS(5646), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5881), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1842), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109617] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3557), 1,
      anon_sym_DOLLAR,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5788), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2216), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109654] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5271), 1,
      anon_sym_DOLLAR,
    ACTIONS(5275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(5281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5796), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2540), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109691] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(169), 1,
      anon_sym_BQUOTE,
    ACTIONS(5883), 1,
      anon_sym_DOLLAR,
    ACTIONS(171), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5800), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(286), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109728] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(5887), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5885), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(641), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109765] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_DOLLAR,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(215), 1,
      anon_sym_BQUOTE,
    ACTIONS(217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5848), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(411), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109802] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_DOLLAR,
    ACTIONS(2351), 1,
      anon_sym_DQUOTE,
    ACTIONS(2355), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2359), 1,
      anon_sym_BQUOTE,
    ACTIONS(2361), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5866), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1792), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109839] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_DQUOTE,
    ACTIONS(5744), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5746), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5748), 1,
      anon_sym_BQUOTE,
    ACTIONS(5891), 1,
      anon_sym_DOLLAR,
    ACTIONS(5750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5889), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2037), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109876] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5895), 1,
      anon_sym_DOLLAR,
    ACTIONS(5897), 1,
      anon_sym_DQUOTE,
    ACTIONS(5899), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5901), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5903), 1,
      anon_sym_BQUOTE,
    ACTIONS(5905), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5893), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(728), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109913] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5501), 1,
      anon_sym_DQUOTE,
    ACTIONS(5503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5505), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5507), 1,
      anon_sym_BQUOTE,
    ACTIONS(5909), 1,
      anon_sym_DOLLAR,
    ACTIONS(5509), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5907), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2449), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109950] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5415), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5419), 1,
      anon_sym_BQUOTE,
    ACTIONS(5911), 1,
      anon_sym_DOLLAR,
    ACTIONS(5421), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5802), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(3199), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109987] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(5915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5913), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2148), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110024] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_DOLLAR,
    ACTIONS(5656), 1,
      anon_sym_DQUOTE,
    ACTIONS(5658), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5662), 1,
      anon_sym_BQUOTE,
    ACTIONS(5664), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5917), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1725), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110061] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5810), 1,
      anon_sym_DQUOTE,
    ACTIONS(5812), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5814), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5816), 1,
      anon_sym_BQUOTE,
    ACTIONS(5919), 1,
      anon_sym_DOLLAR,
    ACTIONS(5818), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5808), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(743), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110098] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_DQUOTE,
    ACTIONS(5658), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5662), 1,
      anon_sym_BQUOTE,
    ACTIONS(5921), 1,
      anon_sym_DOLLAR,
    ACTIONS(5664), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5917), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1725), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110135] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5638), 1,
      anon_sym_DQUOTE,
    ACTIONS(5640), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5642), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5644), 1,
      anon_sym_BQUOTE,
    ACTIONS(5923), 1,
      anon_sym_DOLLAR,
    ACTIONS(5646), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5881), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1842), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110172] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_DOLLAR,
    ACTIONS(5167), 1,
      anon_sym_DQUOTE,
    ACTIONS(5169), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_BQUOTE,
    ACTIONS(5175), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5925), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(685), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110209] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_DOLLAR,
    ACTIONS(5828), 1,
      anon_sym_DQUOTE,
    ACTIONS(5830), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5832), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5834), 1,
      anon_sym_BQUOTE,
    ACTIONS(5836), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5824), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110246] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1016), 1,
      anon_sym_DOLLAR,
    ACTIONS(5897), 1,
      anon_sym_DQUOTE,
    ACTIONS(5899), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5901), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5903), 1,
      anon_sym_BQUOTE,
    ACTIONS(5905), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5893), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(728), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110283] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_DQUOTE,
    ACTIONS(5126), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5128), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5130), 1,
      anon_sym_BQUOTE,
    ACTIONS(5929), 1,
      anon_sym_DOLLAR,
    ACTIONS(5132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5927), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(445), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110320] = 9,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5933), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5931), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(732), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110357] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_DOLLAR,
    ACTIONS(5742), 1,
      anon_sym_DQUOTE,
    ACTIONS(5744), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5746), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5748), 1,
      anon_sym_BQUOTE,
    ACTIONS(5750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5889), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2037), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110394] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(5935), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5788), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2216), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110431] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_BQUOTE,
    ACTIONS(1803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5804), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2305), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110468] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_DQUOTE,
    ACTIONS(5104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5106), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5108), 1,
      anon_sym_BQUOTE,
    ACTIONS(5939), 1,
      anon_sym_DOLLAR,
    ACTIONS(5110), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5937), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(669), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110505] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_DOLLAR,
    ACTIONS(5187), 1,
      anon_sym_DQUOTE,
    ACTIONS(5189), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5191), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5193), 1,
      anon_sym_BQUOTE,
    ACTIONS(5195), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5941), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(587), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110542] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_DOLLAR,
    ACTIONS(5084), 1,
      anon_sym_DQUOTE,
    ACTIONS(5086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5090), 1,
      anon_sym_BQUOTE,
    ACTIONS(5092), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5943), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(778), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110579] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(5945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5913), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2148), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110616] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym_DQUOTE,
    ACTIONS(5189), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5191), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5193), 1,
      anon_sym_BQUOTE,
    ACTIONS(5947), 1,
      anon_sym_DOLLAR,
    ACTIONS(5195), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5941), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(587), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110653] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3219), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_BQUOTE,
    ACTIONS(3231), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5913), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2148), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110690] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5019), 1,
      anon_sym_DOLLAR,
    ACTIONS(5023), 1,
      anon_sym_DQUOTE,
    ACTIONS(5025), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5029), 1,
      anon_sym_BQUOTE,
    ACTIONS(5031), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5820), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(834), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110727] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5231), 1,
      anon_sym_DOLLAR,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(5237), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5239), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5241), 1,
      anon_sym_BQUOTE,
    ACTIONS(5243), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5844), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(423), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110764] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5885), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(641), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110801] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(2075), 1,
      anon_sym_DOLLAR,
    ACTIONS(2081), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2083), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2085), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5877), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2059), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110838] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR,
    ACTIONS(5501), 1,
      anon_sym_DQUOTE,
    ACTIONS(5503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5505), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5507), 1,
      anon_sym_BQUOTE,
    ACTIONS(5509), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5907), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2449), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110875] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_DQUOTE,
    ACTIONS(5169), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_BQUOTE,
    ACTIONS(5949), 1,
      anon_sym_DOLLAR,
    ACTIONS(5175), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5925), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(685), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110912] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5698), 1,
      anon_sym_DOLLAR,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    ACTIONS(5704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5708), 1,
      anon_sym_BQUOTE,
    ACTIONS(5710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5951), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2802), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110949] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR,
    ACTIONS(5207), 1,
      anon_sym_DQUOTE,
    ACTIONS(5209), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5211), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5213), 1,
      anon_sym_BQUOTE,
    ACTIONS(5215), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5953), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(298), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110986] = 9,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5931), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(732), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111023] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_DQUOTE,
    ACTIONS(5658), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5662), 1,
      anon_sym_BQUOTE,
    ACTIONS(5955), 1,
      anon_sym_DOLLAR,
    ACTIONS(5664), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5917), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1725), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111060] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_DOLLAR,
    ACTIONS(5856), 1,
      anon_sym_DQUOTE,
    ACTIONS(5858), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5860), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5862), 1,
      anon_sym_BQUOTE,
    ACTIONS(5864), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5852), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(866), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111097] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(5102), 1,
      anon_sym_DQUOTE,
    ACTIONS(5104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5106), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5108), 1,
      anon_sym_BQUOTE,
    ACTIONS(5110), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5937), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(669), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111134] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_DOLLAR,
    ACTIONS(5124), 1,
      anon_sym_DQUOTE,
    ACTIONS(5126), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5128), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5130), 1,
      anon_sym_BQUOTE,
    ACTIONS(5132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5927), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(445), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111171] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_DQUOTE,
    ACTIONS(5209), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5211), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5213), 1,
      anon_sym_BQUOTE,
    ACTIONS(5957), 1,
      anon_sym_DOLLAR,
    ACTIONS(5215), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5953), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(298), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_LF,
    ACTIONS(5959), 1,
      sym__concat,
    STATE(2397), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1241), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111237] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    ACTIONS(5704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5708), 1,
      anon_sym_BQUOTE,
    ACTIONS(5961), 1,
      anon_sym_DOLLAR,
    ACTIONS(5710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5951), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2802), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111274] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(3563), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3567), 1,
      anon_sym_BQUOTE,
    ACTIONS(5963), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5788), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2216), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111311] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5084), 1,
      anon_sym_DQUOTE,
    ACTIONS(5086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5090), 1,
      anon_sym_BQUOTE,
    ACTIONS(5965), 1,
      anon_sym_DOLLAR,
    ACTIONS(5092), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5943), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(778), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [111348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1411), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1439), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1383), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1365), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1435), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1379), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1399), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1357), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1431), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1353), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_LF,
    ACTIONS(5971), 1,
      sym__special_character,
    STATE(2473), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5967), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1325), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1407), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1415), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1419), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1321), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1423), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_LF,
    ACTIONS(5973), 1,
      sym__special_character,
    STATE(2473), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [111980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1427), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      sym_raw_string,
    STATE(2138), 1,
      sym_string,
    ACTIONS(539), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(1777), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1775), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1769), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_LF,
    ACTIONS(1264), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [112084] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(1761), 1,
      sym_raw_string,
    STATE(2206), 1,
      sym_string,
    ACTIONS(539), 2,
      sym__concat,
      anon_sym_RBRACK,
    ACTIONS(1765), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1763), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1757), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112117] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 1,
      anon_sym_DOLLAR,
    ACTIONS(5976), 1,
      sym__concat,
    STATE(2480), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112143] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_DOLLAR,
    ACTIONS(5978), 1,
      sym__concat,
    STATE(2482), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112169] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5873), 1,
      anon_sym_DOLLAR,
    ACTIONS(5976), 1,
      sym__concat,
    STATE(2480), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5875), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112195] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_DOLLAR,
    ACTIONS(5980), 1,
      sym__concat,
    STATE(2482), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1257), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_RBRACE,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym_raw_string,
    STATE(3201), 1,
      sym_string,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5987), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5983), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112253] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1357), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    ACTIONS(4510), 1,
      sym_raw_string,
    STATE(2283), 1,
      sym_string,
    ACTIONS(5991), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(4514), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4512), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112303] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 1,
      anon_sym_RBRACE,
    ACTIONS(6003), 1,
      sym_variable_name,
    STATE(908), 1,
      sym_subscript,
    ACTIONS(5995), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6001), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5997), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5999), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [112334] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_DQUOTE,
    ACTIONS(6007), 1,
      sym_raw_string,
    STATE(442), 1,
      sym_string,
    ACTIONS(6009), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(804), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6005), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112363] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_DOLLAR,
    ACTIONS(6011), 1,
      sym__special_character,
    STATE(2488), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6014), 1,
      anon_sym_RBRACE,
    ACTIONS(6024), 1,
      sym_variable_name,
    STATE(1156), 1,
      sym_subscript,
    ACTIONS(6016), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6022), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6018), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6020), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [112419] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DQUOTE,
    ACTIONS(1749), 1,
      sym_raw_string,
    STATE(1983), 1,
      sym_string,
    ACTIONS(1753), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1751), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1745), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112448] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_DQUOTE,
    ACTIONS(6028), 1,
      sym_raw_string,
    STATE(1793), 1,
      sym_string,
    ACTIONS(6030), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1695), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6026), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112477] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6032), 1,
      anon_sym_RBRACE,
    ACTIONS(6042), 1,
      sym_variable_name,
    STATE(1078), 1,
      sym_subscript,
    ACTIONS(6034), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6040), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6036), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6038), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [112508] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6044), 1,
      anon_sym_RBRACE,
    ACTIONS(6054), 1,
      sym_variable_name,
    STATE(1124), 1,
      sym_subscript,
    ACTIONS(6046), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6052), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6048), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6050), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [112539] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 1,
      anon_sym_DQUOTE,
    ACTIONS(6058), 1,
      sym_raw_string,
    STATE(407), 1,
      sym_string,
    ACTIONS(6060), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(760), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6056), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112568] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 1,
      anon_sym_DOLLAR,
    ACTIONS(1285), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112589] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6062), 1,
      anon_sym_RBRACE,
    ACTIONS(6072), 1,
      sym_variable_name,
    STATE(1095), 1,
      sym_subscript,
    ACTIONS(6064), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6070), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6066), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6068), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [112620] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6076), 1,
      sym_raw_string,
    STATE(836), 1,
      sym_string,
    ACTIONS(6078), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(942), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6074), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112649] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DOLLAR,
    ACTIONS(1441), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112670] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_DOLLAR,
    ACTIONS(1437), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112691] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DOLLAR,
    ACTIONS(1433), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112712] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1427), 1,
      anon_sym_DOLLAR,
    ACTIONS(1429), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112733] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_DOLLAR,
    ACTIONS(1289), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      sym_raw_string,
    STATE(2138), 1,
      sym_string,
    ACTIONS(1777), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1775), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1769), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112783] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DOLLAR,
    ACTIONS(1425), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112804] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_RBRACE,
    ACTIONS(6090), 1,
      sym_variable_name,
    STATE(1056), 1,
      sym_subscript,
    ACTIONS(6082), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6088), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6084), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6086), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [112835] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DOLLAR,
    ACTIONS(1421), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112856] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_DOLLAR,
    ACTIONS(1417), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112877] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DOLLAR,
    ACTIONS(1413), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112898] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1407), 1,
      anon_sym_DOLLAR,
    ACTIONS(1409), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112919] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 1,
      anon_sym_DQUOTE,
    ACTIONS(6094), 1,
      sym_raw_string,
    STATE(729), 1,
      sym_string,
    ACTIONS(6096), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(950), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6092), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112948] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_DQUOTE,
    ACTIONS(5146), 1,
      sym_raw_string,
    STATE(2549), 1,
      sym_string,
    ACTIONS(6098), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5150), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5148), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [112977] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6100), 1,
      anon_sym_RBRACE,
    ACTIONS(6110), 1,
      sym_variable_name,
    STATE(1116), 1,
      sym_subscript,
    ACTIONS(6102), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6108), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6104), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6106), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113008] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_RBRACE,
    ACTIONS(6122), 1,
      sym_variable_name,
    STATE(1103), 1,
      sym_subscript,
    ACTIONS(6114), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6120), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6116), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6118), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_DQUOTE,
    ACTIONS(6126), 1,
      sym_raw_string,
    STATE(1734), 1,
      sym_string,
    ACTIONS(6128), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1487), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6124), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [113068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6130), 1,
      anon_sym_RBRACE,
    ACTIONS(6140), 1,
      sym_variable_name,
    STATE(1013), 1,
      sym_subscript,
    ACTIONS(6132), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6138), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6134), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6136), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113099] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_DOLLAR,
    ACTIONS(1405), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113120] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1399), 1,
      anon_sym_DOLLAR,
    ACTIONS(1401), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113141] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR,
    ACTIONS(1389), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113162] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR,
    ACTIONS(1389), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113183] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(1385), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113204] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_DOLLAR,
    ACTIONS(1381), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113225] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_DOLLAR,
    ACTIONS(1367), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113246] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_DQUOTE,
    ACTIONS(6144), 1,
      sym_raw_string,
    STATE(697), 1,
      sym_string,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(790), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6142), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [113275] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_RBRACE,
    ACTIONS(6158), 1,
      sym_variable_name,
    STATE(1149), 1,
      sym_subscript,
    ACTIONS(6150), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6156), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6152), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6154), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113306] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1353), 1,
      anon_sym_DOLLAR,
    ACTIONS(1355), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113327] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_RBRACE,
    ACTIONS(6170), 1,
      sym_variable_name,
    STATE(1042), 1,
      sym_subscript,
    ACTIONS(6162), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6168), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6164), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6166), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113358] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_DQUOTE,
    ACTIONS(6174), 1,
      sym_raw_string,
    STATE(454), 1,
      sym_string,
    ACTIONS(6176), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(677), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6172), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [113387] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      anon_sym_RBRACE,
    ACTIONS(6188), 1,
      sym_variable_name,
    STATE(1128), 1,
      sym_subscript,
    ACTIONS(6180), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6186), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6182), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6184), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113418] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1737), 1,
      sym_raw_string,
    STATE(1762), 1,
      sym_string,
    ACTIONS(6190), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1741), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1739), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [113447] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1321), 1,
      anon_sym_DOLLAR,
    ACTIONS(1323), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(6194), 1,
      sym_raw_string,
    STATE(701), 1,
      sym_string,
    ACTIONS(6196), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(770), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6192), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [113497] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1299), 1,
      anon_sym_DOLLAR,
    ACTIONS(1301), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113518] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 1,
      anon_sym_RBRACE,
    ACTIONS(6208), 1,
      sym_variable_name,
    STATE(1112), 1,
      sym_subscript,
    ACTIONS(6200), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6206), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6202), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6204), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113549] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 1,
      anon_sym_RBRACE,
    ACTIONS(6220), 1,
      sym_variable_name,
    STATE(1148), 1,
      sym_subscript,
    ACTIONS(6212), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6218), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6214), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6216), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113580] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_DOLLAR,
    ACTIONS(1297), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113601] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_DQUOTE,
    ACTIONS(6224), 1,
      sym_raw_string,
    STATE(872), 1,
      sym_string,
    ACTIONS(6226), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1152), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6222), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [113630] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6228), 1,
      anon_sym_RBRACE,
    ACTIONS(6238), 1,
      sym_variable_name,
    STATE(1004), 1,
      sym_subscript,
    ACTIONS(6230), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6236), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6232), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6234), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113661] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym_DQUOTE,
    ACTIONS(6242), 1,
      sym_raw_string,
    STATE(589), 1,
      sym_string,
    ACTIONS(6244), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1034), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6240), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [113690] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_RBRACE,
    ACTIONS(6256), 1,
      sym_variable_name,
    STATE(929), 1,
      sym_subscript,
    ACTIONS(6248), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6254), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6250), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6252), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113721] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_DOLLAR,
    ACTIONS(1257), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113742] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_DOLLAR,
    ACTIONS(1293), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113763] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_DQUOTE,
    ACTIONS(6260), 1,
      sym_raw_string,
    STATE(2027), 1,
      sym_string,
    ACTIONS(6262), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1670), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6258), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [113792] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6264), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym_variable_name,
    STATE(1014), 1,
      sym_subscript,
    ACTIONS(6266), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6272), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6268), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6270), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6276), 1,
      anon_sym_RBRACE,
    ACTIONS(6286), 1,
      sym_variable_name,
    STATE(1029), 1,
      sym_subscript,
    ACTIONS(6278), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6284), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6280), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6282), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 1,
      anon_sym_DQUOTE,
    ACTIONS(6290), 1,
      sym_raw_string,
    STATE(493), 1,
      sym_string,
    ACTIONS(6292), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(892), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6288), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [113883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 1,
      anon_sym_DQUOTE,
    ACTIONS(6296), 1,
      sym_raw_string,
    STATE(2466), 1,
      sym_string,
    ACTIONS(6298), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(4587), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6294), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [113912] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6300), 1,
      anon_sym_RBRACE,
    ACTIONS(6310), 1,
      sym_variable_name,
    STATE(1008), 1,
      sym_subscript,
    ACTIONS(6302), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6308), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6304), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6306), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113943] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 1,
      anon_sym_RBRACE,
    ACTIONS(6322), 1,
      sym_variable_name,
    STATE(906), 1,
      sym_subscript,
    ACTIONS(6314), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6320), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6316), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6318), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [113974] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_DOLLAR,
    ACTIONS(1327), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113995] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5967), 1,
      anon_sym_DOLLAR,
    ACTIONS(6324), 1,
      sym__special_character,
    STATE(2488), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5969), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114020] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 1,
      anon_sym_RBRACE,
    ACTIONS(6336), 1,
      sym_variable_name,
    STATE(970), 1,
      sym_subscript,
    ACTIONS(6328), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6334), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6330), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6332), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114051] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_DQUOTE,
    ACTIONS(6340), 1,
      sym_raw_string,
    STATE(682), 1,
      sym_string,
    ACTIONS(6342), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1040), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6338), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [114080] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_RBRACE,
    ACTIONS(6354), 1,
      sym_variable_name,
    STATE(1015), 1,
      sym_subscript,
    ACTIONS(6346), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6352), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6348), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6350), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_DQUOTE,
    ACTIONS(6358), 1,
      sym_raw_string,
    STATE(293), 1,
      sym_string,
    ACTIONS(6360), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(683), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6356), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [114140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 1,
      anon_sym_RBRACE,
    ACTIONS(6372), 1,
      sym_variable_name,
    STATE(1000), 1,
      sym_subscript,
    ACTIONS(6364), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6370), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6366), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6368), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114171] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(6376), 1,
      sym_raw_string,
    STATE(354), 1,
      sym_string,
    ACTIONS(6378), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(547), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6374), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [114200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 1,
      anon_sym_RBRACE,
    ACTIONS(6390), 1,
      sym_variable_name,
    STATE(1143), 1,
      sym_subscript,
    ACTIONS(6382), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6388), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6384), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6386), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114231] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 1,
      anon_sym_RBRACE,
    ACTIONS(6402), 1,
      sym_variable_name,
    STATE(1021), 1,
      sym_subscript,
    ACTIONS(6394), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6400), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6396), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6398), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114262] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(1761), 1,
      sym_raw_string,
    STATE(2206), 1,
      sym_string,
    ACTIONS(1765), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1763), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1757), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [114291] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5810), 1,
      anon_sym_DQUOTE,
    ACTIONS(6406), 1,
      sym_raw_string,
    STATE(746), 1,
      sym_string,
    ACTIONS(6408), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1101), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6404), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [114320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 1,
      anon_sym_RBRACE,
    ACTIONS(6420), 1,
      sym_variable_name,
    STATE(962), 1,
      sym_subscript,
    ACTIONS(6412), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6418), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6414), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6416), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114351] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 1,
      anon_sym_RBRACE,
    ACTIONS(6432), 1,
      sym_variable_name,
    STATE(990), 1,
      sym_subscript,
    ACTIONS(6424), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6430), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6426), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6428), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114382] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym_raw_string,
    STATE(3201), 1,
      sym_string,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5987), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5983), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [114411] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 1,
      anon_sym_RBRACE,
    ACTIONS(6444), 1,
      sym_variable_name,
    STATE(976), 1,
      sym_subscript,
    ACTIONS(6436), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6442), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6438), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6440), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114442] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 1,
      anon_sym_DQUOTE,
    ACTIONS(6448), 1,
      sym_raw_string,
    STATE(1847), 1,
      sym_string,
    ACTIONS(6450), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1617), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6446), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [114471] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      anon_sym_RBRACE,
    ACTIONS(6462), 1,
      sym_variable_name,
    STATE(918), 1,
      sym_subscript,
    ACTIONS(6454), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6460), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6456), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6458), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114502] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    ACTIONS(6466), 1,
      sym_raw_string,
    STATE(2808), 1,
      sym_string,
    ACTIONS(6468), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5786), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6464), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [114531] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym_RBRACE,
    ACTIONS(6480), 1,
      sym_variable_name,
    STATE(964), 1,
      sym_subscript,
    ACTIONS(6472), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6478), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6474), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6476), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114562] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(6484), 1,
      sym_raw_string,
    STATE(605), 1,
      sym_string,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(798), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6482), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [114591] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 1,
      anon_sym_RBRACE,
    ACTIONS(6498), 1,
      sym_variable_name,
    STATE(945), 1,
      sym_subscript,
    ACTIONS(6490), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(6496), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6492), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6494), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [114622] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 1,
      anon_sym_DQUOTE,
    ACTIONS(6502), 1,
      sym_raw_string,
    STATE(775), 1,
      sym_string,
    ACTIONS(6504), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(922), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6500), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [114651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 1,
      anon_sym_DQUOTE,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114675] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_esac,
    ACTIONS(6514), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6518), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6520), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6522), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6524), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6526), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6528), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6530), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6532), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6534), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6536), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6538), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6540), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6542), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6544), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6546), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6548), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6550), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6552), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115105] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6556), 1,
      anon_sym_esac,
    ACTIONS(6554), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6558), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115127] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6562), 1,
      anon_sym_esac,
    ACTIONS(6560), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6564), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115149] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6568), 1,
      anon_sym_esac,
    ACTIONS(6566), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6570), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6572), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6574), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6576), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6578), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6580), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6582), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6584), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6586), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6588), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6590), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6592), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6594), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6596), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6598), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6600), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6602), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115555] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_esac,
    ACTIONS(6604), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6608), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6610), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6612), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6614), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6616), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6618), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6620), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6622), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6624), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115769] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 1,
      anon_sym_DOLLAR,
    ACTIONS(1266), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [115789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6626), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6628), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115837] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6632), 1,
      anon_sym_esac,
    ACTIONS(6630), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(6634), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6636), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6638), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6640), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6642), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6644), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6646), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6648), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6650), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6652), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6654), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6656), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6658), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6660), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6662), 1,
      anon_sym_DQUOTE,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116195] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_RBRACE,
    ACTIONS(6670), 1,
      sym_variable_name,
    STATE(1065), 1,
      sym_subscript,
    ACTIONS(6668), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6664), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6666), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116222] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6514), 1,
      anon_sym_DOLLAR,
    ACTIONS(6518), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116241] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2659), 1,
      anon_sym_RBRACE,
    ACTIONS(6678), 1,
      sym_variable_name,
    STATE(1017), 1,
      sym_subscript,
    ACTIONS(6676), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6672), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6674), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116268] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6560), 1,
      anon_sym_DOLLAR,
    ACTIONS(6564), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116287] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_DOLLAR,
    ACTIONS(6570), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116306] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_RBRACE,
    ACTIONS(6686), 1,
      sym_variable_name,
    STATE(1092), 1,
      sym_subscript,
    ACTIONS(6684), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6680), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6682), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116333] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2323), 1,
      anon_sym_RBRACE,
    ACTIONS(6694), 1,
      sym_variable_name,
    STATE(1019), 1,
      sym_subscript,
    ACTIONS(6692), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6688), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6690), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116360] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(6702), 1,
      sym_variable_name,
    STATE(1076), 1,
      sym_subscript,
    ACTIONS(6700), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6696), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6698), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116387] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(6710), 1,
      sym_variable_name,
    STATE(982), 1,
      sym_subscript,
    ACTIONS(6708), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6704), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6706), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116414] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_RBRACE,
    ACTIONS(6718), 1,
      sym_variable_name,
    STATE(916), 1,
      sym_subscript,
    ACTIONS(6716), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6712), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6714), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116441] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_RBRACE,
    ACTIONS(6726), 1,
      sym_variable_name,
    STATE(927), 1,
      sym_subscript,
    ACTIONS(6724), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6720), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6722), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116468] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_RBRACE,
    ACTIONS(6734), 1,
      sym_variable_name,
    STATE(1161), 1,
      sym_subscript,
    ACTIONS(6732), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6728), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6730), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116495] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3587), 1,
      anon_sym_RBRACE,
    ACTIONS(6742), 1,
      sym_variable_name,
    STATE(1138), 1,
      sym_subscript,
    ACTIONS(6740), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6736), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6738), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116522] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(6750), 1,
      sym_variable_name,
    STATE(1109), 1,
      sym_subscript,
    ACTIONS(6748), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6744), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6746), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116549] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6754), 1,
      anon_sym_DOLLAR,
    ACTIONS(6752), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116568] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6758), 1,
      anon_sym_DOLLAR,
    ACTIONS(6756), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116587] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3543), 1,
      anon_sym_RBRACE,
    ACTIONS(6766), 1,
      sym_variable_name,
    STATE(926), 1,
      sym_subscript,
    ACTIONS(6764), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6760), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6762), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116614] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2765), 1,
      anon_sym_RBRACE,
    ACTIONS(6774), 1,
      sym_variable_name,
    STATE(1032), 1,
      sym_subscript,
    ACTIONS(6772), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6768), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6770), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116641] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6778), 1,
      anon_sym_DOLLAR,
    ACTIONS(6776), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116660] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2963), 1,
      anon_sym_RBRACE,
    ACTIONS(6786), 1,
      sym_variable_name,
    STATE(1052), 1,
      sym_subscript,
    ACTIONS(6784), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6780), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6782), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116687] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    ACTIONS(6794), 1,
      sym_variable_name,
    STATE(996), 1,
      sym_subscript,
    ACTIONS(6792), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6788), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6790), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116714] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
    ACTIONS(6802), 1,
      sym_variable_name,
    STATE(1069), 1,
      sym_subscript,
    ACTIONS(6800), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6796), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6798), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116741] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    ACTIONS(6810), 1,
      sym_variable_name,
    STATE(966), 1,
      sym_subscript,
    ACTIONS(6808), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6804), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6806), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116768] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    ACTIONS(6818), 1,
      sym_variable_name,
    STATE(940), 1,
      sym_subscript,
    ACTIONS(6816), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6812), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6814), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116795] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3343), 1,
      anon_sym_RBRACE,
    ACTIONS(6826), 1,
      sym_variable_name,
    STATE(1099), 1,
      sym_subscript,
    ACTIONS(6824), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6820), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6822), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116822] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
    ACTIONS(6834), 1,
      sym_variable_name,
    STATE(943), 1,
      sym_subscript,
    ACTIONS(6832), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6828), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6830), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116849] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    ACTIONS(6842), 1,
      sym_variable_name,
    STATE(1005), 1,
      sym_subscript,
    ACTIONS(6840), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6836), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6838), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116876] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6634), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [116895] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2265), 1,
      anon_sym_RBRACE,
    ACTIONS(6850), 1,
      sym_variable_name,
    STATE(957), 1,
      sym_subscript,
    ACTIONS(6848), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6844), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6846), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym__string_content,
    ACTIONS(6506), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(6512), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [116943] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(6858), 1,
      sym_variable_name,
    STATE(934), 1,
      sym_subscript,
    ACTIONS(6856), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6852), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6854), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116970] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_RBRACE,
    ACTIONS(6866), 1,
      sym_variable_name,
    STATE(963), 1,
      sym_subscript,
    ACTIONS(6864), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6860), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6862), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [116997] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_RBRACE,
    ACTIONS(6874), 1,
      sym_variable_name,
    STATE(1107), 1,
      sym_subscript,
    ACTIONS(6872), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6868), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6870), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [117024] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    ACTIONS(6882), 1,
      sym_variable_name,
    STATE(1046), 1,
      sym_subscript,
    ACTIONS(6880), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6876), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6878), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [117051] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_RBRACE,
    ACTIONS(6890), 1,
      sym_variable_name,
    STATE(1146), 1,
      sym_subscript,
    ACTIONS(6888), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6884), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6886), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [117078] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
    ACTIONS(6898), 1,
      sym_variable_name,
    STATE(1067), 1,
      sym_subscript,
    ACTIONS(6896), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6892), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6894), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [117105] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym_DOLLAR,
    ACTIONS(6900), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [117124] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6906), 1,
      anon_sym_DOLLAR,
    ACTIONS(6904), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [117143] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6558), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [117162] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    ACTIONS(6914), 1,
      sym_variable_name,
    STATE(1091), 1,
      sym_subscript,
    ACTIONS(6912), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6908), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6910), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [117189] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_RBRACE,
    ACTIONS(6922), 1,
      sym_variable_name,
    STATE(1080), 1,
      sym_subscript,
    ACTIONS(6920), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6916), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6918), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [117216] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2483), 1,
      anon_sym_RBRACE,
    ACTIONS(6930), 1,
      sym_variable_name,
    STATE(992), 1,
      sym_subscript,
    ACTIONS(6928), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6924), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(6926), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [117243] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6604), 1,
      anon_sym_DOLLAR,
    ACTIONS(6608), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [117262] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6934), 1,
      anon_sym_DOLLAR,
    ACTIONS(6932), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [117281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6936), 1,
      anon_sym_DOLLAR,
    ACTIONS(6938), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6948), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117341] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6644), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6950), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6952), 1,
      anon_sym_DOLLAR,
    ACTIONS(6954), 1,
      anon_sym_DQUOTE,
    STATE(2734), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117401] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6956), 1,
      anon_sym_DOLLAR,
    ACTIONS(6958), 1,
      anon_sym_DQUOTE,
    STATE(2687), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117431] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6960), 1,
      anon_sym_DOLLAR,
    ACTIONS(6962), 1,
      anon_sym_DQUOTE,
    STATE(2700), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117461] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6964), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117491] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6966), 1,
      anon_sym_DOLLAR,
    ACTIONS(6968), 1,
      anon_sym_DQUOTE,
    STATE(2712), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117521] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6520), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6970), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117551] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym_DOLLAR,
    ACTIONS(6974), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6976), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6978), 1,
      anon_sym_BQUOTE,
    ACTIONS(6980), 1,
      sym__heredoc_body_middle,
    ACTIONS(6982), 1,
      sym__heredoc_body_end,
    STATE(2732), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [117579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(6986), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6984), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [117599] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6990), 1,
      anon_sym_DOLLAR,
    ACTIONS(6992), 1,
      anon_sym_DQUOTE,
    STATE(2695), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6994), 1,
      anon_sym_DOLLAR,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    STATE(2696), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117659] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(6998), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117689] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7000), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7002), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7004), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117779] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7006), 1,
      anon_sym_DOLLAR,
    ACTIONS(7008), 1,
      anon_sym_DQUOTE,
    STATE(2710), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117809] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym_DOLLAR,
    ACTIONS(6974), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6976), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6978), 1,
      anon_sym_BQUOTE,
    ACTIONS(7010), 1,
      sym__heredoc_body_middle,
    ACTIONS(7012), 1,
      sym__heredoc_body_end,
    STATE(2708), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [117837] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7014), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7016), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117897] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7018), 1,
      anon_sym_DOLLAR,
    ACTIONS(7020), 1,
      anon_sym_DQUOTE,
    STATE(2697), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117927] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7022), 1,
      anon_sym_DOLLAR,
    ACTIONS(7024), 1,
      anon_sym_DQUOTE,
    STATE(2701), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117957] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7026), 1,
      anon_sym_DOLLAR,
    ACTIONS(7028), 1,
      anon_sym_DQUOTE,
    STATE(2683), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7030), 1,
      anon_sym_DOLLAR,
    ACTIONS(7032), 1,
      anon_sym_DQUOTE,
    STATE(2682), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118017] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7034), 1,
      anon_sym_DOLLAR,
    ACTIONS(7036), 1,
      anon_sym_DQUOTE,
    STATE(2689), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118047] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7038), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118077] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym_DOLLAR,
    ACTIONS(6974), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6976), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6978), 1,
      anon_sym_BQUOTE,
    ACTIONS(6980), 1,
      sym__heredoc_body_middle,
    ACTIONS(7040), 1,
      sym__heredoc_body_end,
    STATE(2732), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [118105] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7042), 1,
      anon_sym_DOLLAR,
    ACTIONS(7044), 1,
      anon_sym_DQUOTE,
    STATE(2707), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118135] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6592), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7046), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118165] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym_DOLLAR,
    ACTIONS(6974), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6976), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6978), 1,
      anon_sym_BQUOTE,
    ACTIONS(7048), 1,
      sym__heredoc_body_middle,
    ACTIONS(7050), 1,
      sym__heredoc_body_end,
    STATE(2723), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [118193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6640), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7052), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118223] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7054), 1,
      anon_sym_DOLLAR,
    ACTIONS(7056), 1,
      anon_sym_DQUOTE,
    STATE(2746), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7058), 1,
      anon_sym_DOLLAR,
    ACTIONS(7060), 1,
      anon_sym_DQUOTE,
    STATE(2720), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118283] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7062), 1,
      anon_sym_DOLLAR,
    ACTIONS(7064), 1,
      anon_sym_DQUOTE,
    STATE(2719), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118313] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7066), 1,
      anon_sym_DOLLAR,
    ACTIONS(7068), 1,
      anon_sym_DQUOTE,
    STATE(2733), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118343] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7070), 1,
      anon_sym_DOLLAR,
    ACTIONS(7072), 1,
      anon_sym_DQUOTE,
    STATE(2736), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118373] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7074), 1,
      anon_sym_DOLLAR,
    ACTIONS(7076), 1,
      anon_sym_DQUOTE,
    STATE(2694), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118403] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6580), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7078), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118433] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7080), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118463] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7082), 1,
      anon_sym_DOLLAR,
    ACTIONS(7084), 1,
      anon_sym_DQUOTE,
    STATE(2722), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118493] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118523] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym_DOLLAR,
    ACTIONS(6974), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6976), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6978), 1,
      anon_sym_BQUOTE,
    ACTIONS(6980), 1,
      sym__heredoc_body_middle,
    ACTIONS(7088), 1,
      sym__heredoc_body_end,
    STATE(2732), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [118551] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6650), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7090), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118581] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7092), 1,
      anon_sym_DOLLAR,
    ACTIONS(7094), 1,
      anon_sym_DQUOTE,
    STATE(2729), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118611] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7096), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118641] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7098), 1,
      anon_sym_DOLLAR,
    ACTIONS(7100), 1,
      anon_sym_DQUOTE,
    STATE(2724), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7102), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118701] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6646), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7104), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118731] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7106), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118761] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7108), 1,
      anon_sym_DOLLAR,
    ACTIONS(7110), 1,
      anon_sym_DQUOTE,
    STATE(2728), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118791] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7112), 1,
      anon_sym_DOLLAR,
    ACTIONS(7115), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7121), 1,
      anon_sym_BQUOTE,
    ACTIONS(7124), 1,
      sym__heredoc_body_middle,
    ACTIONS(7127), 1,
      sym__heredoc_body_end,
    STATE(2732), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [118819] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7129), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118849] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7131), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118879] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_DOLLAR,
    ACTIONS(7136), 1,
      anon_sym_DQUOTE,
    ACTIONS(7138), 1,
      sym__string_content,
    ACTIONS(7141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7144), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7147), 1,
      anon_sym_BQUOTE,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118909] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7150), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118939] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7152), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118969] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7154), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118999] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6662), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7156), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119029] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym_DOLLAR,
    ACTIONS(6974), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6976), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6978), 1,
      anon_sym_BQUOTE,
    ACTIONS(7158), 1,
      sym__heredoc_body_middle,
    ACTIONS(7160), 1,
      sym__heredoc_body_end,
    STATE(2690), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [119057] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7162), 1,
      anon_sym_DOLLAR,
    ACTIONS(7164), 1,
      anon_sym_DQUOTE,
    STATE(2737), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119087] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6636), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7166), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119117] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7168), 1,
      anon_sym_DOLLAR,
    ACTIONS(7170), 1,
      anon_sym_DQUOTE,
    STATE(2742), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119147] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7172), 1,
      anon_sym_DOLLAR,
    ACTIONS(7174), 1,
      anon_sym_DQUOTE,
    STATE(2739), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119177] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7176), 1,
      anon_sym_DOLLAR,
    ACTIONS(7178), 1,
      anon_sym_DQUOTE,
    STATE(2726), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119207] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 1,
      anon_sym_DQUOTE,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7180), 1,
      anon_sym_DOLLAR,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119237] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6940), 1,
      sym__string_content,
    ACTIONS(6942), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6944), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6946), 1,
      anon_sym_BQUOTE,
    ACTIONS(7182), 1,
      anon_sym_DOLLAR,
    ACTIONS(7184), 1,
      anon_sym_DQUOTE,
    STATE(2730), 1,
      aux_sym_string_repeat1,
    STATE(2766), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [119267] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_LBRACK,
    ACTIONS(151), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7186), 1,
      anon_sym_LPAREN,
    STATE(1796), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119291] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7188), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(7190), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [119307] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(143), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_LBRACK,
    ACTIONS(151), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1889), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119331] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1912), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119355] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7192), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(7194), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [119371] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7196), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(7198), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [119387] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7200), 1,
      anon_sym_LPAREN,
    STATE(2033), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119411] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7202), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(7204), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [119427] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2041), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_LF,
    ACTIONS(7206), 1,
      sym__concat,
    STATE(2767), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1264), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [119471] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    STATE(2128), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119495] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7208), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(7210), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [119511] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    STATE(2180), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119535] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(143), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_LBRACK,
    ACTIONS(151), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1747), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119559] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    STATE(2178), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [119583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      sym__concat,
    ACTIONS(1383), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      sym__concat,
    ACTIONS(1431), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_LF,
    ACTIONS(7214), 1,
      sym__concat,
    STATE(2765), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1255), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7219), 1,
      sym__concat,
    ACTIONS(7217), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_LF,
    ACTIONS(7221), 1,
      sym__concat,
    STATE(2765), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1241), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7223), 1,
      anon_sym_LF,
    ACTIONS(7225), 1,
      anon_sym_in,
    ACTIONS(7229), 1,
      sym__special_character,
    STATE(2771), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7227), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 1,
      sym__concat,
    ACTIONS(7231), 1,
      anon_sym_LF,
    ACTIONS(7233), 1,
      anon_sym_in,
    STATE(2767), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(7235), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 1,
      sym__concat,
    ACTIONS(7237), 1,
      anon_sym_LF,
    ACTIONS(7239), 1,
      anon_sym_in,
    STATE(2767), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(7241), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_LF,
    ACTIONS(7243), 1,
      sym__special_character,
    STATE(2771), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1369), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7246), 1,
      sym__concat,
    ACTIONS(7136), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7248), 1,
      anon_sym_LF,
    ACTIONS(7250), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [119778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 1,
      sym__concat,
    ACTIONS(1353), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      sym__concat,
    ACTIONS(1357), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      sym__concat,
    ACTIONS(1365), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      sym__concat,
    ACTIONS(1379), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      sym__concat,
    ACTIONS(1415), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      sym__concat,
    ACTIONS(1387), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      sym__concat,
    ACTIONS(1387), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 1,
      sym__concat,
    ACTIONS(1419), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119898] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      sym__special_character,
    ACTIONS(7252), 1,
      anon_sym_LF,
    ACTIONS(7254), 1,
      anon_sym_in,
    STATE(2771), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7256), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym__concat,
    ACTIONS(1399), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7258), 1,
      anon_sym_LF,
    ACTIONS(7260), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1010), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [119951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7262), 1,
      anon_sym_LF,
    ACTIONS(7264), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [119966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      sym__special_character,
    ACTIONS(7266), 1,
      anon_sym_LF,
    ACTIONS(7268), 1,
      anon_sym_in,
    STATE(2771), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7270), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      sym__concat,
    ACTIONS(1403), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      sym__concat,
    ACTIONS(1407), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 1,
      sym__concat,
    ACTIONS(1423), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      sym__concat,
    ACTIONS(1287), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      sym__concat,
    ACTIONS(1435), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 1,
      sym__concat,
    ACTIONS(1283), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_LF,
    ACTIONS(7274), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(549), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [120094] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 1,
      sym__concat,
    ACTIONS(7276), 1,
      anon_sym_LF,
    ACTIONS(7278), 1,
      anon_sym_in,
    STATE(2767), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(7280), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 1,
      sym__concat,
    ACTIONS(1411), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 1,
      sym__concat,
    ACTIONS(1439), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 1,
      sym__concat,
    ACTIONS(1427), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7282), 1,
      anon_sym_LF,
    ACTIONS(7284), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [120175] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1353), 1,
      anon_sym_DOLLAR,
    ACTIONS(1355), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1439), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1383), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7262), 1,
      anon_sym_LF,
    ACTIONS(7264), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [120245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_LF,
    ACTIONS(1264), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [120259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1365), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1291), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1357), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1325), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120315] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_DOLLAR,
    ACTIONS(1381), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1321), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1379), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1399), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120371] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_DOLLAR,
    ACTIONS(1405), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120385] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_DOLLAR,
    ACTIONS(1367), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120399] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7286), 1,
      anon_sym_fi,
    ACTIONS(7288), 1,
      anon_sym_elif,
    ACTIONS(7290), 1,
      anon_sym_else,
    STATE(3263), 1,
      sym_else_clause,
    STATE(2890), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120419] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1357), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120433] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1407), 1,
      anon_sym_DOLLAR,
    ACTIONS(1409), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1403), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1407), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1387), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1299), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7292), 1,
      anon_sym_LF,
    ACTIONS(7294), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(549), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [120533] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7288), 1,
      anon_sym_elif,
    ACTIONS(7290), 1,
      anon_sym_else,
    ACTIONS(7296), 1,
      anon_sym_fi,
    STATE(3404), 1,
      sym_else_clause,
    STATE(2890), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120553] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7288), 1,
      anon_sym_elif,
    ACTIONS(7290), 1,
      anon_sym_else,
    ACTIONS(7298), 1,
      anon_sym_fi,
    STATE(3285), 1,
      sym_else_clause,
    STATE(2890), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1353), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1010), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [120603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1435), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120617] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7288), 1,
      anon_sym_elif,
    ACTIONS(7290), 1,
      anon_sym_else,
    ACTIONS(7304), 1,
      anon_sym_fi,
    STATE(3389), 1,
      sym_else_clause,
    STATE(2890), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1431), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120651] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1399), 1,
      anon_sym_DOLLAR,
    ACTIONS(1401), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120665] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1427), 1,
      anon_sym_DOLLAR,
    ACTIONS(1429), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1411), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120693] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DOLLAR,
    ACTIONS(1413), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120707] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_DOLLAR,
    ACTIONS(1417), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7248), 1,
      anon_sym_LF,
    ACTIONS(7250), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [120735] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7288), 1,
      anon_sym_elif,
    ACTIONS(7290), 1,
      anon_sym_else,
    ACTIONS(7306), 1,
      anon_sym_fi,
    STATE(3351), 1,
      sym_else_clause,
    STATE(2890), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120755] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DOLLAR,
    ACTIONS(1421), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1415), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120783] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DOLLAR,
    ACTIONS(1425), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120797] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_DOLLAR,
    ACTIONS(1289), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120811] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1283), 1,
      anon_sym_DOLLAR,
    ACTIONS(1285), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120825] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7288), 1,
      anon_sym_elif,
    ACTIONS(7290), 1,
      anon_sym_else,
    ACTIONS(7308), 1,
      anon_sym_fi,
    STATE(3246), 1,
      sym_else_clause,
    STATE(2890), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1427), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1419), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1423), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1295), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120913] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DOLLAR,
    ACTIONS(1433), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120927] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_DOLLAR,
    ACTIONS(1437), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120941] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DOLLAR,
    ACTIONS(1441), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1283), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1287), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7310), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [120995] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR,
    ACTIONS(1389), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [121009] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR,
    ACTIONS(1389), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [121023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7282), 1,
      anon_sym_LF,
    ACTIONS(7284), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [121037] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(1385), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [121051] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_SEMI,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2117), 2,
      sym_do_group,
      sym_compound_statement,
  [121068] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7316), 1,
      anon_sym_SEMI,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1919), 2,
      sym_do_group,
      sym_compound_statement,
  [121085] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4999), 1,
      sym__concat,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      aux_sym_concatenation_repeat1,
    STATE(3075), 1,
      aux_sym_case_item_repeat1,
  [121104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1012), 1,
      ts_builtin_sym_end,
    ACTIONS(7324), 1,
      anon_sym_LF,
    ACTIONS(7326), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121119] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    ACTIONS(7328), 1,
      anon_sym_SEMI,
    STATE(1944), 2,
      sym_do_group,
      sym_compound_statement,
  [121136] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    ACTIONS(7330), 1,
      anon_sym_SEMI,
    STATE(1961), 2,
      sym_do_group,
      sym_compound_statement,
  [121153] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4999), 1,
      sym__concat,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7332), 1,
      anon_sym_RPAREN,
    STATE(2930), 1,
      aux_sym_concatenation_repeat1,
    STATE(3005), 1,
      aux_sym_case_item_repeat1,
  [121172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    ACTIONS(7300), 1,
      anon_sym_LF,
    ACTIONS(7302), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121187] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5334), 1,
      sym__special_character,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7334), 1,
      anon_sym_RPAREN,
    STATE(1904), 1,
      aux_sym__literal_repeat1,
    STATE(3002), 1,
      aux_sym_case_item_repeat1,
  [121206] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5334), 1,
      sym__special_character,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7336), 1,
      anon_sym_RPAREN,
    STATE(1904), 1,
      aux_sym__literal_repeat1,
    STATE(3009), 1,
      aux_sym_case_item_repeat1,
  [121225] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    ACTIONS(7338), 1,
      anon_sym_SEMI,
    STATE(2080), 2,
      sym_do_group,
      sym_compound_statement,
  [121242] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    ACTIONS(7340), 1,
      anon_sym_SEMI,
    STATE(2115), 2,
      sym_do_group,
      sym_compound_statement,
  [121259] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_SEMI,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1745), 2,
      sym_do_group,
      sym_compound_statement,
  [121276] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    ACTIONS(7346), 1,
      anon_sym_SEMI,
    STATE(1872), 2,
      sym_do_group,
      sym_compound_statement,
  [121293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7231), 1,
      anon_sym_LF,
    ACTIONS(7233), 1,
      anon_sym_in,
    ACTIONS(7235), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121308] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    ACTIONS(7348), 1,
      anon_sym_SEMI,
    STATE(2078), 2,
      sym_do_group,
      sym_compound_statement,
  [121325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_RPAREN,
    ACTIONS(7292), 1,
      anon_sym_LF,
    ACTIONS(7294), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121340] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    ACTIONS(7350), 1,
      anon_sym_SEMI,
    STATE(1878), 2,
      sym_do_group,
      sym_compound_statement,
  [121357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LF,
    ACTIONS(7354), 1,
      anon_sym_in,
    ACTIONS(7356), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7282), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(7284), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7358), 1,
      anon_sym_LF,
    ACTIONS(7360), 1,
      anon_sym_in,
    ACTIONS(7362), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121400] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    ACTIONS(7364), 1,
      anon_sym_SEMI,
    STATE(1851), 2,
      sym_do_group,
      sym_compound_statement,
  [121417] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    ACTIONS(7366), 1,
      anon_sym_SEMI,
    STATE(1882), 2,
      sym_do_group,
      sym_compound_statement,
  [121434] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    ACTIONS(7368), 1,
      anon_sym_SEMI,
    STATE(2071), 2,
      sym_do_group,
      sym_compound_statement,
  [121451] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    ACTIONS(7370), 1,
      anon_sym_SEMI,
    STATE(1962), 2,
      sym_do_group,
      sym_compound_statement,
  [121468] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    ACTIONS(7372), 1,
      anon_sym_SEMI,
    STATE(1935), 2,
      sym_do_group,
      sym_compound_statement,
  [121485] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    ACTIONS(7374), 1,
      anon_sym_SEMI,
    STATE(1963), 2,
      sym_do_group,
      sym_compound_statement,
  [121502] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4999), 1,
      sym__concat,
    STATE(2930), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [121517] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    ACTIONS(7376), 1,
      anon_sym_SEMI,
    STATE(1952), 2,
      sym_do_group,
      sym_compound_statement,
  [121534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7237), 1,
      anon_sym_LF,
    ACTIONS(7239), 1,
      anon_sym_in,
    ACTIONS(7241), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_BQUOTE,
    ACTIONS(7378), 1,
      anon_sym_LF,
    ACTIONS(7380), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121564] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7384), 1,
      anon_sym_elif,
    ACTIONS(7382), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(2890), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [121579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7262), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(7264), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      anon_sym_BQUOTE,
    ACTIONS(7387), 1,
      anon_sym_LF,
    ACTIONS(7389), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121607] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    ACTIONS(7391), 1,
      anon_sym_SEMI,
    STATE(1760), 2,
      sym_do_group,
      sym_compound_statement,
  [121624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_LF,
    ACTIONS(7278), 1,
      anon_sym_in,
    ACTIONS(7280), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121639] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    ACTIONS(7393), 1,
      anon_sym_SEMI,
    STATE(2083), 2,
      sym_do_group,
      sym_compound_statement,
  [121656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      ts_builtin_sym_end,
    ACTIONS(7395), 1,
      anon_sym_LF,
    ACTIONS(7397), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121671] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    ACTIONS(7399), 1,
      anon_sym_SEMI,
    STATE(2085), 2,
      sym_do_group,
      sym_compound_statement,
  [121688] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    ACTIONS(7401), 1,
      anon_sym_SEMI,
    STATE(1845), 2,
      sym_do_group,
      sym_compound_statement,
  [121705] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    ACTIONS(7403), 1,
      anon_sym_SEMI,
    STATE(1943), 2,
      sym_do_group,
      sym_compound_statement,
  [121722] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    ACTIONS(7405), 1,
      anon_sym_SEMI,
    STATE(1813), 2,
      sym_do_group,
      sym_compound_statement,
  [121739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7248), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(7250), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7407), 1,
      anon_sym_LF,
    ACTIONS(7409), 1,
      anon_sym_in,
    ACTIONS(7411), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121767] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    ACTIONS(7413), 1,
      anon_sym_SEMI,
    STATE(2087), 2,
      sym_do_group,
      sym_compound_statement,
  [121784] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1937), 2,
      sym_do_group,
      sym_compound_statement,
  [121798] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1953), 2,
      sym_do_group,
      sym_compound_statement,
  [121812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7415), 1,
      anon_sym_LF,
    ACTIONS(7417), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121824] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1947), 2,
      sym_do_group,
      sym_compound_statement,
  [121838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7419), 1,
      anon_sym_LF,
    ACTIONS(7421), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7423), 1,
      anon_sym_LF,
    ACTIONS(7425), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121862] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1938), 2,
      sym_do_group,
      sym_compound_statement,
  [121876] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7427), 1,
      anon_sym_esac,
    ACTIONS(191), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [121890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      anon_sym_LF,
    ACTIONS(7431), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121902] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(177), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7433), 1,
      anon_sym_esac,
    ACTIONS(179), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [121916] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7435), 1,
      anon_sym_esac,
    ACTIONS(7437), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7439), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [121930] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1964), 2,
      sym_do_group,
      sym_compound_statement,
  [121944] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 1,
      sym__special_character,
    STATE(3012), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1266), 2,
      sym__concat,
      anon_sym_RBRACK,
  [121958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7441), 1,
      anon_sym_LF,
    ACTIONS(7443), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121970] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7445), 1,
      sym__special_character,
    STATE(2918), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1371), 2,
      sym__concat,
      anon_sym_RBRACK,
  [121984] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1746), 2,
      sym_do_group,
      sym_compound_statement,
  [121998] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7448), 1,
      anon_sym_esac,
    ACTIONS(7450), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7452), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [122012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7454), 1,
      anon_sym_LF,
    ACTIONS(7456), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122024] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1755), 2,
      sym_do_group,
      sym_compound_statement,
  [122038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7458), 1,
      anon_sym_LF,
    ACTIONS(7460), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LF,
    ACTIONS(7464), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7466), 1,
      anon_sym_LF,
    ACTIONS(7468), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122074] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1934), 2,
      sym_do_group,
      sym_compound_statement,
  [122088] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2134), 2,
      sym_do_group,
      sym_compound_statement,
  [122102] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2068), 2,
      sym_do_group,
      sym_compound_statement,
  [122116] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4999), 1,
      sym__concat,
    STATE(2930), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(7470), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [122130] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7472), 1,
      sym__concat,
    STATE(1965), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1243), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [122144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7474), 1,
      anon_sym_LF,
    ACTIONS(7476), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122156] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5334), 1,
      sym__special_character,
    STATE(1904), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7478), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [122170] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym_RBRACK,
    ACTIONS(7482), 1,
      sym__special_character,
    ACTIONS(7484), 1,
      sym__concat,
    STATE(2918), 1,
      aux_sym__literal_repeat1,
  [122186] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2069), 2,
      sym_do_group,
      sym_compound_statement,
  [122200] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1936), 2,
      sym_do_group,
      sym_compound_statement,
  [122214] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2098), 2,
      sym_do_group,
      sym_compound_statement,
  [122228] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2072), 2,
      sym_do_group,
      sym_compound_statement,
  [122242] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1757), 2,
      sym_do_group,
      sym_compound_statement,
  [122256] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1738), 2,
      sym_do_group,
      sym_compound_statement,
  [122270] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2089), 2,
      sym_do_group,
      sym_compound_statement,
  [122284] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1954), 2,
      sym_do_group,
      sym_compound_statement,
  [122298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_LF,
    ACTIONS(7488), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122310] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1875), 2,
      sym_do_group,
      sym_compound_statement,
  [122324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7490), 1,
      anon_sym_LF,
    ACTIONS(7492), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122336] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1870), 2,
      sym_do_group,
      sym_compound_statement,
  [122350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7494), 1,
      anon_sym_LF,
    ACTIONS(7496), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122362] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2111), 2,
      sym_do_group,
      sym_compound_statement,
  [122376] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 1,
      sym__special_character,
    ACTIONS(1266), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122392] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1756), 2,
      sym_do_group,
      sym_compound_statement,
  [122406] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1867), 2,
      sym_do_group,
      sym_compound_statement,
  [122420] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7482), 1,
      sym__special_character,
    ACTIONS(7500), 1,
      anon_sym_RBRACK,
    ACTIONS(7502), 1,
      sym__concat,
    STATE(2918), 1,
      aux_sym__literal_repeat1,
  [122436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7504), 1,
      anon_sym_LF,
    ACTIONS(7506), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122448] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2108), 2,
      sym_do_group,
      sym_compound_statement,
  [122462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7508), 1,
      anon_sym_LF,
    ACTIONS(7510), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [122474] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7512), 1,
      anon_sym_RBRACE,
    ACTIONS(7514), 1,
      sym__special_character,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122487] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7516), 1,
      anon_sym_RBRACK,
    ACTIONS(7518), 1,
      sym__concat,
    STATE(3012), 1,
      aux_sym_concatenation_repeat1,
  [122500] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_LBRACK,
    ACTIONS(7522), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122511] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7524), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122524] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3942), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122537] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7526), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122550] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122563] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4226), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122576] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122589] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7528), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122602] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122615] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122628] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7530), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122641] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7532), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122654] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7534), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122667] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7536), 1,
      sym__concat,
    ACTIONS(5249), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122678] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7538), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122691] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7540), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122704] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7542), 1,
      sym__concat,
    ACTIONS(5263), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122715] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4442), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122728] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122741] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7544), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122754] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_RPAREN,
    STATE(3075), 1,
      aux_sym_case_item_repeat1,
  [122767] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122780] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7546), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122793] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_PIPE,
    ACTIONS(7551), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      aux_sym_case_item_repeat1,
  [122806] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122819] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4056), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122832] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7553), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122845] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122858] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4202), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122871] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7555), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122884] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122897] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7557), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122910] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7559), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122923] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4370), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122936] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122949] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [122962] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7561), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122975] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7563), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [122988] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7452), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [122999] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2399), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123012] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7567), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123025] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123038] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7569), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123051] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7571), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123064] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7573), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123077] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7575), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      aux_sym_case_item_repeat1,
  [123090] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123103] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_LBRACK,
    ACTIONS(7577), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123114] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7579), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      aux_sym_case_item_repeat1,
  [123127] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7581), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123140] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123153] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123166] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7583), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      aux_sym_case_item_repeat1,
  [123179] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7585), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7439), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [123190] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7587), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123203] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_RBRACK,
    ACTIONS(7589), 1,
      sym__concat,
    STATE(2079), 1,
      aux_sym_concatenation_repeat1,
  [123216] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123227] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(7593), 1,
      sym__concat,
    STATE(3037), 1,
      aux_sym_concatenation_repeat1,
  [123240] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7595), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123253] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7597), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123266] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3751), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123279] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123292] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7599), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123305] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7601), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123318] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3960), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123331] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123344] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7603), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123357] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7605), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123370] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123383] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_LBRACK,
    ACTIONS(7607), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123394] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7609), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123407] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7611), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123420] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3665), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123433] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7613), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123446] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7615), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123459] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7617), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123472] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_RBRACE,
    ACTIONS(7619), 1,
      sym__special_character,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123485] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(179), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [123496] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123509] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123522] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_RBRACE,
    ACTIONS(7622), 1,
      sym__concat,
    STATE(3037), 1,
      aux_sym_concatenation_repeat1,
  [123535] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_LBRACK,
    ACTIONS(7625), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123546] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123559] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123572] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7627), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123585] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7629), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123598] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7631), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123611] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7633), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123624] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123637] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123650] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123661] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4420), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123674] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123687] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123700] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7637), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123713] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7639), 1,
      sym__concat,
    ACTIONS(5387), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123724] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4250), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123737] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123750] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_LBRACK,
    ACTIONS(7641), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123761] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7643), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123774] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_LBRACK,
    ACTIONS(7645), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123785] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7332), 1,
      anon_sym_RPAREN,
    STATE(3005), 1,
      aux_sym_case_item_repeat1,
  [123798] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7647), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123811] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123824] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7649), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123837] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7651), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123850] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7653), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123863] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123876] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123889] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123902] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123915] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7655), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123928] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7657), 1,
      sym__concat,
    ACTIONS(5393), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123939] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7659), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123952] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [123965] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7661), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123978] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7663), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [123991] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 1,
      sym__special_character,
    ACTIONS(1266), 2,
      sym__concat,
      anon_sym_RBRACK,
  [124002] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7665), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      aux_sym_case_item_repeat1,
  [124015] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(191), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [124026] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124039] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124052] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7667), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124065] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7669), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124078] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7671), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124091] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124104] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7673), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124117] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7675), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124130] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7677), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124143] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124156] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4038), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124169] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124182] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124195] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7679), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124208] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_LBRACK,
    ACTIONS(7681), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124219] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124232] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124245] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7683), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124258] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124271] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124284] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7685), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124297] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7687), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124310] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124323] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7689), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124336] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124349] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124362] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7691), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124375] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7693), 1,
      anon_sym_RBRACK,
    ACTIONS(7695), 1,
      sym__concat,
    STATE(3012), 1,
      aux_sym_concatenation_repeat1,
  [124388] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124401] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7697), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124414] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4164), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124427] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7514), 1,
      sym__special_character,
    ACTIONS(7699), 1,
      anon_sym_RBRACE,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
  [124440] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(7498), 1,
      sym__concat,
    STATE(3014), 1,
      aux_sym_concatenation_repeat1,
  [124453] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7703), 1,
      anon_sym_EQ,
  [124463] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1405), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124471] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7705), 1,
      anon_sym_EQ,
  [124481] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124489] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7707), 1,
      anon_sym_EQ,
  [124499] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7709), 1,
      anon_sym_EQ,
  [124509] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7711), 1,
      anon_sym_EQ,
  [124519] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7713), 1,
      anon_sym_EQ,
  [124529] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7715), 1,
      anon_sym_EQ,
  [124539] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_EQ,
  [124549] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7719), 1,
      anon_sym_EQ,
  [124559] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_EQ,
  [124569] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2107), 1,
      sym_do_group,
  [124579] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7723), 1,
      anon_sym_EQ,
  [124589] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1413), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124597] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7725), 1,
      anon_sym_EQ,
  [124607] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_EQ,
  [124617] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2113), 1,
      sym_do_group,
  [124627] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7729), 1,
      anon_sym_EQ,
  [124637] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1421), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124645] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7731), 1,
      anon_sym_EQ,
  [124655] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1401), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124663] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124671] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7733), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7735), 1,
      aux_sym__simple_variable_name_token1,
  [124681] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7737), 1,
      anon_sym_EQ,
  [124691] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_EQ,
  [124701] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1425), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124709] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7741), 1,
      anon_sym_EQ,
  [124719] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7743), 1,
      anon_sym_EQ,
  [124729] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124737] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1289), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124745] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1385), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124753] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1381), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124761] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1367), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124769] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1285), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124777] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_EQ,
  [124787] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1990), 1,
      sym_do_group,
  [124797] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7747), 1,
      anon_sym_EQ,
  [124807] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1429), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124815] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7749), 1,
      anon_sym_EQ,
  [124825] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7751), 1,
      anon_sym_EQ,
  [124835] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7645), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124843] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1359), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124851] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7693), 1,
      anon_sym_RBRACK,
    ACTIONS(7753), 1,
      sym__concat,
  [124861] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7755), 1,
      anon_sym_EQ,
  [124871] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1417), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124879] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7757), 1,
      anon_sym_EQ,
  [124889] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7759), 2,
      anon_sym_do,
      anon_sym_then,
  [124897] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7761), 1,
      anon_sym_EQ,
  [124907] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1437), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124915] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1441), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124923] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7763), 1,
      anon_sym_EQ,
  [124933] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7765), 1,
      anon_sym_EQ,
  [124943] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7767), 1,
      anon_sym_EQ,
  [124953] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7769), 1,
      anon_sym_EQ,
  [124963] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_EQ,
  [124973] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7635), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124981] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1355), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124989] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1264), 1,
      sym__special_character,
    ACTIONS(1266), 1,
      anon_sym_RBRACE,
  [124999] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1323), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125007] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(1986), 1,
      sym_do_group,
  [125017] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7773), 1,
      anon_sym_EQ,
  [125027] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1301), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125035] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7641), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125043] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_EQ,
  [125053] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7777), 1,
      anon_sym_EQ,
  [125063] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7779), 1,
      anon_sym_EQ,
  [125073] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7625), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125081] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7781), 1,
      anon_sym_EQ,
  [125091] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1297), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125099] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7516), 1,
      anon_sym_RBRACK,
    ACTIONS(7783), 1,
      sym__concat,
  [125109] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7785), 1,
      anon_sym_EQ,
  [125119] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7787), 1,
      anon_sym_EQ,
  [125129] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7470), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [125137] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7789), 1,
      anon_sym_EQ,
  [125147] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7607), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125155] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5539), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125163] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5533), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125171] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7791), 1,
      anon_sym_EQ,
  [125181] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7793), 1,
      anon_sym_EQ,
  [125191] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7795), 1,
      anon_sym_EQ,
  [125201] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_do,
    STATE(2177), 1,
      sym_do_group,
  [125211] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7797), 1,
      anon_sym_EQ,
  [125221] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      anon_sym_EQ,
  [125231] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7591), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125239] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7801), 1,
      anon_sym_EQ,
  [125249] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1794), 1,
      sym_do_group,
  [125259] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7803), 1,
      anon_sym_EQ,
  [125269] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      anon_sym_EQ,
  [125279] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125287] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1293), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125295] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1327), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125303] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7807), 1,
      anon_sym_EQ,
  [125313] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7809), 1,
      anon_sym_EQ,
  [125323] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7811), 1,
      anon_sym_EQ,
  [125333] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7813), 1,
      anon_sym_EQ,
  [125343] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7681), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125351] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7815), 1,
      anon_sym_EQ,
  [125361] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7817), 1,
      anon_sym_EQ,
  [125371] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7819), 1,
      anon_sym_EQ,
  [125381] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7522), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125389] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7821), 1,
      anon_sym_EQ,
  [125399] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_EQ,
  [125409] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7825), 1,
      anon_sym_EQ,
  [125419] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7827), 1,
      anon_sym_EQ,
  [125429] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7829), 1,
      anon_sym_EQ,
  [125439] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7831), 1,
      anon_sym_EQ,
  [125449] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7577), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125457] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7835), 1,
      aux_sym__simple_variable_name_token1,
  [125467] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_EQ,
  [125477] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7318), 1,
      anon_sym_do,
    STATE(2032), 1,
      sym_do_group,
  [125487] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    ACTIONS(7839), 1,
      anon_sym_EQ,
  [125497] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1744), 1,
      sym_do_group,
  [125507] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125515] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7843), 1,
      aux_sym__simple_variable_name_token1,
  [125525] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5249), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [125533] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym_do,
    STATE(1876), 1,
      sym_do_group,
  [125543] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1433), 2,
      sym__concat,
      anon_sym_RBRACE,
  [125551] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7845), 1,
      anon_sym_esac,
  [125558] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_RBRACE,
  [125565] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7847), 1,
      sym_word,
  [125572] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7849), 1,
      anon_sym_esac,
  [125579] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7851), 1,
      anon_sym_RPAREN,
  [125586] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7853), 1,
      anon_sym_BQUOTE,
  [125593] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_esac,
  [125600] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_esac,
  [125607] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4993), 1,
      anon_sym_RPAREN,
  [125614] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7859), 1,
      anon_sym_then,
  [125621] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4226), 1,
      anon_sym_RBRACE,
  [125628] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2399), 1,
      anon_sym_RBRACE,
  [125635] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_RPAREN,
  [125642] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3942), 1,
      anon_sym_RBRACE,
  [125649] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
  [125656] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4202), 1,
      anon_sym_RBRACE,
  [125663] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_RPAREN,
  [125670] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_BQUOTE,
  [125677] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7865), 1,
      anon_sym_fi,
  [125684] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7298), 1,
      anon_sym_fi,
  [125691] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5005), 1,
      anon_sym_RPAREN,
  [125698] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7867), 1,
      anon_sym_BQUOTE,
  [125705] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_RPAREN,
  [125712] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
  [125719] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
  [125726] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_RPAREN,
  [125733] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_BQUOTE,
  [125740] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_RPAREN,
  [125747] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7875), 1,
      anon_sym_RPAREN,
  [125754] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7877), 1,
      anon_sym_RPAREN,
  [125761] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
  [125768] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7879), 1,
      anon_sym_BQUOTE,
  [125775] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_RBRACE,
  [125782] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7881), 1,
      anon_sym_esac,
  [125789] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
  [125796] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7883), 1,
      anon_sym_fi,
  [125803] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7885), 1,
      anon_sym_esac,
  [125810] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_RPAREN,
  [125817] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7889), 1,
      anon_sym_RPAREN,
  [125824] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5007), 1,
      anon_sym_RPAREN,
  [125831] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5011), 1,
      anon_sym_RPAREN,
  [125838] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7891), 1,
      anon_sym_BQUOTE,
  [125845] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7893), 1,
      anon_sym_RPAREN,
  [125852] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7895), 1,
      anon_sym_BQUOTE,
  [125859] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_RPAREN,
  [125866] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_BQUOTE,
  [125873] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7899), 1,
      anon_sym_RPAREN,
  [125880] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7901), 1,
      anon_sym_then,
  [125887] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4038), 1,
      anon_sym_RBRACE,
  [125894] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_RBRACE,
  [125901] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_in,
  [125908] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7905), 1,
      anon_sym_esac,
  [125915] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7907), 1,
      anon_sym_in,
  [125922] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7909), 1,
      anon_sym_esac,
  [125929] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7911), 1,
      sym_word,
  [125936] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5794), 1,
      anon_sym_RBRACK,
  [125943] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
  [125950] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7286), 1,
      anon_sym_fi,
  [125957] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4989), 1,
      anon_sym_RPAREN,
  [125964] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_RBRACE,
  [125971] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_RBRACE,
  [125978] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5225), 1,
      anon_sym_RPAREN,
  [125985] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7913), 1,
      anon_sym_BQUOTE,
  [125992] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
  [125999] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_RPAREN,
  [126006] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7917), 1,
      anon_sym_RBRACK,
  [126013] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
  [126020] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_RBRACE,
  [126027] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_RBRACE,
  [126034] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_RBRACE,
  [126041] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_BQUOTE,
  [126048] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5221), 1,
      anon_sym_RPAREN,
  [126055] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_RBRACE,
  [126062] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4952), 1,
      anon_sym_RPAREN,
  [126069] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_RBRACE,
  [126076] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_BQUOTE,
  [126083] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7923), 1,
      anon_sym_RPAREN,
  [126090] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
  [126097] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
  [126104] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4250), 1,
      anon_sym_RBRACE,
  [126111] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4164), 1,
      anon_sym_RBRACE,
  [126118] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
  [126125] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
  [126132] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
  [126139] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_RPAREN,
  [126146] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7925), 1,
      anon_sym_esac,
  [126153] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_BQUOTE,
  [126160] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7929), 1,
      anon_sym_RPAREN,
  [126167] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7931), 1,
      anon_sym_esac,
  [126174] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7933), 1,
      anon_sym_RPAREN,
  [126181] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7935), 1,
      anon_sym_BQUOTE,
  [126188] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7937), 1,
      anon_sym_RBRACK,
  [126195] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
  [126202] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4976), 1,
      anon_sym_RPAREN,
  [126209] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
  [126216] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7939), 1,
      sym_heredoc_start,
  [126223] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7941), 1,
      anon_sym_BQUOTE,
  [126230] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_RPAREN,
  [126237] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7943), 1,
      anon_sym_RPAREN,
  [126244] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7945), 1,
      anon_sym_RPAREN,
  [126251] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7947), 1,
      anon_sym_BQUOTE,
  [126258] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7304), 1,
      anon_sym_fi,
  [126265] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_RBRACE,
  [126272] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7949), 1,
      anon_sym_BQUOTE,
  [126279] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_RPAREN,
  [126286] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7951), 1,
      anon_sym_RPAREN,
  [126293] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_esac,
  [126300] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5790), 1,
      anon_sym_RBRACK,
  [126307] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3960), 1,
      anon_sym_RBRACE,
  [126314] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_RBRACE,
  [126321] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_RBRACE,
  [126328] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_RBRACE,
  [126335] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
  [126342] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
  [126349] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_RPAREN,
  [126356] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
  [126363] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7955), 1,
      anon_sym_BQUOTE,
  [126370] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5152), 1,
      anon_sym_RPAREN,
  [126377] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7957), 1,
      anon_sym_RPAREN,
  [126384] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7959), 1,
      anon_sym_esac,
  [126391] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7961), 1,
      anon_sym_esac,
  [126398] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7963), 1,
      anon_sym_RPAREN,
  [126405] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7965), 1,
      anon_sym_BQUOTE,
  [126412] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7967), 1,
      anon_sym_fi,
  [126419] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7969), 1,
      anon_sym_BQUOTE,
  [126426] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
  [126433] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_RPAREN,
  [126440] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7971), 1,
      anon_sym_RPAREN,
  [126447] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_esac,
  [126454] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7975), 1,
      anon_sym_RPAREN,
  [126461] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7977), 1,
      anon_sym_RPAREN,
  [126468] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7979), 1,
      anon_sym_RPAREN,
  [126475] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
  [126482] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4420), 1,
      anon_sym_RBRACE,
  [126489] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7981), 1,
      anon_sym_esac,
  [126496] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_RBRACE,
  [126503] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_RBRACE,
  [126510] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4056), 1,
      anon_sym_RBRACE,
  [126517] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7983), 1,
      anon_sym_then,
  [126524] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
  [126531] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3665), 1,
      anon_sym_RBRACE,
  [126538] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7985), 1,
      sym_heredoc_start,
  [126545] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_RBRACE,
  [126552] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7987), 1,
      anon_sym_RPAREN,
  [126559] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7989), 1,
      anon_sym_RPAREN,
  [126566] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7991), 1,
      anon_sym_BQUOTE,
  [126573] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_RPAREN,
  [126580] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7995), 1,
      anon_sym_BQUOTE,
  [126587] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3751), 1,
      anon_sym_RBRACE,
  [126594] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7997), 1,
      anon_sym_BQUOTE,
  [126601] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7999), 1,
      anon_sym_BQUOTE,
  [126608] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5140), 1,
      anon_sym_RPAREN,
  [126615] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5059), 1,
      anon_sym_RPAREN,
  [126622] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_esac,
  [126629] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
  [126636] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8003), 1,
      anon_sym_esac,
  [126643] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5138), 1,
      anon_sym_RPAREN,
  [126650] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5061), 1,
      anon_sym_RPAREN,
  [126657] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8005), 1,
      anon_sym_BQUOTE,
  [126664] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8007), 1,
      anon_sym_RPAREN,
  [126671] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8009), 1,
      ts_builtin_sym_end,
  [126678] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7308), 1,
      anon_sym_fi,
  [126685] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8011), 1,
      anon_sym_then,
  [126692] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8013), 1,
      ts_builtin_sym_end,
  [126699] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
  [126706] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_RBRACE,
  [126713] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
  [126720] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4370), 1,
      anon_sym_RBRACE,
  [126727] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
  [126734] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_RBRACE,
  [126741] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_RBRACE,
  [126748] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8015), 1,
      anon_sym_RPAREN,
  [126755] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8017), 1,
      anon_sym_BQUOTE,
  [126762] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
  [126769] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5070), 1,
      anon_sym_RPAREN,
  [126776] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8019), 1,
      anon_sym_RPAREN,
  [126783] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_fi,
  [126790] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8021), 1,
      anon_sym_BQUOTE,
  [126797] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8023), 1,
      anon_sym_RPAREN,
  [126804] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_in,
  [126811] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_in,
  [126818] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8029), 1,
      anon_sym_RPAREN,
  [126825] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8031), 1,
      anon_sym_BQUOTE,
  [126832] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
  [126839] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_RPAREN,
  [126846] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8033), 1,
      anon_sym_BQUOTE,
  [126853] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_RPAREN,
  [126860] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(7296), 1,
      anon_sym_fi,
  [126867] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5116), 1,
      anon_sym_RPAREN,
  [126874] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_RBRACE,
  [126881] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4442), 1,
      anon_sym_RBRACE,
  [126888] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8035), 1,
      sym_word,
  [126895] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8037), 1,
      anon_sym_BQUOTE,
  [126902] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_RBRACE,
  [126909] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_RBRACE,
  [126916] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8039), 1,
      anon_sym_RPAREN,
  [126923] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8041), 1,
      anon_sym_esac,
  [126930] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8043), 1,
      anon_sym_in,
  [126937] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8045), 1,
      anon_sym_in,
  [126944] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
  [126951] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8047), 1,
      sym_heredoc_start,
  [126958] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8049), 1,
      anon_sym_RPAREN,
  [126965] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_BQUOTE,
  [126972] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
  [126979] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
  [126986] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8053), 1,
      anon_sym_RPAREN,
  [126993] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_RPAREN,
  [127000] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_BQUOTE,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(154)] = 0,
  [SMALL_STATE(155)] = 83,
  [SMALL_STATE(156)] = 166,
  [SMALL_STATE(157)] = 249,
  [SMALL_STATE(158)] = 331,
  [SMALL_STATE(159)] = 395,
  [SMALL_STATE(160)] = 459,
  [SMALL_STATE(161)] = 523,
  [SMALL_STATE(162)] = 583,
  [SMALL_STATE(163)] = 665,
  [SMALL_STATE(164)] = 747,
  [SMALL_STATE(165)] = 826,
  [SMALL_STATE(166)] = 889,
  [SMALL_STATE(167)] = 970,
  [SMALL_STATE(168)] = 1051,
  [SMALL_STATE(169)] = 1132,
  [SMALL_STATE(170)] = 1213,
  [SMALL_STATE(171)] = 1292,
  [SMALL_STATE(172)] = 1355,
  [SMALL_STATE(173)] = 1418,
  [SMALL_STATE(174)] = 1481,
  [SMALL_STATE(175)] = 1560,
  [SMALL_STATE(176)] = 1639,
  [SMALL_STATE(177)] = 1720,
  [SMALL_STATE(178)] = 1799,
  [SMALL_STATE(179)] = 1862,
  [SMALL_STATE(180)] = 1943,
  [SMALL_STATE(181)] = 2005,
  [SMALL_STATE(182)] = 2083,
  [SMALL_STATE(183)] = 2145,
  [SMALL_STATE(184)] = 2223,
  [SMALL_STATE(185)] = 2285,
  [SMALL_STATE(186)] = 2347,
  [SMALL_STATE(187)] = 2425,
  [SMALL_STATE(188)] = 2501,
  [SMALL_STATE(189)] = 2579,
  [SMALL_STATE(190)] = 2657,
  [SMALL_STATE(191)] = 2733,
  [SMALL_STATE(192)] = 2811,
  [SMALL_STATE(193)] = 2889,
  [SMALL_STATE(194)] = 2951,
  [SMALL_STATE(195)] = 3027,
  [SMALL_STATE(196)] = 3086,
  [SMALL_STATE(197)] = 3143,
  [SMALL_STATE(198)] = 3198,
  [SMALL_STATE(199)] = 3275,
  [SMALL_STATE(200)] = 3336,
  [SMALL_STATE(201)] = 3413,
  [SMALL_STATE(202)] = 3490,
  [SMALL_STATE(203)] = 3551,
  [SMALL_STATE(204)] = 3612,
  [SMALL_STATE(205)] = 3663,
  [SMALL_STATE(206)] = 3718,
  [SMALL_STATE(207)] = 3795,
  [SMALL_STATE(208)] = 3872,
  [SMALL_STATE(209)] = 3931,
  [SMALL_STATE(210)] = 3986,
  [SMALL_STATE(211)] = 4063,
  [SMALL_STATE(212)] = 4118,
  [SMALL_STATE(213)] = 4193,
  [SMALL_STATE(214)] = 4248,
  [SMALL_STATE(215)] = 4303,
  [SMALL_STATE(216)] = 4378,
  [SMALL_STATE(217)] = 4439,
  [SMALL_STATE(218)] = 4498,
  [SMALL_STATE(219)] = 4559,
  [SMALL_STATE(220)] = 4614,
  [SMALL_STATE(221)] = 4691,
  [SMALL_STATE(222)] = 4768,
  [SMALL_STATE(223)] = 4845,
  [SMALL_STATE(224)] = 4920,
  [SMALL_STATE(225)] = 4971,
  [SMALL_STATE(226)] = 5048,
  [SMALL_STATE(227)] = 5107,
  [SMALL_STATE(228)] = 5162,
  [SMALL_STATE(229)] = 5236,
  [SMALL_STATE(230)] = 5294,
  [SMALL_STATE(231)] = 5354,
  [SMALL_STATE(232)] = 5412,
  [SMALL_STATE(233)] = 5486,
  [SMALL_STATE(234)] = 5560,
  [SMALL_STATE(235)] = 5634,
  [SMALL_STATE(236)] = 5708,
  [SMALL_STATE(237)] = 5782,
  [SMALL_STATE(238)] = 5842,
  [SMALL_STATE(239)] = 5916,
  [SMALL_STATE(240)] = 5990,
  [SMALL_STATE(241)] = 6064,
  [SMALL_STATE(242)] = 6138,
  [SMALL_STATE(243)] = 6194,
  [SMALL_STATE(244)] = 6285,
  [SMALL_STATE(245)] = 6356,
  [SMALL_STATE(246)] = 6447,
  [SMALL_STATE(247)] = 6538,
  [SMALL_STATE(248)] = 6629,
  [SMALL_STATE(249)] = 6700,
  [SMALL_STATE(250)] = 6791,
  [SMALL_STATE(251)] = 6841,
  [SMALL_STATE(252)] = 6891,
  [SMALL_STATE(253)] = 6941,
  [SMALL_STATE(254)] = 6989,
  [SMALL_STATE(255)] = 7039,
  [SMALL_STATE(256)] = 7087,
  [SMALL_STATE(257)] = 7140,
  [SMALL_STATE(258)] = 7193,
  [SMALL_STATE(259)] = 7256,
  [SMALL_STATE(260)] = 7311,
  [SMALL_STATE(261)] = 7360,
  [SMALL_STATE(262)] = 7423,
  [SMALL_STATE(263)] = 7472,
  [SMALL_STATE(264)] = 7519,
  [SMALL_STATE(265)] = 7566,
  [SMALL_STATE(266)] = 7615,
  [SMALL_STATE(267)] = 7664,
  [SMALL_STATE(268)] = 7726,
  [SMALL_STATE(269)] = 7788,
  [SMALL_STATE(270)] = 7838,
  [SMALL_STATE(271)] = 7890,
  [SMALL_STATE(272)] = 7940,
  [SMALL_STATE(273)] = 7990,
  [SMALL_STATE(274)] = 8042,
  [SMALL_STATE(275)] = 8096,
  [SMALL_STATE(276)] = 8146,
  [SMALL_STATE(277)] = 8196,
  [SMALL_STATE(278)] = 8246,
  [SMALL_STATE(279)] = 8296,
  [SMALL_STATE(280)] = 8346,
  [SMALL_STATE(281)] = 8396,
  [SMALL_STATE(282)] = 8446,
  [SMALL_STATE(283)] = 8496,
  [SMALL_STATE(284)] = 8541,
  [SMALL_STATE(285)] = 8586,
  [SMALL_STATE(286)] = 8631,
  [SMALL_STATE(287)] = 8676,
  [SMALL_STATE(288)] = 8721,
  [SMALL_STATE(289)] = 8766,
  [SMALL_STATE(290)] = 8815,
  [SMALL_STATE(291)] = 8864,
  [SMALL_STATE(292)] = 8913,
  [SMALL_STATE(293)] = 8958,
  [SMALL_STATE(294)] = 9003,
  [SMALL_STATE(295)] = 9052,
  [SMALL_STATE(296)] = 9101,
  [SMALL_STATE(297)] = 9154,
  [SMALL_STATE(298)] = 9199,
  [SMALL_STATE(299)] = 9244,
  [SMALL_STATE(300)] = 9289,
  [SMALL_STATE(301)] = 9334,
  [SMALL_STATE(302)] = 9379,
  [SMALL_STATE(303)] = 9440,
  [SMALL_STATE(304)] = 9485,
  [SMALL_STATE(305)] = 9536,
  [SMALL_STATE(306)] = 9581,
  [SMALL_STATE(307)] = 9630,
  [SMALL_STATE(308)] = 9679,
  [SMALL_STATE(309)] = 9724,
  [SMALL_STATE(310)] = 9777,
  [SMALL_STATE(311)] = 9826,
  [SMALL_STATE(312)] = 9875,
  [SMALL_STATE(313)] = 9924,
  [SMALL_STATE(314)] = 9975,
  [SMALL_STATE(315)] = 10024,
  [SMALL_STATE(316)] = 10073,
  [SMALL_STATE(317)] = 10118,
  [SMALL_STATE(318)] = 10163,
  [SMALL_STATE(319)] = 10208,
  [SMALL_STATE(320)] = 10253,
  [SMALL_STATE(321)] = 10314,
  [SMALL_STATE(322)] = 10363,
  [SMALL_STATE(323)] = 10408,
  [SMALL_STATE(324)] = 10453,
  [SMALL_STATE(325)] = 10498,
  [SMALL_STATE(326)] = 10543,
  [SMALL_STATE(327)] = 10588,
  [SMALL_STATE(328)] = 10633,
  [SMALL_STATE(329)] = 10678,
  [SMALL_STATE(330)] = 10723,
  [SMALL_STATE(331)] = 10768,
  [SMALL_STATE(332)] = 10813,
  [SMALL_STATE(333)] = 10858,
  [SMALL_STATE(334)] = 10903,
  [SMALL_STATE(335)] = 10948,
  [SMALL_STATE(336)] = 10993,
  [SMALL_STATE(337)] = 11042,
  [SMALL_STATE(338)] = 11087,
  [SMALL_STATE(339)] = 11136,
  [SMALL_STATE(340)] = 11185,
  [SMALL_STATE(341)] = 11234,
  [SMALL_STATE(342)] = 11279,
  [SMALL_STATE(343)] = 11328,
  [SMALL_STATE(344)] = 11377,
  [SMALL_STATE(345)] = 11438,
  [SMALL_STATE(346)] = 11487,
  [SMALL_STATE(347)] = 11538,
  [SMALL_STATE(348)] = 11587,
  [SMALL_STATE(349)] = 11632,
  [SMALL_STATE(350)] = 11677,
  [SMALL_STATE(351)] = 11726,
  [SMALL_STATE(352)] = 11771,
  [SMALL_STATE(353)] = 11816,
  [SMALL_STATE(354)] = 11867,
  [SMALL_STATE(355)] = 11912,
  [SMALL_STATE(356)] = 11957,
  [SMALL_STATE(357)] = 12002,
  [SMALL_STATE(358)] = 12051,
  [SMALL_STATE(359)] = 12096,
  [SMALL_STATE(360)] = 12141,
  [SMALL_STATE(361)] = 12190,
  [SMALL_STATE(362)] = 12251,
  [SMALL_STATE(363)] = 12300,
  [SMALL_STATE(364)] = 12349,
  [SMALL_STATE(365)] = 12394,
  [SMALL_STATE(366)] = 12439,
  [SMALL_STATE(367)] = 12484,
  [SMALL_STATE(368)] = 12529,
  [SMALL_STATE(369)] = 12574,
  [SMALL_STATE(370)] = 12619,
  [SMALL_STATE(371)] = 12664,
  [SMALL_STATE(372)] = 12708,
  [SMALL_STATE(373)] = 12762,
  [SMALL_STATE(374)] = 12806,
  [SMALL_STATE(375)] = 12854,
  [SMALL_STATE(376)] = 12902,
  [SMALL_STATE(377)] = 12950,
  [SMALL_STATE(378)] = 12998,
  [SMALL_STATE(379)] = 13042,
  [SMALL_STATE(380)] = 13100,
  [SMALL_STATE(381)] = 13144,
  [SMALL_STATE(382)] = 13192,
  [SMALL_STATE(383)] = 13236,
  [SMALL_STATE(384)] = 13280,
  [SMALL_STATE(385)] = 13324,
  [SMALL_STATE(386)] = 13372,
  [SMALL_STATE(387)] = 13416,
  [SMALL_STATE(388)] = 13460,
  [SMALL_STATE(389)] = 13504,
  [SMALL_STATE(390)] = 13552,
  [SMALL_STATE(391)] = 13596,
  [SMALL_STATE(392)] = 13640,
  [SMALL_STATE(393)] = 13688,
  [SMALL_STATE(394)] = 13732,
  [SMALL_STATE(395)] = 13776,
  [SMALL_STATE(396)] = 13820,
  [SMALL_STATE(397)] = 13864,
  [SMALL_STATE(398)] = 13908,
  [SMALL_STATE(399)] = 13952,
  [SMALL_STATE(400)] = 13996,
  [SMALL_STATE(401)] = 14044,
  [SMALL_STATE(402)] = 14088,
  [SMALL_STATE(403)] = 14132,
  [SMALL_STATE(404)] = 14176,
  [SMALL_STATE(405)] = 14220,
  [SMALL_STATE(406)] = 14264,
  [SMALL_STATE(407)] = 14308,
  [SMALL_STATE(408)] = 14352,
  [SMALL_STATE(409)] = 14396,
  [SMALL_STATE(410)] = 14440,
  [SMALL_STATE(411)] = 14488,
  [SMALL_STATE(412)] = 14532,
  [SMALL_STATE(413)] = 14590,
  [SMALL_STATE(414)] = 14634,
  [SMALL_STATE(415)] = 14678,
  [SMALL_STATE(416)] = 14722,
  [SMALL_STATE(417)] = 14770,
  [SMALL_STATE(418)] = 14814,
  [SMALL_STATE(419)] = 14858,
  [SMALL_STATE(420)] = 14902,
  [SMALL_STATE(421)] = 14946,
  [SMALL_STATE(422)] = 14990,
  [SMALL_STATE(423)] = 15038,
  [SMALL_STATE(424)] = 15082,
  [SMALL_STATE(425)] = 15140,
  [SMALL_STATE(426)] = 15188,
  [SMALL_STATE(427)] = 15232,
  [SMALL_STATE(428)] = 15276,
  [SMALL_STATE(429)] = 15320,
  [SMALL_STATE(430)] = 15368,
  [SMALL_STATE(431)] = 15412,
  [SMALL_STATE(432)] = 15456,
  [SMALL_STATE(433)] = 15500,
  [SMALL_STATE(434)] = 15544,
  [SMALL_STATE(435)] = 15588,
  [SMALL_STATE(436)] = 15632,
  [SMALL_STATE(437)] = 15676,
  [SMALL_STATE(438)] = 15720,
  [SMALL_STATE(439)] = 15764,
  [SMALL_STATE(440)] = 15808,
  [SMALL_STATE(441)] = 15856,
  [SMALL_STATE(442)] = 15900,
  [SMALL_STATE(443)] = 15944,
  [SMALL_STATE(444)] = 15988,
  [SMALL_STATE(445)] = 16032,
  [SMALL_STATE(446)] = 16076,
  [SMALL_STATE(447)] = 16124,
  [SMALL_STATE(448)] = 16172,
  [SMALL_STATE(449)] = 16216,
  [SMALL_STATE(450)] = 16260,
  [SMALL_STATE(451)] = 16308,
  [SMALL_STATE(452)] = 16352,
  [SMALL_STATE(453)] = 16396,
  [SMALL_STATE(454)] = 16440,
  [SMALL_STATE(455)] = 16484,
  [SMALL_STATE(456)] = 16528,
  [SMALL_STATE(457)] = 16572,
  [SMALL_STATE(458)] = 16616,
  [SMALL_STATE(459)] = 16664,
  [SMALL_STATE(460)] = 16712,
  [SMALL_STATE(461)] = 16760,
  [SMALL_STATE(462)] = 16804,
  [SMALL_STATE(463)] = 16848,
  [SMALL_STATE(464)] = 16896,
  [SMALL_STATE(465)] = 16940,
  [SMALL_STATE(466)] = 16984,
  [SMALL_STATE(467)] = 17032,
  [SMALL_STATE(468)] = 17080,
  [SMALL_STATE(469)] = 17128,
  [SMALL_STATE(470)] = 17172,
  [SMALL_STATE(471)] = 17216,
  [SMALL_STATE(472)] = 17260,
  [SMALL_STATE(473)] = 17304,
  [SMALL_STATE(474)] = 17348,
  [SMALL_STATE(475)] = 17392,
  [SMALL_STATE(476)] = 17436,
  [SMALL_STATE(477)] = 17480,
  [SMALL_STATE(478)] = 17524,
  [SMALL_STATE(479)] = 17568,
  [SMALL_STATE(480)] = 17612,
  [SMALL_STATE(481)] = 17656,
  [SMALL_STATE(482)] = 17700,
  [SMALL_STATE(483)] = 17744,
  [SMALL_STATE(484)] = 17788,
  [SMALL_STATE(485)] = 17832,
  [SMALL_STATE(486)] = 17876,
  [SMALL_STATE(487)] = 17920,
  [SMALL_STATE(488)] = 17964,
  [SMALL_STATE(489)] = 18008,
  [SMALL_STATE(490)] = 18056,
  [SMALL_STATE(491)] = 18100,
  [SMALL_STATE(492)] = 18144,
  [SMALL_STATE(493)] = 18192,
  [SMALL_STATE(494)] = 18236,
  [SMALL_STATE(495)] = 18284,
  [SMALL_STATE(496)] = 18328,
  [SMALL_STATE(497)] = 18372,
  [SMALL_STATE(498)] = 18420,
  [SMALL_STATE(499)] = 18464,
  [SMALL_STATE(500)] = 18508,
  [SMALL_STATE(501)] = 18556,
  [SMALL_STATE(502)] = 18600,
  [SMALL_STATE(503)] = 18644,
  [SMALL_STATE(504)] = 18702,
  [SMALL_STATE(505)] = 18750,
  [SMALL_STATE(506)] = 18794,
  [SMALL_STATE(507)] = 18838,
  [SMALL_STATE(508)] = 18882,
  [SMALL_STATE(509)] = 18926,
  [SMALL_STATE(510)] = 18970,
  [SMALL_STATE(511)] = 19014,
  [SMALL_STATE(512)] = 19066,
  [SMALL_STATE(513)] = 19110,
  [SMALL_STATE(514)] = 19160,
  [SMALL_STATE(515)] = 19204,
  [SMALL_STATE(516)] = 19248,
  [SMALL_STATE(517)] = 19292,
  [SMALL_STATE(518)] = 19340,
  [SMALL_STATE(519)] = 19384,
  [SMALL_STATE(520)] = 19428,
  [SMALL_STATE(521)] = 19476,
  [SMALL_STATE(522)] = 19536,
  [SMALL_STATE(523)] = 19584,
  [SMALL_STATE(524)] = 19628,
  [SMALL_STATE(525)] = 19676,
  [SMALL_STATE(526)] = 19724,
  [SMALL_STATE(527)] = 19772,
  [SMALL_STATE(528)] = 19820,
  [SMALL_STATE(529)] = 19868,
  [SMALL_STATE(530)] = 19912,
  [SMALL_STATE(531)] = 19972,
  [SMALL_STATE(532)] = 20020,
  [SMALL_STATE(533)] = 20068,
  [SMALL_STATE(534)] = 20115,
  [SMALL_STATE(535)] = 20158,
  [SMALL_STATE(536)] = 20201,
  [SMALL_STATE(537)] = 20244,
  [SMALL_STATE(538)] = 20287,
  [SMALL_STATE(539)] = 20330,
  [SMALL_STATE(540)] = 20373,
  [SMALL_STATE(541)] = 20416,
  [SMALL_STATE(542)] = 20459,
  [SMALL_STATE(543)] = 20502,
  [SMALL_STATE(544)] = 20545,
  [SMALL_STATE(545)] = 20588,
  [SMALL_STATE(546)] = 20631,
  [SMALL_STATE(547)] = 20674,
  [SMALL_STATE(548)] = 20717,
  [SMALL_STATE(549)] = 20760,
  [SMALL_STATE(550)] = 20803,
  [SMALL_STATE(551)] = 20846,
  [SMALL_STATE(552)] = 20893,
  [SMALL_STATE(553)] = 20936,
  [SMALL_STATE(554)] = 20989,
  [SMALL_STATE(555)] = 21032,
  [SMALL_STATE(556)] = 21075,
  [SMALL_STATE(557)] = 21118,
  [SMALL_STATE(558)] = 21161,
  [SMALL_STATE(559)] = 21204,
  [SMALL_STATE(560)] = 21247,
  [SMALL_STATE(561)] = 21290,
  [SMALL_STATE(562)] = 21333,
  [SMALL_STATE(563)] = 21376,
  [SMALL_STATE(564)] = 21419,
  [SMALL_STATE(565)] = 21462,
  [SMALL_STATE(566)] = 21505,
  [SMALL_STATE(567)] = 21548,
  [SMALL_STATE(568)] = 21591,
  [SMALL_STATE(569)] = 21634,
  [SMALL_STATE(570)] = 21677,
  [SMALL_STATE(571)] = 21720,
  [SMALL_STATE(572)] = 21763,
  [SMALL_STATE(573)] = 21810,
  [SMALL_STATE(574)] = 21853,
  [SMALL_STATE(575)] = 21896,
  [SMALL_STATE(576)] = 21939,
  [SMALL_STATE(577)] = 21982,
  [SMALL_STATE(578)] = 22029,
  [SMALL_STATE(579)] = 22072,
  [SMALL_STATE(580)] = 22115,
  [SMALL_STATE(581)] = 22158,
  [SMALL_STATE(582)] = 22205,
  [SMALL_STATE(583)] = 22248,
  [SMALL_STATE(584)] = 22291,
  [SMALL_STATE(585)] = 22334,
  [SMALL_STATE(586)] = 22377,
  [SMALL_STATE(587)] = 22420,
  [SMALL_STATE(588)] = 22463,
  [SMALL_STATE(589)] = 22506,
  [SMALL_STATE(590)] = 22549,
  [SMALL_STATE(591)] = 22596,
  [SMALL_STATE(592)] = 22639,
  [SMALL_STATE(593)] = 22682,
  [SMALL_STATE(594)] = 22725,
  [SMALL_STATE(595)] = 22768,
  [SMALL_STATE(596)] = 22815,
  [SMALL_STATE(597)] = 22862,
  [SMALL_STATE(598)] = 22909,
  [SMALL_STATE(599)] = 22956,
  [SMALL_STATE(600)] = 23009,
  [SMALL_STATE(601)] = 23052,
  [SMALL_STATE(602)] = 23095,
  [SMALL_STATE(603)] = 23138,
  [SMALL_STATE(604)] = 23181,
  [SMALL_STATE(605)] = 23224,
  [SMALL_STATE(606)] = 23267,
  [SMALL_STATE(607)] = 23310,
  [SMALL_STATE(608)] = 23353,
  [SMALL_STATE(609)] = 23396,
  [SMALL_STATE(610)] = 23439,
  [SMALL_STATE(611)] = 23482,
  [SMALL_STATE(612)] = 23525,
  [SMALL_STATE(613)] = 23568,
  [SMALL_STATE(614)] = 23611,
  [SMALL_STATE(615)] = 23654,
  [SMALL_STATE(616)] = 23701,
  [SMALL_STATE(617)] = 23744,
  [SMALL_STATE(618)] = 23791,
  [SMALL_STATE(619)] = 23834,
  [SMALL_STATE(620)] = 23877,
  [SMALL_STATE(621)] = 23920,
  [SMALL_STATE(622)] = 23963,
  [SMALL_STATE(623)] = 24006,
  [SMALL_STATE(624)] = 24053,
  [SMALL_STATE(625)] = 24096,
  [SMALL_STATE(626)] = 24139,
  [SMALL_STATE(627)] = 24182,
  [SMALL_STATE(628)] = 24225,
  [SMALL_STATE(629)] = 24268,
  [SMALL_STATE(630)] = 24311,
  [SMALL_STATE(631)] = 24354,
  [SMALL_STATE(632)] = 24401,
  [SMALL_STATE(633)] = 24448,
  [SMALL_STATE(634)] = 24495,
  [SMALL_STATE(635)] = 24538,
  [SMALL_STATE(636)] = 24581,
  [SMALL_STATE(637)] = 24624,
  [SMALL_STATE(638)] = 24671,
  [SMALL_STATE(639)] = 24718,
  [SMALL_STATE(640)] = 24765,
  [SMALL_STATE(641)] = 24808,
  [SMALL_STATE(642)] = 24851,
  [SMALL_STATE(643)] = 24894,
  [SMALL_STATE(644)] = 24937,
  [SMALL_STATE(645)] = 24980,
  [SMALL_STATE(646)] = 25023,
  [SMALL_STATE(647)] = 25066,
  [SMALL_STATE(648)] = 25109,
  [SMALL_STATE(649)] = 25152,
  [SMALL_STATE(650)] = 25195,
  [SMALL_STATE(651)] = 25238,
  [SMALL_STATE(652)] = 25281,
  [SMALL_STATE(653)] = 25324,
  [SMALL_STATE(654)] = 25367,
  [SMALL_STATE(655)] = 25410,
  [SMALL_STATE(656)] = 25453,
  [SMALL_STATE(657)] = 25496,
  [SMALL_STATE(658)] = 25539,
  [SMALL_STATE(659)] = 25582,
  [SMALL_STATE(660)] = 25625,
  [SMALL_STATE(661)] = 25668,
  [SMALL_STATE(662)] = 25711,
  [SMALL_STATE(663)] = 25754,
  [SMALL_STATE(664)] = 25797,
  [SMALL_STATE(665)] = 25840,
  [SMALL_STATE(666)] = 25883,
  [SMALL_STATE(667)] = 25926,
  [SMALL_STATE(668)] = 25969,
  [SMALL_STATE(669)] = 26012,
  [SMALL_STATE(670)] = 26055,
  [SMALL_STATE(671)] = 26098,
  [SMALL_STATE(672)] = 26145,
  [SMALL_STATE(673)] = 26188,
  [SMALL_STATE(674)] = 26235,
  [SMALL_STATE(675)] = 26278,
  [SMALL_STATE(676)] = 26321,
  [SMALL_STATE(677)] = 26364,
  [SMALL_STATE(678)] = 26407,
  [SMALL_STATE(679)] = 26450,
  [SMALL_STATE(680)] = 26493,
  [SMALL_STATE(681)] = 26536,
  [SMALL_STATE(682)] = 26579,
  [SMALL_STATE(683)] = 26622,
  [SMALL_STATE(684)] = 26665,
  [SMALL_STATE(685)] = 26708,
  [SMALL_STATE(686)] = 26751,
  [SMALL_STATE(687)] = 26794,
  [SMALL_STATE(688)] = 26837,
  [SMALL_STATE(689)] = 26880,
  [SMALL_STATE(690)] = 26923,
  [SMALL_STATE(691)] = 26966,
  [SMALL_STATE(692)] = 27009,
  [SMALL_STATE(693)] = 27052,
  [SMALL_STATE(694)] = 27095,
  [SMALL_STATE(695)] = 27138,
  [SMALL_STATE(696)] = 27185,
  [SMALL_STATE(697)] = 27232,
  [SMALL_STATE(698)] = 27275,
  [SMALL_STATE(699)] = 27318,
  [SMALL_STATE(700)] = 27365,
  [SMALL_STATE(701)] = 27408,
  [SMALL_STATE(702)] = 27451,
  [SMALL_STATE(703)] = 27494,
  [SMALL_STATE(704)] = 27537,
  [SMALL_STATE(705)] = 27580,
  [SMALL_STATE(706)] = 27623,
  [SMALL_STATE(707)] = 27666,
  [SMALL_STATE(708)] = 27709,
  [SMALL_STATE(709)] = 27752,
  [SMALL_STATE(710)] = 27799,
  [SMALL_STATE(711)] = 27846,
  [SMALL_STATE(712)] = 27889,
  [SMALL_STATE(713)] = 27936,
  [SMALL_STATE(714)] = 27983,
  [SMALL_STATE(715)] = 28026,
  [SMALL_STATE(716)] = 28069,
  [SMALL_STATE(717)] = 28112,
  [SMALL_STATE(718)] = 28155,
  [SMALL_STATE(719)] = 28202,
  [SMALL_STATE(720)] = 28245,
  [SMALL_STATE(721)] = 28292,
  [SMALL_STATE(722)] = 28335,
  [SMALL_STATE(723)] = 28378,
  [SMALL_STATE(724)] = 28425,
  [SMALL_STATE(725)] = 28468,
  [SMALL_STATE(726)] = 28515,
  [SMALL_STATE(727)] = 28558,
  [SMALL_STATE(728)] = 28601,
  [SMALL_STATE(729)] = 28644,
  [SMALL_STATE(730)] = 28687,
  [SMALL_STATE(731)] = 28730,
  [SMALL_STATE(732)] = 28777,
  [SMALL_STATE(733)] = 28820,
  [SMALL_STATE(734)] = 28863,
  [SMALL_STATE(735)] = 28906,
  [SMALL_STATE(736)] = 28953,
  [SMALL_STATE(737)] = 28996,
  [SMALL_STATE(738)] = 29039,
  [SMALL_STATE(739)] = 29081,
  [SMALL_STATE(740)] = 29123,
  [SMALL_STATE(741)] = 29165,
  [SMALL_STATE(742)] = 29207,
  [SMALL_STATE(743)] = 29249,
  [SMALL_STATE(744)] = 29291,
  [SMALL_STATE(745)] = 29333,
  [SMALL_STATE(746)] = 29375,
  [SMALL_STATE(747)] = 29417,
  [SMALL_STATE(748)] = 29491,
  [SMALL_STATE(749)] = 29533,
  [SMALL_STATE(750)] = 29607,
  [SMALL_STATE(751)] = 29653,
  [SMALL_STATE(752)] = 29695,
  [SMALL_STATE(753)] = 29737,
  [SMALL_STATE(754)] = 29779,
  [SMALL_STATE(755)] = 29821,
  [SMALL_STATE(756)] = 29863,
  [SMALL_STATE(757)] = 29905,
  [SMALL_STATE(758)] = 29947,
  [SMALL_STATE(759)] = 29989,
  [SMALL_STATE(760)] = 30031,
  [SMALL_STATE(761)] = 30073,
  [SMALL_STATE(762)] = 30115,
  [SMALL_STATE(763)] = 30157,
  [SMALL_STATE(764)] = 30199,
  [SMALL_STATE(765)] = 30241,
  [SMALL_STATE(766)] = 30283,
  [SMALL_STATE(767)] = 30325,
  [SMALL_STATE(768)] = 30367,
  [SMALL_STATE(769)] = 30409,
  [SMALL_STATE(770)] = 30451,
  [SMALL_STATE(771)] = 30493,
  [SMALL_STATE(772)] = 30567,
  [SMALL_STATE(773)] = 30609,
  [SMALL_STATE(774)] = 30655,
  [SMALL_STATE(775)] = 30707,
  [SMALL_STATE(776)] = 30749,
  [SMALL_STATE(777)] = 30791,
  [SMALL_STATE(778)] = 30833,
  [SMALL_STATE(779)] = 30875,
  [SMALL_STATE(780)] = 30917,
  [SMALL_STATE(781)] = 30959,
  [SMALL_STATE(782)] = 31001,
  [SMALL_STATE(783)] = 31043,
  [SMALL_STATE(784)] = 31085,
  [SMALL_STATE(785)] = 31127,
  [SMALL_STATE(786)] = 31169,
  [SMALL_STATE(787)] = 31215,
  [SMALL_STATE(788)] = 31257,
  [SMALL_STATE(789)] = 31299,
  [SMALL_STATE(790)] = 31341,
  [SMALL_STATE(791)] = 31383,
  [SMALL_STATE(792)] = 31425,
  [SMALL_STATE(793)] = 31467,
  [SMALL_STATE(794)] = 31509,
  [SMALL_STATE(795)] = 31551,
  [SMALL_STATE(796)] = 31597,
  [SMALL_STATE(797)] = 31639,
  [SMALL_STATE(798)] = 31681,
  [SMALL_STATE(799)] = 31755,
  [SMALL_STATE(800)] = 31797,
  [SMALL_STATE(801)] = 31839,
  [SMALL_STATE(802)] = 31885,
  [SMALL_STATE(803)] = 31927,
  [SMALL_STATE(804)] = 31969,
  [SMALL_STATE(805)] = 32011,
  [SMALL_STATE(806)] = 32053,
  [SMALL_STATE(807)] = 32095,
  [SMALL_STATE(808)] = 32137,
  [SMALL_STATE(809)] = 32179,
  [SMALL_STATE(810)] = 32221,
  [SMALL_STATE(811)] = 32263,
  [SMALL_STATE(812)] = 32305,
  [SMALL_STATE(813)] = 32347,
  [SMALL_STATE(814)] = 32389,
  [SMALL_STATE(815)] = 32431,
  [SMALL_STATE(816)] = 32473,
  [SMALL_STATE(817)] = 32515,
  [SMALL_STATE(818)] = 32557,
  [SMALL_STATE(819)] = 32599,
  [SMALL_STATE(820)] = 32641,
  [SMALL_STATE(821)] = 32683,
  [SMALL_STATE(822)] = 32725,
  [SMALL_STATE(823)] = 32767,
  [SMALL_STATE(824)] = 32809,
  [SMALL_STATE(825)] = 32851,
  [SMALL_STATE(826)] = 32897,
  [SMALL_STATE(827)] = 32939,
  [SMALL_STATE(828)] = 32981,
  [SMALL_STATE(829)] = 33023,
  [SMALL_STATE(830)] = 33065,
  [SMALL_STATE(831)] = 33107,
  [SMALL_STATE(832)] = 33149,
  [SMALL_STATE(833)] = 33191,
  [SMALL_STATE(834)] = 33233,
  [SMALL_STATE(835)] = 33275,
  [SMALL_STATE(836)] = 33317,
  [SMALL_STATE(837)] = 33359,
  [SMALL_STATE(838)] = 33401,
  [SMALL_STATE(839)] = 33443,
  [SMALL_STATE(840)] = 33485,
  [SMALL_STATE(841)] = 33559,
  [SMALL_STATE(842)] = 33601,
  [SMALL_STATE(843)] = 33643,
  [SMALL_STATE(844)] = 33685,
  [SMALL_STATE(845)] = 33731,
  [SMALL_STATE(846)] = 33773,
  [SMALL_STATE(847)] = 33815,
  [SMALL_STATE(848)] = 33857,
  [SMALL_STATE(849)] = 33899,
  [SMALL_STATE(850)] = 33941,
  [SMALL_STATE(851)] = 33983,
  [SMALL_STATE(852)] = 34025,
  [SMALL_STATE(853)] = 34067,
  [SMALL_STATE(854)] = 34109,
  [SMALL_STATE(855)] = 34151,
  [SMALL_STATE(856)] = 34193,
  [SMALL_STATE(857)] = 34235,
  [SMALL_STATE(858)] = 34277,
  [SMALL_STATE(859)] = 34319,
  [SMALL_STATE(860)] = 34361,
  [SMALL_STATE(861)] = 34403,
  [SMALL_STATE(862)] = 34445,
  [SMALL_STATE(863)] = 34487,
  [SMALL_STATE(864)] = 34533,
  [SMALL_STATE(865)] = 34575,
  [SMALL_STATE(866)] = 34617,
  [SMALL_STATE(867)] = 34659,
  [SMALL_STATE(868)] = 34701,
  [SMALL_STATE(869)] = 34743,
  [SMALL_STATE(870)] = 34785,
  [SMALL_STATE(871)] = 34827,
  [SMALL_STATE(872)] = 34869,
  [SMALL_STATE(873)] = 34911,
  [SMALL_STATE(874)] = 34953,
  [SMALL_STATE(875)] = 34995,
  [SMALL_STATE(876)] = 35037,
  [SMALL_STATE(877)] = 35079,
  [SMALL_STATE(878)] = 35120,
  [SMALL_STATE(879)] = 35161,
  [SMALL_STATE(880)] = 35202,
  [SMALL_STATE(881)] = 35243,
  [SMALL_STATE(882)] = 35284,
  [SMALL_STATE(883)] = 35325,
  [SMALL_STATE(884)] = 35366,
  [SMALL_STATE(885)] = 35415,
  [SMALL_STATE(886)] = 35456,
  [SMALL_STATE(887)] = 35497,
  [SMALL_STATE(888)] = 35538,
  [SMALL_STATE(889)] = 35602,
  [SMALL_STATE(890)] = 35666,
  [SMALL_STATE(891)] = 35730,
  [SMALL_STATE(892)] = 35794,
  [SMALL_STATE(893)] = 35858,
  [SMALL_STATE(894)] = 35922,
  [SMALL_STATE(895)] = 35986,
  [SMALL_STATE(896)] = 36050,
  [SMALL_STATE(897)] = 36114,
  [SMALL_STATE(898)] = 36166,
  [SMALL_STATE(899)] = 36220,
  [SMALL_STATE(900)] = 36272,
  [SMALL_STATE(901)] = 36324,
  [SMALL_STATE(902)] = 36389,
  [SMALL_STATE(903)] = 36454,
  [SMALL_STATE(904)] = 36519,
  [SMALL_STATE(905)] = 36584,
  [SMALL_STATE(906)] = 36649,
  [SMALL_STATE(907)] = 36714,
  [SMALL_STATE(908)] = 36779,
  [SMALL_STATE(909)] = 36844,
  [SMALL_STATE(910)] = 36909,
  [SMALL_STATE(911)] = 36974,
  [SMALL_STATE(912)] = 37039,
  [SMALL_STATE(913)] = 37104,
  [SMALL_STATE(914)] = 37169,
  [SMALL_STATE(915)] = 37234,
  [SMALL_STATE(916)] = 37299,
  [SMALL_STATE(917)] = 37364,
  [SMALL_STATE(918)] = 37429,
  [SMALL_STATE(919)] = 37494,
  [SMALL_STATE(920)] = 37559,
  [SMALL_STATE(921)] = 37624,
  [SMALL_STATE(922)] = 37689,
  [SMALL_STATE(923)] = 37754,
  [SMALL_STATE(924)] = 37819,
  [SMALL_STATE(925)] = 37884,
  [SMALL_STATE(926)] = 37949,
  [SMALL_STATE(927)] = 38014,
  [SMALL_STATE(928)] = 38079,
  [SMALL_STATE(929)] = 38144,
  [SMALL_STATE(930)] = 38209,
  [SMALL_STATE(931)] = 38274,
  [SMALL_STATE(932)] = 38339,
  [SMALL_STATE(933)] = 38404,
  [SMALL_STATE(934)] = 38469,
  [SMALL_STATE(935)] = 38534,
  [SMALL_STATE(936)] = 38599,
  [SMALL_STATE(937)] = 38664,
  [SMALL_STATE(938)] = 38729,
  [SMALL_STATE(939)] = 38794,
  [SMALL_STATE(940)] = 38859,
  [SMALL_STATE(941)] = 38924,
  [SMALL_STATE(942)] = 38989,
  [SMALL_STATE(943)] = 39054,
  [SMALL_STATE(944)] = 39119,
  [SMALL_STATE(945)] = 39184,
  [SMALL_STATE(946)] = 39249,
  [SMALL_STATE(947)] = 39314,
  [SMALL_STATE(948)] = 39379,
  [SMALL_STATE(949)] = 39444,
  [SMALL_STATE(950)] = 39509,
  [SMALL_STATE(951)] = 39574,
  [SMALL_STATE(952)] = 39639,
  [SMALL_STATE(953)] = 39704,
  [SMALL_STATE(954)] = 39769,
  [SMALL_STATE(955)] = 39834,
  [SMALL_STATE(956)] = 39899,
  [SMALL_STATE(957)] = 39964,
  [SMALL_STATE(958)] = 40029,
  [SMALL_STATE(959)] = 40094,
  [SMALL_STATE(960)] = 40159,
  [SMALL_STATE(961)] = 40224,
  [SMALL_STATE(962)] = 40289,
  [SMALL_STATE(963)] = 40354,
  [SMALL_STATE(964)] = 40419,
  [SMALL_STATE(965)] = 40484,
  [SMALL_STATE(966)] = 40549,
  [SMALL_STATE(967)] = 40614,
  [SMALL_STATE(968)] = 40679,
  [SMALL_STATE(969)] = 40744,
  [SMALL_STATE(970)] = 40809,
  [SMALL_STATE(971)] = 40874,
  [SMALL_STATE(972)] = 40939,
  [SMALL_STATE(973)] = 41004,
  [SMALL_STATE(974)] = 41069,
  [SMALL_STATE(975)] = 41134,
  [SMALL_STATE(976)] = 41199,
  [SMALL_STATE(977)] = 41264,
  [SMALL_STATE(978)] = 41329,
  [SMALL_STATE(979)] = 41394,
  [SMALL_STATE(980)] = 41459,
  [SMALL_STATE(981)] = 41524,
  [SMALL_STATE(982)] = 41589,
  [SMALL_STATE(983)] = 41654,
  [SMALL_STATE(984)] = 41719,
  [SMALL_STATE(985)] = 41784,
  [SMALL_STATE(986)] = 41849,
  [SMALL_STATE(987)] = 41914,
  [SMALL_STATE(988)] = 41979,
  [SMALL_STATE(989)] = 42044,
  [SMALL_STATE(990)] = 42109,
  [SMALL_STATE(991)] = 42174,
  [SMALL_STATE(992)] = 42239,
  [SMALL_STATE(993)] = 42304,
  [SMALL_STATE(994)] = 42369,
  [SMALL_STATE(995)] = 42434,
  [SMALL_STATE(996)] = 42499,
  [SMALL_STATE(997)] = 42564,
  [SMALL_STATE(998)] = 42629,
  [SMALL_STATE(999)] = 42694,
  [SMALL_STATE(1000)] = 42759,
  [SMALL_STATE(1001)] = 42824,
  [SMALL_STATE(1002)] = 42889,
  [SMALL_STATE(1003)] = 42954,
  [SMALL_STATE(1004)] = 43019,
  [SMALL_STATE(1005)] = 43084,
  [SMALL_STATE(1006)] = 43149,
  [SMALL_STATE(1007)] = 43214,
  [SMALL_STATE(1008)] = 43279,
  [SMALL_STATE(1009)] = 43344,
  [SMALL_STATE(1010)] = 43409,
  [SMALL_STATE(1011)] = 43474,
  [SMALL_STATE(1012)] = 43539,
  [SMALL_STATE(1013)] = 43604,
  [SMALL_STATE(1014)] = 43669,
  [SMALL_STATE(1015)] = 43734,
  [SMALL_STATE(1016)] = 43799,
  [SMALL_STATE(1017)] = 43864,
  [SMALL_STATE(1018)] = 43929,
  [SMALL_STATE(1019)] = 43994,
  [SMALL_STATE(1020)] = 44059,
  [SMALL_STATE(1021)] = 44124,
  [SMALL_STATE(1022)] = 44189,
  [SMALL_STATE(1023)] = 44254,
  [SMALL_STATE(1024)] = 44319,
  [SMALL_STATE(1025)] = 44384,
  [SMALL_STATE(1026)] = 44449,
  [SMALL_STATE(1027)] = 44514,
  [SMALL_STATE(1028)] = 44579,
  [SMALL_STATE(1029)] = 44644,
  [SMALL_STATE(1030)] = 44709,
  [SMALL_STATE(1031)] = 44774,
  [SMALL_STATE(1032)] = 44839,
  [SMALL_STATE(1033)] = 44904,
  [SMALL_STATE(1034)] = 44969,
  [SMALL_STATE(1035)] = 45034,
  [SMALL_STATE(1036)] = 45099,
  [SMALL_STATE(1037)] = 45164,
  [SMALL_STATE(1038)] = 45229,
  [SMALL_STATE(1039)] = 45294,
  [SMALL_STATE(1040)] = 45359,
  [SMALL_STATE(1041)] = 45424,
  [SMALL_STATE(1042)] = 45489,
  [SMALL_STATE(1043)] = 45554,
  [SMALL_STATE(1044)] = 45619,
  [SMALL_STATE(1045)] = 45684,
  [SMALL_STATE(1046)] = 45749,
  [SMALL_STATE(1047)] = 45814,
  [SMALL_STATE(1048)] = 45879,
  [SMALL_STATE(1049)] = 45944,
  [SMALL_STATE(1050)] = 46009,
  [SMALL_STATE(1051)] = 46074,
  [SMALL_STATE(1052)] = 46139,
  [SMALL_STATE(1053)] = 46204,
  [SMALL_STATE(1054)] = 46269,
  [SMALL_STATE(1055)] = 46334,
  [SMALL_STATE(1056)] = 46399,
  [SMALL_STATE(1057)] = 46464,
  [SMALL_STATE(1058)] = 46529,
  [SMALL_STATE(1059)] = 46594,
  [SMALL_STATE(1060)] = 46659,
  [SMALL_STATE(1061)] = 46724,
  [SMALL_STATE(1062)] = 46789,
  [SMALL_STATE(1063)] = 46854,
  [SMALL_STATE(1064)] = 46919,
  [SMALL_STATE(1065)] = 46984,
  [SMALL_STATE(1066)] = 47049,
  [SMALL_STATE(1067)] = 47114,
  [SMALL_STATE(1068)] = 47179,
  [SMALL_STATE(1069)] = 47244,
  [SMALL_STATE(1070)] = 47309,
  [SMALL_STATE(1071)] = 47374,
  [SMALL_STATE(1072)] = 47439,
  [SMALL_STATE(1073)] = 47504,
  [SMALL_STATE(1074)] = 47569,
  [SMALL_STATE(1075)] = 47634,
  [SMALL_STATE(1076)] = 47699,
  [SMALL_STATE(1077)] = 47764,
  [SMALL_STATE(1078)] = 47829,
  [SMALL_STATE(1079)] = 47894,
  [SMALL_STATE(1080)] = 47959,
  [SMALL_STATE(1081)] = 48024,
  [SMALL_STATE(1082)] = 48089,
  [SMALL_STATE(1083)] = 48154,
  [SMALL_STATE(1084)] = 48219,
  [SMALL_STATE(1085)] = 48284,
  [SMALL_STATE(1086)] = 48349,
  [SMALL_STATE(1087)] = 48414,
  [SMALL_STATE(1088)] = 48479,
  [SMALL_STATE(1089)] = 48544,
  [SMALL_STATE(1090)] = 48609,
  [SMALL_STATE(1091)] = 48674,
  [SMALL_STATE(1092)] = 48739,
  [SMALL_STATE(1093)] = 48804,
  [SMALL_STATE(1094)] = 48869,
  [SMALL_STATE(1095)] = 48934,
  [SMALL_STATE(1096)] = 48999,
  [SMALL_STATE(1097)] = 49064,
  [SMALL_STATE(1098)] = 49129,
  [SMALL_STATE(1099)] = 49194,
  [SMALL_STATE(1100)] = 49259,
  [SMALL_STATE(1101)] = 49324,
  [SMALL_STATE(1102)] = 49389,
  [SMALL_STATE(1103)] = 49454,
  [SMALL_STATE(1104)] = 49519,
  [SMALL_STATE(1105)] = 49584,
  [SMALL_STATE(1106)] = 49649,
  [SMALL_STATE(1107)] = 49714,
  [SMALL_STATE(1108)] = 49779,
  [SMALL_STATE(1109)] = 49844,
  [SMALL_STATE(1110)] = 49909,
  [SMALL_STATE(1111)] = 49974,
  [SMALL_STATE(1112)] = 50039,
  [SMALL_STATE(1113)] = 50104,
  [SMALL_STATE(1114)] = 50169,
  [SMALL_STATE(1115)] = 50234,
  [SMALL_STATE(1116)] = 50299,
  [SMALL_STATE(1117)] = 50364,
  [SMALL_STATE(1118)] = 50429,
  [SMALL_STATE(1119)] = 50494,
  [SMALL_STATE(1120)] = 50559,
  [SMALL_STATE(1121)] = 50624,
  [SMALL_STATE(1122)] = 50689,
  [SMALL_STATE(1123)] = 50754,
  [SMALL_STATE(1124)] = 50819,
  [SMALL_STATE(1125)] = 50884,
  [SMALL_STATE(1126)] = 50949,
  [SMALL_STATE(1127)] = 51014,
  [SMALL_STATE(1128)] = 51079,
  [SMALL_STATE(1129)] = 51144,
  [SMALL_STATE(1130)] = 51209,
  [SMALL_STATE(1131)] = 51274,
  [SMALL_STATE(1132)] = 51339,
  [SMALL_STATE(1133)] = 51404,
  [SMALL_STATE(1134)] = 51469,
  [SMALL_STATE(1135)] = 51534,
  [SMALL_STATE(1136)] = 51599,
  [SMALL_STATE(1137)] = 51664,
  [SMALL_STATE(1138)] = 51729,
  [SMALL_STATE(1139)] = 51794,
  [SMALL_STATE(1140)] = 51859,
  [SMALL_STATE(1141)] = 51924,
  [SMALL_STATE(1142)] = 51989,
  [SMALL_STATE(1143)] = 52054,
  [SMALL_STATE(1144)] = 52119,
  [SMALL_STATE(1145)] = 52184,
  [SMALL_STATE(1146)] = 52249,
  [SMALL_STATE(1147)] = 52314,
  [SMALL_STATE(1148)] = 52379,
  [SMALL_STATE(1149)] = 52444,
  [SMALL_STATE(1150)] = 52509,
  [SMALL_STATE(1151)] = 52574,
  [SMALL_STATE(1152)] = 52639,
  [SMALL_STATE(1153)] = 52704,
  [SMALL_STATE(1154)] = 52769,
  [SMALL_STATE(1155)] = 52834,
  [SMALL_STATE(1156)] = 52899,
  [SMALL_STATE(1157)] = 52964,
  [SMALL_STATE(1158)] = 53029,
  [SMALL_STATE(1159)] = 53094,
  [SMALL_STATE(1160)] = 53159,
  [SMALL_STATE(1161)] = 53224,
  [SMALL_STATE(1162)] = 53289,
  [SMALL_STATE(1163)] = 53354,
  [SMALL_STATE(1164)] = 53419,
  [SMALL_STATE(1165)] = 53484,
  [SMALL_STATE(1166)] = 53549,
  [SMALL_STATE(1167)] = 53611,
  [SMALL_STATE(1168)] = 53673,
  [SMALL_STATE(1169)] = 53735,
  [SMALL_STATE(1170)] = 53797,
  [SMALL_STATE(1171)] = 53859,
  [SMALL_STATE(1172)] = 53921,
  [SMALL_STATE(1173)] = 53983,
  [SMALL_STATE(1174)] = 54045,
  [SMALL_STATE(1175)] = 54107,
  [SMALL_STATE(1176)] = 54169,
  [SMALL_STATE(1177)] = 54231,
  [SMALL_STATE(1178)] = 54293,
  [SMALL_STATE(1179)] = 54355,
  [SMALL_STATE(1180)] = 54417,
  [SMALL_STATE(1181)] = 54479,
  [SMALL_STATE(1182)] = 54541,
  [SMALL_STATE(1183)] = 54603,
  [SMALL_STATE(1184)] = 54665,
  [SMALL_STATE(1185)] = 54727,
  [SMALL_STATE(1186)] = 54789,
  [SMALL_STATE(1187)] = 54851,
  [SMALL_STATE(1188)] = 54913,
  [SMALL_STATE(1189)] = 54975,
  [SMALL_STATE(1190)] = 55037,
  [SMALL_STATE(1191)] = 55099,
  [SMALL_STATE(1192)] = 55161,
  [SMALL_STATE(1193)] = 55223,
  [SMALL_STATE(1194)] = 55285,
  [SMALL_STATE(1195)] = 55347,
  [SMALL_STATE(1196)] = 55409,
  [SMALL_STATE(1197)] = 55471,
  [SMALL_STATE(1198)] = 55533,
  [SMALL_STATE(1199)] = 55595,
  [SMALL_STATE(1200)] = 55657,
  [SMALL_STATE(1201)] = 55719,
  [SMALL_STATE(1202)] = 55781,
  [SMALL_STATE(1203)] = 55843,
  [SMALL_STATE(1204)] = 55905,
  [SMALL_STATE(1205)] = 55967,
  [SMALL_STATE(1206)] = 56029,
  [SMALL_STATE(1207)] = 56091,
  [SMALL_STATE(1208)] = 56153,
  [SMALL_STATE(1209)] = 56215,
  [SMALL_STATE(1210)] = 56277,
  [SMALL_STATE(1211)] = 56339,
  [SMALL_STATE(1212)] = 56401,
  [SMALL_STATE(1213)] = 56463,
  [SMALL_STATE(1214)] = 56525,
  [SMALL_STATE(1215)] = 56587,
  [SMALL_STATE(1216)] = 56649,
  [SMALL_STATE(1217)] = 56711,
  [SMALL_STATE(1218)] = 56773,
  [SMALL_STATE(1219)] = 56835,
  [SMALL_STATE(1220)] = 56897,
  [SMALL_STATE(1221)] = 56959,
  [SMALL_STATE(1222)] = 57021,
  [SMALL_STATE(1223)] = 57083,
  [SMALL_STATE(1224)] = 57145,
  [SMALL_STATE(1225)] = 57207,
  [SMALL_STATE(1226)] = 57269,
  [SMALL_STATE(1227)] = 57331,
  [SMALL_STATE(1228)] = 57393,
  [SMALL_STATE(1229)] = 57455,
  [SMALL_STATE(1230)] = 57517,
  [SMALL_STATE(1231)] = 57579,
  [SMALL_STATE(1232)] = 57641,
  [SMALL_STATE(1233)] = 57703,
  [SMALL_STATE(1234)] = 57765,
  [SMALL_STATE(1235)] = 57827,
  [SMALL_STATE(1236)] = 57889,
  [SMALL_STATE(1237)] = 57951,
  [SMALL_STATE(1238)] = 58013,
  [SMALL_STATE(1239)] = 58075,
  [SMALL_STATE(1240)] = 58137,
  [SMALL_STATE(1241)] = 58199,
  [SMALL_STATE(1242)] = 58261,
  [SMALL_STATE(1243)] = 58323,
  [SMALL_STATE(1244)] = 58385,
  [SMALL_STATE(1245)] = 58447,
  [SMALL_STATE(1246)] = 58509,
  [SMALL_STATE(1247)] = 58571,
  [SMALL_STATE(1248)] = 58633,
  [SMALL_STATE(1249)] = 58695,
  [SMALL_STATE(1250)] = 58757,
  [SMALL_STATE(1251)] = 58819,
  [SMALL_STATE(1252)] = 58881,
  [SMALL_STATE(1253)] = 58943,
  [SMALL_STATE(1254)] = 59005,
  [SMALL_STATE(1255)] = 59067,
  [SMALL_STATE(1256)] = 59129,
  [SMALL_STATE(1257)] = 59191,
  [SMALL_STATE(1258)] = 59253,
  [SMALL_STATE(1259)] = 59315,
  [SMALL_STATE(1260)] = 59377,
  [SMALL_STATE(1261)] = 59439,
  [SMALL_STATE(1262)] = 59501,
  [SMALL_STATE(1263)] = 59563,
  [SMALL_STATE(1264)] = 59625,
  [SMALL_STATE(1265)] = 59687,
  [SMALL_STATE(1266)] = 59749,
  [SMALL_STATE(1267)] = 59811,
  [SMALL_STATE(1268)] = 59873,
  [SMALL_STATE(1269)] = 59935,
  [SMALL_STATE(1270)] = 59997,
  [SMALL_STATE(1271)] = 60059,
  [SMALL_STATE(1272)] = 60121,
  [SMALL_STATE(1273)] = 60183,
  [SMALL_STATE(1274)] = 60245,
  [SMALL_STATE(1275)] = 60307,
  [SMALL_STATE(1276)] = 60369,
  [SMALL_STATE(1277)] = 60431,
  [SMALL_STATE(1278)] = 60493,
  [SMALL_STATE(1279)] = 60555,
  [SMALL_STATE(1280)] = 60617,
  [SMALL_STATE(1281)] = 60679,
  [SMALL_STATE(1282)] = 60741,
  [SMALL_STATE(1283)] = 60803,
  [SMALL_STATE(1284)] = 60865,
  [SMALL_STATE(1285)] = 60927,
  [SMALL_STATE(1286)] = 60989,
  [SMALL_STATE(1287)] = 61051,
  [SMALL_STATE(1288)] = 61113,
  [SMALL_STATE(1289)] = 61175,
  [SMALL_STATE(1290)] = 61237,
  [SMALL_STATE(1291)] = 61299,
  [SMALL_STATE(1292)] = 61361,
  [SMALL_STATE(1293)] = 61423,
  [SMALL_STATE(1294)] = 61485,
  [SMALL_STATE(1295)] = 61547,
  [SMALL_STATE(1296)] = 61609,
  [SMALL_STATE(1297)] = 61671,
  [SMALL_STATE(1298)] = 61733,
  [SMALL_STATE(1299)] = 61795,
  [SMALL_STATE(1300)] = 61857,
  [SMALL_STATE(1301)] = 61919,
  [SMALL_STATE(1302)] = 61981,
  [SMALL_STATE(1303)] = 62043,
  [SMALL_STATE(1304)] = 62105,
  [SMALL_STATE(1305)] = 62167,
  [SMALL_STATE(1306)] = 62229,
  [SMALL_STATE(1307)] = 62291,
  [SMALL_STATE(1308)] = 62353,
  [SMALL_STATE(1309)] = 62415,
  [SMALL_STATE(1310)] = 62477,
  [SMALL_STATE(1311)] = 62539,
  [SMALL_STATE(1312)] = 62601,
  [SMALL_STATE(1313)] = 62663,
  [SMALL_STATE(1314)] = 62725,
  [SMALL_STATE(1315)] = 62787,
  [SMALL_STATE(1316)] = 62849,
  [SMALL_STATE(1317)] = 62911,
  [SMALL_STATE(1318)] = 62973,
  [SMALL_STATE(1319)] = 63035,
  [SMALL_STATE(1320)] = 63097,
  [SMALL_STATE(1321)] = 63159,
  [SMALL_STATE(1322)] = 63221,
  [SMALL_STATE(1323)] = 63283,
  [SMALL_STATE(1324)] = 63345,
  [SMALL_STATE(1325)] = 63407,
  [SMALL_STATE(1326)] = 63469,
  [SMALL_STATE(1327)] = 63531,
  [SMALL_STATE(1328)] = 63593,
  [SMALL_STATE(1329)] = 63655,
  [SMALL_STATE(1330)] = 63717,
  [SMALL_STATE(1331)] = 63779,
  [SMALL_STATE(1332)] = 63841,
  [SMALL_STATE(1333)] = 63903,
  [SMALL_STATE(1334)] = 63965,
  [SMALL_STATE(1335)] = 64027,
  [SMALL_STATE(1336)] = 64089,
  [SMALL_STATE(1337)] = 64151,
  [SMALL_STATE(1338)] = 64213,
  [SMALL_STATE(1339)] = 64275,
  [SMALL_STATE(1340)] = 64337,
  [SMALL_STATE(1341)] = 64399,
  [SMALL_STATE(1342)] = 64461,
  [SMALL_STATE(1343)] = 64523,
  [SMALL_STATE(1344)] = 64585,
  [SMALL_STATE(1345)] = 64647,
  [SMALL_STATE(1346)] = 64709,
  [SMALL_STATE(1347)] = 64771,
  [SMALL_STATE(1348)] = 64833,
  [SMALL_STATE(1349)] = 64895,
  [SMALL_STATE(1350)] = 64957,
  [SMALL_STATE(1351)] = 65019,
  [SMALL_STATE(1352)] = 65081,
  [SMALL_STATE(1353)] = 65143,
  [SMALL_STATE(1354)] = 65205,
  [SMALL_STATE(1355)] = 65267,
  [SMALL_STATE(1356)] = 65329,
  [SMALL_STATE(1357)] = 65391,
  [SMALL_STATE(1358)] = 65453,
  [SMALL_STATE(1359)] = 65515,
  [SMALL_STATE(1360)] = 65577,
  [SMALL_STATE(1361)] = 65639,
  [SMALL_STATE(1362)] = 65701,
  [SMALL_STATE(1363)] = 65763,
  [SMALL_STATE(1364)] = 65825,
  [SMALL_STATE(1365)] = 65887,
  [SMALL_STATE(1366)] = 65949,
  [SMALL_STATE(1367)] = 66011,
  [SMALL_STATE(1368)] = 66073,
  [SMALL_STATE(1369)] = 66135,
  [SMALL_STATE(1370)] = 66197,
  [SMALL_STATE(1371)] = 66259,
  [SMALL_STATE(1372)] = 66321,
  [SMALL_STATE(1373)] = 66383,
  [SMALL_STATE(1374)] = 66445,
  [SMALL_STATE(1375)] = 66507,
  [SMALL_STATE(1376)] = 66569,
  [SMALL_STATE(1377)] = 66631,
  [SMALL_STATE(1378)] = 66693,
  [SMALL_STATE(1379)] = 66755,
  [SMALL_STATE(1380)] = 66817,
  [SMALL_STATE(1381)] = 66879,
  [SMALL_STATE(1382)] = 66941,
  [SMALL_STATE(1383)] = 67003,
  [SMALL_STATE(1384)] = 67065,
  [SMALL_STATE(1385)] = 67127,
  [SMALL_STATE(1386)] = 67189,
  [SMALL_STATE(1387)] = 67251,
  [SMALL_STATE(1388)] = 67313,
  [SMALL_STATE(1389)] = 67375,
  [SMALL_STATE(1390)] = 67437,
  [SMALL_STATE(1391)] = 67499,
  [SMALL_STATE(1392)] = 67561,
  [SMALL_STATE(1393)] = 67623,
  [SMALL_STATE(1394)] = 67685,
  [SMALL_STATE(1395)] = 67747,
  [SMALL_STATE(1396)] = 67809,
  [SMALL_STATE(1397)] = 67871,
  [SMALL_STATE(1398)] = 67933,
  [SMALL_STATE(1399)] = 67995,
  [SMALL_STATE(1400)] = 68057,
  [SMALL_STATE(1401)] = 68119,
  [SMALL_STATE(1402)] = 68181,
  [SMALL_STATE(1403)] = 68243,
  [SMALL_STATE(1404)] = 68305,
  [SMALL_STATE(1405)] = 68367,
  [SMALL_STATE(1406)] = 68429,
  [SMALL_STATE(1407)] = 68491,
  [SMALL_STATE(1408)] = 68553,
  [SMALL_STATE(1409)] = 68615,
  [SMALL_STATE(1410)] = 68677,
  [SMALL_STATE(1411)] = 68739,
  [SMALL_STATE(1412)] = 68801,
  [SMALL_STATE(1413)] = 68863,
  [SMALL_STATE(1414)] = 68925,
  [SMALL_STATE(1415)] = 68987,
  [SMALL_STATE(1416)] = 69049,
  [SMALL_STATE(1417)] = 69111,
  [SMALL_STATE(1418)] = 69173,
  [SMALL_STATE(1419)] = 69235,
  [SMALL_STATE(1420)] = 69297,
  [SMALL_STATE(1421)] = 69359,
  [SMALL_STATE(1422)] = 69421,
  [SMALL_STATE(1423)] = 69483,
  [SMALL_STATE(1424)] = 69545,
  [SMALL_STATE(1425)] = 69607,
  [SMALL_STATE(1426)] = 69669,
  [SMALL_STATE(1427)] = 69731,
  [SMALL_STATE(1428)] = 69793,
  [SMALL_STATE(1429)] = 69855,
  [SMALL_STATE(1430)] = 69917,
  [SMALL_STATE(1431)] = 69979,
  [SMALL_STATE(1432)] = 70041,
  [SMALL_STATE(1433)] = 70103,
  [SMALL_STATE(1434)] = 70165,
  [SMALL_STATE(1435)] = 70227,
  [SMALL_STATE(1436)] = 70289,
  [SMALL_STATE(1437)] = 70351,
  [SMALL_STATE(1438)] = 70413,
  [SMALL_STATE(1439)] = 70475,
  [SMALL_STATE(1440)] = 70537,
  [SMALL_STATE(1441)] = 70599,
  [SMALL_STATE(1442)] = 70661,
  [SMALL_STATE(1443)] = 70723,
  [SMALL_STATE(1444)] = 70785,
  [SMALL_STATE(1445)] = 70847,
  [SMALL_STATE(1446)] = 70909,
  [SMALL_STATE(1447)] = 70971,
  [SMALL_STATE(1448)] = 71033,
  [SMALL_STATE(1449)] = 71095,
  [SMALL_STATE(1450)] = 71157,
  [SMALL_STATE(1451)] = 71219,
  [SMALL_STATE(1452)] = 71281,
  [SMALL_STATE(1453)] = 71343,
  [SMALL_STATE(1454)] = 71405,
  [SMALL_STATE(1455)] = 71467,
  [SMALL_STATE(1456)] = 71529,
  [SMALL_STATE(1457)] = 71591,
  [SMALL_STATE(1458)] = 71653,
  [SMALL_STATE(1459)] = 71715,
  [SMALL_STATE(1460)] = 71777,
  [SMALL_STATE(1461)] = 71839,
  [SMALL_STATE(1462)] = 71901,
  [SMALL_STATE(1463)] = 71963,
  [SMALL_STATE(1464)] = 72025,
  [SMALL_STATE(1465)] = 72087,
  [SMALL_STATE(1466)] = 72149,
  [SMALL_STATE(1467)] = 72211,
  [SMALL_STATE(1468)] = 72273,
  [SMALL_STATE(1469)] = 72335,
  [SMALL_STATE(1470)] = 72397,
  [SMALL_STATE(1471)] = 72459,
  [SMALL_STATE(1472)] = 72521,
  [SMALL_STATE(1473)] = 72583,
  [SMALL_STATE(1474)] = 72645,
  [SMALL_STATE(1475)] = 72707,
  [SMALL_STATE(1476)] = 72769,
  [SMALL_STATE(1477)] = 72831,
  [SMALL_STATE(1478)] = 72893,
  [SMALL_STATE(1479)] = 72955,
  [SMALL_STATE(1480)] = 73017,
  [SMALL_STATE(1481)] = 73079,
  [SMALL_STATE(1482)] = 73141,
  [SMALL_STATE(1483)] = 73203,
  [SMALL_STATE(1484)] = 73265,
  [SMALL_STATE(1485)] = 73327,
  [SMALL_STATE(1486)] = 73389,
  [SMALL_STATE(1487)] = 73451,
  [SMALL_STATE(1488)] = 73513,
  [SMALL_STATE(1489)] = 73575,
  [SMALL_STATE(1490)] = 73637,
  [SMALL_STATE(1491)] = 73699,
  [SMALL_STATE(1492)] = 73761,
  [SMALL_STATE(1493)] = 73823,
  [SMALL_STATE(1494)] = 73885,
  [SMALL_STATE(1495)] = 73947,
  [SMALL_STATE(1496)] = 74009,
  [SMALL_STATE(1497)] = 74071,
  [SMALL_STATE(1498)] = 74133,
  [SMALL_STATE(1499)] = 74195,
  [SMALL_STATE(1500)] = 74257,
  [SMALL_STATE(1501)] = 74319,
  [SMALL_STATE(1502)] = 74381,
  [SMALL_STATE(1503)] = 74443,
  [SMALL_STATE(1504)] = 74505,
  [SMALL_STATE(1505)] = 74567,
  [SMALL_STATE(1506)] = 74629,
  [SMALL_STATE(1507)] = 74691,
  [SMALL_STATE(1508)] = 74753,
  [SMALL_STATE(1509)] = 74815,
  [SMALL_STATE(1510)] = 74877,
  [SMALL_STATE(1511)] = 74939,
  [SMALL_STATE(1512)] = 75001,
  [SMALL_STATE(1513)] = 75063,
  [SMALL_STATE(1514)] = 75125,
  [SMALL_STATE(1515)] = 75187,
  [SMALL_STATE(1516)] = 75249,
  [SMALL_STATE(1517)] = 75311,
  [SMALL_STATE(1518)] = 75373,
  [SMALL_STATE(1519)] = 75435,
  [SMALL_STATE(1520)] = 75497,
  [SMALL_STATE(1521)] = 75559,
  [SMALL_STATE(1522)] = 75621,
  [SMALL_STATE(1523)] = 75683,
  [SMALL_STATE(1524)] = 75745,
  [SMALL_STATE(1525)] = 75807,
  [SMALL_STATE(1526)] = 75869,
  [SMALL_STATE(1527)] = 75931,
  [SMALL_STATE(1528)] = 75993,
  [SMALL_STATE(1529)] = 76055,
  [SMALL_STATE(1530)] = 76117,
  [SMALL_STATE(1531)] = 76179,
  [SMALL_STATE(1532)] = 76241,
  [SMALL_STATE(1533)] = 76303,
  [SMALL_STATE(1534)] = 76365,
  [SMALL_STATE(1535)] = 76427,
  [SMALL_STATE(1536)] = 76489,
  [SMALL_STATE(1537)] = 76551,
  [SMALL_STATE(1538)] = 76613,
  [SMALL_STATE(1539)] = 76675,
  [SMALL_STATE(1540)] = 76737,
  [SMALL_STATE(1541)] = 76799,
  [SMALL_STATE(1542)] = 76861,
  [SMALL_STATE(1543)] = 76923,
  [SMALL_STATE(1544)] = 76985,
  [SMALL_STATE(1545)] = 77047,
  [SMALL_STATE(1546)] = 77109,
  [SMALL_STATE(1547)] = 77171,
  [SMALL_STATE(1548)] = 77233,
  [SMALL_STATE(1549)] = 77295,
  [SMALL_STATE(1550)] = 77357,
  [SMALL_STATE(1551)] = 77419,
  [SMALL_STATE(1552)] = 77481,
  [SMALL_STATE(1553)] = 77543,
  [SMALL_STATE(1554)] = 77605,
  [SMALL_STATE(1555)] = 77667,
  [SMALL_STATE(1556)] = 77729,
  [SMALL_STATE(1557)] = 77791,
  [SMALL_STATE(1558)] = 77853,
  [SMALL_STATE(1559)] = 77915,
  [SMALL_STATE(1560)] = 77977,
  [SMALL_STATE(1561)] = 78039,
  [SMALL_STATE(1562)] = 78101,
  [SMALL_STATE(1563)] = 78163,
  [SMALL_STATE(1564)] = 78225,
  [SMALL_STATE(1565)] = 78287,
  [SMALL_STATE(1566)] = 78349,
  [SMALL_STATE(1567)] = 78411,
  [SMALL_STATE(1568)] = 78473,
  [SMALL_STATE(1569)] = 78535,
  [SMALL_STATE(1570)] = 78597,
  [SMALL_STATE(1571)] = 78659,
  [SMALL_STATE(1572)] = 78721,
  [SMALL_STATE(1573)] = 78783,
  [SMALL_STATE(1574)] = 78845,
  [SMALL_STATE(1575)] = 78907,
  [SMALL_STATE(1576)] = 78969,
  [SMALL_STATE(1577)] = 79031,
  [SMALL_STATE(1578)] = 79093,
  [SMALL_STATE(1579)] = 79155,
  [SMALL_STATE(1580)] = 79217,
  [SMALL_STATE(1581)] = 79279,
  [SMALL_STATE(1582)] = 79341,
  [SMALL_STATE(1583)] = 79403,
  [SMALL_STATE(1584)] = 79465,
  [SMALL_STATE(1585)] = 79527,
  [SMALL_STATE(1586)] = 79589,
  [SMALL_STATE(1587)] = 79651,
  [SMALL_STATE(1588)] = 79713,
  [SMALL_STATE(1589)] = 79775,
  [SMALL_STATE(1590)] = 79837,
  [SMALL_STATE(1591)] = 79899,
  [SMALL_STATE(1592)] = 79961,
  [SMALL_STATE(1593)] = 80023,
  [SMALL_STATE(1594)] = 80085,
  [SMALL_STATE(1595)] = 80147,
  [SMALL_STATE(1596)] = 80209,
  [SMALL_STATE(1597)] = 80271,
  [SMALL_STATE(1598)] = 80333,
  [SMALL_STATE(1599)] = 80395,
  [SMALL_STATE(1600)] = 80457,
  [SMALL_STATE(1601)] = 80519,
  [SMALL_STATE(1602)] = 80581,
  [SMALL_STATE(1603)] = 80643,
  [SMALL_STATE(1604)] = 80705,
  [SMALL_STATE(1605)] = 80767,
  [SMALL_STATE(1606)] = 80829,
  [SMALL_STATE(1607)] = 80891,
  [SMALL_STATE(1608)] = 80953,
  [SMALL_STATE(1609)] = 81015,
  [SMALL_STATE(1610)] = 81077,
  [SMALL_STATE(1611)] = 81139,
  [SMALL_STATE(1612)] = 81201,
  [SMALL_STATE(1613)] = 81263,
  [SMALL_STATE(1614)] = 81325,
  [SMALL_STATE(1615)] = 81387,
  [SMALL_STATE(1616)] = 81449,
  [SMALL_STATE(1617)] = 81511,
  [SMALL_STATE(1618)] = 81573,
  [SMALL_STATE(1619)] = 81635,
  [SMALL_STATE(1620)] = 81697,
  [SMALL_STATE(1621)] = 81759,
  [SMALL_STATE(1622)] = 81821,
  [SMALL_STATE(1623)] = 81883,
  [SMALL_STATE(1624)] = 81945,
  [SMALL_STATE(1625)] = 82007,
  [SMALL_STATE(1626)] = 82069,
  [SMALL_STATE(1627)] = 82131,
  [SMALL_STATE(1628)] = 82193,
  [SMALL_STATE(1629)] = 82255,
  [SMALL_STATE(1630)] = 82317,
  [SMALL_STATE(1631)] = 82379,
  [SMALL_STATE(1632)] = 82441,
  [SMALL_STATE(1633)] = 82503,
  [SMALL_STATE(1634)] = 82565,
  [SMALL_STATE(1635)] = 82616,
  [SMALL_STATE(1636)] = 82667,
  [SMALL_STATE(1637)] = 82712,
  [SMALL_STATE(1638)] = 82751,
  [SMALL_STATE(1639)] = 82798,
  [SMALL_STATE(1640)] = 82835,
  [SMALL_STATE(1641)] = 82880,
  [SMALL_STATE(1642)] = 82916,
  [SMALL_STATE(1643)] = 82960,
  [SMALL_STATE(1644)] = 83010,
  [SMALL_STATE(1645)] = 83046,
  [SMALL_STATE(1646)] = 83090,
  [SMALL_STATE(1647)] = 83128,
  [SMALL_STATE(1648)] = 83178,
  [SMALL_STATE(1649)] = 83222,
  [SMALL_STATE(1650)] = 83260,
  [SMALL_STATE(1651)] = 83304,
  [SMALL_STATE(1652)] = 83341,
  [SMALL_STATE(1653)] = 83378,
  [SMALL_STATE(1654)] = 83415,
  [SMALL_STATE(1655)] = 83452,
  [SMALL_STATE(1656)] = 83489,
  [SMALL_STATE(1657)] = 83526,
  [SMALL_STATE(1658)] = 83563,
  [SMALL_STATE(1659)] = 83606,
  [SMALL_STATE(1660)] = 83655,
  [SMALL_STATE(1661)] = 83704,
  [SMALL_STATE(1662)] = 83747,
  [SMALL_STATE(1663)] = 83784,
  [SMALL_STATE(1664)] = 83819,
  [SMALL_STATE(1665)] = 83856,
  [SMALL_STATE(1666)] = 83893,
  [SMALL_STATE(1667)] = 83928,
  [SMALL_STATE(1668)] = 83977,
  [SMALL_STATE(1669)] = 84014,
  [SMALL_STATE(1670)] = 84059,
  [SMALL_STATE(1671)] = 84108,
  [SMALL_STATE(1672)] = 84145,
  [SMALL_STATE(1673)] = 84188,
  [SMALL_STATE(1674)] = 84237,
  [SMALL_STATE(1675)] = 84274,
  [SMALL_STATE(1676)] = 84311,
  [SMALL_STATE(1677)] = 84360,
  [SMALL_STATE(1678)] = 84396,
  [SMALL_STATE(1679)] = 84428,
  [SMALL_STATE(1680)] = 84464,
  [SMALL_STATE(1681)] = 84500,
  [SMALL_STATE(1682)] = 84536,
  [SMALL_STATE(1683)] = 84570,
  [SMALL_STATE(1684)] = 84606,
  [SMALL_STATE(1685)] = 84642,
  [SMALL_STATE(1686)] = 84688,
  [SMALL_STATE(1687)] = 84734,
  [SMALL_STATE(1688)] = 84770,
  [SMALL_STATE(1689)] = 84806,
  [SMALL_STATE(1690)] = 84860,
  [SMALL_STATE(1691)] = 84894,
  [SMALL_STATE(1692)] = 84930,
  [SMALL_STATE(1693)] = 84984,
  [SMALL_STATE(1694)] = 85038,
  [SMALL_STATE(1695)] = 85084,
  [SMALL_STATE(1696)] = 85120,
  [SMALL_STATE(1697)] = 85174,
  [SMALL_STATE(1698)] = 85210,
  [SMALL_STATE(1699)] = 85246,
  [SMALL_STATE(1700)] = 85282,
  [SMALL_STATE(1701)] = 85318,
  [SMALL_STATE(1702)] = 85354,
  [SMALL_STATE(1703)] = 85388,
  [SMALL_STATE(1704)] = 85424,
  [SMALL_STATE(1705)] = 85458,
  [SMALL_STATE(1706)] = 85494,
  [SMALL_STATE(1707)] = 85526,
  [SMALL_STATE(1708)] = 85558,
  [SMALL_STATE(1709)] = 85590,
  [SMALL_STATE(1710)] = 85622,
  [SMALL_STATE(1711)] = 85654,
  [SMALL_STATE(1712)] = 85686,
  [SMALL_STATE(1713)] = 85718,
  [SMALL_STATE(1714)] = 85750,
  [SMALL_STATE(1715)] = 85786,
  [SMALL_STATE(1716)] = 85818,
  [SMALL_STATE(1717)] = 85864,
  [SMALL_STATE(1718)] = 85896,
  [SMALL_STATE(1719)] = 85928,
  [SMALL_STATE(1720)] = 85962,
  [SMALL_STATE(1721)] = 85994,
  [SMALL_STATE(1722)] = 86030,
  [SMALL_STATE(1723)] = 86062,
  [SMALL_STATE(1724)] = 86094,
  [SMALL_STATE(1725)] = 86126,
  [SMALL_STATE(1726)] = 86158,
  [SMALL_STATE(1727)] = 86190,
  [SMALL_STATE(1728)] = 86222,
  [SMALL_STATE(1729)] = 86254,
  [SMALL_STATE(1730)] = 86286,
  [SMALL_STATE(1731)] = 86318,
  [SMALL_STATE(1732)] = 86350,
  [SMALL_STATE(1733)] = 86382,
  [SMALL_STATE(1734)] = 86414,
  [SMALL_STATE(1735)] = 86446,
  [SMALL_STATE(1736)] = 86478,
  [SMALL_STATE(1737)] = 86509,
  [SMALL_STATE(1738)] = 86540,
  [SMALL_STATE(1739)] = 86571,
  [SMALL_STATE(1740)] = 86602,
  [SMALL_STATE(1741)] = 86633,
  [SMALL_STATE(1742)] = 86664,
  [SMALL_STATE(1743)] = 86699,
  [SMALL_STATE(1744)] = 86730,
  [SMALL_STATE(1745)] = 86761,
  [SMALL_STATE(1746)] = 86792,
  [SMALL_STATE(1747)] = 86823,
  [SMALL_STATE(1748)] = 86854,
  [SMALL_STATE(1749)] = 86885,
  [SMALL_STATE(1750)] = 86916,
  [SMALL_STATE(1751)] = 86947,
  [SMALL_STATE(1752)] = 86978,
  [SMALL_STATE(1753)] = 87009,
  [SMALL_STATE(1754)] = 87040,
  [SMALL_STATE(1755)] = 87071,
  [SMALL_STATE(1756)] = 87102,
  [SMALL_STATE(1757)] = 87133,
  [SMALL_STATE(1758)] = 87164,
  [SMALL_STATE(1759)] = 87195,
  [SMALL_STATE(1760)] = 87230,
  [SMALL_STATE(1761)] = 87261,
  [SMALL_STATE(1762)] = 87292,
  [SMALL_STATE(1763)] = 87323,
  [SMALL_STATE(1764)] = 87354,
  [SMALL_STATE(1765)] = 87389,
  [SMALL_STATE(1766)] = 87424,
  [SMALL_STATE(1767)] = 87455,
  [SMALL_STATE(1768)] = 87490,
  [SMALL_STATE(1769)] = 87525,
  [SMALL_STATE(1770)] = 87556,
  [SMALL_STATE(1771)] = 87587,
  [SMALL_STATE(1772)] = 87618,
  [SMALL_STATE(1773)] = 87649,
  [SMALL_STATE(1774)] = 87680,
  [SMALL_STATE(1775)] = 87711,
  [SMALL_STATE(1776)] = 87742,
  [SMALL_STATE(1777)] = 87773,
  [SMALL_STATE(1778)] = 87804,
  [SMALL_STATE(1779)] = 87835,
  [SMALL_STATE(1780)] = 87866,
  [SMALL_STATE(1781)] = 87897,
  [SMALL_STATE(1782)] = 87928,
  [SMALL_STATE(1783)] = 87959,
  [SMALL_STATE(1784)] = 87990,
  [SMALL_STATE(1785)] = 88021,
  [SMALL_STATE(1786)] = 88052,
  [SMALL_STATE(1787)] = 88083,
  [SMALL_STATE(1788)] = 88114,
  [SMALL_STATE(1789)] = 88145,
  [SMALL_STATE(1790)] = 88176,
  [SMALL_STATE(1791)] = 88207,
  [SMALL_STATE(1792)] = 88238,
  [SMALL_STATE(1793)] = 88269,
  [SMALL_STATE(1794)] = 88300,
  [SMALL_STATE(1795)] = 88331,
  [SMALL_STATE(1796)] = 88362,
  [SMALL_STATE(1797)] = 88393,
  [SMALL_STATE(1798)] = 88428,
  [SMALL_STATE(1799)] = 88459,
  [SMALL_STATE(1800)] = 88516,
  [SMALL_STATE(1801)] = 88547,
  [SMALL_STATE(1802)] = 88578,
  [SMALL_STATE(1803)] = 88609,
  [SMALL_STATE(1804)] = 88640,
  [SMALL_STATE(1805)] = 88671,
  [SMALL_STATE(1806)] = 88702,
  [SMALL_STATE(1807)] = 88759,
  [SMALL_STATE(1808)] = 88816,
  [SMALL_STATE(1809)] = 88847,
  [SMALL_STATE(1810)] = 88878,
  [SMALL_STATE(1811)] = 88909,
  [SMALL_STATE(1812)] = 88940,
  [SMALL_STATE(1813)] = 88971,
  [SMALL_STATE(1814)] = 89002,
  [SMALL_STATE(1815)] = 89033,
  [SMALL_STATE(1816)] = 89064,
  [SMALL_STATE(1817)] = 89095,
  [SMALL_STATE(1818)] = 89126,
  [SMALL_STATE(1819)] = 89157,
  [SMALL_STATE(1820)] = 89188,
  [SMALL_STATE(1821)] = 89219,
  [SMALL_STATE(1822)] = 89250,
  [SMALL_STATE(1823)] = 89285,
  [SMALL_STATE(1824)] = 89316,
  [SMALL_STATE(1825)] = 89347,
  [SMALL_STATE(1826)] = 89378,
  [SMALL_STATE(1827)] = 89409,
  [SMALL_STATE(1828)] = 89466,
  [SMALL_STATE(1829)] = 89497,
  [SMALL_STATE(1830)] = 89554,
  [SMALL_STATE(1831)] = 89585,
  [SMALL_STATE(1832)] = 89616,
  [SMALL_STATE(1833)] = 89673,
  [SMALL_STATE(1834)] = 89704,
  [SMALL_STATE(1835)] = 89735,
  [SMALL_STATE(1836)] = 89766,
  [SMALL_STATE(1837)] = 89797,
  [SMALL_STATE(1838)] = 89828,
  [SMALL_STATE(1839)] = 89859,
  [SMALL_STATE(1840)] = 89890,
  [SMALL_STATE(1841)] = 89921,
  [SMALL_STATE(1842)] = 89952,
  [SMALL_STATE(1843)] = 89983,
  [SMALL_STATE(1844)] = 90014,
  [SMALL_STATE(1845)] = 90045,
  [SMALL_STATE(1846)] = 90076,
  [SMALL_STATE(1847)] = 90107,
  [SMALL_STATE(1848)] = 90138,
  [SMALL_STATE(1849)] = 90169,
  [SMALL_STATE(1850)] = 90204,
  [SMALL_STATE(1851)] = 90235,
  [SMALL_STATE(1852)] = 90266,
  [SMALL_STATE(1853)] = 90297,
  [SMALL_STATE(1854)] = 90328,
  [SMALL_STATE(1855)] = 90359,
  [SMALL_STATE(1856)] = 90390,
  [SMALL_STATE(1857)] = 90421,
  [SMALL_STATE(1858)] = 90452,
  [SMALL_STATE(1859)] = 90483,
  [SMALL_STATE(1860)] = 90518,
  [SMALL_STATE(1861)] = 90553,
  [SMALL_STATE(1862)] = 90584,
  [SMALL_STATE(1863)] = 90641,
  [SMALL_STATE(1864)] = 90698,
  [SMALL_STATE(1865)] = 90729,
  [SMALL_STATE(1866)] = 90760,
  [SMALL_STATE(1867)] = 90791,
  [SMALL_STATE(1868)] = 90822,
  [SMALL_STATE(1869)] = 90857,
  [SMALL_STATE(1870)] = 90888,
  [SMALL_STATE(1871)] = 90919,
  [SMALL_STATE(1872)] = 90954,
  [SMALL_STATE(1873)] = 90985,
  [SMALL_STATE(1874)] = 91020,
  [SMALL_STATE(1875)] = 91049,
  [SMALL_STATE(1876)] = 91080,
  [SMALL_STATE(1877)] = 91111,
  [SMALL_STATE(1878)] = 91146,
  [SMALL_STATE(1879)] = 91177,
  [SMALL_STATE(1880)] = 91212,
  [SMALL_STATE(1881)] = 91269,
  [SMALL_STATE(1882)] = 91326,
  [SMALL_STATE(1883)] = 91357,
  [SMALL_STATE(1884)] = 91388,
  [SMALL_STATE(1885)] = 91419,
  [SMALL_STATE(1886)] = 91454,
  [SMALL_STATE(1887)] = 91511,
  [SMALL_STATE(1888)] = 91568,
  [SMALL_STATE(1889)] = 91599,
  [SMALL_STATE(1890)] = 91630,
  [SMALL_STATE(1891)] = 91660,
  [SMALL_STATE(1892)] = 91692,
  [SMALL_STATE(1893)] = 91724,
  [SMALL_STATE(1894)] = 91758,
  [SMALL_STATE(1895)] = 91790,
  [SMALL_STATE(1896)] = 91820,
  [SMALL_STATE(1897)] = 91856,
  [SMALL_STATE(1898)] = 91888,
  [SMALL_STATE(1899)] = 91924,
  [SMALL_STATE(1900)] = 91956,
  [SMALL_STATE(1901)] = 91988,
  [SMALL_STATE(1902)] = 92022,
  [SMALL_STATE(1903)] = 92054,
  [SMALL_STATE(1904)] = 92090,
  [SMALL_STATE(1905)] = 92124,
  [SMALL_STATE(1906)] = 92160,
  [SMALL_STATE(1907)] = 92188,
  [SMALL_STATE(1908)] = 92220,
  [SMALL_STATE(1909)] = 92272,
  [SMALL_STATE(1910)] = 92304,
  [SMALL_STATE(1911)] = 92336,
  [SMALL_STATE(1912)] = 92364,
  [SMALL_STATE(1913)] = 92394,
  [SMALL_STATE(1914)] = 92422,
  [SMALL_STATE(1915)] = 92474,
  [SMALL_STATE(1916)] = 92504,
  [SMALL_STATE(1917)] = 92534,
  [SMALL_STATE(1918)] = 92564,
  [SMALL_STATE(1919)] = 92594,
  [SMALL_STATE(1920)] = 92624,
  [SMALL_STATE(1921)] = 92658,
  [SMALL_STATE(1922)] = 92686,
  [SMALL_STATE(1923)] = 92722,
  [SMALL_STATE(1924)] = 92752,
  [SMALL_STATE(1925)] = 92782,
  [SMALL_STATE(1926)] = 92816,
  [SMALL_STATE(1927)] = 92848,
  [SMALL_STATE(1928)] = 92880,
  [SMALL_STATE(1929)] = 92916,
  [SMALL_STATE(1930)] = 92948,
  [SMALL_STATE(1931)] = 92984,
  [SMALL_STATE(1932)] = 93014,
  [SMALL_STATE(1933)] = 93044,
  [SMALL_STATE(1934)] = 93074,
  [SMALL_STATE(1935)] = 93104,
  [SMALL_STATE(1936)] = 93134,
  [SMALL_STATE(1937)] = 93164,
  [SMALL_STATE(1938)] = 93194,
  [SMALL_STATE(1939)] = 93224,
  [SMALL_STATE(1940)] = 93254,
  [SMALL_STATE(1941)] = 93284,
  [SMALL_STATE(1942)] = 93336,
  [SMALL_STATE(1943)] = 93388,
  [SMALL_STATE(1944)] = 93418,
  [SMALL_STATE(1945)] = 93448,
  [SMALL_STATE(1946)] = 93480,
  [SMALL_STATE(1947)] = 93514,
  [SMALL_STATE(1948)] = 93544,
  [SMALL_STATE(1949)] = 93596,
  [SMALL_STATE(1950)] = 93648,
  [SMALL_STATE(1951)] = 93680,
  [SMALL_STATE(1952)] = 93712,
  [SMALL_STATE(1953)] = 93742,
  [SMALL_STATE(1954)] = 93772,
  [SMALL_STATE(1955)] = 93802,
  [SMALL_STATE(1956)] = 93832,
  [SMALL_STATE(1957)] = 93862,
  [SMALL_STATE(1958)] = 93892,
  [SMALL_STATE(1959)] = 93922,
  [SMALL_STATE(1960)] = 93952,
  [SMALL_STATE(1961)] = 93984,
  [SMALL_STATE(1962)] = 94014,
  [SMALL_STATE(1963)] = 94044,
  [SMALL_STATE(1964)] = 94074,
  [SMALL_STATE(1965)] = 94104,
  [SMALL_STATE(1966)] = 94138,
  [SMALL_STATE(1967)] = 94166,
  [SMALL_STATE(1968)] = 94196,
  [SMALL_STATE(1969)] = 94226,
  [SMALL_STATE(1970)] = 94256,
  [SMALL_STATE(1971)] = 94292,
  [SMALL_STATE(1972)] = 94322,
  [SMALL_STATE(1973)] = 94352,
  [SMALL_STATE(1974)] = 94384,
  [SMALL_STATE(1975)] = 94414,
  [SMALL_STATE(1976)] = 94450,
  [SMALL_STATE(1977)] = 94482,
  [SMALL_STATE(1978)] = 94534,
  [SMALL_STATE(1979)] = 94564,
  [SMALL_STATE(1980)] = 94594,
  [SMALL_STATE(1981)] = 94646,
  [SMALL_STATE(1982)] = 94676,
  [SMALL_STATE(1983)] = 94706,
  [SMALL_STATE(1984)] = 94736,
  [SMALL_STATE(1985)] = 94768,
  [SMALL_STATE(1986)] = 94798,
  [SMALL_STATE(1987)] = 94828,
  [SMALL_STATE(1988)] = 94860,
  [SMALL_STATE(1989)] = 94912,
  [SMALL_STATE(1990)] = 94944,
  [SMALL_STATE(1991)] = 94974,
  [SMALL_STATE(1992)] = 95004,
  [SMALL_STATE(1993)] = 95036,
  [SMALL_STATE(1994)] = 95068,
  [SMALL_STATE(1995)] = 95110,
  [SMALL_STATE(1996)] = 95140,
  [SMALL_STATE(1997)] = 95170,
  [SMALL_STATE(1998)] = 95202,
  [SMALL_STATE(1999)] = 95234,
  [SMALL_STATE(2000)] = 95268,
  [SMALL_STATE(2001)] = 95298,
  [SMALL_STATE(2002)] = 95328,
  [SMALL_STATE(2003)] = 95380,
  [SMALL_STATE(2004)] = 95410,
  [SMALL_STATE(2005)] = 95440,
  [SMALL_STATE(2006)] = 95470,
  [SMALL_STATE(2007)] = 95500,
  [SMALL_STATE(2008)] = 95530,
  [SMALL_STATE(2009)] = 95560,
  [SMALL_STATE(2010)] = 95590,
  [SMALL_STATE(2011)] = 95620,
  [SMALL_STATE(2012)] = 95672,
  [SMALL_STATE(2013)] = 95702,
  [SMALL_STATE(2014)] = 95732,
  [SMALL_STATE(2015)] = 95784,
  [SMALL_STATE(2016)] = 95814,
  [SMALL_STATE(2017)] = 95844,
  [SMALL_STATE(2018)] = 95874,
  [SMALL_STATE(2019)] = 95926,
  [SMALL_STATE(2020)] = 95978,
  [SMALL_STATE(2021)] = 96008,
  [SMALL_STATE(2022)] = 96038,
  [SMALL_STATE(2023)] = 96068,
  [SMALL_STATE(2024)] = 96098,
  [SMALL_STATE(2025)] = 96128,
  [SMALL_STATE(2026)] = 96160,
  [SMALL_STATE(2027)] = 96190,
  [SMALL_STATE(2028)] = 96220,
  [SMALL_STATE(2029)] = 96250,
  [SMALL_STATE(2030)] = 96302,
  [SMALL_STATE(2031)] = 96332,
  [SMALL_STATE(2032)] = 96364,
  [SMALL_STATE(2033)] = 96394,
  [SMALL_STATE(2034)] = 96424,
  [SMALL_STATE(2035)] = 96454,
  [SMALL_STATE(2036)] = 96506,
  [SMALL_STATE(2037)] = 96536,
  [SMALL_STATE(2038)] = 96566,
  [SMALL_STATE(2039)] = 96598,
  [SMALL_STATE(2040)] = 96628,
  [SMALL_STATE(2041)] = 96680,
  [SMALL_STATE(2042)] = 96710,
  [SMALL_STATE(2043)] = 96762,
  [SMALL_STATE(2044)] = 96792,
  [SMALL_STATE(2045)] = 96822,
  [SMALL_STATE(2046)] = 96852,
  [SMALL_STATE(2047)] = 96884,
  [SMALL_STATE(2048)] = 96936,
  [SMALL_STATE(2049)] = 96966,
  [SMALL_STATE(2050)] = 97018,
  [SMALL_STATE(2051)] = 97048,
  [SMALL_STATE(2052)] = 97078,
  [SMALL_STATE(2053)] = 97108,
  [SMALL_STATE(2054)] = 97138,
  [SMALL_STATE(2055)] = 97174,
  [SMALL_STATE(2056)] = 97204,
  [SMALL_STATE(2057)] = 97234,
  [SMALL_STATE(2058)] = 97264,
  [SMALL_STATE(2059)] = 97294,
  [SMALL_STATE(2060)] = 97324,
  [SMALL_STATE(2061)] = 97354,
  [SMALL_STATE(2062)] = 97386,
  [SMALL_STATE(2063)] = 97416,
  [SMALL_STATE(2064)] = 97446,
  [SMALL_STATE(2065)] = 97498,
  [SMALL_STATE(2066)] = 97528,
  [SMALL_STATE(2067)] = 97558,
  [SMALL_STATE(2068)] = 97587,
  [SMALL_STATE(2069)] = 97616,
  [SMALL_STATE(2070)] = 97645,
  [SMALL_STATE(2071)] = 97676,
  [SMALL_STATE(2072)] = 97705,
  [SMALL_STATE(2073)] = 97734,
  [SMALL_STATE(2074)] = 97763,
  [SMALL_STATE(2075)] = 97796,
  [SMALL_STATE(2076)] = 97829,
  [SMALL_STATE(2077)] = 97858,
  [SMALL_STATE(2078)] = 97887,
  [SMALL_STATE(2079)] = 97916,
  [SMALL_STATE(2080)] = 97949,
  [SMALL_STATE(2081)] = 97978,
  [SMALL_STATE(2082)] = 98007,
  [SMALL_STATE(2083)] = 98036,
  [SMALL_STATE(2084)] = 98065,
  [SMALL_STATE(2085)] = 98096,
  [SMALL_STATE(2086)] = 98125,
  [SMALL_STATE(2087)] = 98174,
  [SMALL_STATE(2088)] = 98203,
  [SMALL_STATE(2089)] = 98236,
  [SMALL_STATE(2090)] = 98265,
  [SMALL_STATE(2091)] = 98314,
  [SMALL_STATE(2092)] = 98347,
  [SMALL_STATE(2093)] = 98380,
  [SMALL_STATE(2094)] = 98409,
  [SMALL_STATE(2095)] = 98438,
  [SMALL_STATE(2096)] = 98487,
  [SMALL_STATE(2097)] = 98516,
  [SMALL_STATE(2098)] = 98565,
  [SMALL_STATE(2099)] = 98594,
  [SMALL_STATE(2100)] = 98643,
  [SMALL_STATE(2101)] = 98672,
  [SMALL_STATE(2102)] = 98701,
  [SMALL_STATE(2103)] = 98730,
  [SMALL_STATE(2104)] = 98779,
  [SMALL_STATE(2105)] = 98808,
  [SMALL_STATE(2106)] = 98837,
  [SMALL_STATE(2107)] = 98866,
  [SMALL_STATE(2108)] = 98895,
  [SMALL_STATE(2109)] = 98924,
  [SMALL_STATE(2110)] = 98973,
  [SMALL_STATE(2111)] = 99002,
  [SMALL_STATE(2112)] = 99031,
  [SMALL_STATE(2113)] = 99060,
  [SMALL_STATE(2114)] = 99089,
  [SMALL_STATE(2115)] = 99122,
  [SMALL_STATE(2116)] = 99151,
  [SMALL_STATE(2117)] = 99200,
  [SMALL_STATE(2118)] = 99229,
  [SMALL_STATE(2119)] = 99258,
  [SMALL_STATE(2120)] = 99287,
  [SMALL_STATE(2121)] = 99316,
  [SMALL_STATE(2122)] = 99345,
  [SMALL_STATE(2123)] = 99374,
  [SMALL_STATE(2124)] = 99407,
  [SMALL_STATE(2125)] = 99436,
  [SMALL_STATE(2126)] = 99469,
  [SMALL_STATE(2127)] = 99498,
  [SMALL_STATE(2128)] = 99527,
  [SMALL_STATE(2129)] = 99556,
  [SMALL_STATE(2130)] = 99589,
  [SMALL_STATE(2131)] = 99618,
  [SMALL_STATE(2132)] = 99667,
  [SMALL_STATE(2133)] = 99696,
  [SMALL_STATE(2134)] = 99725,
  [SMALL_STATE(2135)] = 99754,
  [SMALL_STATE(2136)] = 99783,
  [SMALL_STATE(2137)] = 99812,
  [SMALL_STATE(2138)] = 99861,
  [SMALL_STATE(2139)] = 99890,
  [SMALL_STATE(2140)] = 99919,
  [SMALL_STATE(2141)] = 99968,
  [SMALL_STATE(2142)] = 100001,
  [SMALL_STATE(2143)] = 100030,
  [SMALL_STATE(2144)] = 100059,
  [SMALL_STATE(2145)] = 100088,
  [SMALL_STATE(2146)] = 100117,
  [SMALL_STATE(2147)] = 100146,
  [SMALL_STATE(2148)] = 100175,
  [SMALL_STATE(2149)] = 100204,
  [SMALL_STATE(2150)] = 100233,
  [SMALL_STATE(2151)] = 100262,
  [SMALL_STATE(2152)] = 100291,
  [SMALL_STATE(2153)] = 100320,
  [SMALL_STATE(2154)] = 100349,
  [SMALL_STATE(2155)] = 100378,
  [SMALL_STATE(2156)] = 100407,
  [SMALL_STATE(2157)] = 100436,
  [SMALL_STATE(2158)] = 100465,
  [SMALL_STATE(2159)] = 100494,
  [SMALL_STATE(2160)] = 100527,
  [SMALL_STATE(2161)] = 100556,
  [SMALL_STATE(2162)] = 100585,
  [SMALL_STATE(2163)] = 100634,
  [SMALL_STATE(2164)] = 100663,
  [SMALL_STATE(2165)] = 100696,
  [SMALL_STATE(2166)] = 100745,
  [SMALL_STATE(2167)] = 100778,
  [SMALL_STATE(2168)] = 100827,
  [SMALL_STATE(2169)] = 100856,
  [SMALL_STATE(2170)] = 100885,
  [SMALL_STATE(2171)] = 100934,
  [SMALL_STATE(2172)] = 100963,
  [SMALL_STATE(2173)] = 100994,
  [SMALL_STATE(2174)] = 101025,
  [SMALL_STATE(2175)] = 101054,
  [SMALL_STATE(2176)] = 101103,
  [SMALL_STATE(2177)] = 101152,
  [SMALL_STATE(2178)] = 101181,
  [SMALL_STATE(2179)] = 101210,
  [SMALL_STATE(2180)] = 101239,
  [SMALL_STATE(2181)] = 101268,
  [SMALL_STATE(2182)] = 101297,
  [SMALL_STATE(2183)] = 101326,
  [SMALL_STATE(2184)] = 101375,
  [SMALL_STATE(2185)] = 101424,
  [SMALL_STATE(2186)] = 101473,
  [SMALL_STATE(2187)] = 101521,
  [SMALL_STATE(2188)] = 101549,
  [SMALL_STATE(2189)] = 101577,
  [SMALL_STATE(2190)] = 101625,
  [SMALL_STATE(2191)] = 101653,
  [SMALL_STATE(2192)] = 101701,
  [SMALL_STATE(2193)] = 101749,
  [SMALL_STATE(2194)] = 101797,
  [SMALL_STATE(2195)] = 101845,
  [SMALL_STATE(2196)] = 101873,
  [SMALL_STATE(2197)] = 101921,
  [SMALL_STATE(2198)] = 101969,
  [SMALL_STATE(2199)] = 101997,
  [SMALL_STATE(2200)] = 102045,
  [SMALL_STATE(2201)] = 102073,
  [SMALL_STATE(2202)] = 102101,
  [SMALL_STATE(2203)] = 102149,
  [SMALL_STATE(2204)] = 102177,
  [SMALL_STATE(2205)] = 102205,
  [SMALL_STATE(2206)] = 102233,
  [SMALL_STATE(2207)] = 102261,
  [SMALL_STATE(2208)] = 102289,
  [SMALL_STATE(2209)] = 102317,
  [SMALL_STATE(2210)] = 102365,
  [SMALL_STATE(2211)] = 102393,
  [SMALL_STATE(2212)] = 102421,
  [SMALL_STATE(2213)] = 102469,
  [SMALL_STATE(2214)] = 102517,
  [SMALL_STATE(2215)] = 102565,
  [SMALL_STATE(2216)] = 102593,
  [SMALL_STATE(2217)] = 102621,
  [SMALL_STATE(2218)] = 102669,
  [SMALL_STATE(2219)] = 102717,
  [SMALL_STATE(2220)] = 102745,
  [SMALL_STATE(2221)] = 102773,
  [SMALL_STATE(2222)] = 102821,
  [SMALL_STATE(2223)] = 102849,
  [SMALL_STATE(2224)] = 102897,
  [SMALL_STATE(2225)] = 102925,
  [SMALL_STATE(2226)] = 102953,
  [SMALL_STATE(2227)] = 103001,
  [SMALL_STATE(2228)] = 103029,
  [SMALL_STATE(2229)] = 103057,
  [SMALL_STATE(2230)] = 103085,
  [SMALL_STATE(2231)] = 103113,
  [SMALL_STATE(2232)] = 103141,
  [SMALL_STATE(2233)] = 103169,
  [SMALL_STATE(2234)] = 103197,
  [SMALL_STATE(2235)] = 103245,
  [SMALL_STATE(2236)] = 103273,
  [SMALL_STATE(2237)] = 103301,
  [SMALL_STATE(2238)] = 103329,
  [SMALL_STATE(2239)] = 103377,
  [SMALL_STATE(2240)] = 103405,
  [SMALL_STATE(2241)] = 103433,
  [SMALL_STATE(2242)] = 103461,
  [SMALL_STATE(2243)] = 103509,
  [SMALL_STATE(2244)] = 103557,
  [SMALL_STATE(2245)] = 103605,
  [SMALL_STATE(2246)] = 103633,
  [SMALL_STATE(2247)] = 103661,
  [SMALL_STATE(2248)] = 103689,
  [SMALL_STATE(2249)] = 103717,
  [SMALL_STATE(2250)] = 103745,
  [SMALL_STATE(2251)] = 103773,
  [SMALL_STATE(2252)] = 103801,
  [SMALL_STATE(2253)] = 103849,
  [SMALL_STATE(2254)] = 103885,
  [SMALL_STATE(2255)] = 103913,
  [SMALL_STATE(2256)] = 103941,
  [SMALL_STATE(2257)] = 103969,
  [SMALL_STATE(2258)] = 104017,
  [SMALL_STATE(2259)] = 104045,
  [SMALL_STATE(2260)] = 104093,
  [SMALL_STATE(2261)] = 104141,
  [SMALL_STATE(2262)] = 104189,
  [SMALL_STATE(2263)] = 104237,
  [SMALL_STATE(2264)] = 104283,
  [SMALL_STATE(2265)] = 104331,
  [SMALL_STATE(2266)] = 104379,
  [SMALL_STATE(2267)] = 104427,
  [SMALL_STATE(2268)] = 104475,
  [SMALL_STATE(2269)] = 104523,
  [SMALL_STATE(2270)] = 104569,
  [SMALL_STATE(2271)] = 104617,
  [SMALL_STATE(2272)] = 104665,
  [SMALL_STATE(2273)] = 104713,
  [SMALL_STATE(2274)] = 104761,
  [SMALL_STATE(2275)] = 104809,
  [SMALL_STATE(2276)] = 104837,
  [SMALL_STATE(2277)] = 104885,
  [SMALL_STATE(2278)] = 104913,
  [SMALL_STATE(2279)] = 104961,
  [SMALL_STATE(2280)] = 105009,
  [SMALL_STATE(2281)] = 105037,
  [SMALL_STATE(2282)] = 105085,
  [SMALL_STATE(2283)] = 105133,
  [SMALL_STATE(2284)] = 105161,
  [SMALL_STATE(2285)] = 105193,
  [SMALL_STATE(2286)] = 105241,
  [SMALL_STATE(2287)] = 105289,
  [SMALL_STATE(2288)] = 105337,
  [SMALL_STATE(2289)] = 105365,
  [SMALL_STATE(2290)] = 105413,
  [SMALL_STATE(2291)] = 105441,
  [SMALL_STATE(2292)] = 105469,
  [SMALL_STATE(2293)] = 105501,
  [SMALL_STATE(2294)] = 105549,
  [SMALL_STATE(2295)] = 105597,
  [SMALL_STATE(2296)] = 105645,
  [SMALL_STATE(2297)] = 105693,
  [SMALL_STATE(2298)] = 105741,
  [SMALL_STATE(2299)] = 105789,
  [SMALL_STATE(2300)] = 105837,
  [SMALL_STATE(2301)] = 105885,
  [SMALL_STATE(2302)] = 105933,
  [SMALL_STATE(2303)] = 105981,
  [SMALL_STATE(2304)] = 106009,
  [SMALL_STATE(2305)] = 106055,
  [SMALL_STATE(2306)] = 106083,
  [SMALL_STATE(2307)] = 106111,
  [SMALL_STATE(2308)] = 106159,
  [SMALL_STATE(2309)] = 106207,
  [SMALL_STATE(2310)] = 106255,
  [SMALL_STATE(2311)] = 106283,
  [SMALL_STATE(2312)] = 106331,
  [SMALL_STATE(2313)] = 106379,
  [SMALL_STATE(2314)] = 106407,
  [SMALL_STATE(2315)] = 106455,
  [SMALL_STATE(2316)] = 106503,
  [SMALL_STATE(2317)] = 106538,
  [SMALL_STATE(2318)] = 106573,
  [SMALL_STATE(2319)] = 106600,
  [SMALL_STATE(2320)] = 106635,
  [SMALL_STATE(2321)] = 106670,
  [SMALL_STATE(2322)] = 106715,
  [SMALL_STATE(2323)] = 106760,
  [SMALL_STATE(2324)] = 106787,
  [SMALL_STATE(2325)] = 106832,
  [SMALL_STATE(2326)] = 106867,
  [SMALL_STATE(2327)] = 106902,
  [SMALL_STATE(2328)] = 106947,
  [SMALL_STATE(2329)] = 106992,
  [SMALL_STATE(2330)] = 107037,
  [SMALL_STATE(2331)] = 107072,
  [SMALL_STATE(2332)] = 107107,
  [SMALL_STATE(2333)] = 107134,
  [SMALL_STATE(2334)] = 107169,
  [SMALL_STATE(2335)] = 107214,
  [SMALL_STATE(2336)] = 107259,
  [SMALL_STATE(2337)] = 107286,
  [SMALL_STATE(2338)] = 107313,
  [SMALL_STATE(2339)] = 107340,
  [SMALL_STATE(2340)] = 107375,
  [SMALL_STATE(2341)] = 107420,
  [SMALL_STATE(2342)] = 107455,
  [SMALL_STATE(2343)] = 107500,
  [SMALL_STATE(2344)] = 107527,
  [SMALL_STATE(2345)] = 107562,
  [SMALL_STATE(2346)] = 107607,
  [SMALL_STATE(2347)] = 107642,
  [SMALL_STATE(2348)] = 107677,
  [SMALL_STATE(2349)] = 107712,
  [SMALL_STATE(2350)] = 107739,
  [SMALL_STATE(2351)] = 107774,
  [SMALL_STATE(2352)] = 107809,
  [SMALL_STATE(2353)] = 107844,
  [SMALL_STATE(2354)] = 107879,
  [SMALL_STATE(2355)] = 107914,
  [SMALL_STATE(2356)] = 107949,
  [SMALL_STATE(2357)] = 107984,
  [SMALL_STATE(2358)] = 108019,
  [SMALL_STATE(2359)] = 108064,
  [SMALL_STATE(2360)] = 108099,
  [SMALL_STATE(2361)] = 108126,
  [SMALL_STATE(2362)] = 108171,
  [SMALL_STATE(2363)] = 108216,
  [SMALL_STATE(2364)] = 108251,
  [SMALL_STATE(2365)] = 108286,
  [SMALL_STATE(2366)] = 108321,
  [SMALL_STATE(2367)] = 108356,
  [SMALL_STATE(2368)] = 108401,
  [SMALL_STATE(2369)] = 108436,
  [SMALL_STATE(2370)] = 108481,
  [SMALL_STATE(2371)] = 108526,
  [SMALL_STATE(2372)] = 108571,
  [SMALL_STATE(2373)] = 108606,
  [SMALL_STATE(2374)] = 108633,
  [SMALL_STATE(2375)] = 108678,
  [SMALL_STATE(2376)] = 108713,
  [SMALL_STATE(2377)] = 108758,
  [SMALL_STATE(2378)] = 108793,
  [SMALL_STATE(2379)] = 108820,
  [SMALL_STATE(2380)] = 108855,
  [SMALL_STATE(2381)] = 108891,
  [SMALL_STATE(2382)] = 108933,
  [SMALL_STATE(2383)] = 108975,
  [SMALL_STATE(2384)] = 109012,
  [SMALL_STATE(2385)] = 109049,
  [SMALL_STATE(2386)] = 109086,
  [SMALL_STATE(2387)] = 109123,
  [SMALL_STATE(2388)] = 109160,
  [SMALL_STATE(2389)] = 109197,
  [SMALL_STATE(2390)] = 109234,
  [SMALL_STATE(2391)] = 109271,
  [SMALL_STATE(2392)] = 109308,
  [SMALL_STATE(2393)] = 109337,
  [SMALL_STATE(2394)] = 109374,
  [SMALL_STATE(2395)] = 109411,
  [SMALL_STATE(2396)] = 109448,
  [SMALL_STATE(2397)] = 109485,
  [SMALL_STATE(2398)] = 109514,
  [SMALL_STATE(2399)] = 109543,
  [SMALL_STATE(2400)] = 109580,
  [SMALL_STATE(2401)] = 109617,
  [SMALL_STATE(2402)] = 109654,
  [SMALL_STATE(2403)] = 109691,
  [SMALL_STATE(2404)] = 109728,
  [SMALL_STATE(2405)] = 109765,
  [SMALL_STATE(2406)] = 109802,
  [SMALL_STATE(2407)] = 109839,
  [SMALL_STATE(2408)] = 109876,
  [SMALL_STATE(2409)] = 109913,
  [SMALL_STATE(2410)] = 109950,
  [SMALL_STATE(2411)] = 109987,
  [SMALL_STATE(2412)] = 110024,
  [SMALL_STATE(2413)] = 110061,
  [SMALL_STATE(2414)] = 110098,
  [SMALL_STATE(2415)] = 110135,
  [SMALL_STATE(2416)] = 110172,
  [SMALL_STATE(2417)] = 110209,
  [SMALL_STATE(2418)] = 110246,
  [SMALL_STATE(2419)] = 110283,
  [SMALL_STATE(2420)] = 110320,
  [SMALL_STATE(2421)] = 110357,
  [SMALL_STATE(2422)] = 110394,
  [SMALL_STATE(2423)] = 110431,
  [SMALL_STATE(2424)] = 110468,
  [SMALL_STATE(2425)] = 110505,
  [SMALL_STATE(2426)] = 110542,
  [SMALL_STATE(2427)] = 110579,
  [SMALL_STATE(2428)] = 110616,
  [SMALL_STATE(2429)] = 110653,
  [SMALL_STATE(2430)] = 110690,
  [SMALL_STATE(2431)] = 110727,
  [SMALL_STATE(2432)] = 110764,
  [SMALL_STATE(2433)] = 110801,
  [SMALL_STATE(2434)] = 110838,
  [SMALL_STATE(2435)] = 110875,
  [SMALL_STATE(2436)] = 110912,
  [SMALL_STATE(2437)] = 110949,
  [SMALL_STATE(2438)] = 110986,
  [SMALL_STATE(2439)] = 111023,
  [SMALL_STATE(2440)] = 111060,
  [SMALL_STATE(2441)] = 111097,
  [SMALL_STATE(2442)] = 111134,
  [SMALL_STATE(2443)] = 111171,
  [SMALL_STATE(2444)] = 111208,
  [SMALL_STATE(2445)] = 111237,
  [SMALL_STATE(2446)] = 111274,
  [SMALL_STATE(2447)] = 111311,
  [SMALL_STATE(2448)] = 111348,
  [SMALL_STATE(2449)] = 111372,
  [SMALL_STATE(2450)] = 111396,
  [SMALL_STATE(2451)] = 111420,
  [SMALL_STATE(2452)] = 111444,
  [SMALL_STATE(2453)] = 111468,
  [SMALL_STATE(2454)] = 111492,
  [SMALL_STATE(2455)] = 111516,
  [SMALL_STATE(2456)] = 111540,
  [SMALL_STATE(2457)] = 111564,
  [SMALL_STATE(2458)] = 111588,
  [SMALL_STATE(2459)] = 111612,
  [SMALL_STATE(2460)] = 111636,
  [SMALL_STATE(2461)] = 111660,
  [SMALL_STATE(2462)] = 111684,
  [SMALL_STATE(2463)] = 111708,
  [SMALL_STATE(2464)] = 111732,
  [SMALL_STATE(2465)] = 111760,
  [SMALL_STATE(2466)] = 111784,
  [SMALL_STATE(2467)] = 111808,
  [SMALL_STATE(2468)] = 111832,
  [SMALL_STATE(2469)] = 111856,
  [SMALL_STATE(2470)] = 111880,
  [SMALL_STATE(2471)] = 111904,
  [SMALL_STATE(2472)] = 111928,
  [SMALL_STATE(2473)] = 111952,
  [SMALL_STATE(2474)] = 111980,
  [SMALL_STATE(2475)] = 112004,
  [SMALL_STATE(2476)] = 112028,
  [SMALL_STATE(2477)] = 112061,
  [SMALL_STATE(2478)] = 112084,
  [SMALL_STATE(2479)] = 112117,
  [SMALL_STATE(2480)] = 112143,
  [SMALL_STATE(2481)] = 112169,
  [SMALL_STATE(2482)] = 112195,
  [SMALL_STATE(2483)] = 112221,
  [SMALL_STATE(2484)] = 112253,
  [SMALL_STATE(2485)] = 112274,
  [SMALL_STATE(2486)] = 112303,
  [SMALL_STATE(2487)] = 112334,
  [SMALL_STATE(2488)] = 112363,
  [SMALL_STATE(2489)] = 112388,
  [SMALL_STATE(2490)] = 112419,
  [SMALL_STATE(2491)] = 112448,
  [SMALL_STATE(2492)] = 112477,
  [SMALL_STATE(2493)] = 112508,
  [SMALL_STATE(2494)] = 112539,
  [SMALL_STATE(2495)] = 112568,
  [SMALL_STATE(2496)] = 112589,
  [SMALL_STATE(2497)] = 112620,
  [SMALL_STATE(2498)] = 112649,
  [SMALL_STATE(2499)] = 112670,
  [SMALL_STATE(2500)] = 112691,
  [SMALL_STATE(2501)] = 112712,
  [SMALL_STATE(2502)] = 112733,
  [SMALL_STATE(2503)] = 112754,
  [SMALL_STATE(2504)] = 112783,
  [SMALL_STATE(2505)] = 112804,
  [SMALL_STATE(2506)] = 112835,
  [SMALL_STATE(2507)] = 112856,
  [SMALL_STATE(2508)] = 112877,
  [SMALL_STATE(2509)] = 112898,
  [SMALL_STATE(2510)] = 112919,
  [SMALL_STATE(2511)] = 112948,
  [SMALL_STATE(2512)] = 112977,
  [SMALL_STATE(2513)] = 113008,
  [SMALL_STATE(2514)] = 113039,
  [SMALL_STATE(2515)] = 113068,
  [SMALL_STATE(2516)] = 113099,
  [SMALL_STATE(2517)] = 113120,
  [SMALL_STATE(2518)] = 113141,
  [SMALL_STATE(2519)] = 113162,
  [SMALL_STATE(2520)] = 113183,
  [SMALL_STATE(2521)] = 113204,
  [SMALL_STATE(2522)] = 113225,
  [SMALL_STATE(2523)] = 113246,
  [SMALL_STATE(2524)] = 113275,
  [SMALL_STATE(2525)] = 113306,
  [SMALL_STATE(2526)] = 113327,
  [SMALL_STATE(2527)] = 113358,
  [SMALL_STATE(2528)] = 113387,
  [SMALL_STATE(2529)] = 113418,
  [SMALL_STATE(2530)] = 113447,
  [SMALL_STATE(2531)] = 113468,
  [SMALL_STATE(2532)] = 113497,
  [SMALL_STATE(2533)] = 113518,
  [SMALL_STATE(2534)] = 113549,
  [SMALL_STATE(2535)] = 113580,
  [SMALL_STATE(2536)] = 113601,
  [SMALL_STATE(2537)] = 113630,
  [SMALL_STATE(2538)] = 113661,
  [SMALL_STATE(2539)] = 113690,
  [SMALL_STATE(2540)] = 113721,
  [SMALL_STATE(2541)] = 113742,
  [SMALL_STATE(2542)] = 113763,
  [SMALL_STATE(2543)] = 113792,
  [SMALL_STATE(2544)] = 113823,
  [SMALL_STATE(2545)] = 113854,
  [SMALL_STATE(2546)] = 113883,
  [SMALL_STATE(2547)] = 113912,
  [SMALL_STATE(2548)] = 113943,
  [SMALL_STATE(2549)] = 113974,
  [SMALL_STATE(2550)] = 113995,
  [SMALL_STATE(2551)] = 114020,
  [SMALL_STATE(2552)] = 114051,
  [SMALL_STATE(2553)] = 114080,
  [SMALL_STATE(2554)] = 114111,
  [SMALL_STATE(2555)] = 114140,
  [SMALL_STATE(2556)] = 114171,
  [SMALL_STATE(2557)] = 114200,
  [SMALL_STATE(2558)] = 114231,
  [SMALL_STATE(2559)] = 114262,
  [SMALL_STATE(2560)] = 114291,
  [SMALL_STATE(2561)] = 114320,
  [SMALL_STATE(2562)] = 114351,
  [SMALL_STATE(2563)] = 114382,
  [SMALL_STATE(2564)] = 114411,
  [SMALL_STATE(2565)] = 114442,
  [SMALL_STATE(2566)] = 114471,
  [SMALL_STATE(2567)] = 114502,
  [SMALL_STATE(2568)] = 114531,
  [SMALL_STATE(2569)] = 114562,
  [SMALL_STATE(2570)] = 114591,
  [SMALL_STATE(2571)] = 114622,
  [SMALL_STATE(2572)] = 114651,
  [SMALL_STATE(2573)] = 114675,
  [SMALL_STATE(2574)] = 114697,
  [SMALL_STATE(2575)] = 114721,
  [SMALL_STATE(2576)] = 114745,
  [SMALL_STATE(2577)] = 114769,
  [SMALL_STATE(2578)] = 114793,
  [SMALL_STATE(2579)] = 114817,
  [SMALL_STATE(2580)] = 114841,
  [SMALL_STATE(2581)] = 114865,
  [SMALL_STATE(2582)] = 114889,
  [SMALL_STATE(2583)] = 114913,
  [SMALL_STATE(2584)] = 114937,
  [SMALL_STATE(2585)] = 114961,
  [SMALL_STATE(2586)] = 114985,
  [SMALL_STATE(2587)] = 115009,
  [SMALL_STATE(2588)] = 115033,
  [SMALL_STATE(2589)] = 115057,
  [SMALL_STATE(2590)] = 115081,
  [SMALL_STATE(2591)] = 115105,
  [SMALL_STATE(2592)] = 115127,
  [SMALL_STATE(2593)] = 115149,
  [SMALL_STATE(2594)] = 115171,
  [SMALL_STATE(2595)] = 115195,
  [SMALL_STATE(2596)] = 115219,
  [SMALL_STATE(2597)] = 115243,
  [SMALL_STATE(2598)] = 115267,
  [SMALL_STATE(2599)] = 115291,
  [SMALL_STATE(2600)] = 115315,
  [SMALL_STATE(2601)] = 115339,
  [SMALL_STATE(2602)] = 115363,
  [SMALL_STATE(2603)] = 115387,
  [SMALL_STATE(2604)] = 115411,
  [SMALL_STATE(2605)] = 115435,
  [SMALL_STATE(2606)] = 115459,
  [SMALL_STATE(2607)] = 115483,
  [SMALL_STATE(2608)] = 115507,
  [SMALL_STATE(2609)] = 115531,
  [SMALL_STATE(2610)] = 115555,
  [SMALL_STATE(2611)] = 115577,
  [SMALL_STATE(2612)] = 115601,
  [SMALL_STATE(2613)] = 115625,
  [SMALL_STATE(2614)] = 115649,
  [SMALL_STATE(2615)] = 115673,
  [SMALL_STATE(2616)] = 115697,
  [SMALL_STATE(2617)] = 115721,
  [SMALL_STATE(2618)] = 115745,
  [SMALL_STATE(2619)] = 115769,
  [SMALL_STATE(2620)] = 115789,
  [SMALL_STATE(2621)] = 115813,
  [SMALL_STATE(2622)] = 115837,
  [SMALL_STATE(2623)] = 115859,
  [SMALL_STATE(2624)] = 115883,
  [SMALL_STATE(2625)] = 115907,
  [SMALL_STATE(2626)] = 115931,
  [SMALL_STATE(2627)] = 115955,
  [SMALL_STATE(2628)] = 115979,
  [SMALL_STATE(2629)] = 116003,
  [SMALL_STATE(2630)] = 116027,
  [SMALL_STATE(2631)] = 116051,
  [SMALL_STATE(2632)] = 116075,
  [SMALL_STATE(2633)] = 116099,
  [SMALL_STATE(2634)] = 116123,
  [SMALL_STATE(2635)] = 116147,
  [SMALL_STATE(2636)] = 116171,
  [SMALL_STATE(2637)] = 116195,
  [SMALL_STATE(2638)] = 116222,
  [SMALL_STATE(2639)] = 116241,
  [SMALL_STATE(2640)] = 116268,
  [SMALL_STATE(2641)] = 116287,
  [SMALL_STATE(2642)] = 116306,
  [SMALL_STATE(2643)] = 116333,
  [SMALL_STATE(2644)] = 116360,
  [SMALL_STATE(2645)] = 116387,
  [SMALL_STATE(2646)] = 116414,
  [SMALL_STATE(2647)] = 116441,
  [SMALL_STATE(2648)] = 116468,
  [SMALL_STATE(2649)] = 116495,
  [SMALL_STATE(2650)] = 116522,
  [SMALL_STATE(2651)] = 116549,
  [SMALL_STATE(2652)] = 116568,
  [SMALL_STATE(2653)] = 116587,
  [SMALL_STATE(2654)] = 116614,
  [SMALL_STATE(2655)] = 116641,
  [SMALL_STATE(2656)] = 116660,
  [SMALL_STATE(2657)] = 116687,
  [SMALL_STATE(2658)] = 116714,
  [SMALL_STATE(2659)] = 116741,
  [SMALL_STATE(2660)] = 116768,
  [SMALL_STATE(2661)] = 116795,
  [SMALL_STATE(2662)] = 116822,
  [SMALL_STATE(2663)] = 116849,
  [SMALL_STATE(2664)] = 116876,
  [SMALL_STATE(2665)] = 116895,
  [SMALL_STATE(2666)] = 116922,
  [SMALL_STATE(2667)] = 116943,
  [SMALL_STATE(2668)] = 116970,
  [SMALL_STATE(2669)] = 116997,
  [SMALL_STATE(2670)] = 117024,
  [SMALL_STATE(2671)] = 117051,
  [SMALL_STATE(2672)] = 117078,
  [SMALL_STATE(2673)] = 117105,
  [SMALL_STATE(2674)] = 117124,
  [SMALL_STATE(2675)] = 117143,
  [SMALL_STATE(2676)] = 117162,
  [SMALL_STATE(2677)] = 117189,
  [SMALL_STATE(2678)] = 117216,
  [SMALL_STATE(2679)] = 117243,
  [SMALL_STATE(2680)] = 117262,
  [SMALL_STATE(2681)] = 117281,
  [SMALL_STATE(2682)] = 117311,
  [SMALL_STATE(2683)] = 117341,
  [SMALL_STATE(2684)] = 117371,
  [SMALL_STATE(2685)] = 117401,
  [SMALL_STATE(2686)] = 117431,
  [SMALL_STATE(2687)] = 117461,
  [SMALL_STATE(2688)] = 117491,
  [SMALL_STATE(2689)] = 117521,
  [SMALL_STATE(2690)] = 117551,
  [SMALL_STATE(2691)] = 117579,
  [SMALL_STATE(2692)] = 117599,
  [SMALL_STATE(2693)] = 117629,
  [SMALL_STATE(2694)] = 117659,
  [SMALL_STATE(2695)] = 117689,
  [SMALL_STATE(2696)] = 117719,
  [SMALL_STATE(2697)] = 117749,
  [SMALL_STATE(2698)] = 117779,
  [SMALL_STATE(2699)] = 117809,
  [SMALL_STATE(2700)] = 117837,
  [SMALL_STATE(2701)] = 117867,
  [SMALL_STATE(2702)] = 117897,
  [SMALL_STATE(2703)] = 117927,
  [SMALL_STATE(2704)] = 117957,
  [SMALL_STATE(2705)] = 117987,
  [SMALL_STATE(2706)] = 118017,
  [SMALL_STATE(2707)] = 118047,
  [SMALL_STATE(2708)] = 118077,
  [SMALL_STATE(2709)] = 118105,
  [SMALL_STATE(2710)] = 118135,
  [SMALL_STATE(2711)] = 118165,
  [SMALL_STATE(2712)] = 118193,
  [SMALL_STATE(2713)] = 118223,
  [SMALL_STATE(2714)] = 118253,
  [SMALL_STATE(2715)] = 118283,
  [SMALL_STATE(2716)] = 118313,
  [SMALL_STATE(2717)] = 118343,
  [SMALL_STATE(2718)] = 118373,
  [SMALL_STATE(2719)] = 118403,
  [SMALL_STATE(2720)] = 118433,
  [SMALL_STATE(2721)] = 118463,
  [SMALL_STATE(2722)] = 118493,
  [SMALL_STATE(2723)] = 118523,
  [SMALL_STATE(2724)] = 118551,
  [SMALL_STATE(2725)] = 118581,
  [SMALL_STATE(2726)] = 118611,
  [SMALL_STATE(2727)] = 118641,
  [SMALL_STATE(2728)] = 118671,
  [SMALL_STATE(2729)] = 118701,
  [SMALL_STATE(2730)] = 118731,
  [SMALL_STATE(2731)] = 118761,
  [SMALL_STATE(2732)] = 118791,
  [SMALL_STATE(2733)] = 118819,
  [SMALL_STATE(2734)] = 118849,
  [SMALL_STATE(2735)] = 118879,
  [SMALL_STATE(2736)] = 118909,
  [SMALL_STATE(2737)] = 118939,
  [SMALL_STATE(2738)] = 118969,
  [SMALL_STATE(2739)] = 118999,
  [SMALL_STATE(2740)] = 119029,
  [SMALL_STATE(2741)] = 119057,
  [SMALL_STATE(2742)] = 119087,
  [SMALL_STATE(2743)] = 119117,
  [SMALL_STATE(2744)] = 119147,
  [SMALL_STATE(2745)] = 119177,
  [SMALL_STATE(2746)] = 119207,
  [SMALL_STATE(2747)] = 119237,
  [SMALL_STATE(2748)] = 119267,
  [SMALL_STATE(2749)] = 119291,
  [SMALL_STATE(2750)] = 119307,
  [SMALL_STATE(2751)] = 119331,
  [SMALL_STATE(2752)] = 119355,
  [SMALL_STATE(2753)] = 119371,
  [SMALL_STATE(2754)] = 119387,
  [SMALL_STATE(2755)] = 119411,
  [SMALL_STATE(2756)] = 119427,
  [SMALL_STATE(2757)] = 119451,
  [SMALL_STATE(2758)] = 119471,
  [SMALL_STATE(2759)] = 119495,
  [SMALL_STATE(2760)] = 119511,
  [SMALL_STATE(2761)] = 119535,
  [SMALL_STATE(2762)] = 119559,
  [SMALL_STATE(2763)] = 119583,
  [SMALL_STATE(2764)] = 119598,
  [SMALL_STATE(2765)] = 119613,
  [SMALL_STATE(2766)] = 119632,
  [SMALL_STATE(2767)] = 119647,
  [SMALL_STATE(2768)] = 119666,
  [SMALL_STATE(2769)] = 119687,
  [SMALL_STATE(2770)] = 119708,
  [SMALL_STATE(2771)] = 119729,
  [SMALL_STATE(2772)] = 119748,
  [SMALL_STATE(2773)] = 119763,
  [SMALL_STATE(2774)] = 119778,
  [SMALL_STATE(2775)] = 119793,
  [SMALL_STATE(2776)] = 119808,
  [SMALL_STATE(2777)] = 119823,
  [SMALL_STATE(2778)] = 119838,
  [SMALL_STATE(2779)] = 119853,
  [SMALL_STATE(2780)] = 119868,
  [SMALL_STATE(2781)] = 119883,
  [SMALL_STATE(2782)] = 119898,
  [SMALL_STATE(2783)] = 119919,
  [SMALL_STATE(2784)] = 119934,
  [SMALL_STATE(2785)] = 119951,
  [SMALL_STATE(2786)] = 119966,
  [SMALL_STATE(2787)] = 119987,
  [SMALL_STATE(2788)] = 120002,
  [SMALL_STATE(2789)] = 120017,
  [SMALL_STATE(2790)] = 120032,
  [SMALL_STATE(2791)] = 120047,
  [SMALL_STATE(2792)] = 120062,
  [SMALL_STATE(2793)] = 120077,
  [SMALL_STATE(2794)] = 120094,
  [SMALL_STATE(2795)] = 120115,
  [SMALL_STATE(2796)] = 120130,
  [SMALL_STATE(2797)] = 120145,
  [SMALL_STATE(2798)] = 120160,
  [SMALL_STATE(2799)] = 120175,
  [SMALL_STATE(2800)] = 120189,
  [SMALL_STATE(2801)] = 120203,
  [SMALL_STATE(2802)] = 120217,
  [SMALL_STATE(2803)] = 120231,
  [SMALL_STATE(2804)] = 120245,
  [SMALL_STATE(2805)] = 120259,
  [SMALL_STATE(2806)] = 120273,
  [SMALL_STATE(2807)] = 120287,
  [SMALL_STATE(2808)] = 120301,
  [SMALL_STATE(2809)] = 120315,
  [SMALL_STATE(2810)] = 120329,
  [SMALL_STATE(2811)] = 120343,
  [SMALL_STATE(2812)] = 120357,
  [SMALL_STATE(2813)] = 120371,
  [SMALL_STATE(2814)] = 120385,
  [SMALL_STATE(2815)] = 120399,
  [SMALL_STATE(2816)] = 120419,
  [SMALL_STATE(2817)] = 120433,
  [SMALL_STATE(2818)] = 120447,
  [SMALL_STATE(2819)] = 120461,
  [SMALL_STATE(2820)] = 120475,
  [SMALL_STATE(2821)] = 120489,
  [SMALL_STATE(2822)] = 120503,
  [SMALL_STATE(2823)] = 120517,
  [SMALL_STATE(2824)] = 120533,
  [SMALL_STATE(2825)] = 120553,
  [SMALL_STATE(2826)] = 120573,
  [SMALL_STATE(2827)] = 120587,
  [SMALL_STATE(2828)] = 120603,
  [SMALL_STATE(2829)] = 120617,
  [SMALL_STATE(2830)] = 120637,
  [SMALL_STATE(2831)] = 120651,
  [SMALL_STATE(2832)] = 120665,
  [SMALL_STATE(2833)] = 120679,
  [SMALL_STATE(2834)] = 120693,
  [SMALL_STATE(2835)] = 120707,
  [SMALL_STATE(2836)] = 120721,
  [SMALL_STATE(2837)] = 120735,
  [SMALL_STATE(2838)] = 120755,
  [SMALL_STATE(2839)] = 120769,
  [SMALL_STATE(2840)] = 120783,
  [SMALL_STATE(2841)] = 120797,
  [SMALL_STATE(2842)] = 120811,
  [SMALL_STATE(2843)] = 120825,
  [SMALL_STATE(2844)] = 120845,
  [SMALL_STATE(2845)] = 120859,
  [SMALL_STATE(2846)] = 120871,
  [SMALL_STATE(2847)] = 120885,
  [SMALL_STATE(2848)] = 120899,
  [SMALL_STATE(2849)] = 120913,
  [SMALL_STATE(2850)] = 120927,
  [SMALL_STATE(2851)] = 120941,
  [SMALL_STATE(2852)] = 120955,
  [SMALL_STATE(2853)] = 120969,
  [SMALL_STATE(2854)] = 120983,
  [SMALL_STATE(2855)] = 120995,
  [SMALL_STATE(2856)] = 121009,
  [SMALL_STATE(2857)] = 121023,
  [SMALL_STATE(2858)] = 121037,
  [SMALL_STATE(2859)] = 121051,
  [SMALL_STATE(2860)] = 121068,
  [SMALL_STATE(2861)] = 121085,
  [SMALL_STATE(2862)] = 121104,
  [SMALL_STATE(2863)] = 121119,
  [SMALL_STATE(2864)] = 121136,
  [SMALL_STATE(2865)] = 121153,
  [SMALL_STATE(2866)] = 121172,
  [SMALL_STATE(2867)] = 121187,
  [SMALL_STATE(2868)] = 121206,
  [SMALL_STATE(2869)] = 121225,
  [SMALL_STATE(2870)] = 121242,
  [SMALL_STATE(2871)] = 121259,
  [SMALL_STATE(2872)] = 121276,
  [SMALL_STATE(2873)] = 121293,
  [SMALL_STATE(2874)] = 121308,
  [SMALL_STATE(2875)] = 121325,
  [SMALL_STATE(2876)] = 121340,
  [SMALL_STATE(2877)] = 121357,
  [SMALL_STATE(2878)] = 121372,
  [SMALL_STATE(2879)] = 121385,
  [SMALL_STATE(2880)] = 121400,
  [SMALL_STATE(2881)] = 121417,
  [SMALL_STATE(2882)] = 121434,
  [SMALL_STATE(2883)] = 121451,
  [SMALL_STATE(2884)] = 121468,
  [SMALL_STATE(2885)] = 121485,
  [SMALL_STATE(2886)] = 121502,
  [SMALL_STATE(2887)] = 121517,
  [SMALL_STATE(2888)] = 121534,
  [SMALL_STATE(2889)] = 121549,
  [SMALL_STATE(2890)] = 121564,
  [SMALL_STATE(2891)] = 121579,
  [SMALL_STATE(2892)] = 121592,
  [SMALL_STATE(2893)] = 121607,
  [SMALL_STATE(2894)] = 121624,
  [SMALL_STATE(2895)] = 121639,
  [SMALL_STATE(2896)] = 121656,
  [SMALL_STATE(2897)] = 121671,
  [SMALL_STATE(2898)] = 121688,
  [SMALL_STATE(2899)] = 121705,
  [SMALL_STATE(2900)] = 121722,
  [SMALL_STATE(2901)] = 121739,
  [SMALL_STATE(2902)] = 121752,
  [SMALL_STATE(2903)] = 121767,
  [SMALL_STATE(2904)] = 121784,
  [SMALL_STATE(2905)] = 121798,
  [SMALL_STATE(2906)] = 121812,
  [SMALL_STATE(2907)] = 121824,
  [SMALL_STATE(2908)] = 121838,
  [SMALL_STATE(2909)] = 121850,
  [SMALL_STATE(2910)] = 121862,
  [SMALL_STATE(2911)] = 121876,
  [SMALL_STATE(2912)] = 121890,
  [SMALL_STATE(2913)] = 121902,
  [SMALL_STATE(2914)] = 121916,
  [SMALL_STATE(2915)] = 121930,
  [SMALL_STATE(2916)] = 121944,
  [SMALL_STATE(2917)] = 121958,
  [SMALL_STATE(2918)] = 121970,
  [SMALL_STATE(2919)] = 121984,
  [SMALL_STATE(2920)] = 121998,
  [SMALL_STATE(2921)] = 122012,
  [SMALL_STATE(2922)] = 122024,
  [SMALL_STATE(2923)] = 122038,
  [SMALL_STATE(2924)] = 122050,
  [SMALL_STATE(2925)] = 122062,
  [SMALL_STATE(2926)] = 122074,
  [SMALL_STATE(2927)] = 122088,
  [SMALL_STATE(2928)] = 122102,
  [SMALL_STATE(2929)] = 122116,
  [SMALL_STATE(2930)] = 122130,
  [SMALL_STATE(2931)] = 122144,
  [SMALL_STATE(2932)] = 122156,
  [SMALL_STATE(2933)] = 122170,
  [SMALL_STATE(2934)] = 122186,
  [SMALL_STATE(2935)] = 122200,
  [SMALL_STATE(2936)] = 122214,
  [SMALL_STATE(2937)] = 122228,
  [SMALL_STATE(2938)] = 122242,
  [SMALL_STATE(2939)] = 122256,
  [SMALL_STATE(2940)] = 122270,
  [SMALL_STATE(2941)] = 122284,
  [SMALL_STATE(2942)] = 122298,
  [SMALL_STATE(2943)] = 122310,
  [SMALL_STATE(2944)] = 122324,
  [SMALL_STATE(2945)] = 122336,
  [SMALL_STATE(2946)] = 122350,
  [SMALL_STATE(2947)] = 122362,
  [SMALL_STATE(2948)] = 122376,
  [SMALL_STATE(2949)] = 122392,
  [SMALL_STATE(2950)] = 122406,
  [SMALL_STATE(2951)] = 122420,
  [SMALL_STATE(2952)] = 122436,
  [SMALL_STATE(2953)] = 122448,
  [SMALL_STATE(2954)] = 122462,
  [SMALL_STATE(2955)] = 122474,
  [SMALL_STATE(2956)] = 122487,
  [SMALL_STATE(2957)] = 122500,
  [SMALL_STATE(2958)] = 122511,
  [SMALL_STATE(2959)] = 122524,
  [SMALL_STATE(2960)] = 122537,
  [SMALL_STATE(2961)] = 122550,
  [SMALL_STATE(2962)] = 122563,
  [SMALL_STATE(2963)] = 122576,
  [SMALL_STATE(2964)] = 122589,
  [SMALL_STATE(2965)] = 122602,
  [SMALL_STATE(2966)] = 122615,
  [SMALL_STATE(2967)] = 122628,
  [SMALL_STATE(2968)] = 122641,
  [SMALL_STATE(2969)] = 122654,
  [SMALL_STATE(2970)] = 122667,
  [SMALL_STATE(2971)] = 122678,
  [SMALL_STATE(2972)] = 122691,
  [SMALL_STATE(2973)] = 122704,
  [SMALL_STATE(2974)] = 122715,
  [SMALL_STATE(2975)] = 122728,
  [SMALL_STATE(2976)] = 122741,
  [SMALL_STATE(2977)] = 122754,
  [SMALL_STATE(2978)] = 122767,
  [SMALL_STATE(2979)] = 122780,
  [SMALL_STATE(2980)] = 122793,
  [SMALL_STATE(2981)] = 122806,
  [SMALL_STATE(2982)] = 122819,
  [SMALL_STATE(2983)] = 122832,
  [SMALL_STATE(2984)] = 122845,
  [SMALL_STATE(2985)] = 122858,
  [SMALL_STATE(2986)] = 122871,
  [SMALL_STATE(2987)] = 122884,
  [SMALL_STATE(2988)] = 122897,
  [SMALL_STATE(2989)] = 122910,
  [SMALL_STATE(2990)] = 122923,
  [SMALL_STATE(2991)] = 122936,
  [SMALL_STATE(2992)] = 122949,
  [SMALL_STATE(2993)] = 122962,
  [SMALL_STATE(2994)] = 122975,
  [SMALL_STATE(2995)] = 122988,
  [SMALL_STATE(2996)] = 122999,
  [SMALL_STATE(2997)] = 123012,
  [SMALL_STATE(2998)] = 123025,
  [SMALL_STATE(2999)] = 123038,
  [SMALL_STATE(3000)] = 123051,
  [SMALL_STATE(3001)] = 123064,
  [SMALL_STATE(3002)] = 123077,
  [SMALL_STATE(3003)] = 123090,
  [SMALL_STATE(3004)] = 123103,
  [SMALL_STATE(3005)] = 123114,
  [SMALL_STATE(3006)] = 123127,
  [SMALL_STATE(3007)] = 123140,
  [SMALL_STATE(3008)] = 123153,
  [SMALL_STATE(3009)] = 123166,
  [SMALL_STATE(3010)] = 123179,
  [SMALL_STATE(3011)] = 123190,
  [SMALL_STATE(3012)] = 123203,
  [SMALL_STATE(3013)] = 123216,
  [SMALL_STATE(3014)] = 123227,
  [SMALL_STATE(3015)] = 123240,
  [SMALL_STATE(3016)] = 123253,
  [SMALL_STATE(3017)] = 123266,
  [SMALL_STATE(3018)] = 123279,
  [SMALL_STATE(3019)] = 123292,
  [SMALL_STATE(3020)] = 123305,
  [SMALL_STATE(3021)] = 123318,
  [SMALL_STATE(3022)] = 123331,
  [SMALL_STATE(3023)] = 123344,
  [SMALL_STATE(3024)] = 123357,
  [SMALL_STATE(3025)] = 123370,
  [SMALL_STATE(3026)] = 123383,
  [SMALL_STATE(3027)] = 123394,
  [SMALL_STATE(3028)] = 123407,
  [SMALL_STATE(3029)] = 123420,
  [SMALL_STATE(3030)] = 123433,
  [SMALL_STATE(3031)] = 123446,
  [SMALL_STATE(3032)] = 123459,
  [SMALL_STATE(3033)] = 123472,
  [SMALL_STATE(3034)] = 123485,
  [SMALL_STATE(3035)] = 123496,
  [SMALL_STATE(3036)] = 123509,
  [SMALL_STATE(3037)] = 123522,
  [SMALL_STATE(3038)] = 123535,
  [SMALL_STATE(3039)] = 123546,
  [SMALL_STATE(3040)] = 123559,
  [SMALL_STATE(3041)] = 123572,
  [SMALL_STATE(3042)] = 123585,
  [SMALL_STATE(3043)] = 123598,
  [SMALL_STATE(3044)] = 123611,
  [SMALL_STATE(3045)] = 123624,
  [SMALL_STATE(3046)] = 123637,
  [SMALL_STATE(3047)] = 123650,
  [SMALL_STATE(3048)] = 123661,
  [SMALL_STATE(3049)] = 123674,
  [SMALL_STATE(3050)] = 123687,
  [SMALL_STATE(3051)] = 123700,
  [SMALL_STATE(3052)] = 123713,
  [SMALL_STATE(3053)] = 123724,
  [SMALL_STATE(3054)] = 123737,
  [SMALL_STATE(3055)] = 123750,
  [SMALL_STATE(3056)] = 123761,
  [SMALL_STATE(3057)] = 123774,
  [SMALL_STATE(3058)] = 123785,
  [SMALL_STATE(3059)] = 123798,
  [SMALL_STATE(3060)] = 123811,
  [SMALL_STATE(3061)] = 123824,
  [SMALL_STATE(3062)] = 123837,
  [SMALL_STATE(3063)] = 123850,
  [SMALL_STATE(3064)] = 123863,
  [SMALL_STATE(3065)] = 123876,
  [SMALL_STATE(3066)] = 123889,
  [SMALL_STATE(3067)] = 123902,
  [SMALL_STATE(3068)] = 123915,
  [SMALL_STATE(3069)] = 123928,
  [SMALL_STATE(3070)] = 123939,
  [SMALL_STATE(3071)] = 123952,
  [SMALL_STATE(3072)] = 123965,
  [SMALL_STATE(3073)] = 123978,
  [SMALL_STATE(3074)] = 123991,
  [SMALL_STATE(3075)] = 124002,
  [SMALL_STATE(3076)] = 124015,
  [SMALL_STATE(3077)] = 124026,
  [SMALL_STATE(3078)] = 124039,
  [SMALL_STATE(3079)] = 124052,
  [SMALL_STATE(3080)] = 124065,
  [SMALL_STATE(3081)] = 124078,
  [SMALL_STATE(3082)] = 124091,
  [SMALL_STATE(3083)] = 124104,
  [SMALL_STATE(3084)] = 124117,
  [SMALL_STATE(3085)] = 124130,
  [SMALL_STATE(3086)] = 124143,
  [SMALL_STATE(3087)] = 124156,
  [SMALL_STATE(3088)] = 124169,
  [SMALL_STATE(3089)] = 124182,
  [SMALL_STATE(3090)] = 124195,
  [SMALL_STATE(3091)] = 124208,
  [SMALL_STATE(3092)] = 124219,
  [SMALL_STATE(3093)] = 124232,
  [SMALL_STATE(3094)] = 124245,
  [SMALL_STATE(3095)] = 124258,
  [SMALL_STATE(3096)] = 124271,
  [SMALL_STATE(3097)] = 124284,
  [SMALL_STATE(3098)] = 124297,
  [SMALL_STATE(3099)] = 124310,
  [SMALL_STATE(3100)] = 124323,
  [SMALL_STATE(3101)] = 124336,
  [SMALL_STATE(3102)] = 124349,
  [SMALL_STATE(3103)] = 124362,
  [SMALL_STATE(3104)] = 124375,
  [SMALL_STATE(3105)] = 124388,
  [SMALL_STATE(3106)] = 124401,
  [SMALL_STATE(3107)] = 124414,
  [SMALL_STATE(3108)] = 124427,
  [SMALL_STATE(3109)] = 124440,
  [SMALL_STATE(3110)] = 124453,
  [SMALL_STATE(3111)] = 124463,
  [SMALL_STATE(3112)] = 124471,
  [SMALL_STATE(3113)] = 124481,
  [SMALL_STATE(3114)] = 124489,
  [SMALL_STATE(3115)] = 124499,
  [SMALL_STATE(3116)] = 124509,
  [SMALL_STATE(3117)] = 124519,
  [SMALL_STATE(3118)] = 124529,
  [SMALL_STATE(3119)] = 124539,
  [SMALL_STATE(3120)] = 124549,
  [SMALL_STATE(3121)] = 124559,
  [SMALL_STATE(3122)] = 124569,
  [SMALL_STATE(3123)] = 124579,
  [SMALL_STATE(3124)] = 124589,
  [SMALL_STATE(3125)] = 124597,
  [SMALL_STATE(3126)] = 124607,
  [SMALL_STATE(3127)] = 124617,
  [SMALL_STATE(3128)] = 124627,
  [SMALL_STATE(3129)] = 124637,
  [SMALL_STATE(3130)] = 124645,
  [SMALL_STATE(3131)] = 124655,
  [SMALL_STATE(3132)] = 124663,
  [SMALL_STATE(3133)] = 124671,
  [SMALL_STATE(3134)] = 124681,
  [SMALL_STATE(3135)] = 124691,
  [SMALL_STATE(3136)] = 124701,
  [SMALL_STATE(3137)] = 124709,
  [SMALL_STATE(3138)] = 124719,
  [SMALL_STATE(3139)] = 124729,
  [SMALL_STATE(3140)] = 124737,
  [SMALL_STATE(3141)] = 124745,
  [SMALL_STATE(3142)] = 124753,
  [SMALL_STATE(3143)] = 124761,
  [SMALL_STATE(3144)] = 124769,
  [SMALL_STATE(3145)] = 124777,
  [SMALL_STATE(3146)] = 124787,
  [SMALL_STATE(3147)] = 124797,
  [SMALL_STATE(3148)] = 124807,
  [SMALL_STATE(3149)] = 124815,
  [SMALL_STATE(3150)] = 124825,
  [SMALL_STATE(3151)] = 124835,
  [SMALL_STATE(3152)] = 124843,
  [SMALL_STATE(3153)] = 124851,
  [SMALL_STATE(3154)] = 124861,
  [SMALL_STATE(3155)] = 124871,
  [SMALL_STATE(3156)] = 124879,
  [SMALL_STATE(3157)] = 124889,
  [SMALL_STATE(3158)] = 124897,
  [SMALL_STATE(3159)] = 124907,
  [SMALL_STATE(3160)] = 124915,
  [SMALL_STATE(3161)] = 124923,
  [SMALL_STATE(3162)] = 124933,
  [SMALL_STATE(3163)] = 124943,
  [SMALL_STATE(3164)] = 124953,
  [SMALL_STATE(3165)] = 124963,
  [SMALL_STATE(3166)] = 124973,
  [SMALL_STATE(3167)] = 124981,
  [SMALL_STATE(3168)] = 124989,
  [SMALL_STATE(3169)] = 124999,
  [SMALL_STATE(3170)] = 125007,
  [SMALL_STATE(3171)] = 125017,
  [SMALL_STATE(3172)] = 125027,
  [SMALL_STATE(3173)] = 125035,
  [SMALL_STATE(3174)] = 125043,
  [SMALL_STATE(3175)] = 125053,
  [SMALL_STATE(3176)] = 125063,
  [SMALL_STATE(3177)] = 125073,
  [SMALL_STATE(3178)] = 125081,
  [SMALL_STATE(3179)] = 125091,
  [SMALL_STATE(3180)] = 125099,
  [SMALL_STATE(3181)] = 125109,
  [SMALL_STATE(3182)] = 125119,
  [SMALL_STATE(3183)] = 125129,
  [SMALL_STATE(3184)] = 125137,
  [SMALL_STATE(3185)] = 125147,
  [SMALL_STATE(3186)] = 125155,
  [SMALL_STATE(3187)] = 125163,
  [SMALL_STATE(3188)] = 125171,
  [SMALL_STATE(3189)] = 125181,
  [SMALL_STATE(3190)] = 125191,
  [SMALL_STATE(3191)] = 125201,
  [SMALL_STATE(3192)] = 125211,
  [SMALL_STATE(3193)] = 125221,
  [SMALL_STATE(3194)] = 125231,
  [SMALL_STATE(3195)] = 125239,
  [SMALL_STATE(3196)] = 125249,
  [SMALL_STATE(3197)] = 125259,
  [SMALL_STATE(3198)] = 125269,
  [SMALL_STATE(3199)] = 125279,
  [SMALL_STATE(3200)] = 125287,
  [SMALL_STATE(3201)] = 125295,
  [SMALL_STATE(3202)] = 125303,
  [SMALL_STATE(3203)] = 125313,
  [SMALL_STATE(3204)] = 125323,
  [SMALL_STATE(3205)] = 125333,
  [SMALL_STATE(3206)] = 125343,
  [SMALL_STATE(3207)] = 125351,
  [SMALL_STATE(3208)] = 125361,
  [SMALL_STATE(3209)] = 125371,
  [SMALL_STATE(3210)] = 125381,
  [SMALL_STATE(3211)] = 125389,
  [SMALL_STATE(3212)] = 125399,
  [SMALL_STATE(3213)] = 125409,
  [SMALL_STATE(3214)] = 125419,
  [SMALL_STATE(3215)] = 125429,
  [SMALL_STATE(3216)] = 125439,
  [SMALL_STATE(3217)] = 125449,
  [SMALL_STATE(3218)] = 125457,
  [SMALL_STATE(3219)] = 125467,
  [SMALL_STATE(3220)] = 125477,
  [SMALL_STATE(3221)] = 125487,
  [SMALL_STATE(3222)] = 125497,
  [SMALL_STATE(3223)] = 125507,
  [SMALL_STATE(3224)] = 125515,
  [SMALL_STATE(3225)] = 125525,
  [SMALL_STATE(3226)] = 125533,
  [SMALL_STATE(3227)] = 125543,
  [SMALL_STATE(3228)] = 125551,
  [SMALL_STATE(3229)] = 125558,
  [SMALL_STATE(3230)] = 125565,
  [SMALL_STATE(3231)] = 125572,
  [SMALL_STATE(3232)] = 125579,
  [SMALL_STATE(3233)] = 125586,
  [SMALL_STATE(3234)] = 125593,
  [SMALL_STATE(3235)] = 125600,
  [SMALL_STATE(3236)] = 125607,
  [SMALL_STATE(3237)] = 125614,
  [SMALL_STATE(3238)] = 125621,
  [SMALL_STATE(3239)] = 125628,
  [SMALL_STATE(3240)] = 125635,
  [SMALL_STATE(3241)] = 125642,
  [SMALL_STATE(3242)] = 125649,
  [SMALL_STATE(3243)] = 125656,
  [SMALL_STATE(3244)] = 125663,
  [SMALL_STATE(3245)] = 125670,
  [SMALL_STATE(3246)] = 125677,
  [SMALL_STATE(3247)] = 125684,
  [SMALL_STATE(3248)] = 125691,
  [SMALL_STATE(3249)] = 125698,
  [SMALL_STATE(3250)] = 125705,
  [SMALL_STATE(3251)] = 125712,
  [SMALL_STATE(3252)] = 125719,
  [SMALL_STATE(3253)] = 125726,
  [SMALL_STATE(3254)] = 125733,
  [SMALL_STATE(3255)] = 125740,
  [SMALL_STATE(3256)] = 125747,
  [SMALL_STATE(3257)] = 125754,
  [SMALL_STATE(3258)] = 125761,
  [SMALL_STATE(3259)] = 125768,
  [SMALL_STATE(3260)] = 125775,
  [SMALL_STATE(3261)] = 125782,
  [SMALL_STATE(3262)] = 125789,
  [SMALL_STATE(3263)] = 125796,
  [SMALL_STATE(3264)] = 125803,
  [SMALL_STATE(3265)] = 125810,
  [SMALL_STATE(3266)] = 125817,
  [SMALL_STATE(3267)] = 125824,
  [SMALL_STATE(3268)] = 125831,
  [SMALL_STATE(3269)] = 125838,
  [SMALL_STATE(3270)] = 125845,
  [SMALL_STATE(3271)] = 125852,
  [SMALL_STATE(3272)] = 125859,
  [SMALL_STATE(3273)] = 125866,
  [SMALL_STATE(3274)] = 125873,
  [SMALL_STATE(3275)] = 125880,
  [SMALL_STATE(3276)] = 125887,
  [SMALL_STATE(3277)] = 125894,
  [SMALL_STATE(3278)] = 125901,
  [SMALL_STATE(3279)] = 125908,
  [SMALL_STATE(3280)] = 125915,
  [SMALL_STATE(3281)] = 125922,
  [SMALL_STATE(3282)] = 125929,
  [SMALL_STATE(3283)] = 125936,
  [SMALL_STATE(3284)] = 125943,
  [SMALL_STATE(3285)] = 125950,
  [SMALL_STATE(3286)] = 125957,
  [SMALL_STATE(3287)] = 125964,
  [SMALL_STATE(3288)] = 125971,
  [SMALL_STATE(3289)] = 125978,
  [SMALL_STATE(3290)] = 125985,
  [SMALL_STATE(3291)] = 125992,
  [SMALL_STATE(3292)] = 125999,
  [SMALL_STATE(3293)] = 126006,
  [SMALL_STATE(3294)] = 126013,
  [SMALL_STATE(3295)] = 126020,
  [SMALL_STATE(3296)] = 126027,
  [SMALL_STATE(3297)] = 126034,
  [SMALL_STATE(3298)] = 126041,
  [SMALL_STATE(3299)] = 126048,
  [SMALL_STATE(3300)] = 126055,
  [SMALL_STATE(3301)] = 126062,
  [SMALL_STATE(3302)] = 126069,
  [SMALL_STATE(3303)] = 126076,
  [SMALL_STATE(3304)] = 126083,
  [SMALL_STATE(3305)] = 126090,
  [SMALL_STATE(3306)] = 126097,
  [SMALL_STATE(3307)] = 126104,
  [SMALL_STATE(3308)] = 126111,
  [SMALL_STATE(3309)] = 126118,
  [SMALL_STATE(3310)] = 126125,
  [SMALL_STATE(3311)] = 126132,
  [SMALL_STATE(3312)] = 126139,
  [SMALL_STATE(3313)] = 126146,
  [SMALL_STATE(3314)] = 126153,
  [SMALL_STATE(3315)] = 126160,
  [SMALL_STATE(3316)] = 126167,
  [SMALL_STATE(3317)] = 126174,
  [SMALL_STATE(3318)] = 126181,
  [SMALL_STATE(3319)] = 126188,
  [SMALL_STATE(3320)] = 126195,
  [SMALL_STATE(3321)] = 126202,
  [SMALL_STATE(3322)] = 126209,
  [SMALL_STATE(3323)] = 126216,
  [SMALL_STATE(3324)] = 126223,
  [SMALL_STATE(3325)] = 126230,
  [SMALL_STATE(3326)] = 126237,
  [SMALL_STATE(3327)] = 126244,
  [SMALL_STATE(3328)] = 126251,
  [SMALL_STATE(3329)] = 126258,
  [SMALL_STATE(3330)] = 126265,
  [SMALL_STATE(3331)] = 126272,
  [SMALL_STATE(3332)] = 126279,
  [SMALL_STATE(3333)] = 126286,
  [SMALL_STATE(3334)] = 126293,
  [SMALL_STATE(3335)] = 126300,
  [SMALL_STATE(3336)] = 126307,
  [SMALL_STATE(3337)] = 126314,
  [SMALL_STATE(3338)] = 126321,
  [SMALL_STATE(3339)] = 126328,
  [SMALL_STATE(3340)] = 126335,
  [SMALL_STATE(3341)] = 126342,
  [SMALL_STATE(3342)] = 126349,
  [SMALL_STATE(3343)] = 126356,
  [SMALL_STATE(3344)] = 126363,
  [SMALL_STATE(3345)] = 126370,
  [SMALL_STATE(3346)] = 126377,
  [SMALL_STATE(3347)] = 126384,
  [SMALL_STATE(3348)] = 126391,
  [SMALL_STATE(3349)] = 126398,
  [SMALL_STATE(3350)] = 126405,
  [SMALL_STATE(3351)] = 126412,
  [SMALL_STATE(3352)] = 126419,
  [SMALL_STATE(3353)] = 126426,
  [SMALL_STATE(3354)] = 126433,
  [SMALL_STATE(3355)] = 126440,
  [SMALL_STATE(3356)] = 126447,
  [SMALL_STATE(3357)] = 126454,
  [SMALL_STATE(3358)] = 126461,
  [SMALL_STATE(3359)] = 126468,
  [SMALL_STATE(3360)] = 126475,
  [SMALL_STATE(3361)] = 126482,
  [SMALL_STATE(3362)] = 126489,
  [SMALL_STATE(3363)] = 126496,
  [SMALL_STATE(3364)] = 126503,
  [SMALL_STATE(3365)] = 126510,
  [SMALL_STATE(3366)] = 126517,
  [SMALL_STATE(3367)] = 126524,
  [SMALL_STATE(3368)] = 126531,
  [SMALL_STATE(3369)] = 126538,
  [SMALL_STATE(3370)] = 126545,
  [SMALL_STATE(3371)] = 126552,
  [SMALL_STATE(3372)] = 126559,
  [SMALL_STATE(3373)] = 126566,
  [SMALL_STATE(3374)] = 126573,
  [SMALL_STATE(3375)] = 126580,
  [SMALL_STATE(3376)] = 126587,
  [SMALL_STATE(3377)] = 126594,
  [SMALL_STATE(3378)] = 126601,
  [SMALL_STATE(3379)] = 126608,
  [SMALL_STATE(3380)] = 126615,
  [SMALL_STATE(3381)] = 126622,
  [SMALL_STATE(3382)] = 126629,
  [SMALL_STATE(3383)] = 126636,
  [SMALL_STATE(3384)] = 126643,
  [SMALL_STATE(3385)] = 126650,
  [SMALL_STATE(3386)] = 126657,
  [SMALL_STATE(3387)] = 126664,
  [SMALL_STATE(3388)] = 126671,
  [SMALL_STATE(3389)] = 126678,
  [SMALL_STATE(3390)] = 126685,
  [SMALL_STATE(3391)] = 126692,
  [SMALL_STATE(3392)] = 126699,
  [SMALL_STATE(3393)] = 126706,
  [SMALL_STATE(3394)] = 126713,
  [SMALL_STATE(3395)] = 126720,
  [SMALL_STATE(3396)] = 126727,
  [SMALL_STATE(3397)] = 126734,
  [SMALL_STATE(3398)] = 126741,
  [SMALL_STATE(3399)] = 126748,
  [SMALL_STATE(3400)] = 126755,
  [SMALL_STATE(3401)] = 126762,
  [SMALL_STATE(3402)] = 126769,
  [SMALL_STATE(3403)] = 126776,
  [SMALL_STATE(3404)] = 126783,
  [SMALL_STATE(3405)] = 126790,
  [SMALL_STATE(3406)] = 126797,
  [SMALL_STATE(3407)] = 126804,
  [SMALL_STATE(3408)] = 126811,
  [SMALL_STATE(3409)] = 126818,
  [SMALL_STATE(3410)] = 126825,
  [SMALL_STATE(3411)] = 126832,
  [SMALL_STATE(3412)] = 126839,
  [SMALL_STATE(3413)] = 126846,
  [SMALL_STATE(3414)] = 126853,
  [SMALL_STATE(3415)] = 126860,
  [SMALL_STATE(3416)] = 126867,
  [SMALL_STATE(3417)] = 126874,
  [SMALL_STATE(3418)] = 126881,
  [SMALL_STATE(3419)] = 126888,
  [SMALL_STATE(3420)] = 126895,
  [SMALL_STATE(3421)] = 126902,
  [SMALL_STATE(3422)] = 126909,
  [SMALL_STATE(3423)] = 126916,
  [SMALL_STATE(3424)] = 126923,
  [SMALL_STATE(3425)] = 126930,
  [SMALL_STATE(3426)] = 126937,
  [SMALL_STATE(3427)] = 126944,
  [SMALL_STATE(3428)] = 126951,
  [SMALL_STATE(3429)] = 126958,
  [SMALL_STATE(3430)] = 126965,
  [SMALL_STATE(3431)] = 126972,
  [SMALL_STATE(3432)] = 126979,
  [SMALL_STATE(3433)] = 126986,
  [SMALL_STATE(3434)] = 126993,
  [SMALL_STATE(3435)] = 127000,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 37),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 45),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 36),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 49),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(346),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3218),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1221),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(134),
  [239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 2),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(138),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2374),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3282),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(93),
  [253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(76),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(249),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1219),
  [262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1218),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(167),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(228),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2324),
  [274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2324),
  [277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2569),
  [280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(531),
  [283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2681),
  [286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(416),
  [289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2557),
  [292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(104),
  [295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(106),
  [298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(108),
  [301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2759),
  [304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3055),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 3),
  [309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 2),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(346),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3218),
  [359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1221),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(134),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(138),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2374),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3282),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(93),
  [377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(76),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(249),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1219),
  [386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1218),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(167),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(228),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2324),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2324),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2569),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(531),
  [407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2681),
  [410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(416),
  [413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2557),
  [416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(104),
  [419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(106),
  [422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(108),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2759),
  [428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3055),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 2),
  [435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 2),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(278),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2554),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(277),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2706),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2526),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(52),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(51),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(56),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(155),
  [486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3038),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 1),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 1),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(315),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2487),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(307),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2747),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2524),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(29),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(28),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(39),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(157),
  [522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3057),
  [525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4),
  [539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 3),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 21),
  [583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 21),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(381),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2552),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(374),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2741),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2551),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(84),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(30),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(31),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(168),
  [662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3091),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, .production_id = 1),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, .production_id = 1),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 8),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 8),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(280),
  [692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2289),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2556),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(279),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2715),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2544),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(55),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(54),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(61),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(429),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2538),
  [726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(528),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2743),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2561),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(114),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(113),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(115),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(176),
  [747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3013),
  [750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 10),
  [752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 10),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 1),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 1),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(336),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2262),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2494),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(321),
  [842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2692),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2515),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(38),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(37),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(43),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(291),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2545),
  [867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(360),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2716),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2512),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(48),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(47),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(53),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(190),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 2),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 2),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(450),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2213),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2569),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(531),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2681),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2557),
  [970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(104),
  [973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(106),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(108),
  [979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(459),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2510),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(520),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2721),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2533),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(49),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(92),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(32),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(212),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 4),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 4),
  [1010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 4),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 4),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 5),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 5),
  [1046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(400),
  [1049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2281),
  [1052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2531),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(522),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2713),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2537),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(34),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(24),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(25),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 4),
  [1077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 4),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(696),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2536),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(633),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2717),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2534),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(22),
  [1139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(59),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(82),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(236),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(720),
  [1161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2560),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(590),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2688),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2570),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(111),
  [1176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(110),
  [1179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(112),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(240),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline, 3),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2437),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2384),
  [1283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_substitution, 3),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_substitution, 3),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [1321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [1323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [1325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_expansion, 2),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_expansion, 2),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 2),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 2),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(486),
  [1376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2417),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [1445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2442),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [1450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(443),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2431),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [1462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2405),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [1491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2441),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(698),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [1509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(711),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [1526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2438),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(734),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2418),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(687),
  [1552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2416),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2432),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [1580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2425),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [1589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2387),
  [1592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(744),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(753),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [1604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2426),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [1619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2430),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(841),
  [1627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(842),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [1634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2440),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(867),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(828),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(883),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(878),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(886),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(885),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [3605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2159),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2),
  [3912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1300),
  [3915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2485),
  [3918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2092),
  [3921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2698),
  [3924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2159),
  [3927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1300),
  [3930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2539),
  [3933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(103),
  [3936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(98),
  [3939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(107),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [4148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [4506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [4516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [4518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [4520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2371),
  [4523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3428),
  [4526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2329),
  [4529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2753),
  [4532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2335),
  [4535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2345),
  [4538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2752),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2358),
  [4550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3369),
  [4553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2328),
  [4556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2755),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [4563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2),
  [4565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [4569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [4575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [4577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [4579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [4589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2369),
  [4592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3323),
  [4595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2362),
  [4598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2749),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [4607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2412),
  [4610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2),
  [4612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2324),
  [4615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2324),
  [4618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2759),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(3004),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [4630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [4632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [4634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [4636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [4638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1717),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [4643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [4665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1874),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [4670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2398),
  [4673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [4675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [4677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2546),
  [4680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2392),
  [4683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2714),
  [4686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2568),
  [4689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(86),
  [4692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(83),
  [4695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(87),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [4710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2400),
  [4713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2406),
  [4716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1798),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [4723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 2),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2390),
  [4730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [4732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [4734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 3),
  [4736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 3),
  [4738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 68),
  [4760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 68),
  [4762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_command, 2),
  [4768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_command, 2),
  [4770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [4772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [4774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 3),
  [4788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 3),
  [4790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 62),
  [4792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 62),
  [4794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 61),
  [4796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 61),
  [4798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 60),
  [4800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 60),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 63),
  [4806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 63),
  [4808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1895),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [4815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [4839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [4841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [4843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3),
  [4845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3),
  [4847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2433),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [4856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [4858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [4860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [4866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1991),
  [4875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [4883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 2),
  [4889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 2),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2421),
  [4898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [4900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [4902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 52),
  [4904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 52),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [4908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 53),
  [4910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 53),
  [4912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 54),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 54),
  [4922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 55),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 55),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 2),
  [4936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 2),
  [4938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [4944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [4982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2102),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [4987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [5001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [5003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [5037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 2),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [5065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2429),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [5072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [5080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [5156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2179),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [5247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [5249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [5255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2203),
  [5258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2401),
  [5261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [5263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [5285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2258),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [5296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2861),
  [5299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2503),
  [5302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2886),
  [5305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2744),
  [5308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2543),
  [5311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(121),
  [5314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(117),
  [5317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(122),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [5324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [5330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [5332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [5338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2423),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [5349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [5351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [5359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2481),
  [5362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2511),
  [5365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2479),
  [5368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2727),
  [5371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2548),
  [5374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(89),
  [5377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(88),
  [5380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(90),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [5385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [5387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [5391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [5473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [5531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [5533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [5537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [5539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [5551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2360),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [5564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [5566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [5652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [5738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [5780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [5786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [5792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [5870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2434),
  [5873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [5879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [5887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [5891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [5895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [5909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [5921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [5923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [5929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [5933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [5935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [5939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [5949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [5955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [5957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [5965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [5967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [5973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2477),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [5980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2402),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [5987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [6011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2619),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [6068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [6154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [6252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [6270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [6306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [6416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [6458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [6494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [6508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [6510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [6514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 58),
  [6516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 37),
  [6518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 58),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [6522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [6524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [6526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [6530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [6532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [6540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [6550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [6552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [6554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 56),
  [6556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 36),
  [6558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 56),
  [6560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 64),
  [6562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 45),
  [6564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 64),
  [6566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 43),
  [6568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [6570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 43),
  [6572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [6576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [6580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [6584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [6586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [6590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [6594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [6596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [6598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [6604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 66),
  [6606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 49),
  [6608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 66),
  [6610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [6612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [6616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [6620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [6622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [6624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [6626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [6628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [6630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 47),
  [6632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [6634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 47),
  [6636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [6638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [6640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [6644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [6648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [6650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [6652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [6654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [6660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [6662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [6666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [6674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [6698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [6706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [6714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [6746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [6752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 57),
  [6754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 57),
  [6756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 59),
  [6758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 59),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [6762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [6776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 65),
  [6778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 65),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [6838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [6854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [6862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [6878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [6886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [6894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [6900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 67),
  [6902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 67),
  [6904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 48),
  [6906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 48),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [6932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 44),
  [6934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 44),
  [6936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [6944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [6948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [6950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [6952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [6954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [6956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [6958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [6960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [6962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [6964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [6966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [6968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [6970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [6990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [6994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [7008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [7018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [7022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [7024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [7028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [7032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [7042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [7044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [7054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [7056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [7058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [7060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [7062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [7064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [7066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [7068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [7070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [7072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [7074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [7076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [7078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [7080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [7082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [7084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [7090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [7092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [7094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [7096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [7098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [7100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [7102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [7104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [7106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [7108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [7110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [7112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2691),
  [7115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2553),
  [7118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(60),
  [7121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(58),
  [7124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2732),
  [7127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [7129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [7131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [7133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2666),
  [7136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [7138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2766),
  [7141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2496),
  [7144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(105),
  [7147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(130),
  [7150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [7152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [7156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [7166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [7176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [7178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [7188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [7192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [7212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [7214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2436),
  [7217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [7225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [7227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [7229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [7233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [7235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [7243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2804),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [7248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 3),
  [7250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 3),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [7256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [7260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [7262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [7264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 2),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [7270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3408),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [7278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [7280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [7282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 1),
  [7284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 1),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [7310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 3),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [7326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [7356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [7382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [7384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(137),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [7389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [7397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [7427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [7433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [7435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [7445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3074),
  [7448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 49),
  [7450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [7456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [7460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [7470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 29),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [7478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 30),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [7496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [7548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 46), SHIFT_REPEAT(2376),
  [7551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 46),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [7565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [7585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [7619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3168),
  [7622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2385),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [7759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminated_statement, 2),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [8009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [8013] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
